package com.AccountName.thumbnailmaker;

import android.content.Intent;
import android.os.Bundle;
import android.widget.ImageView;

import androidx.appcompat.app.AppCompatActivity;

import com.AccountName.thumbnailmaker.main.MainActivity;
import com.AccountName.thumbnailmaker.utility.ImageUtils;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;

import vocsy.ads.GoogleAds;

public class EnterAppActivity extends AppCompatActivity {
    private ImageView btnEnterTheApp;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_enter_app);

        SystemConfiguration.setTransparentStatusBar(this, SystemConfiguration.IconColor.ICON_DARK);

        GoogleAds.getInstance().admobBanner(this, findViewById(R.id.nativeLay));

        initViews();
        initClicks();
    }

    private void initViews() {
        btnEnterTheApp = findViewById(R.id.btnEnterTheApp);
    }

    private void initClicks() {
        btnEnterTheApp.setOnClickListener(view -> {
            ImageUtils.applyBounceAnimation(btnEnterTheApp);
            GoogleAds.getInstance().showCounterInterstitialAd(this, () -> startActivity(new Intent(EnterAppActivity.this, MainActivity.class)));
        });
    }
}