package com.AccountName.thumbnailmaker;

import android.content.Intent;
import android.os.Bundle;
import android.widget.ImageView;

import androidx.appcompat.app.AppCompatActivity;

import com.AccountName.thumbnailmaker.utility.ImageUtils;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;

import vocsy.ads.AppUtil;
import vocsy.ads.ExitScreen;

public class GetStartedActivity extends AppCompatActivity {
    private ImageView btnGetStarted, btnPrivacyPolicy, btnShareApp, btnRateUs;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_get_started);

        SystemConfiguration.setTransparentStatusBar(this, SystemConfiguration.IconColor.ICON_DARK);

        initViews();
        initClicks();
    }

    private void initViews() {
        btnGetStarted = findViewById(R.id.btnGetStarted);
        btnPrivacyPolicy = findViewById(R.id.btnPrivacyPolicy);
        btnShareApp = findViewById(R.id.btnShareApp);
        btnRateUs = findViewById(R.id.btnRateUs);
    }

    private void initClicks() {
        btnGetStarted.setOnClickListener(view -> {
            ImageUtils.applyBounceAnimation(btnGetStarted);
            startActivity(new Intent(GetStartedActivity.this, EnterAppActivity.class));
        });

        btnPrivacyPolicy.setOnClickListener(view -> {
            ImageUtils.applyBounceAnimation(btnPrivacyPolicy);
            AppUtil.privacyPolicy(this, getString(R.string.txt_privacy));
        });

        btnShareApp.setOnClickListener(view -> {
            ImageUtils.applyBounceAnimation(btnShareApp);
            AppUtil.shareApp(this);
        });

        btnRateUs.setOnClickListener(view -> {
            ImageUtils.applyBounceAnimation(btnRateUs);
            AppUtil.rateApp(this);
        });
    }

    @Override
    public void onBackPressed() {
        startActivity(new Intent(GetStartedActivity.this, ExitScreen.class));
    }
}