package com.AccountName.thumbnailmaker.adapter;

import android.content.Context;
import android.graphics.Typeface;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.AccountName.thumbnailmaker.R;

public class AssetsGridMain extends BaseAdapter {

    private final String[] Imageid;
    private Context mContext;
    int selPos = -1;

    public class ViewHolder {
        RelativeLayout layItem;
        TextView txtView;
    }

    public long getItemId(int i) {
        return 0;
    }

    public AssetsGridMain(Context context, String[] strArr) {
        this.mContext = context;
        this.Imageid = strArr;
    }

    public int getCount() {
        return this.Imageid.length;
    }

    public Object getItem(int i) {
        return this.Imageid[i];
    }

    public View getView(int i, View view, ViewGroup viewGroup) {
        ViewHolder viewHolder;
        if (view == null) {
            view = ((LayoutInflater) this.mContext.getSystemService(Context.LAYOUT_INFLATER_SERVICE)).inflate(R.layout.libtext_grid_assets_main, null);
            viewHolder = new ViewHolder();
            viewHolder.layItem = (RelativeLayout) view.findViewById(R.id.layItem);
            viewHolder.txtView = (TextView) view.findViewById(R.id.grid_text);
            view.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) view.getTag();
        }
        if (i == 0) {
            viewHolder.txtView.setTypeface(Typeface.DEFAULT);
        } else {
            viewHolder.txtView.setTypeface(Typeface.createFromAsset(this.mContext.getAssets(), this.Imageid[i]));
        }
        viewHolder.layItem.setBackgroundResource(0);
        if (this.selPos >= 0 && i == this.selPos) {
            viewHolder.layItem.setBackgroundResource(R.drawable.ratio_button_bg);
            viewHolder.txtView.setText(R.color.white);
        }
        return view;
    }

    public void setSelected(int i) {
        this.selPos = i;
        notifyDataSetChanged();
    }
}
