package com.AccountName.thumbnailmaker.adapter;

import android.content.Context;
import android.content.SharedPreferences;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnLongClickListener;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.RelativeLayout;

import androidx.cardview.widget.CardView;
import androidx.recyclerview.widget.RecyclerView;
import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.utility.ByteImageView;

public class BackgroundRecyclerAdapter extends RecyclerView.Adapter<BackgroundRecyclerAdapter.ViewHolder> {

    String[] drawableArr;
    LayoutInflater inflater;
    private OnItemClickListener listener;
    private Context mContext;
    SharedPreferences prefs;

    public interface OnItemClickListener {

        void onImageClick(int i);

        void onImageLongClick(int i);
    }

    public class ViewHolder extends  RecyclerView.ViewHolder {

        public ImageView img_lock;
        public ByteImageView mThumbnail;
        public CardView root;

        public ViewHolder(View view) {
            super(view);
            this.root = (CardView) view.findViewById(R.id.root);
            this.mThumbnail = (ByteImageView) view.findViewById(R.id.thumbnail_image);
            this.img_lock = (ImageView) view.findViewById(R.id.img_lock);
            this.mThumbnail.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    try {
                        BackgroundRecyclerAdapter.this.listener.onImageClick(ViewHolder.this.getLayoutPosition());
                    } catch (IndexOutOfBoundsException e) {
                        e.printStackTrace();
                        BackgroundRecyclerAdapter.this.notifyDataSetChanged();
                    }
                }
            });
            this.mThumbnail.setOnLongClickListener(new OnLongClickListener() {
                public boolean onLongClick(View view) {
                    try {
                        BackgroundRecyclerAdapter.this.listener.onImageLongClick(ViewHolder.this.getLayoutPosition());
                    } catch (IndexOutOfBoundsException e) {
                        e.printStackTrace();
                        BackgroundRecyclerAdapter.this.notifyDataSetChanged();
                    }
                    return false;
                }
            });
        }
    }

    public BackgroundRecyclerAdapter(Context context, String[] strArr, SharedPreferences sharedPreferences) {
        this.mContext = context;
        this.drawableArr = strArr;
        this.prefs = sharedPreferences;
    }

    public void setClickListeners(OnItemClickListener onItemClickListener) {
        this.listener = onItemClickListener;
    }

    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        return new ViewHolder(LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.picker_grid_item, viewGroup, false));
    }

    public void onBindViewHolder(ViewHolder viewHolder, int i) {
        viewHolder.mThumbnail.setViewParams(this.drawableArr[i]);
       /* if (i <= 8 || this.prefs.getBoolean("isAdsDisabled", false)) {*/
            viewHolder.img_lock.setVisibility(View.GONE);
       /* } else {
            viewHolder.img_lock.setVisibility(View.VISIBLE);
        }*/
    }

    public int getItemCount() {
        return this.drawableArr.length;
    }

    public void onViewRecycled(ViewHolder viewHolder) {

        super.onViewRecycled(viewHolder);
        viewHolder.mThumbnail.onDetachedFromWindow();
    }
}
