package com.AccountName.thumbnailmaker.adapter;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.AsyncTask;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import com.AccountName.thumbnailmaker.R;
import com.SimplyEntertaining.thumbnailmaker.main.JniUtils;
import com.AccountName.thumbnailmaker.utility.ByteImageView;
import com.bumptech.glide.Glide;
import com.bumptech.glide.load.engine.DiskCacheStrategy;


public class FrameAdapter extends BaseAdapter {

    String[] drawableArr;
    public String drawableId = "";
    public ViewHolder holder = null;
    LayoutInflater inflater;
    private Context mContext;
    SharedPreferences prefs;

    public class DownloadImageTask extends AsyncTask<String, Void, byte[]> {
        ViewHolder imageView;

        public DownloadImageTask(ViewHolder viewHolder) {
            this.imageView = viewHolder;
        }


        public byte[] doInBackground(String... strArr) {
            return JniUtils.decryptResourceJni(FrameAdapter.this.mContext, strArr[0]);
        }


        public void onPostExecute(byte[] bArr) {
            Glide.with(FrameAdapter.this.mContext).load(bArr).thumbnail(0.1f).diskCacheStrategy(DiskCacheStrategy.NONE).skipMemoryCache(true).dontAnimate().placeholder((int) R.drawable.no_image).error((int) R.drawable.no_image).into(this.imageView.mThumbnail);
        }
    }

    public class ViewHolder {
        public ImageView img_lock;
        public ByteImageView mThumbnail;
        public RelativeLayout root;
    }

    public Object getItem(int i) {
        return null;
    }

    public long getItemId(int i) {
        return 0;
    }

    public FrameAdapter(Context context, String[] strArr, SharedPreferences sharedPreferences) {
        this.mContext = context;
        this.drawableArr = strArr;
        this.prefs = sharedPreferences;
        this.inflater = LayoutInflater.from(context);
    }

    public int getCount() {
        return this.drawableArr.length;
    }

    public View getView(int i, View view, ViewGroup viewGroup) {
        if (view == null) {
            view = LayoutInflater.from(this.mContext).inflate(R.layout.picker_grid_item, null);
            this.holder = new ViewHolder();
            this.holder.root = (RelativeLayout) view.findViewById(R.id.root);
            this.holder.mThumbnail = (ByteImageView) view.findViewById(R.id.thumbnail_image);
            this.holder.img_lock = (ImageView) view.findViewById(R.id.img_lock);
            view.setTag(this.holder);
        } else {
            this.holder = (ViewHolder) view.getTag();
        }
        /*if (i <= 8 || this.prefs.getBoolean("isAdsDisabled", false)) {*/
            this.holder.img_lock.setVisibility(View.GONE);
    /*    } else {
            this.holder.img_lock.setVisibility(View.VISIBLE);
        }*/
        this.holder.mThumbnail.setViewParams(this.drawableArr[i]);
        return view;
    }
}
