package com.AccountName.thumbnailmaker.adapter;

import android.content.Context;
import android.net.Uri;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.main.BitmapDataObject;
import com.AccountName.thumbnailmaker.main.TemplateInfo;
import com.bumptech.glide.Glide;
import com.bumptech.glide.load.engine.DiskCacheStrategy;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.List;


public class MyFramesAdapter extends ArrayAdapter<TemplateInfo> {

    Context context;
    int height;

    class ViewHolder {
        ImageView mThumbnail;
        Uri uri;

        public ViewHolder(View view) {

            this.mThumbnail = (ImageView) view.findViewById(R.id.thumbnail_image);
        }
    }

    public MyFramesAdapter(Context context, List<TemplateInfo> list, int i) {
        super(context, 0, list);
        this.context = context;
        this.height = i;
    }

    public View getView(int i, View view, ViewGroup viewGroup) {
        ViewHolder viewHolder;
        if (view == null) {
            view = LayoutInflater.from(getContext()).inflate(R.layout.picker_default_thumbnail, null);
            viewHolder = new ViewHolder(view);
            view.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) view.getTag();
        }
        Uri parse = Uri.parse(((TemplateInfo) getItem(i)).getTHUMB_URI());

        viewHolder.mThumbnail.getLayoutParams().height = this.height;

        if (viewHolder.uri == null || !viewHolder.uri.equals(parse)) {

            viewHolder.uri = parse;
            Glide.with(this.context).load(parse.toString()).thumbnail(0.1f).diskCacheStrategy(DiskCacheStrategy.NONE).skipMemoryCache(true).dontAnimate().placeholder((int) R.drawable.no_image).error((int) R.drawable.no_image).into(viewHolder.mThumbnail);

        }
        return view;
    }

    private BitmapDataObject getBitmapDataObject(String str) {
        try {
            return (BitmapDataObject) new ObjectInputStream(new FileInputStream(new File(str))).readObject();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
            return null;
        } catch (IOException e2) {
            e2.printStackTrace();
            return null;
        } catch (ClassNotFoundException e3) {
            e3.printStackTrace();
            return null;
        }
    }
}
