package com.AccountName.thumbnailmaker.adapter;

import android.annotation.SuppressLint;
import android.content.Context;

import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;

import androidx.recyclerview.widget.RecyclerView;

import com.AccountName.thumbnailmaker.R;
import com.bumptech.glide.Glide;

public class RecyclerFilterImageAdapter extends RecyclerView.Adapter<RecyclerFilterImageAdapter.ViewHolder> {
    Context context;
    String[] filterImageArr;
    int selected_position = -1;

    public static class ViewHolder extends  RecyclerView.ViewHolder {
        ImageView imageView;
        LinearLayout layout;
        ImageView viewImage;

        public ViewHolder(View view) {
            super(view);
            this.imageView = (ImageView) view.findViewById(R.id.item_image);
            this.viewImage = (ImageView) view.findViewById(R.id.view_image);
            this.layout = (LinearLayout) view.findViewById(R.id.lay);
        }
    }

    public long getItemId(int i) {
        return (long) i;
    }

    public int getItemViewType(int i) {
        return i;
    }

    public RecyclerFilterImageAdapter(Context context, String[] strArr) {
        this.context = context;
        this.filterImageArr = strArr;
    }

    public int getItemCount() {
        return this.filterImageArr.length;
    }

    public void onBindViewHolder(ViewHolder viewHolder, @SuppressLint("RecyclerView") final int i) {
        Glide.with(this.context).load(Integer.valueOf(this.context.getResources().getIdentifier(this.filterImageArr[i], "drawable", this.context.getPackageName()))).thumbnail(0.1f).dontAnimate().placeholder((int) R.drawable.no_image).error((int) R.drawable.no_image).into(viewHolder.imageView);
        if (this.selected_position == i) {
            viewHolder.viewImage.setVisibility(View.VISIBLE);
        } else {
            viewHolder.viewImage.setVisibility(View.INVISIBLE);
        }
        viewHolder.layout.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                RecyclerFilterImageAdapter.this.notifyItemChanged(RecyclerFilterImageAdapter.this.selected_position);
                RecyclerFilterImageAdapter.this.selected_position = i;
                RecyclerFilterImageAdapter.this.notifyItemChanged(RecyclerFilterImageAdapter.this.selected_position);
            }
        });
    }

    public void setSelected(int i) {
        this.selected_position = i;
        notifyDataSetChanged();
    }

    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        ViewHolder viewHolder = new ViewHolder(LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.recycler_adapter, viewGroup, false));
        viewGroup.setId(i);
        viewGroup.setFocusable(false);
        viewGroup.setFocusableInTouchMode(false);
        return viewHolder;
    }
}
