package com.AccountName.thumbnailmaker.adapter;

import android.annotation.SuppressLint;
import android.content.Context;
import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.RecyclerView;


import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.sticker_fragment.RatioInfo;

public class RecyclerRatioCropAdapter extends RecyclerView.Adapter<RecyclerRatioCropAdapter.ViewHolder> {
    Context context;
    RatioInfo[] makeUpEditImage;
    int selected_position = 500;

    public static class ViewHolder extends  RecyclerView.ViewHolder {
        TextView item_txt;
        TextView item_txtSize;
        LinearLayout layout;

        public ViewHolder(View view) {
            super(view);
            this.item_txt = (TextView) view.findViewById(R.id.item_txt);
            this.item_txtSize = (TextView) view.findViewById(R.id.item_txtSize);
            this.layout = (LinearLayout) view.findViewById(R.id.lay);
        }
    }

    public long getItemId(int i) {
        return (long) i;
    }

    public int getItemViewType(int i) {
        return i;
    }

    public RecyclerRatioCropAdapter(Context context, RatioInfo[] ratioInfoArr) {
        this.context = context;
        this.makeUpEditImage = ratioInfoArr;
    }

    public int getItemCount() {
        return this.makeUpEditImage.length;
    }

    public void onBindViewHolder(ViewHolder viewHolder, @SuppressLint("RecyclerView") final int i) {
        viewHolder.item_txt.setText(this.makeUpEditImage[i].getTxt1());
        viewHolder.item_txtSize.setText(this.makeUpEditImage[i].getTxt2());
        if (this.selected_position == i) {
            viewHolder.item_txt.setTextColor(ContextCompat.getColor(this.context, R.color.colorPrimary));
            viewHolder.item_txtSize.setTextColor(ContextCompat.getColor(this.context, R.color.colorPrimary));
        } else {
            viewHolder.item_txt.setTextColor(ContextCompat.getColor(this.context, R.color.colorPrimary));
            viewHolder.item_txtSize.setTextColor(ContextCompat.getColor(this.context, R.color.colorPrimary));
        }
        viewHolder.layout.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                RecyclerRatioCropAdapter.this.notifyItemChanged(RecyclerRatioCropAdapter.this.selected_position);
                RecyclerRatioCropAdapter.this.selected_position = i;
                RecyclerRatioCropAdapter.this.notifyItemChanged(RecyclerRatioCropAdapter.this.selected_position);
            }
        });
    }

    public void setSelected(int i) {
        this.selected_position = i;
        notifyDataSetChanged();
    }

    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        ViewHolder viewHolder = new ViewHolder(LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.recycler_adapter_ratiotxt, viewGroup, false));
        viewGroup.setId(i);
        viewGroup.setFocusable(false);
        viewGroup.setFocusableInTouchMode(false);
        return viewHolder;
    }
}
