package com.AccountName.thumbnailmaker.adapter;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Typeface;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.AccountName.thumbnailmaker.R;

public class RecyclerTextFontAdapter extends RecyclerView.Adapter<RecyclerTextFontAdapter.ViewHolder> {
    Context context;
    int selected_position = -1;
    String[] txtFontArr;

    public static class ViewHolder extends  RecyclerView.ViewHolder {
        TextView item_txt;
        RelativeLayout layout;

        public ViewHolder(View view) {
            super(view);
            this.item_txt = (TextView) view.findViewById(R.id.item_txt);
            this.layout = (RelativeLayout) view.findViewById(R.id.lay);
        }
    }

    public long getItemId(int i) {
        return (long) i;
    }

    public int getItemViewType(int i) {
        return i;
    }

    public RecyclerTextFontAdapter(Context context, String[] strArr) {
        this.context = context;
        this.txtFontArr = strArr;
    }

    public int getItemCount() {
        return this.txtFontArr.length;
    }

    public void onBindViewHolder(ViewHolder viewHolder, @SuppressLint("RecyclerView") final int i) {
        viewHolder.item_txt.setTypeface(Typeface.createFromAsset(this.context.getAssets(), this.txtFontArr[i]));
        if (this.selected_position == i) {
            viewHolder.item_txt.setTextColor(-7829368);
        } else {
            viewHolder.item_txt.setTextColor(-1);
        }
        viewHolder.layout.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                RecyclerTextFontAdapter.this.notifyItemChanged(RecyclerTextFontAdapter.this.selected_position);
                RecyclerTextFontAdapter.this.selected_position = i;
                RecyclerTextFontAdapter.this.notifyItemChanged(RecyclerTextFontAdapter.this.selected_position);
            }
        });
    }

    public void setSelected(int i) {
        this.selected_position = i;
        notifyDataSetChanged();
    }

    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        ViewHolder viewHolder = new ViewHolder(LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.recycler_adapter_txt, viewGroup, false));
        viewGroup.setId(i);
        viewGroup.setFocusable(false);
        viewGroup.setFocusableInTouchMode(false);
        return viewHolder;
    }
}
