package com.AccountName.thumbnailmaker.adapter;

import android.content.Context;
import android.graphics.drawable.GradientDrawable.Orientation;
import android.os.Bundle;

import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentPagerAdapter;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.main.FragmentBackgrounds;
import com.AccountName.thumbnailmaker.main.FragmentGradient;

import java.util.ArrayList;


public class ViewPagerAdapter extends FragmentPagerAdapter {
    private String[] TITLES;
    private Context _context;
    String[] cateName;
    int[] colors;
    ArrayList<Fragment> fragments = new ArrayList();
    Orientation orient;
    int radius;
    String typeGradient;

    public ViewPagerAdapter(Context context, FragmentManager fragmentManager, String str, int[] iArr, Orientation orientation, int i) {
        super(fragmentManager);
        String[] r2 = new String[11];
        int i2 = 0;
        r2[0] = "Nature";
        r2[1] = "Blur";
        r2[2] = "Black and white";
        r2[3] = "Abstract";
        r2[4] = "Water color";
        r2[5] = "Texture";
        r2[6] = "Wood";
        r2[7] = "Zig Zag";
        r2[8] = "Creative Design";
        r2[9] = "Dot";
        r2[10] = "Gradient";
        this.cateName = r2;
        this._context = context;
        this.typeGradient = str;
        this.colors = iArr;
        this.orient = orientation;
        this.radius = i;
        androidx.fragment.app.Fragment fragment = new androidx.fragment.app.Fragment();
        this.TITLES = new String[]{context.getResources().getString(R.string.bakgndcat8), context.getResources().getString(R.string.bakgndcat7), context.getResources().getString(R.string.bakgndcat9), context.getResources().getString(R.string.bakgndcat1), context.getResources().getString(R.string.bakgndcat6), context.getResources().getString(R.string.bakgndcat10), context.getResources().getString(R.string.bakgndcat5), context.getResources().getString(R.string.bakgndcat2), context.getResources().getString(R.string.bakgndcat3), context.getResources().getString(R.string.bakgndcat4), context.getResources().getString(R.string.bakgndcat11)};
        while (i2 < this.TITLES.length) {
            this.fragments.add(fragment);
            i2++;
        }
    }

    public androidx.fragment.app.Fragment getItem(int i) {
        androidx.fragment.app.Fragment fragmentBackgrounds;
        String str = this.cateName[i];
        if (i != 10) {
            fragmentBackgrounds = new FragmentBackgrounds();
            Bundle bundle = new Bundle();
            bundle.putString("categoryName", str);
            bundle.putString("typeGradient", this.typeGradient);
            bundle.putIntArray("colorArr", this.colors);
            bundle.putSerializable("orintation", this.orient);
            bundle.putInt("prog_radious", this.radius);
            fragmentBackgrounds.setArguments(bundle);
        } else {
            fragmentBackgrounds = new FragmentGradient();
            Bundle bundle2 = new Bundle();
            bundle2.putString("typeGradient", this.typeGradient);
            bundle2.putIntArray("colorArr", this.colors);
            bundle2.putSerializable("orintation", this.orient);
            bundle2.putInt("prog_radious", this.radius);
            fragmentBackgrounds.setArguments(bundle2);
        }
        this.fragments.set(i, fragmentBackgrounds);
        return fragmentBackgrounds;
    }

    public CharSequence getPageTitle(int i) {
        return this.TITLES[i];
    }

    public int getCount() {
        return this.TITLES.length;
    }

    public Fragment currentFragment(int i) {
        return (Fragment) this.fragments.get(i);
    }
}
