package com.AccountName.thumbnailmaker.main;

import android.app.ProgressDialog;
import android.graphics.Bitmap;
import android.os.AsyncTask;
import android.view.View;
import android.widget.ImageView;

import androidx.appcompat.app.AppCompatActivity;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.utility.GPUImageFilterTools.FilterAdjuster;

import jp.co.cyberagent.android.gpuimage.GPUImage;
import jp.co.cyberagent.android.gpuimage.filter.GPUImageGaussianBlurFilter;


public class BlurOperationAsync extends AsyncTask<String, Void, String> {
    ImageView background_blur;
    Bitmap btmp;
    AppCompatActivity context;
    int min;
    private ProgressDialog pd;

    public BlurOperationAsync(PosterActivity posterActivity, Bitmap bitmap, ImageView imageView, int i) {
        this.context = posterActivity;
        this.btmp = bitmap;
        this.background_blur = imageView;
        this.min = i;
    }


    public void onPreExecute() {
        this.pd = new ProgressDialog(this.context,R.style.AppCompatAlertDialogStyle);
        this.pd.setMessage(this.context.getResources().getString(R.string.plzwait));
        this.pd.setCancelable(false);
        this.pd.show();
    }


    public String doInBackground(String... strArr) {
        this.btmp = gaussinBlur(this.context, this.btmp);
        return "yes";
    }


    public void onPostExecute(String str) {
        this.pd.dismiss();
        if (this.min != 0) {
            this.background_blur.setVisibility(View.VISIBLE);
        } else {
            this.background_blur.setVisibility(View.GONE);
        }
        this.background_blur.setImageBitmap(this.btmp);
    }

    private Bitmap gaussinBlur(AppCompatActivity activity, Bitmap bitmap) {
        try {
            GPUImage gPUImage = new GPUImage(activity);
            GPUImageGaussianBlurFilter gPUImageGaussianBlurFilter = new GPUImageGaussianBlurFilter();
            gPUImage.setFilter(gPUImageGaussianBlurFilter);
            new FilterAdjuster(gPUImageGaussianBlurFilter).adjust(100);
            gPUImage.requestRender();
            return gPUImage.getBitmapWithFilterApplied(bitmap);
        } catch (Error | Exception e) {
            e.printStackTrace();
            return bitmap;
        }
    }
}
