package com.AccountName.thumbnailmaker.main;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.Bitmap.Config;
import android.graphics.BitmapFactory;
import android.graphics.BitmapFactory.Options;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.DashPathEffect;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Paint.Style;
import android.graphics.Rect;
import android.graphics.Shader.TileMode;
import android.graphics.Typeface;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.net.Uri;
import android.os.Build.VERSION;
import android.os.ParcelFileDescriptor;
import android.text.SpannableString;
import android.text.SpannableStringBuilder;
import android.util.Log;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.SeekBar;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;
import androidx.core.view.ViewCompat;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.sticker_fragment.RatioInfo;
import com.AccountName.thumbnailmaker.utility.ExifUtils;
import com.AccountName.thumbnailmaker.utility.ImageUtils;
import com.AccountName.thumbnailmaker.utility.StorageConfiguration;
import com.SimplyEntertaining.thumbnailmaker.main.JniUtils;

import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileDescriptor;
import java.io.FileOutputStream;
import java.io.IOException;

public class Constants {

    public static String[] Imageid0 = new String[]{"ab_1", "ab_2", "ab_3", "ab_4", "ab_5", "ab_6", "ab_7", "ab_8", "ab_9", "ab_10", "ab_11", "ab_12", "ab_13", "ab_14", "ab_15", "ab_16", "ab_17", "ab_18", "ab_19", "ab_20", "ab_21", "ab_22", "ab_23", "ab_24", "ab_25", "ab_26", "ab_27", "ab_28", "ab_29", "ab_30", "ab_31", "ab_32"};
    public static String[] Imageid1 = new String[]{"zi_1", "zi_2", "zi_3", "zi_4", "zi_5", "zi_6", "zi_7", "zi_8", "zi_9", "zi_10", "zi_11", "zi_12", "zi_13", "zi_14", "zi_15", "zi_16", "zi_17", "zi_18", "zi_19", "zi_20"};
    public static String[] Imageid2 = new String[]{"cr_1", "cr_2", "cr_3", "cr_4", "cr_5", "cr_6", "cr_7", "cr_8", "cr_9", "cr_10", "cr_11", "cr_12", "cr_13", "cr_14", "cr_15", "cr_16", "cr_17", "cr_18", "cr_19", "cr_20"};
    public static String[] Imageid3 = new String[]{"do_1", "do_2", "do_3", "do_4", "do_5", "do_6", "do_7", "do_8", "do_9", "do_10", "do_11", "do_12", "do_13", "do_14", "do_15", "do_16", "do_17", "do_18", "do_19", "do_20", "do_21", "do_22", "do_23", "do_24", "do_25", "do_26", "do_27", "do_28", "do_29", "do_30", "do_31", "do_32", "do_33", "do_34", "do_35", "do_36", "do_37", "do_38", "do_39"};
    public static String[] Imageid4 = new String[]{"wo_1", "wo_2", "wo_3", "wo_4", "wo_5", "wo_6", "wo_7", "wo_8", "wo_9", "wo_10", "wo_11", "wo_12", "wo_13", "wo_14", "wo_15", "wo_16", "wo_17", "wo_18", "wo_19", "wo_20"};
    public static String[] Imageid5 = new String[]{"wa_1", "wa_2", "wa_3", "wa_4", "wa_5", "wa_6", "wa_7", "wa_8", "wa_9", "wa_10", "wa_11", "wa_12", "wa_13", "wa_14", "wa_15", "wa_16", "wa_17", "wa_18", "wa_19", "wa_20", "wa_21", "wa_22", "wa_23"};
    public static String[] Imageid6 = new String[]{"blr_1", "blr_2", "blr_3", "blr_4", "blr_5", "blr_6", "wa_7", "blr_8", "blr_9", "blr_10", "blr_11", "blr_12", "blr_13", "blr_14", "blr_15", "blr_16", "blr_17", "blr_18", "blr_19", "blr_20", "blr_21", "blr_22", "blr_23", "blr_24", "blr_25", "blr_26"};
    public static String[] Imageid7 = new String[]{"na_1", "na_2", "na_3", "na_4", "na_5", "na_6", "na_7", "na_8", "na_9", "na_10", "na_11", "na_12", "na_13", "na_14", "na_15", "na_16"};
    public static String[] Imageid8 = new String[]{"bl_1", "bl_2", "bl_3", "bl_4", "bl_5", "bl_6", "bl_7", "bl_8", "bl_9", "bl_10", "bl_11", "bl_12", "bl_13", "bl_14", "bl_15", "bl_16", "bl_17", "bl_18", "bl_19", "bl_20", "bl_21"};
    public static String[] Imageid9 = new String[]{"t1", "t2", "t3", "t4", "t5", "t6", "t7", "t8", "t9", "t10", "t11", "t12", "t13", "t14", "t15", "t16", "t17", "t18", "t19", "t20", "t21", "t22", "t23", "t24", "t25", "t26", "t27", "t28", "t29", "t30", "t31", "t32", "t33", "t34", "t35", "t36", "t37", "t38", "t39", "t40", "t41", "t42", "t43", "t44", "t45", "t46", "t47", "t48", "t49", "t50", "t51", "t52", "t53", "t54", "t55", "t56", "t57", "t58", "t59", "t60"};
    public static String[] Imageid_st1 = new String[]{"a_1", "a_2", "a_3", "a_4", "a_5", "a_6", "a_7", "a_8", "a_9", "a_10", "a_11", "a_12", "a_13", "a_14", "a_15", "a_16", "a_17", "a_18", "a_19", "a_20", "a_21", "a_22", "a_23", "a_24", "a_25"};
    public static String[] Imageid_st10 = new String[]{"j_1", "j_2", "j_3", "j_4", "j_5", "j_6", "j_7", "j_8", "j_9", "j_10", "j_11", "j_12", "j_13", "j_14"};
    public static String[] Imageid_st11 = new String[]{"k_1", "k_2", "k_3", "k_4", "k_5", "k_6", "k_7", "k_8", "k_9", "k_10", "k_11", "k_12", "k_13", "k_14", "k_15", "k_16", "k_17", "k_18", "k_19", "k_20", "k_21", "k_22", "k_23", "k_24", "k_25", "k_26", "k_27", "k_28", "k_29", "k_30", "k_31", "k_32", "k_33", "k_34", "k_35", "k_36", "k_37"};
    public static String[] Imageid_st12 = new String[]{"l_1", "l_2", "l_3", "l_4", "l_5", "l_6", "l_7", "l_8", "l_9", "l_10", "l_11", "l_12"};
    public static String[] Imageid_st13 = new String[]{"m_1", "m_2", "m_3", "m_4", "m_5", "m_6", "m_7", "m_8", "m_9", "m_10", "m_11", "m_12", "m_13", "m_14", "m_15", "m_16", "m_17"};
    public static String[] Imageid_st14 = new String[]{"n_1", "n_2", "n_3", "n_4", "n_5", "n_6", "n_7", "n_8", "n_9", "n_10", "n_11"};
    public static String[] Imageid_st15 = new String[]{"o_1", "o_2", "o_3", "o_4", "o_5", "o_6", "o_7", "o_8", "o_9", "o_10", "o_11", "o_12", "o_13", "o_14", "o_15"};
    public static String[] Imageid_st16 = new String[]{"p_1", "p_2", "p_3", "p_4", "p_5", "p_6", "p_7", "p_8", "p_9", "p_10", "p_11", "p_12", "p_13", "p_14", "p_15", "p_16"};
    public static String[] Imageid_st17 = new String[]{"q_1", "q_2", "q_3", "q_4", "q_5", "q_6", "q_7", "q_8", "q_9", "q_10"};
    public static String[] Imageid_st18 = new String[]{"r_1", "r_2", "r_3", "r_4", "r_5", "r_6", "r_7", "r_8", "r_9", "r_10", "r_11", "r_12", "r_13", "r_14", "r_15", "r_16", "r_17", "r_18", "r_19", "r_20", "r_21", "r_22", "r_23", "r_24", "r_25", "r_26", "r_27"};
    public static String[] Imageid_st19 = new String[]{"s_1", "s_2", "s_3", "s_4", "s_5", "s_6", "s_7", "s_8", "s_9", "s_10", "s_11", "s_12", "s_13", "s_14", "s_15", "s_16", "s_17", "s_18", "s_19", "s_20", "s_21", "s_22", "s_23", "s_24", "s_25", "s_26", "s_27", "s_28", "s_29", "s_30", "s_31", "s_32", "s_33", "s_34", "s_35", "s_36"};
    public static String[] Imageid_st2 = new String[]{"b_1", "b_2", "b_3", "b_4", "b_5", "b_6", "b_7", "b_8", "b_9", "b_10", "b_11", "b_12", "b_13", "b_14", "b_15", "b_16", "b_17", "b_18", "b_19", "b_20", "b_21", "b_22", "b_23", "b_24", "b_25"};
    public static String[] Imageid_st20 = new String[]{"t_1", "t_2", "t_3", "t_4", "t_5", "t_6", "t_7", "t_8", "t_9", "t_10", "t_11", "t_12", "t_13", "t_14", "t_15", "t_16", "t_17", "t_18", "t_19", "t_20", "t_21", "t_22", "t_23", "t_24", "t_25", "t_26", "t_27", "t_28", "t_29", "t_30", "t_31", "t_32", "t_33", "t_34"};
    public static String[] Imageid_st21 = new String[]{"u_1", "u_2", "u_3", "u_4", "u_5", "u_6", "u_7", "u_8", "u_9", "u_10", "u_11", "u_12", "u_13", "u_14", "u_15", "u_16", "u_17", "u_18", "u_19", "u_20", "u_21", "u_22", "u_23", "u_24", "u_25", "u_26", "u_27", "u_28", "u_29", "u_30", "u_31", "u_32", "u_33", "u_34", "u_35", "u_36", "u_37", "u_38", "u_39", "u_40", "u_41", "u_42"};
    public static String[] Imageid_st22 = new String[]{"sh1", "sh2", "sh3", "sh4", "sh5", "sh6", "sh7", "sh8", "sh9", "sh10", "sh11", "sh12", "sh13", "sh14", "sh15", "sh16", "sh17", "sh18", "sh19", "sh20", "sh21", "sh22", "sh23", "sh24", "sh25", "sh26", "sh27", "sh28", "sh29", "sh30", "sh31", "sh32", "sh33", "sh34", "sh35", "sh36", "sh37", "sh38", "sh39", "sh40", "sh41", "sh42", "sh43", "sh44", "sh45", "sh46", "sh47", "sh48", "sh49", "sh50", "sh51", "sh52", "sh53", "sh54", "sh55", "sh56", "sh57", "sh58", "sh59", "sh60", "sh61", "sh62", "sh63", "sh64", "sh65", "sh66", "sh67", "sh68"};
    public static String[] Imageid_st3 = new String[]{"c_1", "c_2", "c_3", "c_4", "c_5", "c_6", "c_7", "c_8", "c_9", "c_10", "c_11", "c_12"};
    public static String[] Imageid_st4 = new String[]{"d_1", "d_2", "d_3", "d_4", "d_5", "d_6", "d_7", "d_8", "d_9", "d_10", "d_11", "d_12", "d_13", "d_14", "d_15", "d_16", "d_17", "d_18"};
    public static String[] Imageid_st5 = new String[]{"e_1", "e_2", "e_3", "e_4", "e_5", "e_6", "e_7", "e_8", "e_9", "e_10"};
    public static String[] Imageid_st6 = new String[]{"f_1", "f_2", "f_3", "f_4", "f_5", "f_6", "f_7", "f_8", "f_9", "f_10", "f_11", "f_12", "f_13", "f_14", "f_15", "f_16", "f_17", "f_18", "f_19", "f_20", "f_21", "f_22", "f_23", "f_24", "f_25", "f_26"};
    public static String[] Imageid_st7 = new String[]{"g_1", "g_2", "g_3", "g_4", "g_5", "g_6", "g_7", "g_8", "g_9", "g_10", "g_11", "g_12", "g_13", "g_14", "g_15", "g_16", "g_17", "g_18", "g_19", "g_20", "g_21", "g_22", "g_23", "g_24", "g_25", "g_26", "g_27", "g_28", "g_29", "g_30"};
    public static String[] Imageid_st8 = new String[]{"h_1", "h_2", "h_3", "h_4", "h_5", "h_6", "h_7", "h_8", "h_9", "h_10", "h_11", "h_12", "h_13"};
    public static String[] Imageid_st9 = new String[]{"i_1", "i_2", "i_3", "i_4", "i_5", "i_6", "i_7", "i_8", "i_9", "i_10", "i_11", "i_12", "i_13", "i_14", "i_15", "i_16", "i_17"};
    public static String[] overlayImg = new String[]{"o1", "o2", "o3", "o4", "o5", "o6", "o7", "o8", "o9", "o10", "o11", "o12", "o13", "o14", "o15", "o16", "o17", "o18", "o19", "o20", "o21", "o22", "o23", "o24", "o25", "o26", "o27", "o28", "o29", "o30", "o31"};

    public static RatioInfo[] getFacebookArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.fc), "(851 * 315)", "851:315", "facebook_cover"), new RatioInfo(resources.getString(R.string.fp), "(940 * 788", "940:788", "facebook_post"), new RatioInfo(resources.getString(R.string.fai), "(810 * 450)", "810:450", "facebook_app_image"), new RatioInfo(resources.getString(R.string.fadi), "(1200 * 627)", "1200:627", "facebook_ad_image"), new RatioInfo(resources.getString(R.string.fapi), "(720 * 720)", "720:720", "facebook_profile_image"), new RatioInfo(resources.getString(R.string.fagcp), "(820 * 428)", "820:428", "facebook_group_cover_photo")};
    }

    public static RatioInfo[] getInstaArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.ip), "(1080 * 1080)", "1080:1080", "instagram_post"), new RatioInfo(resources.getString(R.string.ip), "(1080 * 1350)", "1080:1350", "instagram_1080_1350"), new RatioInfo(resources.getString(R.string.ip), "(1080 * 566)", "1080:566", "instagram_1080_566")};
    }

    public static RatioInfo[] getYoutubeArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.yc), "(2560 * 1440)", "2560:1440", "youtube_cover"), new RatioInfo(resources.getString(R.string.yt), "(1280 * 720)", "1280:720", "youtube_thumbnail"), new RatioInfo(resources.getString(R.string.ytd), "(1855 * 423)", "1855:423", "youtube_tablet_display")};
    }

    public static RatioInfo[] getTwitterArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.tc), "(1500 * 500)", "1500:500", "twitter_cover"), new RatioInfo(resources.getString(R.string.tp), "(1024 * 512)", "1024:512", "twitter_post"), new RatioInfo(resources.getString(R.string.tpi), "(200 * 200)", "200:200", "twitter_profile_image")};
    }

    public static RatioInfo[] getLinkedinArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.lc), "(1440 * 425)", "1440:425", "linkedin_cover"), new RatioInfo(resources.getString(R.string.lb), "(646 * 220)", "646:220", "linkedin_banner"), new RatioInfo(resources.getString(R.string.lp), "(400 * 400)", "400:400", "linkedin_profile_image")};
    }

    public static RatioInfo[] getTwitchArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.thc), "(900 * 480)", "900:480", "twitch_cover"), new RatioInfo(resources.getString(R.string.tvi), "(1206 * 708)", "1206:708", "twitch_video_image"), new RatioInfo(resources.getString(R.string.tvi), "(1600 * 1200)", "1600:1200", "twitch_video_image")};
    }

    public static RatioInfo[] getPaperArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.ap), "(595 * 842)", "595:842", "a4paper_72dp"), new RatioInfo(resources.getString(R.string.ap2), "(1654 * 2339)", "1654:2339", "a4paper_200dp"), new RatioInfo(resources.getString(R.string.ap3), "(2480 * 3508)", "2480:3508", "a4paper_300dp")};
    }

    public static RatioInfo[] getLetterArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.l), "(612 * 792)", "612:792", "letter_72dp"), new RatioInfo(resources.getString(R.string.l2), "(1700 * 2200)", "1700:2200", "letter_200dp"), new RatioInfo(resources.getString(R.string.l3), "(2550 * 3300)", "2550:3300", "letter_300dp")};
    }

    public static RatioInfo[] getDeviceArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.dwp), "(1080 * 1920)", "1080:1920", "device_wall_port"), new RatioInfo(resources.getString(R.string.dwl), "(1920 * 1080)", "1920:1080", "device_wall_land")};
    }

    public static RatioInfo[] getDesktopArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.dw), "(1920 * 1080)", "1920:1080", "desktop_wall_1920_1080"), new RatioInfo(resources.getString(R.string.dw), "(1366 * 768)", "1366:768", "desktop_wall_1366_768"), new RatioInfo(resources.getString(R.string.dw), "(1280 * 800)", "1280:800", "desktop_wall_1280_800")};
    }

    public static RatioInfo[] getLogoArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.logo), "(1080 * 1080)", "1080:1080", "logo"), new RatioInfo(resources.getString(R.string.logo_go), "(250 * 250)", "250:250", "logo"), new RatioInfo(resources.getString(R.string.logo_fa), "(200 * 200)", "200:200", "logo"), new RatioInfo(resources.getString(R.string.logo_tw), "(400 * 400)", "400:400", "logo"), new RatioInfo(resources.getString(R.string.logo_li), "(300 * 300)", "300:300", "logo")};
    }

    public static RatioInfo[] getGoogleArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.gc), "(1080 * 608)", "1080:608", "google_cover"), new RatioInfo(resources.getString(R.string.gcp), "(968 * 545)", "968:545", "google_cover_photo"), new RatioInfo(resources.getString(R.string.gpp), "(250 * 250)", "250:250", "google_profile_photo")};
    }

    public static RatioInfo[] getTumblrArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.tg), "(540 * 810)", "540:810", "thumbler_graphic"), new RatioInfo(resources.getString(R.string.ti), "(1280 * 1920)", "1280:1920", "tumblr_image")};
    }

    public static RatioInfo[] getPinterestArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.pp), "(735 * 600)", "735:600", "pinterest_pin"), new RatioInfo(resources.getString(R.string.pbd), "(222 * 150)", "222:150", "pinterest_board_display"), new RatioInfo(resources.getString(R.string.ppi), "(400 * 400)", "400:400", "pinterest_profile")};
    }

    public static RatioInfo[] getPresentationArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.p), "(1024 * 768)", "1024:768", "presentation"), new RatioInfo(resources.getString(R.string.p), "(960 * 540)", "960:540", "presentations_960_540"), new RatioInfo(resources.getString(R.string.p), "(720 * 540)", "720:540", "presentations_720_540")};
    }

    public static RatioInfo[] getInfographicArr(Context context) {
        Resources resources = context.getResources();
        return new RatioInfo[]{new RatioInfo(resources.getString(R.string.i), "(800 * 2000)", "800:2000", "infographic"), new RatioInfo(resources.getString(R.string.ia), "(684 * 870)", "684:870", "infographic_684_870"), new RatioInfo(resources.getString(R.string.im), "(663 * 800)", "663:800", "infographic_663_800"), new RatioInfo(resources.getString(R.string.imo), "(598 * 800)", "598:800", "infographic_598_800")};
    }

    public static Bitmap merge(Bitmap bitmap, Bitmap bitmap2, int i) {
        Bitmap createBitmap = Bitmap.createBitmap(bitmap.getWidth(), bitmap.getHeight(), Config.ARGB_8888);
        Drawable[] drawableArr = new Drawable[]{new BitmapDrawable(bitmap), new BitmapDrawable(bitmap2)};
        drawableArr[1].setAlpha(i);
        LayerDrawable layerDrawable = new LayerDrawable(drawableArr);
        Canvas canvas = new Canvas(createBitmap);
        layerDrawable.setBounds(0, 0, canvas.getWidth(), canvas.getHeight());
        layerDrawable.draw(canvas);
        return createBitmap;
    }

    public static CharSequence getSpannableString(Context context, Typeface typeface, int i) {
        SpannableStringBuilder append = new SpannableStringBuilder().append(new SpannableString(context.getResources().getString(i)));
        return append.subSequence(0, append.length());
    }

    public static Bitmap getBitmapFromUri(Context context, Uri uri, float f, float f2) throws IOException {
        OutOfMemoryError e;
        Bitmap bitmap = null;
        try {
            ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(uri, "r");
            FileDescriptor fileDescriptor = openFileDescriptor.getFileDescriptor();
            Options options = new Options();
            options.inJustDecodeBounds = true;
            BitmapFactory.decodeFileDescriptor(fileDescriptor, null, options);
            Options options2 = new Options();
            if (f <= f2) {
                f = f2;
            }
            int i = (int) f;
            options2.inSampleSize = ImageUtils.getClosestResampleSize(options.outWidth, options.outHeight, i);
            Bitmap decodeFileDescriptor = BitmapFactory.decodeFileDescriptor(fileDescriptor, null, options2);
            try {
                Matrix matrix = new Matrix();
                if (decodeFileDescriptor.getWidth() > i || decodeFileDescriptor.getHeight() > i) {
                    Options resampling = ImageUtils.getResampling(decodeFileDescriptor.getWidth(), decodeFileDescriptor.getHeight(), i);
                    matrix.postScale(((float) resampling.outWidth) / ((float) decodeFileDescriptor.getWidth()), ((float) resampling.outHeight) / ((float) decodeFileDescriptor.getHeight()));
                }
                String realPathFromURI = ImageUtils.getRealPathFromURI(uri, context);
                if (new Integer(VERSION.SDK).intValue() > 4) {
                    int exifRotation = ExifUtils.getExifRotation(realPathFromURI);
                    if (exifRotation != 0) {
                        matrix.postRotate((float) exifRotation);
                    }
                }
                bitmap = Bitmap.createBitmap(decodeFileDescriptor, 0, 0, decodeFileDescriptor.getWidth(), decodeFileDescriptor.getHeight(), matrix, true);
                openFileDescriptor.close();
            } catch (OutOfMemoryError e2) {
                e = e2;
                bitmap = decodeFileDescriptor;
                e.printStackTrace();
                return bitmap;
            }
        } catch (OutOfMemoryError e3) {
            e = e3;
        }
        return bitmap;
    }

    public static Bitmap guidelines_bitmap(AppCompatActivity activity, int i, int i2) {
        Context context = activity;
        int i3 = i;
        int i4 = i2;
        Bitmap createBitmap = Bitmap.createBitmap(i3, i4, Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        Paint paint = new Paint();
        paint.setColor(-1);
        paint.setStrokeWidth((float) ImageUtils.dpToPx(context, 2));
        paint.setPathEffect(new DashPathEffect(new float[]{5.0f, 5.0f}, 1.0f));
        paint.setStyle(Style.STROKE);
        Paint paint2 = new Paint();
        paint2.setColor(ViewCompat.MEASURED_STATE_MASK);
        paint2.setStrokeWidth((float) ImageUtils.dpToPx(context, 2));
        paint2.setPathEffect(new DashPathEffect(new float[]{5.0f, 5.0f}, 1.0f));
        paint2.setStyle(Style.STROKE);
        int i5 = i3 / 4;
        float f = (float) i5;
        float f2 = (float) i4;
        Canvas canvas2 = canvas;
        float f3 = f2;
        Paint paint3 = paint;
        canvas2.drawLine(f, 0.0f, f, f3, paint3);
        int i6 = i3 / 2;
        f = (float) i6;
        canvas2.drawLine(f, 0.0f, f, f3, paint3);
        int i7 = (i3 * 3) / 4;
        f = (float) i7;
        canvas2 = canvas;
        int i8 = i7;
        canvas2.drawLine(f, 0.0f, f, f3, paint);
        i7 = i4 / 4;
        f3 = (float) i7;
        float f4 = (float) i3;
        f = f4;
        int i9 = i7;
        canvas2.drawLine(0.0f, f3, f, f3, paint);
        i7 = i4 / 2;
        f3 = (float) i7;
        int i10 = i7;
        paint3 = paint;
        canvas2.drawLine(0.0f, f3, f, f3, paint3);
        i4 = (i4 * 3) / 4;
        f3 = (float) i4;
        canvas2.drawLine(0.0f, f3, f, f3, paint3);
        f = (float) (i5 + 2);
        f3 = f2;
        paint3 = paint2;
        canvas2.drawLine(f, 0.0f, f, f3, paint3);
        f = (float) (i6 + 2);
        canvas2.drawLine(f, 0.0f, f, f3, paint3);
        f = (float) (i8 + 2);
        canvas2.drawLine(f, 0.0f, f, f3, paint2);
        f3 = (float) (i9 + 2);
        f = f4;
        canvas2.drawLine(0.0f, f3, f, f3, paint2);
        f3 = (float) (i10 + 2);
        paint3 = paint2;
        canvas2.drawLine(0.0f, f3, f, f3, paint3);
        f3 = (float) (i4 + 2);
        canvas2.drawLine(0.0f, f3, f, f3, paint3);
        return createBitmap;
    }

    public static Bitmap getTiledBitmap(AppCompatActivity activity, int i, Bitmap bitmap, SeekBar seekBar) {
        Rect rect = new Rect(0, 0, bitmap.getWidth(), bitmap.getHeight());
        Paint paint = new Paint();
        int progress = seekBar.getProgress() + 10;
        Options options = new Options();
        options.inScaled = false;
        paint.setShader(new BitmapShader(Bitmap.createScaledBitmap(BitmapFactory.decodeResource(activity.getResources(), i, options), progress, progress, true), TileMode.REPEAT, TileMode.REPEAT));
        Bitmap createBitmap = Bitmap.createBitmap(bitmap.getWidth(), bitmap.getHeight(), Config.ARGB_8888);
        new Canvas(createBitmap).drawRect(rect, paint);
        return createBitmap;
    }

    public static Bitmap getTiledBitmap(AppCompatActivity activity, int i, Bitmap bitmap, int i2) {
        Rect rect = new Rect(0, 0, bitmap.getWidth(), bitmap.getHeight());
        Paint paint = new Paint();
        i2 += 10;
        Options options = new Options();
        options.inScaled = false;
        paint.setShader(new BitmapShader(Bitmap.createScaledBitmap(BitmapFactory.decodeResource(activity.getResources(), i, options), i2, i2, true), TileMode.REPEAT, TileMode.REPEAT));
        Bitmap createBitmap = Bitmap.createBitmap(bitmap.getWidth(), bitmap.getHeight(), Config.ARGB_8888);
        new Canvas(createBitmap).drawRect(rect, paint);
        return createBitmap;
    }

    public static Bitmap getTiledBitmap(AppCompatActivity activity, String str, Bitmap bitmap, int i) {
        Rect rect = new Rect(0, 0, bitmap.getWidth(), bitmap.getHeight());
        Paint paint = new Paint();
        i += 10;
        Options options = new Options();
        options.inScaled = false;
        byte[] decryptResourceJni = JniUtils.decryptResourceJni(activity, str);
        paint.setShader(new BitmapShader(Bitmap.createScaledBitmap(BitmapFactory.decodeByteArray(decryptResourceJni, 0, decryptResourceJni.length, options), i, i, true), TileMode.REPEAT, TileMode.REPEAT));
        Bitmap createBitmap = Bitmap.createBitmap(bitmap.getWidth(), bitmap.getHeight(), Config.ARGB_8888);
        new Canvas(createBitmap).drawRect(rect, paint);
        return createBitmap;
    }

    public static File getSaveFileLocation(String str) {
        File externalStoragePublicDirectory = StorageConfiguration.getAppFile();
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append(".ThumbnailMaker Stickers/");
        stringBuilder.append(str);
        return new File(externalStoragePublicDirectory, stringBuilder.toString());
    }

    public static boolean saveBitmapObject(AppCompatActivity activity, Bitmap bitmap, String str) {
        bitmap = bitmap.copy(bitmap.getConfig(), true);
        File file = new File(str);
        try {
            if (!file.exists()) {
                file.createNewFile();
            }
            FileOutputStream fileOutputStream = new FileOutputStream(file);
            boolean compress = bitmap.compress(CompressFormat.PNG, 100, fileOutputStream);
            fileOutputStream.flush();
            fileOutputStream.close();
            bitmap.recycle();
            activity.sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(file)));
            return compress;
        } catch (Exception e) {
            e.printStackTrace();
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append("Exception");
            stringBuilder.append(e.getMessage());
            Log.i("testing", stringBuilder.toString());
            return false;
        }
    }

    public static String saveBitmapObject1(Bitmap bitmap) {
        File saveFileLocation = StorageConfiguration.getCategoryFileLocation();
        saveFileLocation.mkdirs();
        long currentTimeMillis = System.currentTimeMillis();
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append("raw1-");
        stringBuilder.append(currentTimeMillis);
        stringBuilder.append(".png");
        File file = new File(saveFileLocation, stringBuilder.toString());
        String absolutePath = file.getAbsolutePath();
        if (file.exists()) {
            file.delete();
        }
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(file);
            bitmap.compress(CompressFormat.PNG, 100, fileOutputStream);
            fileOutputStream.close();
            return absolutePath;
        } catch (Exception e) {
            e.printStackTrace();
            StringBuilder stringBuilder2 = new StringBuilder();
            stringBuilder2.append("Exception");
            stringBuilder2.append(e.getMessage());
            Log.i("testing", stringBuilder2.toString());
            return "";
        }
    }

    public static String saveBitmapObject(AppCompatActivity activity, Bitmap bitmap) {
        File file = new File(StorageConfiguration.getAppFile(), ".ThumbnailMaker Stickers/thumbnail");
        file.mkdirs();
        long currentTimeMillis = System.currentTimeMillis();
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append("raw1-");
        stringBuilder.append(currentTimeMillis);
        stringBuilder.append(".png");
        File file2 = new File(file, stringBuilder.toString());
        if (file2.exists()) {
            file2.delete();
        }
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(file2);
            bitmap.compress(CompressFormat.PNG, 100, fileOutputStream);
            fileOutputStream.close();
            return file2.getAbsolutePath();
        } catch (Exception e) {
            e.printStackTrace();
            StringBuilder stringBuilder2 = new StringBuilder();
            stringBuilder2.append("Exception");
            stringBuilder2.append(e.getMessage());
            Log.i("MAINACTIVITY", stringBuilder2.toString());
            Toast.makeText(activity, activity.getResources().getString(R.string.save_error), Toast.LENGTH_SHORT).show();
            return null;
        }
    }

    public static byte[] getBytesFromBitmap(Bitmap bitmap) {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        bitmap.compress(CompressFormat.PNG, 100, byteArrayOutputStream);
        return byteArrayOutputStream.toByteArray();
    }

    public static Bitmap drawableToBitmap(Drawable drawable, int i, int i2) {
        Bitmap createBitmap = Bitmap.createBitmap(i, i2, Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        drawable.setBounds(0, 0, i, i2);
        drawable.draw(canvas);
        return createBitmap;
    }

    public static Typeface getHeaderTypeface(Context context) {
        return Typeface.createFromAsset(context.getAssets(), "poppins_medium.ttf");
    }

    public static Typeface getTextTypeface(Context context) {
        return Typeface.createFromAsset(context.getAssets(), "poppins_medium.ttf");
    }

    public static Typeface getHomeTextTypeface(Activity activity) {
        return Typeface.createFromAsset(activity.getAssets(), "poppins_medium.ttf");
    }

    public static Typeface getTextTypefaceFont(Activity activity, String str) {
        return Typeface.createFromAsset(activity.getAssets(), str);
    }

    public static Typeface getTextTypefaceFont(Context context, String str) {
        return Typeface.createFromAsset(context.getAssets(), str);
    }

    public static Animation getAnimUp(Activity activity) {
        return AnimationUtils.loadAnimation(activity, R.anim.slide_up);
    }

    public static Animation getAnimDown(Activity activity) {
        return AnimationUtils.loadAnimation(activity, R.anim.slide_down);
    }

    public static void freeMemory() {
        System.runFinalization();
        Runtime.getRuntime().gc();
        System.gc();
    }
}