package com.AccountName.thumbnailmaker.main;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.content.res.Resources.NotFoundException;
import android.graphics.Bitmap;
import android.graphics.Bitmap.Config;
import android.graphics.Color;
import android.graphics.Typeface;
import android.graphics.drawable.GradientDrawable.Orientation;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnTouchListener;
import android.view.animation.Animation;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.RelativeLayout.LayoutParams;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.FragmentTransaction;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.crop.CropImageView;
import com.AccountName.thumbnailmaker.sticker_fragment.GetSizeDetailsSelect;
import com.AccountName.thumbnailmaker.sticker_fragment.SizeListFragment;
import com.AccountName.thumbnailmaker.utility.ImageUtils;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;

import vocsy.ads.GoogleAds;

public class CropActivity extends AppCompatActivity implements GetSizeDetailsSelect {
    public static Bitmap bitmapImage = null;
    public static float civ_height = 0.0f;
    public static float civ_width = 0.0f;
    public static float custom_Wi = 0.0f;
    public static float custom_X = 0.0f;
    public static float custom_Y = 0.0f;
    public static float custom_he = 0.0f;
    public static String ratio1 = "";
    public static int reSizeFinalHeight1;
    public static int reSizeFinalWidth1;
    private Animation animSlideDown;
    private Animation animSlideUp;
    String backgroundName;
    int[] colors = null;
    CropImageView cropimage;
    String hex;
    RelativeLayout image_container;
    boolean isAnimationNeeded = false;
    boolean optionCrop = false;
    Orientation orient = null;
    ImageView othersizebtn;
    String profile;
    int prog_radious = 0;
    String ratio = "";
    int reSizeFinalHeight = 0;
    int reSizeFinalWidth = 0;
    RelativeLayout rel;
    float screenHeight;
    float screenWidth;
    String selectedBy;
    SizeListFragment sizeListFragment = null;
    Typeface ttf;
    Typeface ttfHeader;
    TextView txtSize;
    String typeGradient = "";

    public class LoadSizeFragmentAsync extends AsyncTask<Void, Void, Boolean> {

        public void onPreExecute() {
            super.onPreExecute();
        }


        public Boolean doInBackground(Void... voidArr) {
            FragmentTransaction beginTransaction = CropActivity.this.getSupportFragmentManager().beginTransaction();
            CropActivity.this.sizeListFragment = new SizeListFragment();
            Bundle bundle = new Bundle();
            bundle.putString("profile", CropActivity.this.profile);
            CropActivity.this.sizeListFragment.setArguments(bundle);
            CropActivity.this.sizeListFragment.setWidthDevice(CropActivity.this.screenHeight);
            beginTransaction.replace(R.id.image_container, CropActivity.this.sizeListFragment, "fragment").commit();
            return Boolean.valueOf(false);
        }


        public void onPostExecute(Boolean bool) {
            if (CropActivity.this.isAnimationNeeded) {
                CropActivity.this.image_container.post(new Runnable() {
                    public void run() {
                        CropActivity.this.image_container.startAnimation(CropActivity.this.animSlideUp);
                        CropActivity.this.image_container.setVisibility(View.VISIBLE);
                    }
                });
            }
        }
    }

    public void onPremiumPurchaseCompleted() {

    }


    @SuppressLint("WrongConstant")
    public void onCreate(Bundle bundle) {
        String[] split;
        super.onCreate(bundle);
        setContentView(R.layout.activity_cropbg);

        SystemConfiguration.setStatusBarColor(this, R.color.toolbarColor, true);

        this.rel = findViewById(R.id.rel);
        this.cropimage = findViewById(R.id.cropimage);
        this.txtSize = findViewById(R.id.txtSize);
        this.image_container = findViewById(R.id.image_container);
        this.othersizebtn = findViewById(R.id.othersizebtn);
        this.animSlideUp = Constants.getAnimUp(this);
        this.animSlideDown = Constants.getAnimDown(this);
        this.ttf = Constants.getTextTypeface(this);
        this.ttfHeader = Constants.getHeaderTypeface(this);
        this.txtSize.setTypeface(this.ttf);
        DisplayMetrics displayMetrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        this.screenHeight = (float) displayMetrics.heightPixels;
        this.screenWidth = (float) displayMetrics.widthPixels;
        this.screenHeight = (float) (displayMetrics.heightPixels - ImageUtils.dpToPx(this, 56));
        this.selectedBy = getIntent().getExtras().getString("selectedBy");
        if (this.selectedBy.equals("1")) {
            if (getIntent().getExtras().getString("value").equals("image")) {
                this.colors = getIntent().getExtras().getIntArray("colorArr");
                this.typeGradient = getIntent().getExtras().getString("typeGradient");
                this.orient = (Orientation) getIntent().getExtras().get("orintation");
                this.prog_radious = getIntent().getExtras().getInt("prog_radious");
            }
            this.backgroundName = getIntent().getExtras().getString("backgroundName");
            this.profile = getIntent().getExtras().getString("profile");
            this.hex = getIntent().getExtras().getString("hex");
        } else {
            this.ratio = getIntent().getExtras().getString("ratio");
            this.reSizeFinalWidth = getIntent().getExtras().getInt("reSizeFinalWidth");
            this.reSizeFinalHeight = getIntent().getExtras().getInt("reSizeFinalHeight");
            this.backgroundName = getIntent().getExtras().getString("backgroundName");
            this.profile = getIntent().getExtras().getString("profile");
            this.hex = getIntent().getExtras().getString("hex");
        }
        if (bitmapImage == null) {
            Toast.makeText(this, getResources().getString(R.string.error_pic), Toast.LENGTH_SHORT).show();
            finish();
        } else {
            this.cropimage.setImageBitmap(bitmapImage);
        }
        findViewById(R.id.btnBack).setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivity.this.finish();
            }
        });
        findViewById(R.id.btnDone).setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                GoogleAds.getInstance().showCounterInterstitialAd(CropActivity.this, () -> {
                    if (CropActivity.bitmapImage == null) {
                        Toast.makeText(CropActivity.this, CropActivity.this.getResources().getString(R.string.error_pic), Toast.LENGTH_SHORT).show();
                        CropActivity.this.finish();
                    } else if (CropActivity.this.selectedBy.equals("1")) {
                        if (CropActivity.this.profile.equals("Color") || CropActivity.this.profile.equals("Texture")) {
                            CropActivity.custom_Wi = (float) CropActivity.bitmapImage.getWidth();
                            CropActivity.custom_he = (float) CropActivity.bitmapImage.getHeight();
                            CropActivity.custom_X = 0.0f;
                            CropActivity.custom_Y = 0.0f;
                            CropActivity.civ_width = (float) CropActivity.bitmapImage.getWidth();
                            CropActivity.civ_height = (float) CropActivity.bitmapImage.getHeight();
                        } else {
                            CropActivity.custom_Wi = CropActivity.this.cropimage.getActualCropWidth();
                            CropActivity.custom_he = CropActivity.this.cropimage.getActualCropHeight();
                            CropActivity.custom_X = CropActivity.this.cropimage.getActualCropX();
                            CropActivity.custom_Y = CropActivity.this.cropimage.getActualCropY();
                            CropActivity.civ_width = (float) CropActivity.bitmapImage.getWidth();
                            CropActivity.civ_height = (float) CropActivity.bitmapImage.getHeight();
                        }
                        try {
                            CropActivity.bitmapImage = CropActivity.this.cropimage.getCroppedImage();
                            Intent intent = new Intent(CropActivity.this, PosterActivity.class);
                            intent.putExtra("profile", CropActivity.this.profile);
                            intent.putExtra("backgroundName", CropActivity.this.backgroundName);
                            intent.putExtra("ratio", CropActivity.this.ratio);
                            intent.putExtra("reSizeFinalWidth", CropActivity.this.reSizeFinalWidth);
                            intent.putExtra("reSizeFinalHeight", CropActivity.this.reSizeFinalHeight);
                            intent.putExtra("loadUserFrame", true);
                            intent.putExtra("hex", CropActivity.this.hex);
                            intent.putExtra("typeGradient", CropActivity.this.typeGradient);
                            intent.putExtra("colorArr", CropActivity.this.colors);
                            intent.putExtra("orintation", CropActivity.this.orient);
                            intent.putExtra("prog_radious", CropActivity.this.prog_radious);
                            CropActivity.this.startActivity(intent);
                            CropActivity.this.finish();
                        } catch (Error | Exception e) {
                            e.printStackTrace();
                            Toast.makeText(CropActivity.this, CropActivity.this.getResources().getString(R.string.picUpImg), Toast.LENGTH_SHORT).show();
                            CropActivity.this.finish();
                        }
                    } else {
                        CropActivity.ratio1 = CropActivity.this.ratio;
                        CropActivity.reSizeFinalWidth1 = CropActivity.this.reSizeFinalWidth;
                        CropActivity.reSizeFinalHeight1 = CropActivity.this.reSizeFinalHeight;
                        if (CropActivity.this.profile.equals("Color") || CropActivity.this.profile.equals("Texture")) {
                            CropActivity.custom_Wi = (float) CropActivity.bitmapImage.getWidth();
                            CropActivity.custom_he = (float) CropActivity.bitmapImage.getHeight();
                            CropActivity.custom_X = 0.0f;
                            CropActivity.custom_Y = 0.0f;
                            CropActivity.civ_width = (float) CropActivity.bitmapImage.getWidth();
                            CropActivity.civ_height = (float) CropActivity.bitmapImage.getHeight();
                        } else {
                            CropActivity.custom_Wi = CropActivity.this.cropimage.getActualCropWidth();
                            CropActivity.custom_he = CropActivity.this.cropimage.getActualCropHeight();
                            CropActivity.custom_X = CropActivity.this.cropimage.getActualCropX();
                            CropActivity.custom_Y = CropActivity.this.cropimage.getActualCropY();
                            CropActivity.civ_width = (float) CropActivity.bitmapImage.getWidth();
                            CropActivity.civ_height = (float) CropActivity.bitmapImage.getHeight();
                        }
                        try {
                            CropActivity.bitmapImage = CropActivity.this.cropimage.getCroppedImage();
                            CropActivity.this.setResult(-1);
                            CropActivity.this.finish();
                        } catch (Exception e2) {
                            e2.printStackTrace();
                            Toast.makeText(CropActivity.this, CropActivity.this.getResources().getString(R.string.picUpImg), Toast.LENGTH_SHORT).show();
                            CropActivity.this.finish();
                        }
                    }
                });
            }
        });
        this.image_container.setOnTouchListener(new OnTouchListener() {
            public boolean onTouch(View view, MotionEvent motionEvent) {
                return true;
            }
        });
        try {
            FragmentTransaction beginTransaction = getSupportFragmentManager().beginTransaction();
            this.sizeListFragment = new SizeListFragment();
            Bundle bundle2 = new Bundle();
            bundle2.putString("profile", this.profile);
            this.sizeListFragment.setArguments(bundle2);
            this.sizeListFragment.setWidthDevice(this.screenHeight);
            beginTransaction.replace(R.id.image_container, this.sizeListFragment, "fragment").commit();
        } catch (Exception unused) {
        }
        if (this.selectedBy.equals("1")) {
            this.image_container.post(new Runnable() {
                public void run() {
                    CropActivity.this.image_container.startAnimation(CropActivity.this.animSlideUp);
                    CropActivity.this.image_container.setVisibility(View.VISIBLE);
                }
            });
        } else {
            this.optionCrop = true;
            if (this.ratio.equals("")) {
                this.image_container.post(new Runnable() {
                    public void run() {
                        CropActivity.this.image_container.startAnimation(CropActivity.this.animSlideUp);
                        CropActivity.this.image_container.setVisibility(View.VISIBLE);
                    }
                });
            } else {
                try {
                    split = this.ratio.split(":");
                    int parseInt = Integer.parseInt(split[0]);
                    int parseInt2 = Integer.parseInt(split[1]);
                    TextView textView;
                    StringBuilder stringBuilder;
                    if (this.reSizeFinalWidth != 0) {
                        textView = this.txtSize;
                        stringBuilder = new StringBuilder();
                        stringBuilder.append(getResources().getString(R.string.size));
                        stringBuilder.append(" - ");
                        stringBuilder.append(this.reSizeFinalWidth);
                        stringBuilder.append("*");
                        stringBuilder.append(this.reSizeFinalHeight);
                        textView.setText(stringBuilder.toString());
                    } else {
                        textView = this.txtSize;
                        stringBuilder = new StringBuilder();
                        stringBuilder.append(getResources().getString(R.string.ratio));
                        stringBuilder.append(" - ");
                        stringBuilder.append(this.ratio);
                        textView.setText(stringBuilder.toString());
                    }
                    this.cropimage.setFixedAspectRatio(true);
                    this.cropimage.setAspectRatio(parseInt, parseInt2);
                } catch (NumberFormatException e) {
                    e.printStackTrace();
                } catch (NotFoundException e2) {
                    e2.printStackTrace();
                }
            }
        }
        this.othersizebtn.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                ImageUtils.applyBounceAnimation(othersizebtn);
                CropActivity.this.image_container.startAnimation(CropActivity.this.animSlideUp);
                CropActivity.this.image_container.setVisibility(View.VISIBLE);
            }
        });
        if (this.profile.equals("Color") || this.profile.equals("Texture")) {
            this.cropimage.enableCropOverlayView(false);
            split = this.ratio.split(":");
            if (!this.ratio.equals("") && this.reSizeFinalWidth == 0 && this.reSizeFinalHeight == 0) {
                ongetRatioOptions(this.ratio);
            } else if (this.reSizeFinalWidth != 0 && this.reSizeFinalHeight != 0) {
                StringBuilder stringBuilder2 = new StringBuilder();
                stringBuilder2.append(this.reSizeFinalWidth);
                stringBuilder2.append(":");
                stringBuilder2.append(this.reSizeFinalHeight);
                ongetSizeOptions(stringBuilder2.toString());
            } else if (split.length == 1) {
                this.ratio = "1:1";
                ongetRatioOptions(this.ratio);
            }
        }
    }


    public void onResume() {
        super.onResume();
        if (this.cropimage != null) {
            this.cropimage.setLayoutParams(new LayoutParams(-1, -1));
        }
    }


    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        try {
            this.sizeListFragment.onActivityResult(i, i2, intent);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void ongetSizeOptions(String str) {
        String[] split = str.split(":");
        int parseInt = Integer.parseInt(split[0]);
        int parseInt2 = Integer.parseInt(split[1]);
        int gcd = gcd(parseInt, parseInt2);
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append("");
        int i = parseInt / gcd;
        stringBuilder.append(i);
        stringBuilder.append(":");
        gcd = parseInt2 / gcd;
        stringBuilder.append(gcd);
        this.ratio = stringBuilder.toString();
        this.reSizeFinalWidth = parseInt;
        this.reSizeFinalHeight = parseInt2;
        TextView textView = this.txtSize;
        StringBuilder stringBuilder2 = new StringBuilder();
        stringBuilder2.append(getResources().getString(R.string.size));
        stringBuilder2.append(" - ");
        stringBuilder2.append(parseInt);
        stringBuilder2.append("*");
        stringBuilder2.append(parseInt2);
        textView.setText(stringBuilder2.toString());
        this.optionCrop = true;
        this.cropimage.setFixedAspectRatio(true);
        CropImageView cropImageView = this.cropimage;
        stringBuilder2 = new StringBuilder();
        stringBuilder2.append("");
        stringBuilder2.append(i);
        i = Integer.parseInt(stringBuilder2.toString());
        stringBuilder2 = new StringBuilder();
        stringBuilder2.append("");
        stringBuilder2.append(gcd);
        cropImageView.setAspectRatio(i, Integer.parseInt(stringBuilder2.toString()));
        this.image_container.startAnimation(this.animSlideDown);
        this.image_container.setVisibility(View.GONE);
        if (!this.profile.equals("Color") && !this.profile.equals("Texture")) {
            return;
        }
        int[] optimazedDimension;
        if (this.profile.equals("Color")) {
            optimazedDimension = ImageUtils.getOptimazedDimension((float) parseInt, (float) parseInt2, this.screenWidth, this.screenHeight);
            Bitmap createBitmap = Bitmap.createBitmap(optimazedDimension[0], optimazedDimension[1], Config.ARGB_8888);
            StringBuilder stringBuilder3 = new StringBuilder();
            stringBuilder3.append("#");
            stringBuilder3.append(this.hex);
            createBitmap.eraseColor(Color.parseColor(stringBuilder3.toString()));
            bitmapImage = createBitmap;
            this.cropimage.setImageBitmap(bitmapImage);
        } else if (this.profile.equals("Texture")) {
            gcd = (int) (((double) ((int) (((double) this.screenWidth) * 0.7d))) * 0.5d);
            optimazedDimension = ImageUtils.getOptimazedDimension((float) parseInt, (float) parseInt2, this.screenWidth, this.screenHeight);
            bitmapImage = Constants.getTiledBitmap(this, this.backgroundName, Bitmap.createBitmap(optimazedDimension[0], optimazedDimension[1], Config.ARGB_8888), gcd);
            this.cropimage.setImageBitmap(bitmapImage);
        }
    }

    public void ongetRatioOptions(String str) {

        Log.e("ongetRatioOptions", " ===" + str);
        this.reSizeFinalWidth = 0;
        this.reSizeFinalHeight = 0;
        if (str.equals("freeStyle")) {

            this.ratio = "";
            this.cropimage.setFixedAspectRatio(false);
            this.txtSize.setText(getResources().getString(R.string.freeStyle));


        } else {
            String[] split = str.split(":");
            this.ratio = str;
            this.cropimage.setFixedAspectRatio(true);
            this.cropimage.setAspectRatio(Integer.parseInt(split[0]), Integer.parseInt(split[1]));
            TextView textView = this.txtSize;
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append(getResources().getString(R.string.ratio));
            stringBuilder.append(" - ");
            stringBuilder.append(str);
            textView.setText(stringBuilder.toString());
            if (this.profile.equals("Color") || this.profile.equals("Texture")) {
                if (this.profile.equals("Color")) {
                    int[] optimazedDimension = ImageUtils.getOptimazedDimension((float) Integer.parseInt(split[0]), (float) Integer.parseInt(split[1]), this.screenWidth, this.screenHeight);
                    Bitmap createBitmap = Bitmap.createBitmap(optimazedDimension[0], optimazedDimension[1], Config.ARGB_8888);
                    StringBuilder stringBuilder2 = new StringBuilder();
                    stringBuilder2.append("#");
                    stringBuilder2.append(this.hex);
                    createBitmap.eraseColor(Color.parseColor(stringBuilder2.toString()));
                    bitmapImage = createBitmap;
                    this.cropimage.setImageBitmap(bitmapImage);
                } else if (this.profile.equals("Texture")) {
                    int i = (int) (((double) ((int) (((double) this.screenWidth) * 0.7d))) * 0.5d);
                    int[] optimazedDimension2 = ImageUtils.getOptimazedDimension((float) Integer.parseInt(split[0]), (float) Integer.parseInt(split[1]), this.screenWidth, this.screenHeight);
                    bitmapImage = Constants.getTiledBitmap(this, this.backgroundName, Bitmap.createBitmap(optimazedDimension2[0], optimazedDimension2[1], Config.ARGB_8888), i);
                    this.cropimage.setImageBitmap(bitmapImage);
                }
            }
        }
        this.optionCrop = true;
        this.image_container.startAnimation(this.animSlideDown);
        this.image_container.setVisibility(View.GONE);
    }

    private int gcd(int i, int i2) {
        return i2 == 0 ? i : gcd(i2, i % i2);
    }

    public void onBackPressed() {
        if (this.image_container.getVisibility() != View.VISIBLE) {
            if (bitmapImage != null) {
                bitmapImage.recycle();
                bitmapImage = null;
            }
            Constants.freeMemory();
            super.onBackPressed();
        } else if (this.optionCrop) {
            this.image_container.startAnimation(this.animSlideDown);
            this.image_container.setVisibility(View.GONE);
        } else {
            if (bitmapImage != null) {
                bitmapImage.recycle();
                bitmapImage = null;
            }
            Constants.freeMemory();
            super.onBackPressed();
        }
    }


    public void onDestroy() {
        super.onDestroy();
        if (this.cropimage != null) {
            this.cropimage.setImageBitmap(null);
            this.cropimage = null;
        }
        this.rel = null;
        this.ttf = null;
        this.ttfHeader = null;
        this.animSlideUp = null;
        this.animSlideDown = null;
        this.sizeListFragment = null;
        Constants.freeMemory();
    }
}
