package com.AccountName.thumbnailmaker.main;

import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Typeface;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.crop.CropImageView;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;

import vocsy.ads.CustomAdsListener;
import vocsy.ads.GoogleAds;

public class CropActivityTwo extends AppCompatActivity {
    public static Bitmap bitmapImage;
    Animation bottomDown;
    Animation bottomUp;
    CropImageView cropimage;
    Button custom;
    ImageView done;
    RelativeLayout footer;
    RelativeLayout header;
    TextView headertext;
    String position;
    String profile;
    Button ratio1;
    Button ratio10;
    Button ratio11;
    Button ratio12;
    Button ratio13;
    Button ratio14;
    Button ratio15;
    Button ratio2;
    Button ratio3;
    Button ratio4;
    Button ratio5;
    Button ratio6;
    Button ratio7;
    Button ratio8;
    Button ratio9;
    RelativeLayout rel;
    Button square;
    Typeface ttf;
    Typeface ttfHeader;
    String value;


    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_crop);

        SystemConfiguration.setStatusBarColor(this, R.color.toolbarColor, true);

        GoogleAds.getInstance().admobBanner(this, findViewById(R.id.nativeLay));

        this.header = findViewById(R.id.header);
        this.rel = findViewById(R.id.rel);
        this.footer = findViewById(R.id.footer);
        this.footer.setVisibility(View.INVISIBLE);
        this.cropimage = findViewById(R.id.cropimage);
        this.done = findViewById(R.id.done);
        this.custom = findViewById(R.id.cutom);
        this.square = findViewById(R.id.square);
        this.ratio1 = findViewById(R.id.ratio1);
        this.ratio2 = findViewById(R.id.ratio2);
        this.ratio3 = findViewById(R.id.ratio3);
        this.ratio4 = findViewById(R.id.ratio4);
        this.ratio5 = findViewById(R.id.ratio5);
        this.ratio6 = findViewById(R.id.ratio6);
        this.ratio7 = findViewById(R.id.ratio7);
        this.ratio8 = findViewById(R.id.ratio8);
        this.ratio9 = findViewById(R.id.ratio9);
        this.ratio10 = findViewById(R.id.ratio10);
        this.ratio11 = findViewById(R.id.ratio11);
        this.ratio12 = findViewById(R.id.ratio12);
        this.ratio13 = findViewById(R.id.ratio13);
        this.ratio14 = findViewById(R.id.ratio14);
        this.ratio15 = findViewById(R.id.ratio15);
        this.headertext = findViewById(R.id.headertext);
        this.bottomUp = AnimationUtils.loadAnimation(getApplicationContext(), R.anim.bottom_up);
        this.bottomDown = AnimationUtils.loadAnimation(getApplicationContext(), R.anim.bottom_down);
        this.footer.setVisibility(View.VISIBLE);
        this.footer.startAnimation(this.bottomUp);
        this.ttf = Constants.getTextTypeface(this);
        this.ttfHeader = Constants.getHeaderTypeface(this);
        this.headertext.setTypeface(this.ttfHeader);
        this.custom.setTypeface(this.ttf);
        this.square.setTypeface(this.ttf);
        if (getIntent().getExtras().getString("value").equals("image")) {
            this.value = "image";
            this.profile = getIntent().getExtras().getString("profile");
            this.position = getIntent().getExtras().getString("position");
            bitmapImage = SelectImageTwoActivity.bitmap;
        } else if (getIntent().getExtras().getString("value").equals("sticker")) {
            this.value = "sticker";
            bitmapImage = PosterActivity.btmSticker;
        } else if (getIntent().getExtras().getString("value").equals("user_image")) {
            this.value = "user_image";
            this.position = getIntent().getExtras().getString("position");
            this.profile = getIntent().getExtras().getString("profile");
            bitmapImage = SelectImageTwoActivity.bitmap;
        }
        if (bitmapImage == null) {
            Toast.makeText(this, getResources().getString(R.string.del_error_toast), Toast.LENGTH_SHORT).show();
            finish();
        } else {
            this.cropimage.setImageBitmap(bitmapImage);
        }

        CropActivityTwo.this.cropimage.setFixedAspectRatio(false);


        findViewById(R.id.btn_bck).setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.finish();
            }
        });
        this.done.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                GoogleAds.getInstance().showCounterInterstitialAd(CropActivityTwo.this, new CustomAdsListener() {
                    @Override
                    public void onFinish() {
                        if (CropActivityTwo.bitmapImage != null) {
                            try {
                                CropActivityTwo.bitmapImage = CropActivityTwo.this.cropimage.getCroppedImage();
                                CropActivityTwo.this.setResult(-1, new Intent());
                                CropActivityTwo.this.finish();
                                return;
                            } catch (Error | Exception e) {
                                e.printStackTrace();
                                Toast.makeText(CropActivityTwo.this, CropActivityTwo.this.getResources().getString(R.string.picUpImg), Toast.LENGTH_SHORT).show();
                                CropActivityTwo.this.finish();
                                return;
                            }
                        }
                        Toast.makeText(CropActivityTwo.this, CropActivityTwo.this.getResources().getString(R.string.picUpImg), Toast.LENGTH_SHORT).show();
                        CropActivityTwo.this.finish();
                    }
                });
            }
        });
        this.custom.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(false);
            }
        });
        this.square.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(1, 1);
            }
        });
        this.ratio1.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(1, 2);
            }
        });
        this.ratio2.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(2, 1);
            }
        });
        this.ratio3.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(2, 3);
            }
        });
        this.ratio4.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(3, 2);
            }
        });
        this.ratio5.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(3, 4);
            }
        });
        this.ratio6.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(3, 5);
            }
        });
        this.ratio7.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(4, 3);
            }
        });
        this.ratio8.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(4, 5);
            }
        });
        this.ratio9.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(4, 7);
            }
        });
        this.ratio10.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(5, 3);
            }
        });
        this.ratio11.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(5, 4);
            }
        });
        this.ratio12.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(5, 6);
            }
        });
        this.ratio13.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(5, 7);
            }
        });
        this.ratio14.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(9, 16);
            }
        });
        this.ratio15.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                CropActivityTwo.this.cropimage.setFixedAspectRatio(true);
                CropActivityTwo.this.cropimage.setAspectRatio(16, 9);
            }
        });
    }
}
