package com.AccountName.thumbnailmaker.main;

import android.app.Dialog;
import android.content.SharedPreferences;
import android.graphics.Color;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.GradientDrawable.Orientation;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.adapter.BackgroundRecyclerAdapter;
import com.AccountName.thumbnailmaker.adapter.BackgroundRecyclerAdapter.OnItemClickListener;
import com.bumptech.glide.Glide;

public class FragmentBackgrounds extends Fragment {

    BackgroundRecyclerAdapter adapter;
    String catName;
    int[] colors = new int[]{Color.parseColor("#ffb400"), Color.parseColor("#f50c0c")};
    String[] drawableArr = null;
    OnGetImageOnTouch getImage;
    private RecyclerView gridView;
    Orientation ortnIs = null;
    int pos = 0;
    SharedPreferences preferences;
    private int prog_radious = 0;
    Typeface tf1;
    String typeGradient = "";


    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = layoutInflater.inflate(R.layout.fragment_my_backgund, viewGroup, false);
        this.preferences = PreferenceManager.getDefaultSharedPreferences(getActivity());
        this.catName = getArguments().getString("categoryName");
        if (!(getArguments() == null || getArguments().getString("typeGradient").equals(""))) {
            this.typeGradient = getArguments().getString("typeGradient");
            this.colors = getArguments().getIntArray("colorArr");
            this.ortnIs = (Orientation) getArguments().get("orintation");
            this.prog_radious = getArguments().getInt("prog_radious");
        }

        this.getImage = (OnGetImageOnTouch) getActivity();
        this.tf1 = Constants.getTextTypeface(getActivity());
        this.gridView = (RecyclerView) inflate.findViewById(R.id.gridview);
        this.gridView.setLayoutManager(new GridLayoutManager(getActivity(), 2));
        if (this.catName.equals("Abstract")) {
            this.drawableArr = Constants.Imageid0;
        } else if (this.catName.equals("Zig Zag")) {
            this.drawableArr = Constants.Imageid1;
        } else if (this.catName.equals("Creative Design")) {
            this.drawableArr = Constants.Imageid2;
        } else if (this.catName.equals("Dot")) {
            this.drawableArr = Constants.Imageid3;
        } else if (this.catName.equals("Wood")) {
            this.drawableArr = Constants.Imageid4;
        } else if (this.catName.equals("Water color")) {
            this.drawableArr = Constants.Imageid5;
        } else if (this.catName.equals("Blur")) {
            this.drawableArr = Constants.Imageid6;
        } else if (this.catName.equals("Nature")) {
            this.drawableArr = Constants.Imageid7;
        } else if (this.catName.equals("Black and white")) {
            this.drawableArr = Constants.Imageid8;
        } else if (this.catName.equals("Texture")) {
            this.drawableArr = Constants.Imageid9;
        }
        if (this.drawableArr.length != 0) {
            this.adapter = new BackgroundRecyclerAdapter(getActivity(), this.drawableArr, this.preferences);
        }
        if (this.adapter != null) {
            this.adapter.setClickListeners(new OnItemClickListener() {
                public void onImageLongClick(int i) {
                }

                public void onImageClick(int i) {

                    FragmentBackgrounds.this.getImage.ongetPosition(FragmentBackgrounds.this.drawableArr[i], FragmentBackgrounds.this.catName, "", true, FragmentBackgrounds.this.ortnIs, FragmentBackgrounds.this.colors, FragmentBackgrounds.this.typeGradient, FragmentBackgrounds.this.prog_radious, "hideAds");


                }
            });
        }
        this.gridView.setAdapter(this.adapter);
        this.gridView.addOnScrollListener(new RecyclerView.OnScrollListener() {
            public void onScrollStateChanged(RecyclerView recyclerView, int i) {
                super.onScrollStateChanged(recyclerView, i);
                FragmentBackgrounds.this.getImage.onHidePosition(true);
            }
        });
        return inflate;
    }


    public void onDestroyView() {
        super.onDestroyView();
        new Thread(new Runnable() {
            public void run() {
                try {
                    Glide.get(FragmentBackgrounds.this.getActivity()).clearDiskCache();
                    Thread.sleep(100);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
        }).start();
        Glide.get(getActivity()).clearMemory();
        this.drawableArr = null;
        Constants.freeMemory();
    }

    public void onDestroy() {
        super.onDestroy();

        this.gridView = null;
        this.adapter = null;
        Constants.freeMemory();
    }

    public void onUpdateBilling(String str) {

        if (this.preferences.getBoolean("isAdsDisabled", false) && this.drawableArr.length != 0) {
            this.getImage.ongetPosition(this.drawableArr[this.pos], this.catName, "", true, this.ortnIs, this.colors, this.typeGradient, this.prog_radious, "hideAds");
        }

    }
}
