package com.AccountName.thumbnailmaker.main;

import android.app.Dialog;
import android.content.Intent;
import android.graphics.Color;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.net.Uri;
import android.os.AsyncTask;
import android.os.AsyncTask.Status;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnKeyListener;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.GridView;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;

import androidx.fragment.app.Fragment;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.adapter.MyFramesAdapter;
import com.bumptech.glide.Glide;
import com.msl.demo.view.ComponentInfo;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;

import vocsy.ads.CustomAdsListener;
import vocsy.ads.GoogleAds;

public class FragmentDefault extends Fragment implements OnDataChanged {
    private Animation animSlideDown;
    private Animation animSlideUp;
    String catName;
    private GridView gridView;
    RelativeLayout lay_dialog;
    LordDataOperationAsync loadDataAsync = null;
    private MyFramesAdapter myFramesAdapter;
    ProgressBar progress_bar;
    int screenHeight;
    int screenWidth;
    private ArrayList<TemplateInfo> templateList = new ArrayList();
    Typeface ttf;
    TextView txt_dialog;

    public class LordDataOperationAsync extends AsyncTask<String, Void, String> {

        public void onPreExecute() {
            FragmentDefault.this.progress_bar.setVisibility(View.VISIBLE);
        }


        public String doInBackground(String... strArr) {
            try {
                FragmentDefault.this.templateList.clear();
                DatabaseHandler dbHandler = DatabaseHandler.getDbHandler(FragmentDefault.this.getActivity());
                FragmentDefault.this.templateList = dbHandler.getTemplateList("USER");
                dbHandler.close();
            } catch (Error | Exception unused) {
            }
            return "yes";
        }


        public void onPostExecute(String str) {
            FragmentDefault.this.progress_bar.setVisibility(View.GONE);
            if (FragmentDefault.this.templateList.size() != 0) {
                FragmentDefault.this.myFramesAdapter = new MyFramesAdapter(FragmentDefault.this.getActivity(), FragmentDefault.this.templateList, FragmentDefault.this.screenWidth / 2);
                FragmentDefault.this.gridView.setAdapter(FragmentDefault.this.myFramesAdapter);
            }
            if (!FragmentDefault.this.catName.equals("MY_TEMP")) {
                return;
            }
            if (FragmentDefault.this.templateList.size() == 0) {
                FragmentDefault.this.txt_dialog.setText(FragmentDefault.this.getResources().getString(R.string.NoDesigns));
                FragmentDefault.this.lay_dialog.setVisibility(View.VISIBLE);
                FragmentDefault.this.lay_dialog.startAnimation(FragmentDefault.this.animSlideUp);
            } else if (FragmentDefault.this.templateList.size() <= 4) {
                FragmentDefault.this.txt_dialog.setText(FragmentDefault.this.getResources().getString(R.string.DesignOptionsInstruction));
                FragmentDefault.this.lay_dialog.setVisibility(View.VISIBLE);
                FragmentDefault.this.lay_dialog.startAnimation(FragmentDefault.this.animSlideUp);
            } else if (FragmentDefault.this.lay_dialog.getVisibility() == View.VISIBLE) {
                FragmentDefault.this.lay_dialog.startAnimation(FragmentDefault.this.animSlideDown);
                FragmentDefault.this.lay_dialog.setVisibility(View.GONE);
            }
        }
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = layoutInflater.inflate(R.layout.fragment_my_template, viewGroup, false);
        this.catName = getArguments().getString("categoryName");
        this.gridView = inflate.findViewById(R.id.gridview);
        this.progress_bar = inflate.findViewById(R.id.progress_bar);
        this.progress_bar.setVisibility(View.GONE);
        this.lay_dialog = inflate.findViewById(R.id.lay_dialog);
        this.txt_dialog = inflate.findViewById(R.id.txt_dialog);
        this.animSlideUp = Constants.getAnimUp(getActivity());
        this.animSlideDown = Constants.getAnimDown(getActivity());
        this.ttf = Constants.getTextTypeface(getActivity());
        this.txt_dialog.setTypeface(this.ttf);
        this.templateList.clear();
        DisplayMetrics displayMetrics = new DisplayMetrics();
        getActivity().getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        this.screenWidth = displayMetrics.widthPixels;
        this.screenHeight = displayMetrics.heightPixels;
        this.loadDataAsync = new LordDataOperationAsync();
        this.loadDataAsync.execute("");
        this.gridView.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                GoogleAds.getInstance().showCounterInterstitialAd(requireActivity(), new CustomAdsListener() {
                    @Override
                    public void onFinish() {
                        int template_id = FragmentDefault.this.templateList.get(i).getTEMPLATE_ID();
                        Intent intent = new Intent(FragmentDefault.this.getActivity(), PosterActivity.class);
                        intent.putExtra("template_id", template_id);
                        intent.putExtra("loadUserFrame", false);
                        intent.putExtra("Temp_Type", FragmentDefault.this.catName);
                        FragmentDefault.this.getActivity().startActivityForResult(intent, TemplatesActivity.OPEN_UPDATE_ACITIVITY_TEMP);
                    }
                });
                FragmentDefault.this.getActivity().overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
            }
        });
        this.gridView.setOnItemLongClickListener(new OnItemLongClickListener() {
            public boolean onItemLongClick(AdapterView<?> adapterView, View view, int i, long j) {
                FragmentDefault.this.showOptionsDialog(i, view);
                return true;
            }
        });
        inflate.setFocusableInTouchMode(true);
        inflate.requestFocus();
        inflate.setOnKeyListener(new OnKeyListener() {
            public boolean onKey(View view, int i, KeyEvent keyEvent) {
                if (i == 4 && FragmentDefault.this.loadDataAsync != null) {
                    FragmentDefault.this.loadDataAsync.cancel(true);
                }
                return false;
            }
        });
        return inflate;
    }

    public void setMenuVisibility(boolean z) {
        super.setMenuVisibility(z);
    }

    private void showOptionsDialog(final int i, View view) {
        final Dialog dialog = new Dialog(getActivity());
        dialog.getWindow().requestFeature(1);
        dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
        dialog.setContentView(R.layout.options_dialog);
        LinearLayout textView = dialog.findViewById(R.id.btnOpen);
        textView.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                int template_id = FragmentDefault.this.templateList.get(i).getTEMPLATE_ID();
                Intent intent = new Intent(FragmentDefault.this.getActivity(), PosterActivity.class);
                intent.putExtra("template_id", template_id);
                intent.putExtra("loadUserFrame", false);
                intent.putExtra("Temp_Type", FragmentDefault.this.catName);
                FragmentDefault.this.getActivity().startActivityForResult(intent, TemplatesActivity.OPEN_UPDATE_ACITIVITY_TEMP);
                FragmentDefault.this.getActivity().overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
                dialog.dismiss();
            }
        });
        textView = dialog.findViewById(R.id.btnDelete);
        textView.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                TemplateInfo templateInfo = FragmentDefault.this.templateList.get(i);
                DatabaseHandler dbHandler = DatabaseHandler.getDbHandler(FragmentDefault.this.getActivity());
                if (templateInfo.getPROFILE_TYPE().equals("Temp_Path")) {
                    FragmentDefault.this.deleteFile(Uri.parse(templateInfo.getTEMP_PATH()));
                }
                String thumb_uri = templateInfo.getTHUMB_URI();
                if (!thumb_uri.equals("")) {
                    FragmentDefault.this.deleteFile(Uri.parse(thumb_uri));
                }
                ArrayList componentInfoList = dbHandler.getComponentInfoList(templateInfo.getTEMPLATE_ID(), "STICKER");
                if (componentInfoList.size() != 0) {
                    for (int i = 0; i < componentInfoList.size(); i++) {
                        if (!((ComponentInfo) componentInfoList.get(i)).getSTKR_PATH().equals("")) {
                            FragmentDefault.this.deleteFile(Uri.parse(((ComponentInfo) componentInfoList.get(i)).getSTKR_PATH()));
                        }
                    }
                }
                boolean deleteTemplateInfo = dbHandler.deleteTemplateInfo(templateInfo.getTEMPLATE_ID());
                dbHandler.close();
                if (deleteTemplateInfo) {
                    FragmentDefault.this.myFramesAdapter.remove(templateInfo);
                    FragmentDefault.this.myFramesAdapter.notifyDataSetChanged();
                    new LordDataOperationAsync().execute("");
                } else {
                    Toast.makeText(FragmentDefault.this.getActivity(), FragmentDefault.this.getResources().getString(R.string.del_error_toast), Toast.LENGTH_SHORT).show();
                }
                dialog.dismiss();
            }
        });
        LinearLayout textView2 = dialog.findViewById(R.id.btnCancel);
        textView2.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                dialog.dismiss();
            }
        });
        dialog.getWindow().getAttributes().windowAnimations = R.style.DialogAnimation_;
        dialog.show();
    }

    private boolean deleteFile(Uri uri) {
        boolean delete;
        try {
            File file = new File(uri.getPath());
            delete = file.delete();
            try {
                if (file.exists()) {
                    try {
                        delete = file.getCanonicalFile().delete();
                    } catch (IOException e) {
                        e.printStackTrace();
                    }
                    if (file.exists()) {
                        delete = getActivity().getApplicationContext().deleteFile(file.getName());
                    }
                }
                getActivity().sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(file)));
            } catch (Exception unused) {
                Toast.makeText(getActivity(), getActivity().getResources().getString(R.string.error), Toast.LENGTH_SHORT).show();
                return delete;
            }
        } catch (Exception unused2) {
            delete = false;
            Toast.makeText(getActivity(), getActivity().getResources().getString(R.string.error), Toast.LENGTH_SHORT).show();
            return delete;
        }
        return delete;
    }

    public void updateAdapter() {
        DatabaseHandler dbHandler = DatabaseHandler.getDbHandler(getActivity());
        this.templateList = dbHandler.getTemplateList("USER");
        dbHandler.close();
        this.myFramesAdapter = new MyFramesAdapter(getActivity(), this.templateList, this.screenWidth / 2);
        this.gridView.setAdapter(this.myFramesAdapter);
        Log.i("testing", "Frame Updated");
    }

    public void updateInstLay(boolean z) {
        if (this.templateList.size() == 0) {
            Log.i("testing", "Frame  LAy Updated");
        }
    }

    public void onDestroyView() {
        super.onDestroyView();
        this.gridView = null;
        this.myFramesAdapter = null;
    }

    public void onDestroy() {
        super.onDestroy();
        new Thread(new Runnable() {
            public void run() {
                try {
                    Glide.get(FragmentDefault.this.getActivity()).clearDiskCache();
                    Thread.sleep(100);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
        }).start();
        Glide.get(getActivity()).clearMemory();
        if (this.loadDataAsync != null) {
            if (this.loadDataAsync.getStatus() == Status.PENDING) {
                this.loadDataAsync.cancel(true);
            }
            if (this.loadDataAsync.getStatus() == Status.RUNNING) {
                this.loadDataAsync.cancel(true);
            }
        }
        this.gridView = null;
        this.myFramesAdapter = null;
        this.templateList.clear();
        this.progress_bar = null;
        this.ttf = null;
        this.animSlideUp = null;
        this.animSlideDown = null;
        this.lay_dialog = null;
        Constants.freeMemory();
    }
}