package com.AccountName.thumbnailmaker.main;

import android.graphics.Bitmap;
import android.graphics.Bitmap.Config;
import android.graphics.Color;
import android.graphics.Typeface;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.GradientDrawable.Orientation;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.SeekBar.OnSeekBarChangeListener;
import android.widget.TextView;

import androidx.fragment.app.Fragment;

import com.AccountName.thumbnailmaker.R;
import yuku.ambilwarna.AmbilWarnaDialog;
import yuku.ambilwarna.AmbilWarnaDialog.OnAmbilWarnaListener;

public class FragmentGradient extends Fragment implements OnClickListener, OnSeekBarChangeListener {
    int[] colors = new int[]{Color.parseColor("#ffb400"), Color.parseColor("#f50c0c")};
    OnGetImageOnTouch getGradient;
    ImageView[] imgArr = new ImageView[4];
    ImageView img_end;
    ImageView img_result;
    ImageView img_start;
    LinearLayout lay_orintation;
    LinearLayout lay_radius;
    Orientation ortnIs;
    private int prog_radious = 50;
    RadioButton radio_linear;
    RadioButton radio_radial;
    SeekBar seekBarRadial;
    Typeface ttf;
    String typeGradient = "LINEAR";

    public void onStartTrackingTouch(SeekBar seekBar) {
    }

    public void onStopTrackingTouch(SeekBar seekBar) {
    }

    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = layoutInflater.inflate(R.layout.fragment_gradient, viewGroup, false);
        this.img_result = (ImageView) inflate.findViewById(R.id.img_result);
        this.img_start = (ImageView) inflate.findViewById(R.id.img_start);
        this.img_end = (ImageView) inflate.findViewById(R.id.img_end);
        this.getGradient = (OnGetImageOnTouch) getActivity();
        this.ortnIs = Orientation.TOP_BOTTOM;
        this.img_start.setOnClickListener(this);
        this.img_end.setOnClickListener(this);
        if (getArguments() != null) {
            if (getArguments().getString("typeGradient").equals("")) {
                this.img_start.setBackgroundColor(this.colors[0]);
                this.img_end.setBackgroundColor(this.colors[1]);
                this.typeGradient = "LINEAR";
                applyGradientBackground();
            } else {
                this.typeGradient = getArguments().getString("typeGradient");
                this.colors = getArguments().getIntArray("colorArr");
                this.ortnIs = (Orientation) getArguments().get("orintation");
                this.prog_radious = getArguments().getInt("prog_radious");
                if (this.colors != null) {
                    this.img_start.setBackgroundColor(this.colors[0]);
                    this.img_end.setBackgroundColor(this.colors[1]);
                    applyGradientBackground();
                }
            }
        }
        this.lay_orintation = (LinearLayout) inflate.findViewById(R.id.lay_orintation);
        this.lay_radius = (LinearLayout) inflate.findViewById(R.id.lay_radius);
        this.seekBarRadial = (SeekBar) inflate.findViewById(R.id.seek_radial);
        this.seekBarRadial.setOnSeekBarChangeListener(this);
        ((ImageButton) inflate.findViewById(R.id.img_1)).setOnClickListener(this);
        ((ImageButton) inflate.findViewById(R.id.img_3)).setOnClickListener(this);
        ((ImageButton) inflate.findViewById(R.id.img_5)).setOnClickListener(this);
        ((ImageButton) inflate.findViewById(R.id.img_6)).setOnClickListener(this);
        ((ImageButton) inflate.findViewById(R.id.img_flip)).setOnClickListener(this);
        ((RelativeLayout) inflate.findViewById(R.id.done_Go)).setOnClickListener(this);
        this.radio_linear = (RadioButton) inflate.findViewById(R.id.radio_linear);
        this.radio_radial = (RadioButton) inflate.findViewById(R.id.radio_radial);
        this.radio_linear.setOnClickListener(this);
        this.radio_radial.setOnClickListener(this);
        this.imgArr[0] = (ImageView) inflate.findViewById(R.id.img_1);
        this.imgArr[1] = (ImageView) inflate.findViewById(R.id.img_3);
        this.imgArr[2] = (ImageView) inflate.findViewById(R.id.img_5);
        this.imgArr[3] = (ImageView) inflate.findViewById(R.id.img_6);
        this.img_result.post(new Runnable() {
            public void run() {
                FragmentGradient.this.img_result.getLayoutParams().width = FragmentGradient.this.img_result.getHeight();
                FragmentGradient.this.img_result.postInvalidate();
                FragmentGradient.this.img_result.requestLayout();
            }
        });
        this.seekBarRadial.setProgress(this.prog_radious);
        if (this.typeGradient.equals("LINEAR")) {
            this.radio_linear.setChecked(true);
            this.radio_radial.setChecked(false);
            this.lay_orintation.setVisibility(View.VISIBLE);
            this.lay_radius.setVisibility(View.GONE);
        } else {
            this.radio_linear.setChecked(false);
            this.radio_radial.setChecked(true);
            this.lay_orintation.setVisibility(View.GONE);
            this.lay_radius.setVisibility(View.VISIBLE);
        }
        this.ttf = Constants.getTextTypeface(getActivity());
        ((TextView) inflate.findViewById(R.id.txt_Preview)).setTypeface(this.ttf);
        ((TextView) inflate.findViewById(R.id.txt_StartColor)).setTypeface(this.ttf);
        ((TextView) inflate.findViewById(R.id.txt_EndColor)).setTypeface(this.ttf);
        ((TextView) inflate.findViewById(R.id.txt_Radius)).setTypeface(this.ttf);
        ((TextView) inflate.findViewById(R.id.txt_Done)).setTypeface(this.ttf);
        setOrientationImageSelection(this.ortnIs);
        ((RelativeLayout) inflate.findViewById(R.id.topLayout)).setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                FragmentGradient.this.getGradient.onHidePosition(true);
            }
        });
        return inflate;
    }

    private void setOrientationImageSelection(Orientation orientation) {
        this.getGradient.onHidePosition(true);
        if (orientation == Orientation.TOP_BOTTOM) {
            setSelected(R.id.img_1);
        } else if (orientation == Orientation.LEFT_RIGHT) {
            setSelected(R.id.img_3);
        } else if (orientation == Orientation.TL_BR) {
            setSelected(R.id.img_5);
        } else if (orientation == Orientation.TR_BL) {
            setSelected(R.id.img_6);
        }
    }

    public void setMenuVisibility(boolean z) {
        super.setMenuVisibility(z);
    }

    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.done_Go :
                this.getGradient.ongetPosition("", "Gradient", "", true, this.ortnIs, new int[]{this.colors[0], this.colors[1]}, this.typeGradient, this.prog_radious, "hideAds");
                return;
            case R.id.image1 :
                applyGradientBackground();
                this.getGradient.onHidePosition(true);
                return;
            case R.id.img_1:
                this.ortnIs = Orientation.TOP_BOTTOM;
                setSelected(R.id.img_1);
                applyGradientBackground();
                this.getGradient.onHidePosition(true);
                return;
            case R.id.img_3:
                this.ortnIs = Orientation.LEFT_RIGHT;
                setSelected(R.id.img_3);
                applyGradientBackground();
                this.getGradient.onHidePosition(true);
                return;
            case R.id.img_5 :
                this.ortnIs = Orientation.TL_BR;
                setSelected(R.id.img_5);
                applyGradientBackground();
                this.getGradient.onHidePosition(true);
                return;
            case R.id.img_6 :
                this.ortnIs = Orientation.TR_BL;
                setSelected(R.id.img_6);
                applyGradientBackground();
                this.getGradient.onHidePosition(true);
                return;
            case R.id.img_end :
                showColorPicker("end");
                this.getGradient.onHidePosition(true);
                return;
            case R.id.img_flip:
                int i = this.colors[0];
                this.colors[0] = this.colors[1];
                this.colors[1] = i;
                this.img_start.setBackgroundColor(this.colors[0]);
                this.img_end.setBackgroundColor(this.colors[1]);
                applyGradientBackground();
                this.getGradient.onHidePosition(true);
                return;
            case R.id.img_start:
                showColorPicker("start");
                this.getGradient.onHidePosition(true);
                return;
            case R.id.radio_linear :
                this.radio_linear.setChecked(true);
                this.radio_radial.setChecked(false);
                this.typeGradient = "LINEAR";
                this.lay_orintation.setVisibility(View.VISIBLE);
                this.lay_radius.setVisibility(View.GONE);
                applyGradientBackground();
                this.getGradient.onHidePosition(true);
                return;
            case R.id.radio_radial :
                this.radio_linear.setChecked(false);
                this.radio_radial.setChecked(true);
                this.typeGradient = "RADIAL";
                this.lay_orintation.setVisibility(View.GONE);
                this.lay_radius.setVisibility(View.VISIBLE);
                applyGradientBackground();
                this.getGradient.onHidePosition(true);
                return;
            default:
                return;
        }
    }

    private void showColorPicker(final String str) {
        int i;
        if (str.equals("start")) {
            i = this.colors[0];
        } else {
            i = this.colors[1];
        }
        new AmbilWarnaDialog(getActivity(), i, new OnAmbilWarnaListener() {
            public void onCancel(AmbilWarnaDialog ambilWarnaDialog) {
            }

            public void onOk(AmbilWarnaDialog ambilWarnaDialog, int i) {
                FragmentGradient.this.updateColor(i, str);
            }
        }).show();
    }

    private void updateColor(int i, String str) {
        String toHexString;
        ImageView imageView;
        StringBuilder stringBuilder;
        if (str.equals("start")) {
            this.colors[0] = i;
            toHexString = Integer.toHexString(i);
            imageView = this.img_start;
            stringBuilder = new StringBuilder();
            stringBuilder.append("#");
            stringBuilder.append(toHexString);
            imageView.setBackgroundColor(Color.parseColor(stringBuilder.toString()));
        } else {
            this.colors[1] = i;
            toHexString = Integer.toHexString(i);
            imageView = this.img_end;
            stringBuilder = new StringBuilder();
            stringBuilder.append("#");
            stringBuilder.append(toHexString);
            imageView.setBackgroundColor(Color.parseColor(stringBuilder.toString()));
        }
        applyGradientBackground();
    }

    private void applyGradientBackground() {
        GradientDrawable gradientDrawable = new GradientDrawable(this.ortnIs, new int[]{this.colors[0], this.colors[1]});
        gradientDrawable.mutate();
        if (this.typeGradient.equals("LINEAR")) {
            gradientDrawable.setGradientType(GradientDrawable.LINEAR_GRADIENT);
            Bitmap drawableToBitmap = Constants.drawableToBitmap(gradientDrawable, 160, 160);
            if (drawableToBitmap != null) {
                this.img_result.setImageBitmap(drawableToBitmap);
                return;
            }
            return;
        }
        Bitmap createBitmap = Bitmap.createBitmap(160, 160, Config.ARGB_8888);
        if (createBitmap != null) {
            getBitmap(gradientDrawable, createBitmap);
        }
    }

    private void getBitmap(GradientDrawable gradientDrawable, Bitmap bitmap) {
        gradientDrawable.setGradientType(GradientDrawable.RADIAL_GRADIENT);
        gradientDrawable.setGradientRadius((float) ((bitmap.getWidth() * this.prog_radious) / 100));
        this.img_result.setImageBitmap(Constants.drawableToBitmap(gradientDrawable, bitmap.getWidth(), bitmap.getHeight()));
    }

    public void onProgressChanged(SeekBar seekBar, int i, boolean z) {
        if (i > 0) {
            this.prog_radious = i;
            applyGradientBackground();
        }
    }

    public void setSelected(int i) {
        for (int i2 = 0; i2 < this.imgArr.length; i2++) {
            if (this.imgArr[i2].getId() == i) {
                this.imgArr[i2].setBackgroundResource(R.drawable.ic_orientation_selected);
            } else {
                this.imgArr[i2].setBackgroundResource(R.drawable.ic_orientation);
            }
        }
    }
}
