package com.AccountName.thumbnailmaker.main;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.content.Intent.ShortcutIconResource;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.content.pm.PackageManager;
import android.graphics.Typeface;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageView;

import androidx.appcompat.app.AppCompatActivity;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.utility.ImageUtils;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;

import vocsy.ads.GoogleAds;


public class MainActivity extends AppCompatActivity implements OnClickListener {
    Editor editor;
    private boolean isOpenFisrtTime = false;

    SharedPreferences preferences;
    SharedPreferences prefs;
    Typeface ttf;
    Typeface ttfText;

    private ImageView btnCreateThumbnail, btnMyDesigns, btnMyThumbnail;

    @SuppressLint("WrongConstant")
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_main);

        SystemConfiguration.setStatusBarColor(this, R.color.white, false);

        this.preferences = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        this.editor = getSharedPreferences("MY_PREFS_NAME", 0).edit();
        this.prefs = getSharedPreferences("MY_PREFS_NAME", 0);
        this.editor.putString("rateIs", "yes");
        this.editor.commit();

        if (VERSION.SDK_INT < 33) {
            if (VERSION.SDK_INT >= 23 && !(checkSelfPermission("android.permission.CAMERA") == PackageManager.PERMISSION_GRANTED && checkSelfPermission("android.permission.READ_EXTERNAL_STORAGE") == PackageManager.PERMISSION_GRANTED && checkSelfPermission("android.permission.WRITE_EXTERNAL_STORAGE") == 0)) {
                MainActivity.this.requestPermissions(new String[]{"android.permission.CAMERA", "android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, 100);

                if (this.isOpenFisrtTime) {
                    Intent intent = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS", Uri.fromParts("package", MainActivity.this.getPackageName(), null));
                    intent.addFlags(268435456);
                    MainActivity.this.startActivityForResult(intent, 101);
                }
            }
        } else {
            if (!(checkSelfPermission("android.permission.CAMERA") == PackageManager.PERMISSION_GRANTED && checkSelfPermission("android.permission.READ_MEDIA_IMAGES") == PackageManager.PERMISSION_GRANTED && checkSelfPermission("android.permission.READ_MEDIA_VIDEO") == 0)) {
                MainActivity.this.requestPermissions(new String[]{"android.permission.CAMERA", "android.permission.READ_MEDIA_IMAGES", "android.permission.READ_MEDIA_VIDEO"}, 100);

                if (this.isOpenFisrtTime) {
                    Intent intent = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS", Uri.fromParts("package", MainActivity.this.getPackageName(), null));
                    intent.addFlags(268435456);
                    MainActivity.this.startActivityForResult(intent, 101);
                }
            }
        }

        this.ttf = Constants.getHomeTextTypeface(this);
        this.ttfText = Constants.getTextTypeface(this);
        initViews();
        initClicks();
    }

    private void initViews() {
        btnCreateThumbnail = findViewById(R.id.btnCreateThumbnail);
        btnMyDesigns = findViewById(R.id.btnMyDesigns);
        btnMyThumbnail = findViewById(R.id.btnMyThumbnail);
    }

    private void initClicks() {
        btnCreateThumbnail.setOnClickListener(this);
        btnMyDesigns.setOnClickListener(this);
        btnMyThumbnail.setOnClickListener(this);
    }

    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.btnMyDesigns:
                ImageUtils.applyBounceAnimation(btnMyDesigns);
                GoogleAds.getInstance().showCounterInterstitialAd(MainActivity.this, () -> startActivity(new Intent(MainActivity.this, TemplatesActivity.class)));
                overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
                return;
            case R.id.btnMyThumbnail:
                ImageUtils.applyBounceAnimation(btnMyThumbnail);
                GoogleAds.getInstance().showCounterInterstitialAd(MainActivity.this, () -> startActivity(new Intent(MainActivity.this, SavedHistoryActivity.class)));
                overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
                return;
            case R.id.btnCreateThumbnail:
                ImageUtils.applyBounceAnimation(btnCreateThumbnail);
                GoogleAds.getInstance().showCounterInterstitialAd(MainActivity.this, () -> startActivity(new Intent(MainActivity.this, SelectImageActivity.class)));
                overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
                return;
            default:
                return;
        }
    }


    public void createShortCut() {
        Intent intent = new Intent("com.android.launcher.action.INSTALL_SHORTCUT");
        intent.putExtra("duplicate", false);
        intent.putExtra("android.intent.extra.shortcut.NAME", getString(R.string.app_name));
        intent.putExtra("android.intent.extra.shortcut.ICON_RESOURCE", ShortcutIconResource.fromContext(getApplicationContext(), R.mipmap.ic_launcher));
        intent.putExtra("android.intent.extra.shortcut.INTENT", new Intent(getApplicationContext(), MainActivity.class));
        sendBroadcast(intent);
    }

    @SuppressLint("WrongConstant")
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i == 101 && VERSION.SDK_INT >= 23) {
            if (VERSION.SDK_INT < 33) {
                if (checkSelfPermission("android.permission.CAMERA") != PackageManager.PERMISSION_GRANTED || checkSelfPermission("android.permission.READ_EXTERNAL_STORAGE") != 0 || checkSelfPermission("android.permission.WRITE_EXTERNAL_STORAGE") != 0) {
                    MainActivity.this.requestPermissions(new String[]{"android.permission.CAMERA", "android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, 100);

                    if (this.isOpenFisrtTime) {
                        Intent intent2 = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS", Uri.fromParts("package", MainActivity.this.getPackageName(), null));
                        intent2.addFlags(268435456);
                        MainActivity.this.startActivityForResult(intent2, 101);
                    }
                }
            } else {
                if (checkSelfPermission("android.permission.CAMERA") != PackageManager.PERMISSION_GRANTED || checkSelfPermission("android.permission.READ_MEDIA_IMAGES") != 0 || checkSelfPermission("android.permission.READ_MEDIA_VIDEO") != 0) {
                    MainActivity.this.requestPermissions(new String[]{"android.permission.CAMERA", "android.permission.READ_MEDIA_IMAGES", "android.permission.READ_MEDIA_VIDEO"}, 100);

                    if (this.isOpenFisrtTime) {
                        Intent intent2 = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS", Uri.fromParts("package", MainActivity.this.getPackageName(), null));
                        intent2.addFlags(268435456);
                        MainActivity.this.startActivityForResult(intent2, 101);
                    }
                }
            }
        }
    }

    @SuppressLint("WrongConstant")
    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i, strArr, iArr);
        if (i != 100) {
            return;
        }
        if (iArr[0] == 0) {
            if (VERSION.SDK_INT < 23) {
                return;
            }
            if (VERSION.SDK_INT < 33) {
                if (checkSelfPermission("android.permission.CAMERA") != PackageManager.PERMISSION_GRANTED || checkSelfPermission("android.permission.READ_EXTERNAL_STORAGE") != 0 || checkSelfPermission("android.permission.WRITE_EXTERNAL_STORAGE") != PackageManager.PERMISSION_GRANTED) {
                    this.isOpenFisrtTime = true;
                    MainActivity.this.requestPermissions(new String[]{"android.permission.CAMERA", "android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, 100);

                    if (this.isOpenFisrtTime) {
                        Intent intent2 = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS", Uri.fromParts("package", MainActivity.this.getPackageName(), null));
                        intent2.addFlags(268435456);
                        MainActivity.this.startActivityForResult(intent2, 101);
                    }
                }
            } else {
                if (checkSelfPermission("android.permission.CAMERA") != PackageManager.PERMISSION_GRANTED || checkSelfPermission("android.permission.READ_MEDIA_IMAGES") != 0 || checkSelfPermission("android.permission.READ_MEDIA_VIDEO") != PackageManager.PERMISSION_GRANTED) {
                    this.isOpenFisrtTime = true;
                    if (checkSelfPermission("android.permission.CAMERA") != PackageManager.PERMISSION_GRANTED || checkSelfPermission("android.permission.READ_MEDIA_IMAGES") != 0 || checkSelfPermission("android.permission.READ_MEDIA_VIDEO") != 0) {
                        MainActivity.this.requestPermissions(new String[]{"android.permission.CAMERA", "android.permission.READ_MEDIA_IMAGES", "android.permission.READ_MEDIA_VIDEO"}, 100);

                        if (this.isOpenFisrtTime) {
                            Intent intent2 = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS", Uri.fromParts("package", MainActivity.this.getPackageName(), null));
                            intent2.addFlags(268435456);
                            MainActivity.this.startActivityForResult(intent2, 101);
                        }
                    }
                }
            }
        } else if (VERSION.SDK_INT < 23) {
        } else {
            if (VERSION.SDK_INT < 33) {
                if (checkSelfPermission("android.permission.CAMERA") != PackageManager.PERMISSION_GRANTED || checkSelfPermission("android.permission.READ_EXTERNAL_STORAGE") != 0 || checkSelfPermission("android.permission.WRITE_EXTERNAL_STORAGE") != PackageManager.PERMISSION_GRANTED) {
                    this.isOpenFisrtTime = true;
                    MainActivity.this.requestPermissions(new String[]{"android.permission.CAMERA", "android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, 100);

                    if (this.isOpenFisrtTime) {
                        Intent intent2 = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS", Uri.fromParts("package", MainActivity.this.getPackageName(), null));
                        intent2.addFlags(268435456);
                        MainActivity.this.startActivityForResult(intent2, 101);
                    }
                }
            } else {
                if (checkSelfPermission("android.permission.CAMERA") != PackageManager.PERMISSION_GRANTED || checkSelfPermission("android.permission.READ_MEDIA_IMAGES") != 0 || checkSelfPermission("android.permission.READ_MEDIA_VIDEO") != PackageManager.PERMISSION_GRANTED) {
                    this.isOpenFisrtTime = true;
                    MainActivity.this.requestPermissions(new String[]{"android.permission.CAMERA", "android.permission.READ_MEDIA_IMAGES", "android.permission.READ_MEDIA_VIDEO"}, 100);

                    if (this.isOpenFisrtTime) {
                        Intent intent2 = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS", Uri.fromParts("package", MainActivity.this.getPackageName(), null));
                        intent2.addFlags(268435456);
                        MainActivity.this.startActivityForResult(intent2, 101);
                    }
                }
            }
        }
    }

    private boolean isNetworkAvailable() {
        @SuppressLint("WrongConstant") NetworkInfo activeNetworkInfo = ((ConnectivityManager) getSystemService("connectivity")).getActiveNetworkInfo();
        return activeNetworkInfo != null && activeNetworkInfo.isConnected();
    }
}