package com.AccountName.thumbnailmaker.main;

import android.content.Intent;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnTouchListener;
import android.widget.ImageView;

import androidx.appcompat.app.AppCompatActivity;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.utility.ImageUtils;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;

public class PickColorImageActivity extends AppCompatActivity {

    int height;
    float initialX;
    float initialY;
    int pixel = -1;
    float r;
    float rat1;
    float rat2;
    float screenHeight;
    float screenWidth;
    int visiPosition = 0;
    String way;

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.dialog_color);

        SystemConfiguration.setStatusBarColor(this, R.color.toolbarColor, true);

        this.way = getIntent().getStringExtra("way");
        this.visiPosition = getIntent().getIntExtra("visiPosition", 0);
        this.pixel = getIntent().getIntExtra("color", 0);
        DisplayMetrics displayMetrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        this.screenWidth = (float) displayMetrics.widthPixels;
        this.height = ImageUtils.dpToPx(this, 55);
        this.screenHeight = (float) (displayMetrics.heightPixels - this.height);
        ImageView imageView = findViewById(R.id.img_base);
        imageView.setImageBitmap(PosterActivity.bitmapNot);
        ImageView imageView2 = findViewById(R.id.img_done);
        ImageView imageView3 = findViewById(R.id.img_back);
        final ImageView imageView4 = findViewById(R.id.img_putcolor);
        imageView4.setBackgroundColor(this.pixel);
        imageView.setOnTouchListener(new OnTouchListener() {

            public boolean onTouch(View view, MotionEvent motionEvent) {
                int action = motionEvent.getAction();
                if (action == 0) {
                    PickColorImageActivity.this.initialX = motionEvent.getX();
                    PickColorImageActivity.this.initialY = motionEvent.getY();
                    try {
                        PickColorImageActivity.this.pixel = PosterActivity.bitmapNot.getPixel((int) PickColorImageActivity.this.initialX, (int) PickColorImageActivity.this.initialY);
                        imageView4.setBackgroundColor(PickColorImageActivity.this.pixel);
                    } catch (IllegalArgumentException e) {
                        e.printStackTrace();
                        PickColorImageActivity.this.pixel = 0;
                    }
                } else if (action == 2) {
                    PickColorImageActivity.this.initialX = motionEvent.getX();
                    PickColorImageActivity.this.initialY = motionEvent.getY();
                    try {
                        PickColorImageActivity.this.pixel = PosterActivity.bitmapNot.getPixel((int) PickColorImageActivity.this.initialX, (int) PickColorImageActivity.this.initialY);
                        imageView4.setBackgroundColor(PickColorImageActivity.this.pixel);
                    } catch (IllegalArgumentException e2) {
                        e2.printStackTrace();
                        PickColorImageActivity.this.pixel = 0;
                    }
                }
                return true;
            }
        });
        imageView2.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {

                Bundle bundle = new Bundle();
                bundle.putInt("pixel", PickColorImageActivity.this.pixel);
                bundle.putString("way", PickColorImageActivity.this.way);
                bundle.putInt("visiPosition", PickColorImageActivity.this.visiPosition);
                Intent intent = new Intent();
                intent.putExtras(bundle);
                PickColorImageActivity.this.setResult(-1, intent);
                PickColorImageActivity.this.finish();

            }
        });
        imageView3.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                PickColorImageActivity.this.onBackPressed();
            }
        });
    }

    public void onBackPressed() {
        super.onBackPressed();
    }
}
