package com.AccountName.thumbnailmaker.main;

import android.annotation.SuppressLint;
import android.app.Dialog;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.DialogInterface;
import android.content.DialogInterface.OnDismissListener;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.content.pm.ResolveInfo;
import android.content.res.Configuration;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.Bitmap.Config;
import android.graphics.BitmapFactory;
import android.graphics.BitmapFactory.Options;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader.TileMode;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.GradientDrawable.Orientation;
import android.net.Uri;
import android.os.AsyncTask;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.preference.PreferenceManager;
import android.text.Editable;
import android.text.TextWatcher;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnTouchListener;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.Animation;
import android.view.animation.DecelerateInterpolator;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.GridView;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.RelativeLayout.LayoutParams;
import android.widget.ScrollView;
import android.widget.SeekBar;
import android.widget.SeekBar.OnSeekBarChangeListener;
import android.widget.TextView;
import android.widget.Toast;

import androidx.annotation.RequiresApi;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.ContextCompat;
import androidx.core.content.FileProvider;
import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewpager.widget.ViewPager;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.adapter.AssetsGridMain;
import com.AccountName.thumbnailmaker.adapter.RecyclerFilterImageAdapter;
import com.AccountName.thumbnailmaker.adapter.RecyclerTextBgAdapter;
import com.AccountName.thumbnailmaker.adapter.StickerViewPagerAdapter;
import com.AccountName.thumbnailmaker.adapter.myViewPagerAdapter;
import com.AccountName.thumbnailmaker.scale.SubsamplingScaleImageView;
import com.AccountName.thumbnailmaker.sticker_fragment.GetSnapListener;
import com.AccountName.thumbnailmaker.utility.GPUImageFilterTools.FilterAdjuster;
import com.AccountName.thumbnailmaker.utility.ImageUtils;
import com.AccountName.thumbnailmaker.utility.StorageConfiguration;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;
import com.AccountName.thumbnailmaker.utility.ViewTemplateCanvasFinal;
import com.SimplyEntertaining.thumbnailmaker.main.JniUtils;
import com.bumptech.glide.Glide;
import com.google.android.material.tabs.TabLayout;
import com.msl.demo.view.ComponentInfo;
import com.msl.demo.view.ResizableStickerView;
import com.msl.demo.view.ResizableStickerView.TouchEventListener;
import com.msl.textmodule.AutoFitEditText;
import com.msl.textmodule.AutofitTextRel;
import com.msl.textmodule.TextActivity;
import com.msl.textmodule.TextInfo;
import com.msl.textmodule.adapter.RecyclerItemClickListener;

import org.json.JSONException;
import org.json.JSONObject;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;

import jp.co.cyberagent.android.gpuimage.GPUImage;
import jp.co.cyberagent.android.gpuimage.filter.GPUImageGaussianBlurFilter;
import uz.shift.colorpicker.LineColorPicker;
import uz.shift.colorpicker.OnColorChangedListener;
import vocsy.ads.CustomAdsListener;
import vocsy.ads.GoogleAds;
import yuku.ambilwarna.AmbilWarnaDialog;
import yuku.ambilwarna.AmbilWarnaDialog.OnAmbilWarnaListener;

public class PosterActivity extends AppCompatActivity implements OnClickListener, OnSeekBarChangeListener, TouchEventListener, AutofitTextRel.TouchEventListener, GetSnapListener {


    private static final int OPEN_CROP_ACITIVITYTWO = 9092;
    private static final int OPEN_CUSTOM_ACITIVITY = 4;
    private static final int OPEN_PICKCOLOR_ACITIVITY = 9082;
    private static final int SELECT_PICTURE_FROM_CAMERA = 905;
    private static final int SELECT_PICTURE_FROM_GALLERY = 907;
    private static final int TEXT_ACTIVITY = 908;
    private static final int TYPE_STICKER = 9072;
    public static Bitmap bitmapNot = null;
    public static Bitmap btmSticker = null;
    public static boolean isImageSaved = false;
    private SeekBar CurveTRote_seekBar;
    boolean OneShow = true;
    private SeekBar Scale_seekBar;
    private SeekBar XRote_seekBar;
    private SeekBar XTRote_seekBar;
    private SeekBar YRote_seekBar;
    private SeekBar YTRote_seekBar;
    private SeekBar ZRote_seekBar;
    private SeekBar ZTRote_seekBar;
    StickerViewPagerAdapter _adapter;
    private ViewPager _mViewPager;
    AssetsGridMain adapter;
    RecyclerFilterImageAdapter adaptor_filter;
    RecyclerTextBgAdapter adaptor_txtBg;
    int alpha = 80;
    private SeekBar alphaSeekbar;
    private Animation animSlideDown;
    private Animation animSlideUp;
    String backgroundName;
    ImageView background_blur;
    ImageView background_img;
    int bgAlpha = 0;
    int bgColor = Color.parseColor("#000000");
    String bgDrawable = "0";
    LinearLayout bgShow;
    private Bitmap bitmap = null;
    ImageView btn_bck;
    ImageButton btn_bck1;
    Button btn_layControls;
    ImageButton btn_up_down;
    ImageButton btn_up_down1;
    private RelativeLayout center_rel;
    boolean checkMemory;
    boolean checkTouchContinue = false;
    float civ_height = 0.0f;
    float civ_width = 0.0f;
    LinearLayout colorShow;
    String color_Type;
    String color_TypeIs;
    int[] colors = null;
    LinearLayout controlsShow;
    LinearLayout controlsShowStkr;
    float custom_Wi = 0.0f;
    float custom_X = 0.0f;
    float custom_Y = 0.0f;
    float custom_he = 0.0f;
    ProgressDialog dialogIs = null;
    boolean dialogShow = true;
    float distance;
    int distanceScroll;
    int dsfc;
    private boolean editMode = false;
    Editor editor;
    Editor editor2;
    private File f = null;
    private String filename;
    private View focusedCopy = null;
    private View focusedView;
    String[] fontArr;
    String fontName = "";
    LinearLayout fontsShow;
    String frame_Name = "";
    GuidelineImageView guideline;
    String hex = "";
    private LineColorPicker horizontalPicker;
    private LineColorPicker horizontalPickerColor;
    private float hr = 1.0f;
    private SeekBar hueSeekbar;
    String[] imageId = new String[]{"btxt0", "btxt1", "btxt2", "btxt3", "btxt4", "btxt5", "btxt6", "btxt7", "btxt8", "btxt9", "btxt10", "btxt11", "btxt12", "btxt13", "btxt14", "btxt15", "btxt16", "btxt17", "btxt18", "btxt19", "btxt20", "btxt21", "btxt22", "btxt23", "btxt24"};
    private Bitmap imgBtmap;
    ImageView img_oK;
    int initialInterval = 200;
    LoadingTemplateAsync lTAsync;
    private final View[] layArr = new View[6];
    RelativeLayout lay_StD;
    RelativeLayout lay_StkrMain;
    RelativeLayout lay_TextMain;
    RelativeLayout lay_color;
    LinearLayout lay_colorOacity;
    RelativeLayout lay_colorOpacity;
    FrameLayout lay_container;
    RelativeLayout lay_controlStkr;
    LinearLayout lay_dupliStkr;
    LinearLayout lay_dupliText;
    LinearLayout lay_edit;
    LinearLayout lay_effects;

    TextView hint_txt;

    LinearLayout btnDone, btnClose;

    AutoFitEditText autoFitEditText;
    private RelativeLayout lay_filterOpcty;
    RelativeLayout lay_handletails;
    RelativeLayout lay_hue;
    ScrollView lay_scroll;
    RelativeLayout lay_sticker;
    LinearLayout lay_textEdit;
    private RelativeLayout lay_touchremove;
    LinearLayout lay_txtcenter;
    LinearLayout lay_txtleft;
    LinearLayout lay_txtright;
    public ListFragment listFragment;
    private Bitmap logoBit;
    ImageView logo_image;
    LinearLayout logo_ll;
    String mDrawableName = "";
    private Handler mHandler;

    private final int mInterval = 50;

    Runnable mStatusChecker;
    private RelativeLayout main_rel;
    private int min = 0;
    int normalInterval = 25;
    SeekBar opctyTxtSeekbar = null;
    int orgHeight;
    int orgWidth;
    Orientation orient = null;
    String overlay_Name = "";
    int overlay_blur = 0;
    int overlay_opacty;
    String[] pallete = new String[]{"#ffffff", "#333333", "#000000", "#ffee90", "#ffd700", "#daa520", "#b8860b", "#adff2f", "#00ff7f", "#32cd32", "#3cb371", "#66cccc", "#669999", "#006666", "#336666", "#ffcccc", "#AB47BC", "#8E24AA", "#4A148C", "#2196F3", "#1976D2", "#0D47A1", "#607D8B", "#455A64", "#263238", "#8D6E63", "#4E342E", "#3E2723", "#E65100"};
    float parentY;
    private LineColorPicker pickerBg;
    SharedPreferences preferences;
    SharedPreferences prefs;
    private int processs;
    String profile;
    int prog_radious = 0;
    String ratio;
    int reSizeFinalHeight = 0;
    int reSizeFinalWidth = 0;
    float rotation = 0.0f;
    LinearLayout sadowShow;
    float screenHeight;

    private InputMethodManager imm;
    float screenWidth;
    private SeekBar seekBar3;
    private SeekBar seekBar_shadow;
    private int seekValue = 90;
    SeekBar seek_blur;
    SeekBar seek_overlayOpacity;
    private SeekBar seek_tailys;
    private LinearLayout seekbar_container;
    int shadowColor = Color.parseColor("#000000");
    private LineColorPicker shadowPickerColor;
    int shadowProg = 0;
    boolean showtailsSeek = false;
    int sizeFull = 0;
    LinearLayout stDShow;
    int stkrColorSet = Color.parseColor("#000000");
    String stkrName;
    String stkr_path;
    int tAlpha = 100;
    int tColor = Color.parseColor("#000000");
    LinearLayout tDShow;
    String temp_Type = "";
    String temp_path = "";
    int template_id;
    int textColorSet = Color.parseColor("#000000");
    ImageView trans_img;
    private Typeface ttf;
    private Typeface ttfHeader;
    String txtGravity = "C";
    HashMap<Integer, Object> txtShapeList;
    TextView[] txtUpArr = new TextView[6];
    RelativeLayout txt_stkr_rel;
    TextView txt_stkrcontrol;
    TextView txt_stkropacty;
    TextView txt_tDS;
    String typeGradient = "";
    String typeUnlock = "";
    ArrayList<String> uriArry = new ArrayList();
    private RelativeLayout btnSelectTxt, btnSelectSt, btnSelectEf, btnSelectImg, btnSelectBg, layoutAddText;
    private float wr = 1.0f;
    float yAtLayoutCenter = -1.0f;
    int intExtra;
    TextView titleText;

    public class BlurOperationTwoAsync extends AsyncTask<String, Void, String> {
        ImageView background_blur;
        Bitmap btmp;
        AppCompatActivity context;


        public void onPreExecute() {
        }

        public BlurOperationTwoAsync(PosterActivity posterActivity, Bitmap bitmap, ImageView imageView) {
            this.context = posterActivity;
            this.btmp = bitmap;
            this.background_blur = imageView;
        }


        public String doInBackground(String... strArr) {
            try {
                this.btmp = PosterActivity.this.gaussinBlur(this.context, this.btmp);
            } catch (Error | Exception e) {
                e.printStackTrace();
            }
            return "yes";
        }


        public void onPostExecute(String str) {
            this.background_blur.setImageBitmap(this.btmp);
            PosterActivity.this.txt_stkr_rel.removeAllViews();
            LoadingdStickersAsync loadingdStickersAsync = new LoadingdStickersAsync();
            String[] strArr = new String[1];
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append("");
            stringBuilder.append(PosterActivity.this.template_id);
            strArr[0] = stringBuilder.toString();
            loadingdStickersAsync.execute(strArr);
        }
    }

    private class LoadingTemplateAsync extends AsyncTask<Integer, Integer, Boolean> {
        int templateIdPassed;

        private LoadingTemplateAsync() {
            this.templateIdPassed = 1;
        }


        public void onPreExecute() {
            super.onPreExecute();
            PosterActivity.this.dialogIs = new ProgressDialog(PosterActivity.this, R.style.AppCompatAlertDialogStyle);
            PosterActivity.this.dialogIs.setMessage(PosterActivity.this.getResources().getString(R.string.plzwait));
            PosterActivity.this.dialogIs.setCancelable(false);
            PosterActivity.this.dialogIs.show();
        }


        public Boolean doInBackground(Integer... strArr) {

            this.templateIdPassed = strArr[0];


            TemplateInfo templateByID = DatabaseHandler.getDbHandler(PosterActivity.this).getTemplateByID(templateIdPassed);

            PosterActivity.this.template_id = templateByID.getTEMPLATE_ID();
            PosterActivity.this.frame_Name = templateByID.getFRAME_NAME();
            PosterActivity.this.temp_path = templateByID.getTEMP_PATH();
            PosterActivity.this.ratio = templateByID.getRATIO();
            PosterActivity.this.profile = templateByID.getPROFILE_TYPE();


            String seek_value = templateByID.getSEEK_VALUE();

            if (PosterActivity.this.profile.equals("Gradient")) {
                try {
                    JSONObject jSONObject = new JSONObject(templateByID.getTEMPCOLOR());
                    PosterActivity.this.typeGradient = jSONObject.getString("Type");
                    String string = jSONObject.getString("Orient");
                    PosterActivity.this.orient = Orientation.valueOf(string);
                    int i = jSONObject.getInt("Color1");
                    int i2 = jSONObject.getInt("Color2");
                    int[] iArr = new int[]{i, i2};
                    PosterActivity.this.colors = iArr;
                    PosterActivity.this.prog_radious = jSONObject.getInt("Prog_radius");
                } catch (JSONException e) {
                    e.printStackTrace();
                }
            } else {
                PosterActivity.this.hex = templateByID.getTEMPCOLOR();
            }
            PosterActivity.this.overlay_Name = templateByID.getOVERLAY_NAME();
            PosterActivity.this.overlay_opacty = templateByID.getOVERLAY_OPACITY();
            PosterActivity.this.overlay_blur = templateByID.getOVERLAY_BLUR();
            PosterActivity.this.civ_width = templateByID.getCiv_width();
            PosterActivity.this.civ_height = templateByID.getCiv_height();
            PosterActivity.this.custom_Wi = templateByID.getCustom_Wi();
            PosterActivity.this.custom_he = templateByID.getCustom_He();
            PosterActivity.this.custom_X = templateByID.getCustom_X();
            PosterActivity.this.custom_Y = templateByID.getCustom_Y();
            PosterActivity.this.reSizeFinalWidth = templateByID.getSaveImageWidth();
            PosterActivity.this.reSizeFinalHeight = templateByID.getSaveImageHeight();
            PosterActivity.this.seekValue = Integer.parseInt(seek_value);
            return Boolean.valueOf(true);
        }


        public void onPostExecute(Boolean bool) {
            super.onPostExecute(bool);
            if (!PosterActivity.this.overlay_Name.equals("")) {
                PosterActivity.this.setBitmapOverlay(PosterActivity.this.getResources().getIdentifier(PosterActivity.this.overlay_Name, "drawable", PosterActivity.this.getPackageName()));
                int i = -1;
                String[] strArr = Constants.overlayImg;
                for (int i2 = 0; i2 < strArr.length; i2++) {
                    if (strArr[i2].equals(PosterActivity.this.overlay_Name)) {
                        i = i2;
                        break;
                    }
                }
                PosterActivity.this.adaptor_filter.setSelected(i);
            }
            PosterActivity.this.seek_overlayOpacity.setProgress(PosterActivity.this.overlay_opacty);
            PosterActivity.this.seek_blur.setProgress(PosterActivity.this.overlay_blur);
            PosterActivity.this.trans_img.setImageAlpha(PosterActivity.this.overlay_opacty);
            PosterActivity.this.seek_tailys.setProgress(PosterActivity.this.seekValue);
            PosterActivity.this.drawBackgroundImage(PosterActivity.this.ratio, PosterActivity.this.frame_Name, PosterActivity.this.profile, "created");
        }
    }

    private class LoadingdStickersAsync extends AsyncTask<String, String, Boolean> {
        private LoadingdStickersAsync() {
        }


        public void onPreExecute() {
            super.onPreExecute();
        }


        public Boolean doInBackground(String... strArr) {
            DatabaseHandler dbHandler = DatabaseHandler.getDbHandler(PosterActivity.this.getApplicationContext());
            dbHandler.getComponentInfoList(PosterActivity.this.template_id, "SHAPE");
            ArrayList textInfoList = dbHandler.getTextInfoList(PosterActivity.this.template_id);
            ArrayList componentInfoList = dbHandler.getComponentInfoList(PosterActivity.this.template_id, "STICKER");
            dbHandler.close();
            PosterActivity.this.txtShapeList = new HashMap();
            Iterator it = textInfoList.iterator();
            while (it.hasNext()) {
                TextInfo textInfo = (TextInfo) it.next();
                PosterActivity.this.txtShapeList.put(Integer.valueOf(textInfo.getORDER()), textInfo);
            }
            it = componentInfoList.iterator();
            while (it.hasNext()) {
                ComponentInfo componentInfo = (ComponentInfo) it.next();
                PosterActivity.this.txtShapeList.put(Integer.valueOf(componentInfo.getORDER()), componentInfo);
            }
            return Boolean.valueOf(true);
        }


        public void onPostExecute(Boolean bool) {
            super.onPostExecute(bool);
            if (PosterActivity.this.txtShapeList.size() == 0) {
                PosterActivity.this.dialogIs.dismiss();
            }
            ArrayList arrayList = new ArrayList(PosterActivity.this.txtShapeList.keySet());
            Collections.sort(arrayList);
            int size = arrayList.size();
            for (int i = 0; i < size; i++) {
                Object obj = PosterActivity.this.txtShapeList.get(arrayList.get(i));
                if (obj instanceof ComponentInfo) {
                    ComponentInfo componentInfo = (ComponentInfo) obj;
                    String stkr_path = componentInfo.getSTKR_PATH();
                    ResizableStickerView resizableStickerView;
                    if (stkr_path.equals("")) {
                        resizableStickerView = new ResizableStickerView(PosterActivity.this);
                        resizableStickerView.setOnTouchCallbackListener(PosterActivity.this);
                        PosterActivity.this.txt_stkr_rel.addView(resizableStickerView);
                        resizableStickerView.optimizeScreen(PosterActivity.this.screenWidth, PosterActivity.this.screenHeight);
                        resizableStickerView.setComponentInfo(componentInfo);
                        resizableStickerView.optimize(PosterActivity.this.wr, PosterActivity.this.hr);
                        resizableStickerView.setMainLayoutWH((float) PosterActivity.this.main_rel.getWidth(), (float) PosterActivity.this.main_rel.getHeight());
                        resizableStickerView.setBorderVisibility(false);
                        PosterActivity.this.sizeFull++;
                    } else {
                        File file = StorageConfiguration.getCategoryFileLocation();
                        File file2;
                        if (!file.exists() && !file.mkdirs()) {
                            Log.d("", "Can't create directory to save image.");
                            Toast.makeText(PosterActivity.this, PosterActivity.this.getResources().getString(R.string.create_dir_err), Toast.LENGTH_LONG).show();
                            return;
                        } else if (StorageConfiguration.getCategoryFileLocation().exists()) {
                            file2 = new File(stkr_path);
                            if (file2.exists()) {
                                resizableStickerView = new ResizableStickerView(PosterActivity.this);
                                resizableStickerView.setOnTouchCallbackListener(PosterActivity.this);
                                PosterActivity.this.txt_stkr_rel.addView(resizableStickerView);
                                resizableStickerView.optimizeScreen(PosterActivity.this.screenWidth, PosterActivity.this.screenHeight);
                                resizableStickerView.setComponentInfo(componentInfo);
                                resizableStickerView.optimize(PosterActivity.this.wr, PosterActivity.this.hr);
                                resizableStickerView.setMainLayoutWH((float) PosterActivity.this.main_rel.getWidth(), (float) PosterActivity.this.main_rel.getHeight());
                                resizableStickerView.setBorderVisibility(false);
                                PosterActivity.this.sizeFull++;
                            } else {
                                if (file2.getName().replace(".png", "").length() < 7) {
                                    String draName = file2.getName().replace(".png", "");
                                    PosterActivity.this.dialogShow = false;
                                    new SaveStickersAsync(obj).execute(draName);
                                } else {
                                    if (PosterActivity.this.OneShow) {
                                        PosterActivity.this.dialogShow = true;
                                        PosterActivity.this.errorDialogTempInfo("Hide", "", "", "");
                                        PosterActivity.this.OneShow = false;
                                    }
                                    PosterActivity.this.sizeFull++;
                                }
                            }
                        } else {
                            file2 = new File(stkr_path);
                            if (file2.exists()) {
                                resizableStickerView = new ResizableStickerView(PosterActivity.this);
                                resizableStickerView.setOnTouchCallbackListener(PosterActivity.this);
                                PosterActivity.this.txt_stkr_rel.addView(resizableStickerView);
                                resizableStickerView.optimizeScreen(PosterActivity.this.screenWidth, PosterActivity.this.screenHeight);
                                resizableStickerView.setComponentInfo(componentInfo);
                                resizableStickerView.optimize(PosterActivity.this.wr, PosterActivity.this.hr);
                                resizableStickerView.setMainLayoutWH((float) PosterActivity.this.main_rel.getWidth(), (float) PosterActivity.this.main_rel.getHeight());
                                resizableStickerView.setBorderVisibility(false);
                                PosterActivity.this.sizeFull++;
                            } else {
                                if (file2.getName().replace(".png", "").length() < 7) {

                                    String draNamse = file2.getName().replace(".png", "");
                                    PosterActivity.this.dialogShow = false;
                                    new SaveStickersAsync(obj).execute(draNamse);
                                } else {
                                    if (PosterActivity.this.OneShow) {
                                        PosterActivity.this.dialogShow = true;
                                        PosterActivity.this.errorDialogTempInfo("Hide", "", "", "");
                                        PosterActivity.this.OneShow = false;
                                    }
                                    PosterActivity.this.sizeFull++;
                                }
                            }
                        }
                    }
                } else {
                    final AutofitTextRel autofitTextRel = new AutofitTextRel(PosterActivity.this);
                    autofitTextRel.setOnTouchCallbackListener(PosterActivity.this);
                    PosterActivity.this.txt_stkr_rel.addView(autofitTextRel);
                    autofitTextRel.setMainLayoutWH((float) PosterActivity.this.main_rel.getWidth(), (float) PosterActivity.this.main_rel.getHeight());
                    TextInfo textInfo = (TextInfo) obj;
                    autofitTextRel.setTextInfo(textInfo, false);
                    autofitTextRel.setWidthHeight(PosterActivity.this.main_rel.getWidth(), PosterActivity.this.main_rel.getHeight());
                    autofitTextRel.refreshText();
                    autofitTextRel.post(new Runnable() {
                        public void run() {
                            autofitTextRel.setBorderVisibility(true);
                            autofitTextRel.setBorderVisibility(false);
                        }
                    });
                    PosterActivity.this.fontName = textInfo.getFONT_NAME();
                    PosterActivity.this.tColor = textInfo.getTEXT_COLOR();
                    PosterActivity.this.shadowColor = textInfo.getSHADOW_COLOR();
                    PosterActivity.this.shadowProg = textInfo.getSHADOW_PROG();
                    PosterActivity.this.tAlpha = textInfo.getTEXT_ALPHA();
                    PosterActivity.this.bgDrawable = textInfo.getBG_DRAWABLE();
                    PosterActivity.this.bgAlpha = textInfo.getBG_ALPHA();
                    PosterActivity.this.rotation = textInfo.getROTATION();
                    PosterActivity.this.bgColor = textInfo.getBG_COLOR();
                    PosterActivity.this.txtGravity = textInfo.getFIELD_THREE();
                    PosterActivity.this.sizeFull++;
                }
            }
            if (PosterActivity.this.txtShapeList.size() == PosterActivity.this.sizeFull && PosterActivity.this.dialogShow) {
                PosterActivity.this.removeImageViewControll();
                PosterActivity.this.dialogIs.dismiss();
            }
        }
    }

    class SaveAndLoadStickerAsync extends AsyncTask<String, Void, String> {
        private ProgressDialog pd;

        SaveAndLoadStickerAsync() {
        }


        public void onPreExecute() {
            this.pd = new ProgressDialog(PosterActivity.this, R.style.AppCompatAlertDialogStyle);
            this.pd.setMessage(PosterActivity.this.getResources().getString(R.string.plzwait));
            this.pd.setCancelable(false);
            this.pd.show();
        }


        public String doInBackground(String... strArr) {
            String saveBitmapObject1 = Constants.saveBitmapObject1(CropActivityTwo.bitmapImage);
            return (saveBitmapObject1 == null || saveBitmapObject1.isEmpty()) ? null : saveBitmapObject1;
        }


        public void onPostExecute(String str) {
            this.pd.dismiss();
            if (str != null) {
                PosterActivity.this.addSticker("0", str);
            }
        }
    }

    private class SaveStickersAsync extends AsyncTask<String, String, Boolean> {
        Object objk;
        String stkr_path;

        public SaveStickersAsync(Object obj) {
            this.objk = obj;
        }


        public void onPreExecute() {
            super.onPreExecute();
        }


        public Boolean doInBackground(String... strArr) {
            String str = strArr[0];
            this.stkr_path = ((ComponentInfo) this.objk).getSTKR_PATH();
            try {
                byte[] decryptResourceJni = JniUtils.decryptResourceJni(PosterActivity.this, str);
                Bitmap decodeByteArray = BitmapFactory.decodeByteArray(decryptResourceJni, 0, decryptResourceJni.length);
                if (decodeByteArray != null) {
                    return Boolean.valueOf(Constants.saveBitmapObject(PosterActivity.this, decodeByteArray, this.stkr_path));
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
            return Boolean.valueOf(false);
        }


        public void onPostExecute(Boolean bool) {
            super.onPostExecute(bool);
            PosterActivity.this.sizeFull++;
            if (PosterActivity.this.txtShapeList.size() == PosterActivity.this.sizeFull) {
                PosterActivity.this.dialogShow = true;
            }
            if (bool.booleanValue()) {
                ResizableStickerView resizableStickerView = new ResizableStickerView(PosterActivity.this);
                PosterActivity.this.txt_stkr_rel.addView(resizableStickerView);
                resizableStickerView.optimizeScreen(PosterActivity.this.screenWidth, PosterActivity.this.screenHeight);
                resizableStickerView.setComponentInfo((ComponentInfo) this.objk);
                resizableStickerView.optimize(PosterActivity.this.wr, PosterActivity.this.hr);
                resizableStickerView.setMainLayoutWH((float) PosterActivity.this.main_rel.getWidth(), (float) PosterActivity.this.main_rel.getHeight());
                resizableStickerView.setBorderVisibility(false);
            }
            if (PosterActivity.this.dialogShow) {
                PosterActivity.this.dialogIs.dismiss();
            }
        }
    }

    private float getnewHeight(int i, int i2, float f, float f2) {
        return (((float) i2) * f) / ((float) i);
    }

    private float getnewWidth(int i, int i2, float f, float f2) {
        return (((float) i) * f2) / ((float) i2);
    }

    public void onEdit(View view, Uri uri) {
    }


    public void onStartTrackingTouch(SeekBar seekBar) {
    }

    public PosterActivity() {
    }


    public void onCreate(Bundle bundle) {
        int i;
        super.onCreate(bundle);
        setContentView(R.layout.activity_poster);

        SystemConfiguration.setStatusBarColor(this, R.color.toolbarColor, true);

        DisplayMetrics displayMetrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        this.screenWidth = (float) displayMetrics.widthPixels;
        this.screenHeight = (float) (displayMetrics.heightPixels - ImageUtils.dpToPx(this, 56));

        this.editor = getSharedPreferences("MY_PREFS_NAME", 0).edit();
        this.prefs = getSharedPreferences("MY_PREFS_NAME", 0);
        this.preferences = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        this.guideline = findViewById(R.id.guidelines);
        this.background_blur = findViewById(R.id.background_blur);
        intilization();
        this.imm = (InputMethodManager) getSystemService(INPUT_METHOD_SERVICE);
        if (getIntent().getBooleanExtra("loadUserFrame", false)) {
            bundle = getIntent().getExtras();
            this.ratio = bundle.getString("ratio");
            this.backgroundName = bundle.getString("backgroundName");
            this.profile = bundle.getString("profile");
            this.hex = bundle.getString("hex");
            this.colors = bundle.getIntArray("colorArr");
            this.typeGradient = bundle.getString("typeGradient");
            this.orient = (Orientation) bundle.get("orintation");
            this.prog_radious = bundle.getInt("prog_radious");
            this.reSizeFinalWidth = bundle.getInt("reSizeFinalWidth");
            this.reSizeFinalHeight = bundle.getInt("reSizeFinalHeight");
            if (this.profile.equals("Temp_Path")) {
                this.backgroundName = "0";
                this.profile = "Temp_Path";
                this.hex = "";
                setImageBitmapAndResizeLayout(ImageUtils.resizeBitmap(CropActivity.bitmapImage, (int) this.screenWidth, (int) this.screenHeight), "nonCreated");
            } else {
                this.civ_width = CropActivity.civ_width;
                this.civ_height = CropActivity.civ_height;
                this.custom_Wi = CropActivity.custom_Wi;
                this.custom_he = CropActivity.custom_he;
                this.custom_X = CropActivity.custom_X;
                this.custom_Y = CropActivity.custom_Y;
                drawBackgroundImage(this.ratio, this.backgroundName, this.profile, "nonCreated");
            }
        } else {
            this.temp_Type = getIntent().getExtras().getString("Temp_Type");
            intExtra = getIntent().getIntExtra("template_id", 0);

            Log.e("intExtra", "intExtra==== " + intExtra);


            this.center_rel.post(new Runnable() {
                public void run() {
                    PosterActivity.this.lTAsync = new LoadingTemplateAsync();
                    LoadingTemplateAsync loadingTemplateAsync = PosterActivity.this.lTAsync;
                    Integer[] strArr = new Integer[1];
                    StringBuilder stringBuilder = new StringBuilder();
                    stringBuilder.append("");
                    stringBuilder.append(intExtra);
                    strArr[0] = intExtra;
                    loadingTemplateAsync.execute(strArr);
                }
            });
        }
        initViewPager();
        this.ttfHeader = Constants.getHeaderTypeface(this);
        ((TextView) findViewById(R.id.txtheader1)).setTypeface(this.ttfHeader);
        int[] iArr = new int[this.pallete.length];
        for (i = 0; i < iArr.length; i++) {
            iArr[i] = Color.parseColor(this.pallete[i]);
        }
        this.horizontalPicker.setColors(iArr);
        this.horizontalPickerColor.setColors(iArr);
        this.shadowPickerColor.setColors(iArr);
        this.pickerBg.setColors(iArr);
        this.horizontalPicker.setSelectedColor(this.textColorSet);
        this.horizontalPickerColor.setSelectedColor(this.stkrColorSet);
        this.shadowPickerColor.setSelectedColor(iArr[2]);
        this.pickerBg.setSelectedColor(iArr[2]);
        int intExtracolor = this.horizontalPicker.getColor();
        i = this.horizontalPickerColor.getColor();
        int color = this.shadowPickerColor.getColor();
        int color2 = this.pickerBg.getColor();
        updateColor(intExtracolor);
        updateColor(i);
        updateShadow(color);
        updateBgColor(color2);
        OnColorChangedListener anonymousClass2 = new OnColorChangedListener() {
            public void onColorChanged(int i) {
                PosterActivity.this.updateColor(i);
            }
        };
        OnColorChangedListener anonymousClass3 = new OnColorChangedListener() {
            public void onColorChanged(int i) {
                PosterActivity.this.updateShadow(i);
            }
        };
        OnColorChangedListener anonymousClass4 = new OnColorChangedListener() {
            public void onColorChanged(int i) {
                PosterActivity.this.updateBgColor(i);
            }
        };
        this.horizontalPicker.setOnColorChangedListener(anonymousClass2);
        this.horizontalPickerColor.setOnColorChangedListener(anonymousClass2);
        this.shadowPickerColor.setOnColorChangedListener(anonymousClass3);
        this.pickerBg.setOnColorChangedListener(anonymousClass4);

        this.logo_image.setVisibility(View.GONE);

        titleText = findViewById(R.id.titleText);
        this.btn_bck = findViewById(R.id.btn_bck);
        this.btn_bck1 = findViewById(R.id.btn_bck1);
        this.btn_bck.setOnClickListener(this);
        this.btn_bck1.setOnClickListener(this);
        this.btn_up_down = findViewById(R.id.btn_up_down);
        this.btn_up_down1 = findViewById(R.id.btn_up_down1);
        this.XRote_seekBar = findViewById(R.id.XRote_seekBar);
        this.YRote_seekBar = findViewById(R.id.YRote_seekBar);
        this.ZRote_seekBar = findViewById(R.id.ZRote_seekBar);
        this.Scale_seekBar = findViewById(R.id.Scale_seekBar);
        this.XTRote_seekBar = findViewById(R.id.XTRote_seekBar);
        this.YTRote_seekBar = findViewById(R.id.YTRote_seekBar);
        this.ZTRote_seekBar = findViewById(R.id.ZTRote_seekBar);
        this.CurveTRote_seekBar = findViewById(R.id.CurveTRote_seekBar);
        this.XRote_seekBar.setOnSeekBarChangeListener(this);
        this.YRote_seekBar.setOnSeekBarChangeListener(this);
        this.ZRote_seekBar.setOnSeekBarChangeListener(this);
        this.Scale_seekBar.setOnSeekBarChangeListener(this);
        this.XTRote_seekBar.setOnSeekBarChangeListener(this);
        this.YTRote_seekBar.setOnSeekBarChangeListener(this);
        this.ZTRote_seekBar.setOnSeekBarChangeListener(this);
        this.CurveTRote_seekBar.setOnSeekBarChangeListener(this);
        this.XRote_seekBar.setProgress(45);
        this.YRote_seekBar.setProgress(45);
        this.ZRote_seekBar.setProgress(SubsamplingScaleImageView.ORIENTATION_180);
        this.Scale_seekBar.setProgress(10);
        this.XTRote_seekBar.setProgress(45);
        this.YTRote_seekBar.setProgress(45);
        this.ZTRote_seekBar.setProgress(SubsamplingScaleImageView.ORIENTATION_180);
        this.CurveTRote_seekBar.setProgress(250);
        this.opctyTxtSeekbar = findViewById(R.id.seekBar2);
        this.opctyTxtSeekbar.setOnSeekBarChangeListener(this);
        this.opctyTxtSeekbar.setProgress(100);
        this.controlsShow = findViewById(R.id.controlsShow);
        this.fontsShow = findViewById(R.id.fontsShow);
        this.colorShow = findViewById(R.id.colorShow);
        this.sadowShow = findViewById(R.id.sadowShow);
        this.bgShow = findViewById(R.id.bgShow);
        this.tDShow = findViewById(R.id.tDShow);
        this.layArr[0] = findViewById(R.id.lay_controls);
        this.layArr[1] = findViewById(R.id.lay_fonts);
        this.layArr[2] = findViewById(R.id.lay_colors);
        this.layArr[3] = findViewById(R.id.lay_shadow);
        this.layArr[4] = findViewById(R.id.lay_backgnd);
        this.layArr[5] = findViewById(R.id.lay_tD);
        this.txtUpArr[0] = findViewById(R.id.txt_controls);
        this.txtUpArr[1] = findViewById(R.id.txt_fonts);
        this.txtUpArr[2] = findViewById(R.id.txt_colors);
        this.txtUpArr[3] = findViewById(R.id.txt_shadow);
        this.txtUpArr[4] = findViewById(R.id.txt_bg);
        this.txtUpArr[5] = findViewById(R.id.txt_tD);
        setSelected(R.id.lay_controls);
        setTextUpColor(R.id.txt_controls);
        this.lay_scroll = findViewById(R.id.lay_scroll);
        this.lay_scroll.setOnTouchListener(new OnTouchListener() {
            public boolean onTouch(View view, MotionEvent motionEvent) {
                return true;
            }
        });
        this.lay_txtleft = findViewById(R.id.lay_txtleft);
        this.lay_txtright = findViewById(R.id.lay_txtright);
        this.lay_txtcenter = findViewById(R.id.lay_txtcenter);
        this.lay_txtleft.setOnClickListener(this);
        this.lay_txtright.setOnClickListener(this);
        this.lay_txtcenter.setOnClickListener(this);
        LayoutParams layoutParams = new LayoutParams(-1, -2);
        layoutParams.addRule(13);
        this.lay_scroll.setLayoutParams(layoutParams);
        this.lay_scroll.postInvalidate();
        this.lay_scroll.requestLayout();
        ((TextView) findViewById(R.id.txt_fonts)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txt_colors)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txt_shadow)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txt_bg)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txt_controls)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txt_tD)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txt_tDS)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txtDuplicate)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txt_duplicateText)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txt_editText)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txtLeft)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txtCenter)).setTypeface(this.ttf);
        ((TextView) findViewById(R.id.txtRight)).setTypeface(this.ttf);
        ImageButton imageButton = findViewById(R.id.btnLeft);
        ImageButton imageButton2 = findViewById(R.id.btnRight);
        ImageButton imageButton3 = findViewById(R.id.btnUp);
        ImageButton imageButton4 = findViewById(R.id.btnDown);
        ImageButton imageButton5 = findViewById(R.id.btnLeftS);
        ImageButton imageButton6 = findViewById(R.id.btnRightS);
        ImageButton imageButton7 = findViewById(R.id.btnUpS);
        ImageButton imageButton8 = findViewById(R.id.btnDownS);
        this.txt_stkrcontrol = findViewById(R.id.txt_stkrcontrol);
        this.txt_stkropacty = findViewById(R.id.txt_stkropacty);
        this.txt_tDS = findViewById(R.id.txt_tDS);
        this.txt_stkrcontrol.setTypeface(this.ttf);
        this.txt_stkropacty.setTypeface(this.ttf);
        this.txt_tDS.setTypeface(this.ttf);


        imageButton.setOnTouchListener(new RepeatListener(this.initialInterval, this.normalInterval, this.guideline, new OnClickListener() {
            public void onClick(View view) {
                PosterActivity.this.updatePositionSticker("decX");
            }
        }));
        imageButton2.setOnTouchListener(new RepeatListener(this.initialInterval, this.normalInterval, this.guideline, new OnClickListener() {
            public void onClick(View view) {
                PosterActivity.this.updatePositionSticker("incrX");
            }
        }));
        imageButton3.setOnTouchListener(new RepeatListener(this.initialInterval, this.normalInterval, this.guideline, new OnClickListener() {
            public void onClick(View view) {
                PosterActivity.this.updatePositionSticker("decY");
            }
        }));
        imageButton4.setOnTouchListener(new RepeatListener(this.initialInterval, this.normalInterval, this.guideline, new OnClickListener() {
            public void onClick(View view) {
                PosterActivity.this.updatePositionSticker("incrY");
            }
        }));
        imageButton5.setOnTouchListener(new RepeatListener(this.initialInterval, this.normalInterval, this.guideline, new OnClickListener() {
            public void onClick(View view) {
                PosterActivity.this.updatePositionSticker("decX");
            }
        }));
        imageButton6.setOnTouchListener(new RepeatListener(this.initialInterval, this.normalInterval, this.guideline, new OnClickListener() {
            public void onClick(View view) {
                PosterActivity.this.updatePositionSticker("incrX");
            }
        }));
        imageButton7.setOnTouchListener(new RepeatListener(this.initialInterval, this.normalInterval, this.guideline, new OnClickListener() {
            public void onClick(View view) {
                PosterActivity.this.updatePositionSticker("decY");
            }
        }));
        imageButton8.setOnTouchListener(new RepeatListener(this.initialInterval, this.normalInterval, this.guideline, new OnClickListener() {
            public void onClick(View view) {
                PosterActivity.this.updatePositionSticker("incrY");
            }
        }));
        this.mHandler = new Handler();
        this.mStatusChecker = new Runnable() {
            public void run() {
                if (PosterActivity.this.lay_scroll != null) {
                    PosterActivity.this.stickerRemoveScrollViewPosition(PosterActivity.this.focusedView);
                }
                PosterActivity.this.mHandler.postDelayed(this, PosterActivity.this.mInterval);
            }
        };
        this.lay_controlStkr = findViewById(R.id.lay_controlStkr);
        this.lay_colorOpacity = findViewById(R.id.lay_colorOpacity);
        this.lay_StD = findViewById(R.id.lay_StD);
        this.lay_colorOacity = findViewById(R.id.lay_colorOacity);
        this.controlsShowStkr = findViewById(R.id.controlsShowStkr);
        this.stDShow = findViewById(R.id.stDShow);
        this.lay_controlStkr.setBackgroundResource(R.drawable.ratio_button_bg);
        this.lay_colorOpacity.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
        this.lay_StD.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
        this.lay_colorOpacity.setOnClickListener(this);
        this.lay_controlStkr.setOnClickListener(this);
        this.lay_StD.setOnClickListener(this);
        this.listFragment = new ListFragment();
        this.listFragment.setRelativeLayout(this.txt_stkr_rel, this.btn_layControls, this.lay_container);
        showFragment(this.listFragment);
    }

    private void showFragment(Fragment fragment) {
        getSupportFragmentManager().beginTransaction().replace(R.id.lay_container, fragment, "fragment").commit();
    }

    private void drawBackgroundImage(String str, String str2, String str3, String str4) {
        this.lay_sticker.setVisibility(View.GONE);
        if (!str3.equals("no")) {
            Bitmap bitmap = null;
            int[] optimazedDimension;
            if (str3.equals("Color")) {
                this.temp_path = "";
                this.showtailsSeek = false;
                this.lay_handletails.setVisibility(View.GONE);
                optimazedDimension = ImageUtils.getOptimazedDimension(this.custom_Wi, this.custom_he, this.screenWidth, this.screenHeight);
                bitmap = Bitmap.createBitmap(optimazedDimension[0], optimazedDimension[1], Config.ARGB_8888);
                StringBuilder stringBuilder = new StringBuilder();
                stringBuilder.append("#");
                stringBuilder.append(this.hex);
                bitmap.eraseColor(Color.parseColor(stringBuilder.toString()));
            } else {
                Bitmap drawableToBitmap = null;
                if (str3.equals("Gradient")) {
                    this.temp_path = "";
                    this.lay_handletails.setVisibility(View.GONE);
                    this.showtailsSeek = false;
                    GradientDrawable gradientDrawable = new GradientDrawable(this.orient, this.colors);
                    gradientDrawable.mutate();
                    int[] optimazedDimension2 = ImageUtils.getOptimazedDimension(2.0f, 1.0f, this.screenWidth, this.screenHeight);
                    Bitmap createBitmap = Bitmap.createBitmap(optimazedDimension2[0], optimazedDimension2[1], Config.ARGB_8888);
                    if (this.typeGradient.equals("LINEAR")) {
                        gradientDrawable.setGradientType(GradientDrawable.LINEAR_GRADIENT);
                        drawableToBitmap = Constants.drawableToBitmap(gradientDrawable, createBitmap.getWidth(), createBitmap.getHeight());
                    } else {
                        gradientDrawable.setGradientType(GradientDrawable.LINEAR_GRADIENT);
                        if (createBitmap.getWidth() > createBitmap.getHeight()) {
                            gradientDrawable.setGradientRadius((float) ((createBitmap.getHeight() * this.prog_radious) / 100));
                        } else {
                            gradientDrawable.setGradientRadius((float) ((createBitmap.getWidth() * this.prog_radious) / 100));
                        }
                        drawableToBitmap = Constants.drawableToBitmap(gradientDrawable, createBitmap.getWidth(), createBitmap.getHeight());
                    }
                } else if (str3.equals("Temp_Path")) {
                    File file = StorageConfiguration.getCategoryFileLocation();
                    if (!file.exists() && !file.mkdirs()) {
                        Log.d("", "Can't create directory to save image.");
                        Toast.makeText(this, getResources().getString(R.string.create_dir_err), Toast.LENGTH_LONG).show();
                        return;
                    } else if (StorageConfiguration.getCategoryFileLocation().exists() && new File(this.temp_path).exists()) {
                        try {
                            drawableToBitmap = ImageUtils.getResampleImageBitmap(Uri.parse(this.temp_path), this, (int) (this.screenWidth < this.screenHeight ? this.screenWidth : this.screenHeight));
                        } catch (IOException e) {
                            e.printStackTrace();
                        }
                    }
                } else if (str3.equals("Abstract") || str3.equals("Zig Zag") || str3.equals("Creative Design") || str3.equals("Dot") || str3.equals("Wood") || str3.equals("Water color") || str3.equals("Blur") || str3.equals("Nature") || str3.equals("Black and white")) {
                    this.frame_Name = str2;
                    this.temp_path = "";
                    this.lay_handletails.setVisibility(View.GONE);
                    this.showtailsSeek = false;
                    byte[] decryptResourceJni = JniUtils.decryptResourceJni(this, str2);
                    drawableToBitmap = BitmapFactory.decodeByteArray(decryptResourceJni, 0, decryptResourceJni.length);

                } else if (str3.equals("Texture")) {
                    this.frame_Name = str2;
                    this.temp_path = "";
                    this.showtailsSeek = true;
                    this.lay_handletails.setVisibility(View.VISIBLE);
                    optimazedDimension = ImageUtils.getOptimazedDimension(this.custom_Wi, this.custom_he, this.screenWidth, this.screenHeight);
                    drawableToBitmap = Constants.getTiledBitmap(this, this.frame_Name, Bitmap.createBitmap(optimazedDimension[0], optimazedDimension[1], Config.ARGB_8888), this.seekValue);

                }
                bitmap = drawableToBitmap;
            }
            if (bitmap != null) {
                bitmapRatio(str, str3, bitmap, str4);
            } else {
                if (this.dialogIs != null) {
                    this.dialogIs.dismiss();
                }
                Dialog dialog = new Dialog(this, 16974126);
                dialog.requestWindowFeature(1);
                dialog.setCancelable(true);
                dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
                dialog.setContentView(R.layout.design_error_dialog);
                LinearLayout button = dialog.findViewById(R.id.btn_ok);
                button.setOnClickListener(new OnClickListener() {
                    public void onClick(View view) {
                        PosterActivity.this.finish();
                    }
                });
                dialog.show();
            }
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        if (configuration.orientation == 2) {
            this.main_rel.post(new Runnable() {
                public void run() {
                    PosterActivity.this.lay_scroll.post(new Runnable() {
                        public void run() {
                            int[] iArr = new int[2];
                            PosterActivity.this.lay_scroll.getLocationOnScreen(iArr);
                            PosterActivity.this.parentY = (float) iArr[1];
                            PosterActivity.this.yAtLayoutCenter = PosterActivity.this.parentY;
                        }
                    });
                }
            });
        } else if (configuration.orientation == 1) {
            this.parentY = 0.0f;
            this.yAtLayoutCenter = this.parentY;
        }
    }


    private void setImageBitmapAndResizeLayout(Bitmap bitmap, String str) {
        Exception e;
        if (bitmap == null) {
            Toast.makeText(this, getResources().getString(R.string.picUpImg), Toast.LENGTH_SHORT).show();
            finish();
            return;
        }
        Bitmap resizeBitmap;
        this.orgWidth = bitmap.getWidth();
        this.orgHeight = bitmap.getHeight();
        this.main_rel.getLayoutParams().width = bitmap.getWidth();
        this.main_rel.getLayoutParams().height = bitmap.getHeight();
        this.main_rel.postInvalidate();
        this.main_rel.requestLayout();
        final int width = bitmap.getWidth() / 4;
        if (!this.preferences.getBoolean("removeWatermark", false)) {
            try {
                this.logo_ll.post(new Runnable() {
                    public void run() {
                        try {
                        } catch (Error | Exception e) {
                            e.printStackTrace();
                        }
                    }
                });
            } catch (Error | Exception e2) {
                e2.printStackTrace();
            }
        }
        this.background_img.setImageBitmap(bitmap);
        this.imgBtmap = bitmap;
        this.main_rel.post(new Runnable() {
            public void run() {
                PosterActivity.this.lay_scroll.post(new Runnable() {
                    public void run() {
                        int[] iArr = new int[2];
                        PosterActivity.this.lay_scroll.getLocationOnScreen(iArr);
                        PosterActivity.this.parentY = (float) iArr[1];
                        PosterActivity.this.yAtLayoutCenter = PosterActivity.this.parentY;
                    }
                });
            }
        });
        try {

            float width2 = (float) bitmap.getWidth();
            float height = (float) bitmap.getHeight();
            resizeBitmap = ImageUtils.resizeBitmap(bitmap, this.center_rel.getWidth(), this.center_rel.getHeight());
            try {
                float height2 = (float) resizeBitmap.getHeight();
                this.wr = ((float) resizeBitmap.getWidth()) / width2;
                this.hr = height2 / height;
            } catch (Exception e3) {
                e = e3;
            }
        } catch (Exception e4) {
            e = e4;
            resizeBitmap = bitmap;
            e.printStackTrace();
            if (str.equals("created")) {
            }
            if (!this.preferences.getBoolean("isAdsDisabled", false)) {
            }
        }
        if (str.equals("created")) {
            new BlurOperationTwoAsync(this, resizeBitmap, this.background_blur).execute("");
        } else {
            new BlurOperationAsync(this, resizeBitmap, this.background_blur, this.min).execute("");
        }
        if (!this.preferences.getBoolean("removeWatermark", false)) {
            this.logo_image.setVisibility(View.GONE);
        }
    }

    private void intilization() {
        this.fontArr = getResources().getStringArray(R.array.txtfont_array);
        this.lay_container = findViewById(R.id.lay_container);
        this.btn_layControls = findViewById(R.id.btn_layControls);
        this.btn_layControls.setOnClickListener(this);
        this.ttf = Constants.getTextTypeface(this);
        this.center_rel = findViewById(R.id.center_rel);
        this.lay_touchremove = findViewById(R.id.lay_touchremove);
        this.main_rel = findViewById(R.id.main_rel);
        this.background_img = findViewById(R.id.background_img);
        this.txt_stkr_rel = findViewById(R.id.txt_stkr_rel);
        this.btnSelectTxt = findViewById(R.id.btnSelectTxt);
        this.btnSelectSt = findViewById(R.id.btnSelectSt);
        this.btnSelectBg = findViewById(R.id.btnSelectBg);
        this.layoutAddText = findViewById(R.id.layoutAddText);
        this.hint_txt = findViewById(R.id.hint_txt);
        this.autoFitEditText = findViewById(R.id.auto_fit_edit_text);
        this.btnDone = findViewById(R.id.btnDone);
        this.btnClose = findViewById(R.id.btnClose);
        this.btnSelectEf = findViewById(R.id.btnSelectEf);
        this.btnSelectImg = findViewById(R.id.btnSelectImg);
        this.lay_effects = findViewById(R.id.lay_effects);
        this.lay_sticker = findViewById(R.id.lay_sticker);
        this.lay_handletails = findViewById(R.id.lay_handletails);
        this.seekbar_container = findViewById(R.id.seekbar_container);
        this.lay_filterOpcty = findViewById(R.id.lay_filterOpcty);
        this.seek_tailys = findViewById(R.id.seek_tailys);
        this.alphaSeekbar = findViewById(R.id.alpha_seekBar);
        this.hueSeekbar = findViewById(R.id.hue_seekBar);
        this.trans_img = findViewById(R.id.trans_img);
        this.alphaSeekbar.setOnSeekBarChangeListener(this);
        this.hueSeekbar.setOnSeekBarChangeListener(this);
        this.seek_tailys.setOnSeekBarChangeListener(this);
        this.seek_overlayOpacity = findViewById(R.id.seek);
        this.seek_blur = findViewById(R.id.seek_blur);
        this.seekBar3 = findViewById(R.id.seekBar3);
        this.seekBar_shadow = findViewById(R.id.seekBar_shadow);
        this.seekBar3.setOnSeekBarChangeListener(this);
        this.seekBar_shadow.setOnSeekBarChangeListener(this);
        this.seekBar3.setProgress(0);
        this.seekBar_shadow.setProgress(0);
        this.seek_overlayOpacity.setMax(255);
        this.seek_blur.setMax(255);
        this.seek_overlayOpacity.setProgress(80);
        this.seek_blur.setProgress(0);
        this.trans_img.setImageAlpha(this.alpha);
        this.seek_overlayOpacity.setOnSeekBarChangeListener(this);
        this.seek_blur.setOnSeekBarChangeListener(this);
        int i = (int) (((double) this.screenWidth) * 0.7d);
        int i2 = (int) (((double) i) * 0.5d);
        this.seek_tailys.setMax(i);
        this.seek_tailys.setProgress(i2);
        this.seekValue = i2;

        this.logo_ll = findViewById(R.id.logo_ll);
        this.logo_image = findViewById(R.id.logo_image);
        this.img_oK = findViewById(R.id.btn_done);

        this.img_oK.setOnClickListener(this);
        this.btnSelectImg.setOnClickListener(this);
        this.btnSelectBg.setOnClickListener(this);
        this.btnSelectEf.setOnClickListener(this);
        this.btnClose.setOnClickListener(this);
        this.btnDone.setOnClickListener(this);
        this.btnSelectSt.setOnClickListener(this);
        this.btnSelectTxt.setOnClickListener(this);
        this.lay_TextMain = findViewById(R.id.lay_TextMain);
        this.lay_StkrMain = findViewById(R.id.lay_StkrMain);
        this.lay_dupliText = findViewById(R.id.lay_dupliText);
        this.lay_dupliStkr = findViewById(R.id.lay_dupliStkr);
        this.lay_edit = findViewById(R.id.lay_edit);
        this.lay_dupliText.setOnClickListener(this);
        this.lay_dupliStkr.setOnClickListener(this);
        this.lay_edit.setOnClickListener(this);
        this.center_rel.setOnClickListener(this);
        this.lay_touchremove.setOnClickListener(this);
        this.lay_textEdit = findViewById(R.id.lay_textEdit);
        this.animSlideUp = Constants.getAnimUp(this);
        this.animSlideDown = Constants.getAnimDown(this);
        showTextFontRecycler();
        this.horizontalPicker = findViewById(R.id.picker);
        this.horizontalPickerColor = findViewById(R.id.picker1);
        this.shadowPickerColor = findViewById(R.id.pickerShadow);
        this.pickerBg = findViewById(R.id.pickerBg);
        this.lay_color = findViewById(R.id.lay_color);
        this.lay_hue = findViewById(R.id.lay_hue);

        this.autoFitEditText.addTextChangedListener(new TextWatcher() {
            public void afterTextChanged(Editable editable) {
            }

            public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
            }

            public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {

                if (charSequence.length() == 0) {
                    PosterActivity.this.hint_txt.setVisibility(View.VISIBLE);
                } else {
                    PosterActivity.this.hint_txt.setVisibility(View.GONE);
                }
            }
        });

        this.lay_effects.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
            }
        });
        this.seekbar_container.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
            }
        });
        this.lay_textEdit.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
            }
        });
        this.logo_image.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                PosterActivity.this.lay_effects.setVisibility(View.GONE);
                if (PosterActivity.this.lay_TextMain.getVisibility() == View.VISIBLE) {
                    PosterActivity.this.lay_TextMain.startAnimation(PosterActivity.this.animSlideDown);
                    PosterActivity.this.lay_TextMain.setVisibility(View.GONE);
                }
                if (PosterActivity.this.lay_StkrMain.getVisibility() == View.VISIBLE) {
                    PosterActivity.this.lay_StkrMain.startAnimation(PosterActivity.this.animSlideDown);
                    PosterActivity.this.lay_StkrMain.setVisibility(View.GONE);
                }
                PosterActivity.this.guideline.setVisibility(View.GONE);
                PosterActivity.this.removeScroll();
                PosterActivity.this.removeImageViewControll();
            }
        });
    }


    public void showTextFontRecycler() {
        Log.e("posterActivity", "textClicked");
        this.adapter = new AssetsGridMain(this, this.fontArr);
        this.adapter.setSelected(0);
        GridView gridView = findViewById(R.id.font_gridview);
        gridView.setAdapter(this.adapter);
        gridView.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                Log.e("posterActivity", "Font Clicked");
                PosterActivity.this.setTextFonts((String) PosterActivity.this.adapter.getItem(i));
                PosterActivity.this.adapter.setSelected(i);
            }
        });
        this.adaptor_txtBg = new RecyclerTextBgAdapter(this, this.imageId);
        RecyclerView recyclerView = findViewById(R.id.txtBg_recylr);
        recyclerView.setLayoutManager(new GridLayoutManager(this, 3, RecyclerView.VERTICAL, false));
        recyclerView.setHasFixedSize(true);
        recyclerView.setAdapter(this.adaptor_txtBg);
        recyclerView.addOnItemTouchListener(new RecyclerItemClickListener(this, new RecyclerItemClickListener.OnItemClickListener() {
            public void onItemClick(View view, int i) {
                PosterActivity.this.setTextBgTexture(PosterActivity.this.imageId[i]);
            }
        }));
        this.adaptor_filter = new RecyclerFilterImageAdapter(this, Constants.overlayImg);
        recyclerView = findViewById(R.id.recylr_filter);
        recyclerView.setLayoutManager(new GridLayoutManager(this, 3, RecyclerView.VERTICAL, false));
        recyclerView.setHasFixedSize(true);
        recyclerView.setAdapter(this.adaptor_filter);
        recyclerView.addOnItemTouchListener(new RecyclerItemClickListener(this, new RecyclerItemClickListener.OnItemClickListener() {
            public void onItemClick(View view, int i) {
                PosterActivity.this.overlay_Name = Constants.overlayImg[i];
                PosterActivity.this.setBitmapOverlay(PosterActivity.this.getResources().getIdentifier(PosterActivity.this.overlay_Name, "drawable", PosterActivity.this.getPackageName()));
            }
        }));
    }

    // all click events
    @RequiresApi(api = Build.VERSION_CODES.JELLY_BEAN_MR1)
    public void onClick(View view) {
        int i = 0;
        int removeBoderPosition;
        Intent intent;
        int i2;
        View childAt;
        AutofitTextRel autofitTextRel;


        switch (view.getId()) {
            case R.id.btnSelectSt:
                btnSelectSt.setBackgroundResource(R.drawable.selected_bg);
                btnSelectBg.setBackgroundResource(0);
                btnSelectTxt.setBackgroundResource(0);
                btnSelectImg.setBackgroundResource(0);
                btnSelectEf.setBackgroundResource(0);

                btn_bck.setVisibility(View.VISIBLE);
                img_oK.setVisibility(View.VISIBLE);
                btn_layControls.setVisibility(View.VISIBLE);
                titleText.setText("Background");

                titleText.setText("Add Sticker");
                removeScroll();
                removeImageViewControll();
                this.lay_handletails.setVisibility(View.GONE);
                this.lay_effects.setVisibility(View.GONE);
                this.btn_layControls.setVisibility(View.GONE);
                this.lay_StkrMain.setVisibility(View.GONE);
                this.layoutAddText.setVisibility(View.GONE);
                this.img_oK.setVisibility(View.GONE);
                this.btn_bck.setVisibility(View.GONE);
                if (this.lay_TextMain.getVisibility() == View.VISIBLE) {
                    this.lay_TextMain.startAnimation(this.animSlideDown);
                    this.lay_TextMain.setVisibility(View.GONE);
                }
                this.lay_sticker.setVisibility(View.VISIBLE);
                return;
            case R.id.btnSelectTxt:
                btnSelectTxt.setBackgroundResource(R.drawable.selected_bg);
                btnSelectBg.setBackgroundResource(0);
                btnSelectSt.setBackgroundResource(0);
                btnSelectImg.setBackgroundResource(0);
                btnSelectEf.setBackgroundResource(0);

                btn_bck.setVisibility(View.VISIBLE);
                img_oK.setVisibility(View.VISIBLE);
                btn_layControls.setVisibility(View.VISIBLE);
                titleText.setText("Background");

                this.lay_sticker.setVisibility(View.GONE);
                titleText.setText("Add Text");
                this.lay_StkrMain.setVisibility(View.GONE);
                this.lay_TextMain.setVisibility(View.GONE);
                removeScroll();
                removeImageViewControll();
                this.lay_handletails.setVisibility(View.GONE);
                this.lay_effects.setVisibility(View.GONE);
                this.layoutAddText.setVisibility(View.VISIBLE);
//                openTextActivity();
                return;
            case R.id.btnColor:
                new AmbilWarnaDialog(this, 0, new OnAmbilWarnaListener() {
                    public void onCancel(AmbilWarnaDialog ambilWarnaDialog) {
                    }

                    public void onOk(AmbilWarnaDialog ambilWarnaDialog, int i) {
                        PosterActivity.this.updateColor(i);
                    }
                }).show();
                return;
            case R.id.btn_bck:
                onBackPressed();
                return;
            case R.id.btn_bck1:
                this.lay_scroll.smoothScrollTo(0, this.distanceScroll);
                if (this.lay_effects.getVisibility() != View.GONE) {
                    this.lay_effects.setVisibility(View.GONE);
                    this.lay_effects.startAnimation(this.animSlideDown);
                }
                return;
            case R.id.btn_cross:
                onBackPressed();
                return;
            case R.id.btn_done:
                GoogleAds.getInstance().showCounterInterstitialAd(PosterActivity.this, new CustomAdsListener() {
                    @Override
                    public void onFinish() {
                        if (PosterActivity.this.lay_container.getVisibility() == View.VISIBLE) {
                            PosterActivity.this.lay_container.animate().translationY((float) (-PosterActivity.this.lay_container.getBottom())).setDuration(200).setInterpolator(new AccelerateInterpolator()).start();
                            new Handler().postDelayed(new Runnable() {
                                public void run() {
                                    PosterActivity.this.lay_container.setVisibility(View.GONE);
                                }
                            }, 200);
                        }
                        removeScroll();
                        PosterActivity.this.lay_handletails.setVisibility(View.GONE);
                        PosterActivity.this.lay_effects.setVisibility(View.GONE);
                        removeImageViewControll();
                        if (PosterActivity.this.lay_TextMain.getVisibility() == View.VISIBLE) {
                            PosterActivity.this.lay_TextMain.startAnimation(PosterActivity.this.animSlideDown);
                            PosterActivity.this.lay_TextMain.setVisibility(View.GONE);
                        }
                        if (PosterActivity.this.lay_StkrMain.getVisibility() == View.VISIBLE) {
                            PosterActivity.this.lay_StkrMain.startAnimation(PosterActivity.this.animSlideDown);
                            PosterActivity.this.lay_StkrMain.setVisibility(View.GONE);
                        }
                        PosterActivity.this.guideline.setVisibility(View.GONE);
                        showDialogSave();
                    }
                });
                return;
            case R.id.btn_layControls:
                btnSelectTxt.setBackgroundResource(0);
                btnSelectBg.setBackgroundResource(0);
                btnSelectSt.setBackgroundResource(0);
                btnSelectImg.setBackgroundResource(0);
                btnSelectEf.setBackgroundResource(0);

                Log.e("posterActivity", "1");
                removeScroll();
                removeImageViewControll();
                if (this.lay_TextMain.getVisibility() == View.VISIBLE) {
                    this.lay_TextMain.startAnimation(this.animSlideDown);
                    this.lay_TextMain.setVisibility(View.GONE);
                    Log.e("posterActivity", "2");
                }
                if (this.lay_StkrMain.getVisibility() == View.VISIBLE) {
                    this.lay_StkrMain.startAnimation(this.animSlideDown);
                    this.lay_StkrMain.setVisibility(View.GONE);
                    Log.e("posterActivity", "3");
                }
                if (this.lay_container.getVisibility() == View.GONE) {
                    this.btn_layControls.setVisibility(View.GONE);
                    this.listFragment.getLayoutChild(true);
                    this.lay_container.setVisibility(View.VISIBLE);
                    this.lay_container.animate().translationX((float) this.lay_container.getLeft()).setDuration(200).setInterpolator(new DecelerateInterpolator()).start();
                    Log.e("posterActivity", "4");
                    return;
                }

                this.lay_container.setVisibility(View.VISIBLE);
                this.lay_container.animate().translationX((float) (-this.lay_container.getRight())).setDuration(200).setInterpolator(new AccelerateInterpolator()).start();
                new Handler().postDelayed(new Runnable() {
                    public void run() {
                        Log.e("posterActivity", "5");
                        PosterActivity.this.lay_container.setVisibility(View.GONE);
                        PosterActivity.this.btn_layControls.setVisibility(View.VISIBLE);
                    }
                }, 200);
                if (this.lay_container.getVisibility() == View.VISIBLE) {
                    this.lay_container.animate().translationX((float) (-this.lay_container.getRight())).setDuration(200).setInterpolator(new AccelerateInterpolator()).start();
                    new Handler().postDelayed(new Runnable() {
                        public void run() {
                            PosterActivity.this.lay_container.setVisibility(View.GONE);
                            PosterActivity.this.btn_layControls.setVisibility(View.VISIBLE);
                            Log.e("posterActivity", 9 + "");
                        }
                    }, 200);
                }

                return;
            case R.id.btn_piclColor:
                removeBoderPosition = getRemoveBoderPosition();
                removeImageViewControll();
                bitmapNot = viewToBitmap(this.main_rel);
                intent = new Intent(this, PickColorImageActivity.class);
                intent.putExtra("way", "txtColor");
                intent.putExtra("visiPosition", removeBoderPosition);
                intent.putExtra("color", this.textColorSet);
                startActivityForResult(intent, OPEN_PICKCOLOR_ACITIVITY);
                return;
            case R.id.btn_piclColor2:
                removeBoderPosition = getRemoveBoderPosition();
                removeImageViewControll();
                bitmapNot = viewToBitmap(this.main_rel);
                intent = new Intent(this, PickColorImageActivity.class);
                intent.putExtra("way", "txtShadow");
                intent.putExtra("visiPosition", removeBoderPosition);
                intent.putExtra("color", this.shadowColor);
                startActivityForResult(intent, OPEN_PICKCOLOR_ACITIVITY);
                return;
            case R.id.btn_piclColor3:
                removeBoderPosition = getRemoveBoderPosition();
                removeImageViewControll();
                bitmapNot = viewToBitmap(this.main_rel);
                intent = new Intent(this, PickColorImageActivity.class);
                intent.putExtra("way", "txtBg");
                intent.putExtra("visiPosition", removeBoderPosition);
                intent.putExtra("color", this.bgColor);
                startActivityForResult(intent, OPEN_PICKCOLOR_ACITIVITY);
                return;
            case R.id.btn_piclColorS:
                removeBoderPosition = getRemoveBoderPosition();
                removeImageViewControll();
                bitmapNot = viewToBitmap(this.main_rel);
                intent = new Intent(this, PickColorImageActivity.class);
                intent.putExtra("way", "stkr");
                intent.putExtra("visiPosition", removeBoderPosition);
                intent.putExtra("color", this.stkrColorSet);
                startActivityForResult(intent, OPEN_PICKCOLOR_ACITIVITY);
                return;
            case R.id.btn_txtColor:
                new AmbilWarnaDialog(this, this.textColorSet, new OnAmbilWarnaListener() {
                    public void onCancel(AmbilWarnaDialog ambilWarnaDialog) {
                    }

                    public void onOk(AmbilWarnaDialog ambilWarnaDialog, int i) {
                        PosterActivity.this.updateColor(i);
                    }
                }).show();
                return;
            case R.id.btn_txtColor1:
                new AmbilWarnaDialog(this, this.stkrColorSet, new OnAmbilWarnaListener() {
                    public void onCancel(AmbilWarnaDialog ambilWarnaDialog) {
                    }

                    public void onOk(AmbilWarnaDialog ambilWarnaDialog, int i) {
                        PosterActivity.this.updateColor(i);
                    }
                }).show();
                return;
            case R.id.btn_txtColor2:
                new AmbilWarnaDialog(this, this.shadowColor, new OnAmbilWarnaListener() {
                    public void onCancel(AmbilWarnaDialog ambilWarnaDialog) {
                    }

                    public void onOk(AmbilWarnaDialog ambilWarnaDialog, int i) {
                        PosterActivity.this.updateShadow(i);
                    }
                }).show();
                return;
            case R.id.btn_txtColor3:
                new AmbilWarnaDialog(this, this.bgColor, new OnAmbilWarnaListener() {
                    public void onCancel(AmbilWarnaDialog ambilWarnaDialog) {
                    }

                    public void onOk(AmbilWarnaDialog ambilWarnaDialog, int i) {
                        PosterActivity.this.updateBgColor(i);
                    }
                }).show();
                return;
            case R.id.btn_up_down:
                this.focusedCopy = this.focusedView;
                removeScroll();
                this.lay_StkrMain.requestLayout();
                this.lay_StkrMain.postInvalidate();
                if (this.seekbar_container.getVisibility() == View.VISIBLE) {
                    hideResContainer();
                    return;
                } else {
                    showResContainer();
                    return;
                }
            case R.id.btn_up_down1:
                this.focusedCopy = this.focusedView;
                removeScroll();
                this.lay_TextMain.requestLayout();
                this.lay_TextMain.postInvalidate();
                if (this.lay_textEdit.getVisibility() == View.VISIBLE) {
                    hideTextResContainer();
                    return;
                } else {
                    showTextResContainer();
                    return;
                }
            case R.id.center_rel:
                this.lay_effects.setVisibility(View.GONE);
                onTouchApply();
                return;
            case R.id.img_dec:
                this.seekBar_shadow.setProgress(this.seekBar_shadow.getProgress() - 2);
                setTextShadow(this.seekBar_shadow.getProgress() - 2);
                return;
            case R.id.img_inc:
                this.seekBar_shadow.setProgress(this.seekBar_shadow.getProgress() + 2);
                setTextShadow(this.seekBar_shadow.getProgress() + 2);
                return;
            case R.id.lay_StD:
                this.lay_colorOacity.setVisibility(View.GONE);
                this.controlsShowStkr.setVisibility(View.GONE);
                this.stDShow.setVisibility(View.VISIBLE);
                this.lay_controlStkr.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                this.lay_colorOpacity.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                this.lay_StD.setBackgroundResource(R.drawable.ratio_button_bg);
                return;
            case R.id.lay_backgnd:
                this.fontsShow.setVisibility(View.GONE);
                this.colorShow.setVisibility(View.GONE);
                this.sadowShow.setVisibility(View.GONE);
                this.bgShow.setVisibility(View.VISIBLE);
                this.controlsShow.setVisibility(View.GONE);
                this.tDShow.setVisibility(View.GONE);
                setSelected(R.id.lay_backgnd);
                setTextUpColor(R.id.txt_bg);
                return;
            case R.id.lay_colorOpacity:
                this.lay_colorOacity.setVisibility(View.VISIBLE);
                this.controlsShowStkr.setVisibility(View.GONE);
                this.stDShow.setVisibility(View.GONE);
                this.lay_colorOpacity.setBackgroundResource(R.drawable.ratio_button_bg);
                this.lay_controlStkr.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                this.lay_StD.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                return;
            case R.id.lay_colors:
                this.fontsShow.setVisibility(View.GONE);
                this.colorShow.setVisibility(View.VISIBLE);
                this.sadowShow.setVisibility(View.GONE);
                this.bgShow.setVisibility(View.GONE);
                this.controlsShow.setVisibility(View.GONE);
                this.tDShow.setVisibility(View.GONE);
                setSelected(R.id.lay_colors);
                setTextUpColor(R.id.txt_colors);
                return;
            case R.id.lay_controlStkr:
                this.lay_colorOacity.setVisibility(View.GONE);
                this.controlsShowStkr.setVisibility(View.VISIBLE);
                this.stDShow.setVisibility(View.GONE);
                this.lay_controlStkr.setBackgroundResource(R.drawable.ratio_button_bg);
                this.lay_colorOpacity.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                this.lay_StD.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                return;
            case R.id.lay_controls:
                this.fontsShow.setVisibility(View.GONE);
                this.colorShow.setVisibility(View.GONE);
                this.sadowShow.setVisibility(View.GONE);
                this.bgShow.setVisibility(View.GONE);
                this.controlsShow.setVisibility(View.VISIBLE);
                this.tDShow.setVisibility(View.GONE);
                setSelected(R.id.lay_controls);
                setTextUpColor(R.id.txt_controls);
                return;
            case R.id.lay_dupliStkr:
                removeBoderPosition = this.txt_stkr_rel.getChildCount();
                while (i < removeBoderPosition) {
                    View childAt2 = this.txt_stkr_rel.getChildAt(i);
                    if (childAt2 instanceof ResizableStickerView) {
                        ResizableStickerView resizableStickerView = (ResizableStickerView) childAt2;
                        if (resizableStickerView.getBorderVisbilty()) {
                            ResizableStickerView resizableStickerView2 = new ResizableStickerView(this);
                            resizableStickerView2.setOnTouchCallbackListener(this);
                            resizableStickerView2.setComponentInfo(resizableStickerView.getComponentInfo());
                            resizableStickerView2.setId(View.generateViewId());
                            resizableStickerView2.setMainLayoutWH((float) this.main_rel.getWidth(), (float) this.main_rel.getHeight());
                            this.txt_stkr_rel.addView(resizableStickerView2);
                            removeImageViewControll();
                            resizableStickerView2.setBorderVisibility(true);
                        }
                    }
                    i++;
                }
                return;
            case R.id.lay_dupliText:
                removeBoderPosition = this.txt_stkr_rel.getChildCount();
                for (i2 = 0; i2 < removeBoderPosition; i2++) {
                    childAt = this.txt_stkr_rel.getChildAt(i2);
                    if (childAt instanceof AutofitTextRel) {
                        autofitTextRel = (AutofitTextRel) childAt;
                        if (autofitTextRel.getBorderVisibility()) {
                            AutofitTextRel autofitTextRel2 = new AutofitTextRel(this);
                            autofitTextRel2.setOnTouchCallbackListener(this);
                            this.txt_stkr_rel.addView(autofitTextRel2);
                            autofitTextRel2.setMainLayoutWH((float) this.main_rel.getWidth(), (float) this.main_rel.getHeight());
                            removeImageViewControll();
                            autofitTextRel2.setTextInfo(autofitTextRel.getTextInfo(), false);
                            autofitTextRel2.setId(View.generateViewId());
                            autofitTextRel2.setBorderVisibility(true);
                        }
                    }
                }
                return;
            case R.id.lay_edit:
                doubleTabPrass();
                return;
            case R.id.lay_fonts:
                this.fontsShow.setVisibility(View.VISIBLE);
                this.colorShow.setVisibility(View.GONE);
                this.sadowShow.setVisibility(View.GONE);
                this.bgShow.setVisibility(View.GONE);
                this.controlsShow.setVisibility(View.GONE);
                this.tDShow.setVisibility(View.GONE);
                setSelected(R.id.lay_fonts);
                setTextUpColor(R.id.txt_fonts);
                return;
            case R.id.lay_shadow:
                this.fontsShow.setVisibility(View.GONE);
                this.colorShow.setVisibility(View.GONE);
                this.sadowShow.setVisibility(View.VISIBLE);
                this.bgShow.setVisibility(View.GONE);
                this.controlsShow.setVisibility(View.GONE);
                this.tDShow.setVisibility(View.GONE);
                setSelected(R.id.lay_shadow);
                setTextUpColor(R.id.txt_shadow);
                return;
            case R.id.lay_tD:
                this.fontsShow.setVisibility(View.GONE);
                this.colorShow.setVisibility(View.GONE);
                this.sadowShow.setVisibility(View.GONE);
                this.bgShow.setVisibility(View.GONE);
                this.controlsShow.setVisibility(View.GONE);
                this.tDShow.setVisibility(View.VISIBLE);
                setSelected(R.id.lay_tD);
                setTextUpColor(R.id.txt_tD);
                return;
            case R.id.lay_touchremove:
                this.lay_effects.setVisibility(View.GONE);
                onTouchApply();
                return;
            case R.id.lay_txtcenter:
                this.lay_txtleft.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                this.lay_txtright.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                this.lay_txtcenter.setBackgroundResource(R.drawable.ratio_button_bg);
                setGravityText("C");
                return;
            case R.id.lay_txtleft:
                this.lay_txtleft.setBackgroundResource(R.drawable.ratio_button_bg);
                this.lay_txtright.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                this.lay_txtcenter.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                setGravityText("L");
                return;
            case R.id.lay_txtright:
                this.lay_txtleft.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                this.lay_txtright.setBackgroundResource(R.drawable.ratio_button_bg);
                this.lay_txtcenter.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
                setGravityText("R");
                return;
            case R.id.o0:
                this.adaptor_filter.setSelected(-1);
                this.overlay_Name = "";
                if (this.lay_filterOpcty.getVisibility() == View.VISIBLE) {
                    this.lay_filterOpcty.setVisibility(View.INVISIBLE);
                }
                this.trans_img.setVisibility(View.GONE);
                return;
            case R.id.btnSelectBg:
                btnSelectTxt.setBackgroundResource(0);
                btnSelectBg.setBackgroundResource(R.drawable.selected_bg);
                btnSelectSt.setBackgroundResource(0);
                btnSelectImg.setBackgroundResource(0);
                btnSelectEf.setBackgroundResource(0);

                Log.e("posterActivity", "galleryClicked");
                this.lay_sticker.setVisibility(View.GONE);
                removeScroll();
                removeImageViewControll();
                this.lay_effects.setVisibility(View.GONE);
                this.lay_handletails.setVisibility(View.GONE);
                this.layoutAddText.setVisibility(View.GONE);

                this.lay_StkrMain.setVisibility(View.GONE);
                if (this.lay_TextMain.getVisibility() == View.VISIBLE) {
                    this.lay_TextMain.startAnimation(this.animSlideDown);
                    this.lay_TextMain.setVisibility(View.GONE);
                }
                Intent intent2 = new Intent(this, SelectImageTwoActivity.class);
                intent2.putExtra("colorsetpicker", this.hex);
                intent2.putExtra("typeGradient", this.typeGradient);
                intent2.putExtra("colorArr", this.colors);
                intent2.putExtra("orintation", this.orient);
                intent2.putExtra("prog_radious", this.prog_radious);
                intent2.putExtra("ratio", this.ratio);
                intent2.putExtra("reSizeFinalWidth", this.reSizeFinalWidth);
                intent2.putExtra("reSizeFinalHeight", this.reSizeFinalHeight);
                startActivityForResult(intent2, 4);
                overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
                return;
            case R.id.btnSelectEf:
                btnSelectTxt.setBackgroundResource(0);
                btnSelectBg.setBackgroundResource(0);
                btnSelectSt.setBackgroundResource(0);
                btnSelectImg.setBackgroundResource(0);
                btnSelectEf.setBackgroundResource(R.drawable.selected_bg);

                this.lay_sticker.setVisibility(View.GONE);
                titleText.setText("set Effects");
                removeScroll();
                removeImageViewControll();
                this.lay_handletails.setVisibility(View.GONE);
                if (this.lay_effects.getVisibility() != View.VISIBLE) {
                    this.lay_effects.setVisibility(View.VISIBLE);
                    this.lay_effects.startAnimation(this.animSlideUp);
                }
                if (this.lay_TextMain.getVisibility() == View.VISIBLE) {
                    this.lay_TextMain.startAnimation(this.animSlideDown);
                    this.lay_TextMain.setVisibility(View.GONE);
                }
                if (this.lay_StkrMain.getVisibility() == View.VISIBLE) {
                    this.lay_StkrMain.startAnimation(this.animSlideDown);
                    this.lay_StkrMain.setVisibility(View.GONE);
                }
                if (this.layoutAddText.getVisibility() == View.VISIBLE) {
                    this.layoutAddText.startAnimation(this.animSlideDown);
                    this.layoutAddText.setVisibility(View.GONE);
                }
                return;
            case R.id.btnClose:
                btnSelectTxt.setBackgroundResource(0);
                btnSelectBg.setBackgroundResource(0);
                btnSelectSt.setBackgroundResource(0);
                btnSelectImg.setBackgroundResource(0);
                btnSelectEf.setBackgroundResource(0);

                this.layoutAddText.setVisibility(View.GONE);
                titleText.setText("Add Text");
                removeScroll();
                removeImageViewControll();
                if (this.layoutAddText.getVisibility() == View.VISIBLE) {
                    this.layoutAddText.startAnimation(this.animSlideDown);
                    this.layoutAddText.setVisibility(View.GONE);
                }
                return;
            case R.id.btnDone:
                if (this.autoFitEditText.getText().toString().trim().length() > 0) {
                    this.imm.hideSoftInputFromWindow(view.getApplicationWindowToken(), 0);
                    textToSticker();
                    return;
                }
                Toast.makeText(this, getResources().getString(R.string.textlib_warn_text), Toast.LENGTH_SHORT).show();
                return;
            case R.id.txt_bg_none:
                this.seekBar3.setProgress(0);
                this.adaptor_txtBg.setSelected(500);
                removeBoderPosition = this.txt_stkr_rel.getChildCount();
                for (i2 = 0; i2 < removeBoderPosition; i2++) {
                    childAt = this.txt_stkr_rel.getChildAt(i2);
                    if (childAt instanceof AutofitTextRel) {
                        autofitTextRel = (AutofitTextRel) childAt;
                        if (autofitTextRel.getBorderVisibility()) {
                            autofitTextRel.setBgAlpha(0);
                            this.bgDrawable = "0";
                            this.bgColor = 0;
                        }
                    }
                }
                return;
            case R.id.btnSelectImg:
                btnSelectTxt.setBackgroundResource(0);
                btnSelectBg.setBackgroundResource(0);
                btnSelectSt.setBackgroundResource(0);
                btnSelectImg.setBackgroundResource(R.drawable.selected_bg);
                btnSelectEf.setBackgroundResource(0);

                removeScroll();
                removeImageViewControll();
                this.lay_effects.setVisibility(View.GONE);
                this.lay_handletails.setVisibility(View.GONE);
                this.lay_StkrMain.setVisibility(View.GONE);
                this.layoutAddText.setVisibility(View.GONE);
                if (this.lay_TextMain.getVisibility() == View.VISIBLE) {
                    this.lay_TextMain.startAnimation(this.animSlideDown);
                    this.lay_TextMain.setVisibility(View.GONE);
                }
                if (this.lay_sticker.getVisibility() == View.VISIBLE) {
                    this.lay_sticker.startAnimation(this.animSlideDown);
                    this.lay_sticker.setVisibility(View.GONE);
                }
                showDialogPicker();
                return;
            default:
                return;
        }
    }

    private void textToSticker() {
        int dpToPx = ImageUtils.dpToPx(this, 140);
        int dpToPx2 = ImageUtils.dpToPx(this, 140);
        if (dpToPx > this.main_rel.getWidth()) {
            dpToPx = this.main_rel.getWidth();
        }
        if (dpToPx2 > this.main_rel.getHeight()) {
            dpToPx2 = this.main_rel.getHeight();
        }

        TextInfo textInfo = new TextInfo();
        textInfo.setPOS_X((float) ((this.main_rel.getWidth() / 2) - (dpToPx / 2)));
        textInfo.setPOS_Y((float) ((this.main_rel.getHeight() / 2) - (dpToPx2 / 2)));
        textInfo.setWIDTH(dpToPx);
        textInfo.setHEIGHT(dpToPx2);
        textInfo.setTEXT(autoFitEditText.getText().toString().trim().replace("\n", " "));
        textInfo.setFONT_NAME(this.fontName);
        textInfo.setTEXT_COLOR(this.tColor);
        textInfo.setTEXT_ALPHA(this.tAlpha);
        textInfo.setSHADOW_COLOR(this.shadowColor);
        textInfo.setSHADOW_PROG(this.shadowProg);
        textInfo.setBG_COLOR(this.bgColor);
        textInfo.setBG_DRAWABLE(this.bgDrawable);
        textInfo.setBG_ALPHA(this.bgAlpha);
        textInfo.setROTATION(this.rotation);
        textInfo.setFIELD_THREE(this.txtGravity);

        int childCount;
        View childAt;
        AutofitTextRel autofitTextRel;
        if (this.editMode) {
            textInfo.setXRotateProg(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getXRotateProg());
            textInfo.setYRotateProg(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getYRotateProg());
            textInfo.setZRotateProg(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getZRotateProg());
            textInfo.setCurveRotateProg(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getCurveRotateProg());
            this.XTRote_seekBar.setProgress(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getXRotateProg());
            this.YTRote_seekBar.setProgress(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getYRotateProg());
            this.ZTRote_seekBar.setProgress(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getZRotateProg());
            this.CurveTRote_seekBar.setProgress(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getCurveRotateProg());
            this.seekBar3.setProgress(this.bgAlpha);
            ((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).setTextInfo(textInfo, false);
            childCount = this.txt_stkr_rel.getChildCount();
            if (childCount != 0) {
                childAt = this.txt_stkr_rel.getChildAt(childCount - 1);
                if (childAt instanceof AutofitTextRel) {
                    autofitTextRel = (AutofitTextRel) childAt;
                    autofitTextRel.setBorderVisibility(false);
                    if (!autofitTextRel.getBorderVisibility()) {
                        autofitTextRel.setBorderVisibility(true);
                    }
                }
            }
            this.editMode = false;
        } else {
            textInfo.setXRotateProg(45);
            textInfo.setYRotateProg(45);
            textInfo.setZRotateProg(SubsamplingScaleImageView.ORIENTATION_180);
            textInfo.setCurveRotateProg(0);
            this.XTRote_seekBar.setProgress(45);
            this.YTRote_seekBar.setProgress(45);
            this.ZTRote_seekBar.setProgress(SubsamplingScaleImageView.ORIENTATION_180);
            this.CurveTRote_seekBar.setProgress(250);
            this.seekBar3.setProgress(this.bgAlpha);
            autofitTextRel = new AutofitTextRel(this);
            autofitTextRel.setOnTouchCallbackListener(this);
            this.txt_stkr_rel.addView(autofitTextRel);
            autofitTextRel.setMainLayoutWH((float) this.main_rel.getWidth(), (float) this.main_rel.getHeight());
            autofitTextRel.setTextInfo(textInfo, false);
            autofitTextRel.setBorderVisibility(false);
            autofitTextRel.setWidthHeight(this.main_rel.getWidth(), this.main_rel.getHeight());
            childCount = this.txt_stkr_rel.getChildCount();
            if (childCount != 0) {
                childAt = this.txt_stkr_rel.getChildAt(childCount - 1);
                if (childAt instanceof AutofitTextRel) {
                    autofitTextRel = (AutofitTextRel) childAt;
                    if (!autofitTextRel.getBorderVisibility()) {
                        autofitTextRel.setBorderVisibility(true);
                    }
                }
            }
        }
        if (this.lay_TextMain.getVisibility() == View.GONE) {

            focuseGravity();
            this.autoFitEditText.getText().clear();
            this.layoutAddText.setVisibility(View.GONE);
            this.layoutAddText.startAnimation(this.animSlideDown);
            this.lay_TextMain.setVisibility(View.VISIBLE);
            this.lay_TextMain.startAnimation(this.animSlideUp);
        }
        this.adapter.setSelected(-1);
        if (!this.fontName.equals("")) {
            for (int i5 = 0; i5 < this.fontArr.length; i5++) {
                if (this.fontArr[i5].equals(this.fontName)) {
                    this.adapter.setSelected(i5);
                }
            }
        }
    }

    private void setGravityText(String str) {

        int childCount = this.txt_stkr_rel.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = this.txt_stkr_rel.getChildAt(i);
            if (childAt instanceof AutofitTextRel) {
                AutofitTextRel autofitTextRel = (AutofitTextRel) childAt;
                if (autofitTextRel.getBorderVisibility()) {
                    autofitTextRel.setTextGravity(str);
                    this.txtGravity = str;
                }
            }
        }

    }

    private void showResContainer() {
        this.btn_up_down.setBackgroundResource(R.drawable.textlib_down);
        this.seekbar_container.setVisibility(View.VISIBLE);
        this.lay_StkrMain.startAnimation(this.animSlideUp);
        this.lay_StkrMain.requestLayout();
        this.lay_StkrMain.postInvalidate();
        this.lay_StkrMain.post(new Runnable() {
            public void run() {
                PosterActivity.this.stickerScrollView(PosterActivity.this.focusedView);
            }
        });
    }

    private void hideResContainer() {
        this.btn_up_down.setBackgroundResource(R.drawable.textlib_up);
        this.lay_StkrMain.startAnimation(this.animSlideDown);
        this.seekbar_container.setVisibility(View.GONE);
        this.lay_StkrMain.requestLayout();
        this.lay_StkrMain.postInvalidate();
        this.lay_StkrMain.post(new Runnable() {
            public void run() {
                PosterActivity.this.stickerScrollView(PosterActivity.this.focusedView);
            }
        });
    }

    private void showTextResContainer() {
        this.btn_up_down1.setBackgroundResource(R.drawable.textlib_down);
        this.lay_textEdit.setVisibility(View.VISIBLE);
        this.lay_TextMain.startAnimation(this.animSlideUp);
        this.lay_TextMain.requestLayout();
        this.lay_TextMain.postInvalidate();
        this.lay_TextMain.post(new Runnable() {
            public void run() {
                PosterActivity.this.stickerScrollView(PosterActivity.this.focusedView);
            }
        });
    }

    private void hideTextResContainer() {
        this.btn_up_down1.setBackgroundResource(R.drawable.textlib_up);
        this.lay_TextMain.startAnimation(this.animSlideDown);
        this.lay_textEdit.setVisibility(View.GONE);
        this.lay_TextMain.requestLayout();
        this.lay_TextMain.postInvalidate();
        this.lay_TextMain.post(new Runnable() {
            public void run() {
                PosterActivity.this.stickerScrollView(PosterActivity.this.focusedView);
            }
        });
    }

    private void setTextBgTexture(String str) {
        int childCount = this.txt_stkr_rel.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = this.txt_stkr_rel.getChildAt(i);
            if (childAt instanceof AutofitTextRel) {
                AutofitTextRel autofitTextRel = (AutofitTextRel) childAt;
                if (autofitTextRel.getBorderVisibility()) {
                    if (this.seekBar3.getProgress() == 0) {
                        this.seekBar3.setProgress(127);
                    }
                    autofitTextRel.setBgDrawable(str);
                    autofitTextRel.setBgAlpha(this.seekBar3.getProgress());
                    this.bgColor = 0;
                    ((AutofitTextRel) this.txt_stkr_rel.getChildAt(i)).getTextInfo().setBG_DRAWABLE(str);
                    this.bgDrawable = autofitTextRel.getBgDrawable();
                    this.bgAlpha = this.seekBar3.getProgress();
                }
            }
        }
    }

    private void setTextFonts(String str) {
        this.fontName = str;
        int childCount = this.txt_stkr_rel.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = this.txt_stkr_rel.getChildAt(i);
            if (childAt instanceof AutofitTextRel) {
                AutofitTextRel autofitTextRel = (AutofitTextRel) childAt;
                if (autofitTextRel.getBorderVisibility()) {
                    autofitTextRel.setTextFont(str);
                }
            }
        }
    }

    private void setBitmapOverlay(int i) {
        this.trans_img.setVisibility(View.VISIBLE);
        if (this.lay_filterOpcty.getVisibility() == View.INVISIBLE) {
            this.lay_filterOpcty.setVisibility(View.VISIBLE);
        }
        try {
            this.trans_img.setImageBitmap(BitmapFactory.decodeResource(getResources(), i));
        } catch (OutOfMemoryError e) {
            e.printStackTrace();
            Options options = new Options();
            options.inJustDecodeBounds = true;
            options.inSampleSize = 3;
            options.inJustDecodeBounds = false;
            this.trans_img.setImageBitmap(BitmapFactory.decodeResource(getResources(), i, options));
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    private void initViewPager() {
        this._mViewPager = findViewById(R.id.imageviewPager);


        TabLayout tabLayout = findViewById(R.id.myTabLayout);
        myViewPagerAdapter myPagerAdapter = new myViewPagerAdapter(this, getSupportFragmentManager());
        _mViewPager.setAdapter(myPagerAdapter);
        tabLayout.setupWithViewPager(_mViewPager);
    }


    private void updateColor(int i) {
        int childCount = this.txt_stkr_rel.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = this.txt_stkr_rel.getChildAt(i2);
            if (childAt instanceof AutofitTextRel) {
                AutofitTextRel autofitTextRel = (AutofitTextRel) childAt;
                if (autofitTextRel.getBorderVisibility()) {
                    autofitTextRel.setTextColor(i);
                    this.tColor = i;
                    this.textColorSet = i;
                    this.horizontalPicker.setSelectedColor(i);
                }
            }
            if (childAt instanceof ResizableStickerView) {
                ResizableStickerView resizableStickerView = (ResizableStickerView) childAt;
                if (resizableStickerView.getBorderVisbilty()) {
                    resizableStickerView.setColor(i);
                    resizableStickerView.setColorType("white");
                    this.stkrColorSet = i;
                    this.horizontalPickerColor.setSelectedColor(i);
                    this.hueSeekbar.setProgress(1);
                }
            }
        }
    }

    private void updateShadow(int i) {
        int childCount = this.txt_stkr_rel.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = this.txt_stkr_rel.getChildAt(i2);
            if (childAt instanceof AutofitTextRel) {
                AutofitTextRel autofitTextRel = (AutofitTextRel) childAt;
                if (autofitTextRel.getBorderVisibility()) {
                    if (this.seekBar_shadow.getProgress() == 0) {
                        this.seekBar_shadow.setProgress(5);
                    }
                    autofitTextRel.setTextShadowColor(i);
                    this.shadowColor = i;
                }
            }
        }
    }

    private void updateBgColor(int i) {
        int childCount = this.txt_stkr_rel.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = this.txt_stkr_rel.getChildAt(i2);
            if (childAt instanceof AutofitTextRel) {
                AutofitTextRel autofitTextRel = (AutofitTextRel) childAt;
                if (autofitTextRel.getBorderVisibility()) {
                    if (this.seekBar3.getProgress() == 0) {
                        this.seekBar3.setProgress(127);
                    }
                    autofitTextRel.setBgAlpha(this.seekBar3.getProgress());
                    autofitTextRel.setBgColor(i);
                    this.bgColor = i;
                    this.bgDrawable = "0";
                }
            }
        }
    }

    private void updatePositionSticker(String str) {
        int childCount = this.txt_stkr_rel.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = this.txt_stkr_rel.getChildAt(i);
            if (childAt instanceof AutofitTextRel) {
                AutofitTextRel autofitTextRel = (AutofitTextRel) childAt;
                if (autofitTextRel.getBorderVisibility()) {
                    if (str.equals("incrX")) {
                        autofitTextRel.incrX();
                    }
                    if (str.equals("decX")) {
                        autofitTextRel.decX();
                    }
                    if (str.equals("incrY")) {
                        autofitTextRel.incrY();
                    }
                    if (str.equals("decY")) {
                        autofitTextRel.decY();
                    }
                }
            }
            if (childAt instanceof ResizableStickerView) {
                ResizableStickerView resizableStickerView = (ResizableStickerView) childAt;
                if (resizableStickerView.getBorderVisbilty()) {
                    if (str.equals("incrX")) {
                        resizableStickerView.incrX();
                    }
                    if (str.equals("decX")) {
                        resizableStickerView.decX();
                    }
                    if (str.equals("incrY")) {
                        resizableStickerView.incrY();
                    }
                    if (str.equals("decY")) {
                        resizableStickerView.decY();
                    }
                }
            }
            float height = (float) this.main_rel.getHeight();
            int x = (int) (childAt.getX() + ((float) (childAt.getWidth() / 2)));
            int y = (int) (childAt.getY() + ((float) (childAt.getHeight() / 2)));
            float f = (float) x;
            float width = ((float) this.main_rel.getWidth()) / 2.0f;
            float f2 = (float) 1;
            Object obj = (f <= width - f2 || f >= width + f2) ? null : 1;
            float f3 = (float) y;
            height /= 2.0f;
            Object obj2 = (f3 <= height - f2 || f3 >= height + f2) ? null : 1;
            if (obj != null && obj2 != null) {
                this.guideline.setCenterValues(true, true);
            } else if (obj != null) {
                this.guideline.setCenterValues(true, false);
            } else this.guideline.setCenterValues(false, obj2 != null);
        }
    }

    private void openTextActivity() {
        Intent intent = new Intent(this, TextActivity.class);
        Bundle bundle = new Bundle();
        int dpToPx = ImageUtils.dpToPx(this, 140);
        int dpToPx2 = ImageUtils.dpToPx(this, 140);
        if (dpToPx > this.main_rel.getWidth()) {
            dpToPx = this.main_rel.getWidth();
        }
        if (dpToPx2 > this.main_rel.getHeight()) {
            dpToPx2 = this.main_rel.getHeight();
        }
        bundle.putFloat("X", (float) ((this.main_rel.getWidth() / 2) - (dpToPx / 2)));
        bundle.putFloat("Y", (float) ((this.main_rel.getHeight() / 2) - (dpToPx2 / 2)));
        bundle.putInt("wi", dpToPx);
        bundle.putInt("he", dpToPx2);
        bundle.putString("text", "");
        bundle.putString("fontName", this.fontName);
        bundle.putInt("tColor", this.tColor);
        bundle.putInt("tAlpha", this.tAlpha);
        bundle.putInt("shadowColor", this.shadowColor);
        bundle.putInt("shadowProg", this.shadowProg);
        bundle.putString("bgDrawable", this.bgDrawable);
        bundle.putInt("bgColor", this.bgColor);
        bundle.putInt("bgAlpha", this.bgAlpha);
        bundle.putFloat("rotation", this.rotation);
        bundle.putString("view", "mosaic");
        bundle.putString("gravity", this.txtGravity);
        intent.putExtras(bundle);
        startActivityForResult(intent, TEXT_ACTIVITY);
        overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
    }

    private void onTouchApply() {
        removeScroll();
        if (this.lay_TextMain.getVisibility() == View.VISIBLE) {
            this.lay_TextMain.startAnimation(this.animSlideDown);
            this.lay_TextMain.setVisibility(View.GONE);
        }
        if (this.lay_StkrMain.getVisibility() == View.VISIBLE) {
            this.lay_StkrMain.startAnimation(this.animSlideDown);
            this.lay_StkrMain.setVisibility(View.GONE);
        }
        if (this.lay_sticker.getVisibility() == View.VISIBLE) {
            this.lay_sticker.startAnimation(this.animSlideDown);
            this.lay_sticker.setVisibility(View.GONE);
        }
        if (this.layoutAddText.getVisibility() == View.VISIBLE) {
            this.layoutAddText.startAnimation(this.animSlideDown);
            this.layoutAddText.setVisibility(View.GONE);
        }
        if (this.showtailsSeek) {
            this.lay_handletails.setVisibility(View.VISIBLE);
        }
        removeImageViewControll();
    }

    public void onSnapFilter(String str, String str2, String str3) {
        this.XRote_seekBar.setProgress(45);
        this.YRote_seekBar.setProgress(45);
        this.ZRote_seekBar.setProgress(SubsamplingScaleImageView.ORIENTATION_180);
        this.Scale_seekBar.setProgress(10);
        this.lay_sticker.setVisibility(View.GONE);
        this.btn_layControls.setVisibility(View.VISIBLE);
        this.img_oK.setVisibility(View.VISIBLE);
        this.btn_bck.setVisibility(View.VISIBLE);
        if (this.lay_TextMain.getVisibility() == View.VISIBLE) {
            this.lay_TextMain.startAnimation(this.animSlideDown);
            this.lay_TextMain.setVisibility(View.GONE);
        }
        if (str3.equals("")) {
            this.mDrawableName = str;
            setDrawable(str2, true);
            return;
        }
        this.color_Type = "colored";
        addSticker("", str3);
    }


    public void onSnapFilterPosition(String str, String str2, String str3) {
        this.stkrName = str;
        this.color_TypeIs = str2;
        this.stkr_path = str3;
    }

    private void setDrawable(String str, boolean z) {
        this.XRote_seekBar.setProgress(45);
        this.YRote_seekBar.setProgress(45);
        this.ZRote_seekBar.setProgress(SubsamplingScaleImageView.ORIENTATION_180);
        this.Scale_seekBar.setProgress(10);
        this.color_Type = str;
        if (str.equals("white")) {
            this.lay_color.setVisibility(View.VISIBLE);
            this.lay_hue.setVisibility(View.VISIBLE);
        } else {
            this.lay_color.setVisibility(View.VISIBLE);
            this.lay_hue.setVisibility(View.VISIBLE);
        }
        this.lay_effects.setVisibility(View.GONE);
        if (z) {
            addSticker(this.mDrawableName, "");
        } else {
            new SaveAndLoadStickerAsync().execute();
        }
    }

    private Bitmap viewToBitmap(View view) {
        try {
            Bitmap createBitmap = Bitmap.createBitmap(view.getWidth(), view.getHeight(), Config.ARGB_8888);
            view.draw(new Canvas(createBitmap));
            return createBitmap;
        } finally {
            view.destroyDrawingCache();
        }
    }

    public void onProgressChanged(SeekBar seekBar, int i, boolean z) {
        int i2 = i;
        if (z) {
            int id = seekBar.getId();
            int i3 = 0;
            if (id != R.id.CurveTRote_seekBar) {
                View childAt;
                ResizableStickerView resizableStickerView;
                if (id == R.id.alpha_seekBar) {
                    id = this.txt_stkr_rel.getChildCount();
                    while (i3 < id) {
                        childAt = this.txt_stkr_rel.getChildAt(i3);
                        if (childAt instanceof ResizableStickerView) {
                            resizableStickerView = (ResizableStickerView) childAt;
                            if (resizableStickerView.getBorderVisbilty()) {
                                resizableStickerView.setAlphaProg(i2);
                            }
                        }
                        i3++;
                    }
                } else if (id == R.id.hue_seekBar) {
                    id = this.txt_stkr_rel.getChildCount();
                    while (i3 < id) {
                        childAt = this.txt_stkr_rel.getChildAt(i3);
                        if (childAt instanceof ResizableStickerView) {
                            resizableStickerView = (ResizableStickerView) childAt;
                            if (resizableStickerView.getBorderVisbilty()) {
                                resizableStickerView.setColorType("colored");
                                resizableStickerView.setHueProg(i2);
                            }
                        }
                        i3++;
                    }
                } else if (id == R.id.seek) {
                    this.alpha = i2;
                    this.trans_img.setImageAlpha(this.alpha);
                } else if (id != R.id.seek_tailys) {
                    ResizableStickerView resizableStickerView2;
                    AutofitTextRel autofitTextRel;
                    switch (id) {
                        case R.id.Scale_seekBar:
                            if (i2 != 0) {
                                id = this.txt_stkr_rel.getChildCount();
                                while (i3 < id) {
                                    childAt = this.txt_stkr_rel.getChildAt(i3);
                                    if (childAt instanceof ResizableStickerView) {
                                        resizableStickerView = (ResizableStickerView) childAt;
                                        if (resizableStickerView.getBorderVisbilty()) {
                                            resizableStickerView.setScaleViewProg(i2);
                                        }
                                    }
                                    i3++;
                                }
                                return;
                            }
                            return;
                        case R.id.XRote_seekBar:
                            if (i2 != 0) {
                                id = this.txt_stkr_rel.getChildCount();
                                while (i3 < id) {
                                    childAt = this.txt_stkr_rel.getChildAt(i3);
                                    if (childAt instanceof ResizableStickerView) {
                                        resizableStickerView2 = (ResizableStickerView) childAt;
                                        if (resizableStickerView2.getBorderVisbilty()) {
                                            if (i2 < 42 || i2 > 48) {
                                                resizableStickerView2.setStickerRotateProg(45 - i2, 45 - this.YRote_seekBar.getProgress(), 180 - this.ZRote_seekBar.getProgress(), this.XRote_seekBar.getProgress(), this.YRote_seekBar.getProgress(), this.ZRote_seekBar.getProgress());
                                            } else {
                                                this.XRote_seekBar.setProgress(45);
                                                resizableStickerView2.setStickerRotateProg(0, 45 - this.YRote_seekBar.getProgress(), 180 - this.ZRote_seekBar.getProgress(), this.XRote_seekBar.getProgress(), this.YRote_seekBar.getProgress(), this.ZRote_seekBar.getProgress());
                                            }
                                        }
                                    }
                                    i3++;
                                }
                                return;
                            }
                            return;
                        case R.id.XTRote_seekBar:
                            if (i2 != 0) {
                                id = this.txt_stkr_rel.getChildCount();
                                while (i3 < id) {
                                    childAt = this.txt_stkr_rel.getChildAt(i3);
                                    if (childAt instanceof AutofitTextRel) {
                                        autofitTextRel = (AutofitTextRel) childAt;
                                        if (autofitTextRel.getBorderVisibility()) {
                                            if (i2 < 42 || i2 > 48) {
                                                autofitTextRel.setTextRotateProg(45 - i2, 45 - this.YTRote_seekBar.getProgress(), 180 - this.ZTRote_seekBar.getProgress(), this.XTRote_seekBar.getProgress(), this.YTRote_seekBar.getProgress(), this.ZTRote_seekBar.getProgress(), 250 - this.CurveTRote_seekBar.getProgress());
                                            } else {
                                                this.XTRote_seekBar.setProgress(45);
                                                autofitTextRel.setTextRotateProg(0, 45 - this.YTRote_seekBar.getProgress(), 180 - this.ZTRote_seekBar.getProgress(), this.XTRote_seekBar.getProgress(), this.YTRote_seekBar.getProgress(), this.ZTRote_seekBar.getProgress(), 250 - this.CurveTRote_seekBar.getProgress());
                                            }
                                        }
                                    }
                                    i3++;
                                }
                                return;
                            }
                            return;
                        case R.id.YRote_seekBar:
                            if (i2 != 0) {
                                id = this.txt_stkr_rel.getChildCount();
                                while (i3 < id) {
                                    childAt = this.txt_stkr_rel.getChildAt(i3);
                                    if (childAt instanceof ResizableStickerView) {
                                        resizableStickerView2 = (ResizableStickerView) childAt;
                                        if (resizableStickerView2.getBorderVisbilty()) {
                                            if (i2 < 42 || i2 > 48) {
                                                resizableStickerView2.setStickerRotateProg(45 - this.XRote_seekBar.getProgress(), 45 - i2, 180 - this.ZRote_seekBar.getProgress(), this.XRote_seekBar.getProgress(), this.YRote_seekBar.getProgress(), this.ZRote_seekBar.getProgress());
                                            } else {
                                                this.YRote_seekBar.setProgress(45);
                                                resizableStickerView2.setStickerRotateProg(45 - this.XRote_seekBar.getProgress(), 0, 180 - this.ZRote_seekBar.getProgress(), this.XRote_seekBar.getProgress(), this.YRote_seekBar.getProgress(), this.ZRote_seekBar.getProgress());
                                            }
                                        }
                                    }
                                    i3++;
                                }
                                return;
                            }
                            return;
                        case R.id.YTRote_seekBar:
                            if (i2 != 0) {
                                id = this.txt_stkr_rel.getChildCount();
                                while (i3 < id) {
                                    childAt = this.txt_stkr_rel.getChildAt(i3);
                                    if (childAt instanceof AutofitTextRel) {
                                        autofitTextRel = (AutofitTextRel) childAt;
                                        if (autofitTextRel.getBorderVisibility()) {
                                            if (i2 < 42 || i2 > 48) {
                                                autofitTextRel.setTextRotateProg(45 - this.XTRote_seekBar.getProgress(), 45 - i2, 180 - this.ZTRote_seekBar.getProgress(), this.XTRote_seekBar.getProgress(), this.YTRote_seekBar.getProgress(), this.ZTRote_seekBar.getProgress(), 250 - this.CurveTRote_seekBar.getProgress());
                                            } else {
                                                this.YTRote_seekBar.setProgress(45);
                                                autofitTextRel.setTextRotateProg(45 - this.XTRote_seekBar.getProgress(), 0, 180 - this.ZTRote_seekBar.getProgress(), this.XTRote_seekBar.getProgress(), this.YTRote_seekBar.getProgress(), this.ZTRote_seekBar.getProgress(), 250 - this.CurveTRote_seekBar.getProgress());
                                            }
                                        }
                                    }
                                    i3++;
                                }
                                return;
                            }
                            return;
                        case R.id.ZRote_seekBar:
                            if (i2 != 0) {
                                id = this.txt_stkr_rel.getChildCount();
                                while (i3 < id) {
                                    View childAt2 = this.txt_stkr_rel.getChildAt(i3);
                                    if (childAt2 instanceof ResizableStickerView) {
                                        resizableStickerView2 = (ResizableStickerView) childAt2;
                                        if (resizableStickerView2.getBorderVisbilty()) {
                                            if (i2 < 175 || i2 > 185) {
                                                resizableStickerView2.setStickerRotateProg(45 - this.XRote_seekBar.getProgress(), 45 - this.YRote_seekBar.getProgress(), 180 - i2, this.XRote_seekBar.getProgress(), this.YRote_seekBar.getProgress(), this.ZRote_seekBar.getProgress());
                                            } else {
                                                this.ZRote_seekBar.setProgress(SubsamplingScaleImageView.ORIENTATION_180);
                                                resizableStickerView2.setStickerRotateProg(45 - this.XRote_seekBar.getProgress(), 45 - this.YRote_seekBar.getProgress(), 0, this.XRote_seekBar.getProgress(), this.YRote_seekBar.getProgress(), this.ZRote_seekBar.getProgress());
                                            }
                                        }
                                    }
                                    i3++;
                                }
                                return;
                            }
                            return;
                        case R.id.ZTRote_seekBar:
                            if (i2 != 0) {
                                id = this.txt_stkr_rel.getChildCount();
                                while (i3 < id) {
                                    View childAt3 = this.txt_stkr_rel.getChildAt(i3);
                                    if (childAt3 instanceof AutofitTextRel) {
                                        autofitTextRel = (AutofitTextRel) childAt3;
                                        if (autofitTextRel.getBorderVisibility()) {
                                            if (i2 < 175 || i2 > 185) {
                                                autofitTextRel.setTextRotateProg(45 - this.XTRote_seekBar.getProgress(), 45 - this.YTRote_seekBar.getProgress(), 180 - i2, this.XTRote_seekBar.getProgress(), this.YTRote_seekBar.getProgress(), this.ZTRote_seekBar.getProgress(), 250 - this.CurveTRote_seekBar.getProgress());
                                            } else {
                                                this.ZTRote_seekBar.setProgress(SubsamplingScaleImageView.ORIENTATION_180);
                                                autofitTextRel.setTextRotateProg(45 - this.XTRote_seekBar.getProgress(), 45 - this.YTRote_seekBar.getProgress(), 0, this.XTRote_seekBar.getProgress(), this.YTRote_seekBar.getProgress(), this.ZTRote_seekBar.getProgress(), 250 - this.CurveTRote_seekBar.getProgress());
                                            }
                                        }
                                    }
                                    i3++;
                                }
                                return;
                            }
                            return;
                        default:
                            AutofitTextRel autofitTextRel2;
                            switch (id) {
                                case R.id.seekBar2:
                                    this.processs = i2;
                                    id = this.txt_stkr_rel.getChildCount();
                                    while (i3 < id) {
                                        childAt = this.txt_stkr_rel.getChildAt(i3);
                                        if (childAt instanceof AutofitTextRel) {
                                            autofitTextRel2 = (AutofitTextRel) childAt;
                                            if (autofitTextRel2.getBorderVisibility()) {
                                                autofitTextRel2.setTextAlpha(i2);
                                            }
                                        }
                                        i3++;
                                    }
                                    return;
                                case R.id.seekBar3:
                                    id = this.txt_stkr_rel.getChildCount();
                                    while (i3 < id) {
                                        childAt = this.txt_stkr_rel.getChildAt(i3);
                                        if (childAt instanceof AutofitTextRel) {
                                            autofitTextRel2 = (AutofitTextRel) childAt;
                                            if (autofitTextRel2.getBorderVisibility()) {
                                                autofitTextRel2.setBgAlpha(i2);
                                                this.bgAlpha = i2;
                                            }
                                        }
                                        i3++;
                                    }
                                    return;
                                case R.id.seekBar_shadow:
                                    setTextShadow(i2);
                                    return;
                                case R.id.seek_blur:
                                    if (i2 != 0) {
                                        this.background_blur.setVisibility(View.VISIBLE);
                                        this.min = i2;
                                        this.background_blur.setImageAlpha(i2);
                                        return;
                                    }
                                    this.background_blur.setVisibility(View.GONE);
                                    return;
                                default:
                                    return;
                            }
                    }
                } else {
                    this.seekValue = i2;
                    addTilesBG(this.frame_Name);
                }
            } else if (i2 != 0) {
                id = this.txt_stkr_rel.getChildCount();
                for (int i4 = 0; i4 < id; i4++) {
                    View childAt4 = this.txt_stkr_rel.getChildAt(i4);
                    if (childAt4 instanceof AutofitTextRel) {
                        AutofitTextRel autofitTextRel3 = (AutofitTextRel) childAt4;
                        if (autofitTextRel3.getBorderVisibility()) {
                            if (i2 < 245 || i2 > 255) {
                                autofitTextRel3.setTextCurveRotateProg(250 - i2);
                            } else {
                                this.CurveTRote_seekBar.setProgress(250);
                                autofitTextRel3.setTextCurveRotateProg(0);
                            }
                        }
                    }
                }
            }
        }
    }

    private void setTextShadow(int i) {
        int childCount = this.txt_stkr_rel.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = this.txt_stkr_rel.getChildAt(i2);
            if (childAt instanceof AutofitTextRel) {
                AutofitTextRel autofitTextRel = (AutofitTextRel) childAt;
                if (autofitTextRel.getBorderVisibility()) {
                    autofitTextRel.setTextShadowProg(i);
                    this.shadowProg = i;
                }
            }
        }
    }

    public void onStopTrackingTouch(SeekBar seekBar) {
        if (seekBar.getId() == R.id.seek_tailys) {
            new BlurOperationAsync(this, this.imgBtmap, this.background_blur, this.min).execute("");
        }
    }

    private void addTilesBG(String str) {
        if (!this.frame_Name.isEmpty() && !"0".equals(this.frame_Name)) {
            Bitmap tiledBitmap = getTiledBitmap(str);
            if (tiledBitmap != null) {
                setImageBitmapAndResizeLayout1(tiledBitmap);
            }
        }
    }

    private void setImageBitmapAndResizeLayout1(Bitmap bitmap) {
        this.main_rel.getLayoutParams().width = bitmap.getWidth();
        this.main_rel.getLayoutParams().height = bitmap.getHeight();
        this.main_rel.postInvalidate();
        this.main_rel.requestLayout();
        final int width = bitmap.getWidth() / 4;
        if (!this.preferences.getBoolean("removeWatermark", false)) {
            this.logo_ll.post(new Runnable() {
                public void run() {
                }
            });
        }
        this.background_img.setImageBitmap(bitmap);
        this.imgBtmap = bitmap;
    }

    private Bitmap getTiledBitmap(String str) {
        Rect rect = new Rect(0, 0, this.imgBtmap.getWidth(), this.imgBtmap.getHeight());
        Paint paint = new Paint();
        int i = this.seekValue + 10;
        Options options = new Options();
        options.inScaled = false;
        byte[] decryptResourceJni = JniUtils.decryptResourceJni(this, str);
        paint.setShader(new BitmapShader(Bitmap.createScaledBitmap(BitmapFactory.decodeByteArray(decryptResourceJni, 0, decryptResourceJni.length, options), i, i, true), TileMode.REPEAT, TileMode.REPEAT));
        Bitmap createBitmap = Bitmap.createBitmap(this.imgBtmap.getWidth(), this.imgBtmap.getHeight(), Config.ARGB_8888);
        new Canvas(createBitmap).drawRect(rect, paint);
        return createBitmap;
    }

    public void onTouchDown(View view) {
        touchDown(view, "hideboder");
        if (!this.checkTouchContinue) {
            this.lay_StkrMain.post(new Runnable() {
                public void run() {
                    PosterActivity.this.checkTouchContinue = true;
                    PosterActivity.this.mHandler.post(PosterActivity.this.mStatusChecker);
                }
            });
        }
    }

    public void onTouchUp(View view) {
        this.checkTouchContinue = false;
        this.mHandler.removeCallbacks(this.mStatusChecker);
        touchUp(view);
        float x = view.getX();
        float y = view.getY();
        int width = view.getWidth();
        int height = view.getHeight();
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append(x);
        stringBuilder.append(" ");
        stringBuilder.append(y);
        stringBuilder.append(" ");
        stringBuilder.append(width);
        stringBuilder.append(" ");
        stringBuilder.append(height);
        Log.e("testing", stringBuilder.toString());
    }

    public void onTouchMove(View view) {
        touchMove(view);
    }

    private void touchDown(View view, String str) {
        this.focusedView = view;
        if (str.equals("hideboder")) {
            removeImageViewControll();
        }
        if (view instanceof ResizableStickerView) {
            ResizableStickerView resizableStickerView = (ResizableStickerView) view;
            resizableStickerView.setMainLayoutWH((float) this.main_rel.getWidth(), (float) this.main_rel.getHeight());
            this.alphaSeekbar.setProgress(resizableStickerView.getAlphaProg());
            this.hueSeekbar.setProgress(resizableStickerView.getHueProg());
            this.XRote_seekBar.setProgress(resizableStickerView.getXRotateProg());
            this.YRote_seekBar.setProgress(resizableStickerView.getYRotateProg());
            this.ZRote_seekBar.setProgress(resizableStickerView.getZRotateProg());
            this.Scale_seekBar.setProgress(resizableStickerView.geScaleProg());
            this.stkrColorSet = resizableStickerView.getColor();
            this.horizontalPickerColor.setSelectedColor(this.stkrColorSet);
        }
        if (view instanceof AutofitTextRel) {
            AutofitTextRel autofitTextRel = (AutofitTextRel) view;
            autofitTextRel.setWidthHeight(this.main_rel.getWidth(), this.main_rel.getHeight());
            this.lay_effects.setVisibility(View.GONE);
            this.lay_StkrMain.setVisibility(View.GONE);
            this.lay_TextMain.setVisibility(View.GONE);
            this.textColorSet = autofitTextRel.getTextColor();
            this.horizontalPicker.setSelectedColor(this.textColorSet);
            this.opctyTxtSeekbar.setProgress(autofitTextRel.getTextAlpha());
            this.XTRote_seekBar.setProgress(autofitTextRel.getXRotateProg());
            this.YTRote_seekBar.setProgress(autofitTextRel.getYRotateProg());
            this.ZTRote_seekBar.setProgress(autofitTextRel.getZRotateProg());
            this.seekBar_shadow.setProgress(autofitTextRel.getTextShadowProg());
            if (autofitTextRel.getCurveRotateProg() >= 0) {
                this.CurveTRote_seekBar.setProgress(250 - autofitTextRel.getCurveRotateProg());
            } else {
                this.CurveTRote_seekBar.setProgress(250 - autofitTextRel.getCurveRotateProg());
            }
            this.fontName = autofitTextRel.getFontName();
            this.tColor = autofitTextRel.getTextColor();
            this.shadowColor = autofitTextRel.getTextShadowColor();
            this.shadowProg = autofitTextRel.getTextShadowProg();
            this.tAlpha = autofitTextRel.getTextAlpha();
            this.bgDrawable = autofitTextRel.getBgDrawable();
            this.bgAlpha = autofitTextRel.getBgAlpha();
            this.rotation = view.getRotation();
            this.bgColor = autofitTextRel.getBgColor();
            this.txtGravity = autofitTextRel.getTextGravity();
            this.adapter.setSelected(0);
            for (int i = 0; i < this.fontArr.length; i++) {
                if (this.fontArr[i].equals(this.fontName)) {
                    this.adapter.setSelected(i);
                }
            }
            if (this.bgDrawable.equals("0") || this.bgAlpha == 0) {
                this.adaptor_txtBg.setSelected(500);
            } else {
                this.adaptor_txtBg.setSelected(Integer.parseInt(this.bgDrawable.replace("btxt", "")));
            }
        }
        if (this.guideline.getVisibility() == View.GONE) {
            this.guideline.setVisibility(View.VISIBLE);
        }
    }

    private void touchMove(View view) {
        boolean z = view instanceof ResizableStickerView;
        if (z) {
            ResizableStickerView resizableStickerView = (ResizableStickerView) view;
            this.alphaSeekbar.setProgress(resizableStickerView.getAlphaProg());
            this.hueSeekbar.setProgress(resizableStickerView.getHueProg());
        } else {
            this.lay_StkrMain.setVisibility(View.GONE);
        }
        if (z) {
            this.lay_effects.setVisibility(View.GONE);
            this.lay_TextMain.setVisibility(View.GONE);
            this.lay_StkrMain.setVisibility(View.GONE);
        }
        if (view instanceof AutofitTextRel) {
            this.lay_effects.setVisibility(View.GONE);
            this.lay_TextMain.setVisibility(View.GONE);
            this.lay_StkrMain.setVisibility(View.GONE);
        }
    }

    private void touchUp(final View view) {
        if (this.focusedCopy != this.focusedView) {
            this.seekbar_container.setVisibility(View.VISIBLE);
            this.lay_textEdit.setVisibility(View.VISIBLE);
        }
        if (view instanceof AutofitTextRel) {
            this.rotation = view.getRotation();
            if (this.lay_TextMain.getVisibility() == View.GONE) {
                this.lay_TextMain.setVisibility(View.VISIBLE);
                focuseGravity();
                this.lay_TextMain.startAnimation(this.animSlideUp);
                this.lay_TextMain.post(new Runnable() {
                    public void run() {
                        PosterActivity.this.stickerScrollView(view);
                    }
                });
            }
            if (this.processs != 0) {
                this.opctyTxtSeekbar.setProgress(this.processs);
            }
        }
        if (view instanceof ResizableStickerView) {
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append("");
            stringBuilder.append(((ResizableStickerView) view).getColorType());
            if (stringBuilder.toString().equals("white")) {
                this.lay_color.setVisibility(View.VISIBLE);
                this.lay_hue.setVisibility(View.VISIBLE);
            } else {
                this.lay_color.setVisibility(View.VISIBLE);
                this.lay_hue.setVisibility(View.VISIBLE);
            }
            if (this.lay_StkrMain.getVisibility() == View.GONE) {
                this.lay_StkrMain.setVisibility(View.VISIBLE);
                this.lay_StkrMain.startAnimation(this.animSlideUp);
                this.lay_StkrMain.post(new Runnable() {
                    public void run() {
                        PosterActivity.this.stickerScrollView(view);
                    }
                });
            }
        }
        if (this.guideline.getVisibility() == View.VISIBLE) {
            this.guideline.setVisibility(View.GONE);
        }
    }

    private void focuseGravity() {
        if (this.txtGravity.equals("L")) {
            this.lay_txtleft.setBackgroundResource(R.drawable.ratio_button_bg);
            this.lay_txtright.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
            this.lay_txtcenter.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
        } else if (this.txtGravity.equals("R")) {
            this.lay_txtleft.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
            this.lay_txtright.setBackgroundResource(R.drawable.ratio_button_bg);
            this.lay_txtcenter.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
        } else {
            this.lay_txtleft.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
            this.lay_txtright.setBackgroundResource(R.drawable.secondary_ratio_button_bg);
            this.lay_txtcenter.setBackgroundResource(R.drawable.ratio_button_bg);
        }
    }

    public void onRotateDown(View view) {
        touchDown(view, "viewboder");
    }

    public void onRotateMove(View view) {
        touchMove(view);
    }

    public void onRotateUp(View view) {
        touchUp(view);
    }

    public void onScaleDown(View view) {
        touchDown(view, "viewboder");
    }

    public void onScaleMove(View view) {
        touchMove(view);
    }

    public void onScaleUp(View view) {
        touchUp(view);
    }

    public void onCenterX(View view) {
        this.guideline.setCenterValues(true, false);
    }

    public void onCenterY(View view) {
        this.guideline.setCenterValues(false, true);
    }

    public void onCenterXY(View view) {
        this.guideline.setCenterValues(true, true);
    }

    public void onOtherXY(View view) {
        this.guideline.setCenterValues(false, false);
    }

    public byte[] getResBytes(Context context, String str) {
        return JniUtils.decryptResourceJni(context, str);
    }

    public void onDelete() {
        removeScroll();
        if (this.lay_StkrMain.getVisibility() == View.VISIBLE) {
            this.lay_StkrMain.startAnimation(this.animSlideDown);
            this.lay_StkrMain.setVisibility(View.GONE);
        }
        if (this.lay_TextMain.getVisibility() == View.VISIBLE) {
            this.lay_TextMain.startAnimation(this.animSlideDown);
            this.lay_TextMain.setVisibility(View.GONE);
        }
        this.guideline.setVisibility(View.GONE);
    }

    private void removeScroll() {
        int[] iArr = new int[2];
        this.lay_scroll.getLocationOnScreen(iArr);
        final float f = (float) iArr[1];
        if (f != 0.0f) {
            this.lay_scroll.setY(this.yAtLayoutCenter);
        }
        LayoutParams layoutParams = new LayoutParams(-1, -2);
        layoutParams.addRule(13);
        this.lay_scroll.setLayoutParams(layoutParams);
        this.lay_scroll.postInvalidate();
        this.lay_scroll.requestLayout();
        this.lay_scroll.post(new Runnable() {
            public void run() {
                if (f != 0.0f) {
                    PosterActivity.this.lay_scroll.setY(PosterActivity.this.yAtLayoutCenter - 0.0f);
                }
            }
        });
    }

    public void setSelected(int i) {
        for (int i2 = 0; i2 < this.layArr.length; i2++) {
            if (this.layArr[i2].getId() == i) {
                this.layArr[i2].setBackgroundResource(R.drawable.ratio_button_bg);
            } else {
                this.layArr[i2].setBackgroundResource(R.drawable.secondary_ratio_button_bg);
            }
        }
    }

    public void setTextUpColor(int i) {
        for (int i2 = 0; i2 < this.txtUpArr.length; i2++) {
            if (this.txtUpArr[i2].getId() == i) {
                this.txtUpArr[i2].setTextColor(ContextCompat.getColor(this, R.color.white));
            } else {
                this.txtUpArr[i2].setTextColor(ContextCompat.getColor(this, R.color.white));
            }
        }
    }


    public void onDestroy() {

        super.onDestroy();

        this._adapter = null;
        if (this._mViewPager != null) {
            this._mViewPager.removeAllViews();
            this._mViewPager = null;
        }
        this.center_rel = null;
        this.main_rel = null;
        this.lay_touchremove = null;
        this.lay_filterOpcty = null;
        this.txt_stkr_rel = null;
        this.lay_effects = null;
        this.lay_sticker = null;
        this.lay_handletails = null;
        this.lay_color = null;
        this.lay_hue = null;
        this.lay_TextMain = null;
        this.lay_StkrMain = null;
        this.animSlideDown = null;
        this.animSlideUp = null;
        if (this.bitmap != null) {
            this.bitmap.recycle();
            this.bitmap = null;
        }
        if (this.imgBtmap != null) {
            this.imgBtmap.recycle();
            this.imgBtmap = null;
        }
        if (bitmapNot != null) {
            bitmapNot.recycle();
            bitmapNot = null;
        }
        if (SelectImageTwoActivity.bitmap != null) {
            SelectImageTwoActivity.bitmap.recycle();
            SelectImageTwoActivity.bitmap = null;
        }
        if (CropActivityTwo.bitmapImage != null) {
            CropActivityTwo.bitmapImage.recycle();
            CropActivityTwo.bitmapImage = null;
        }
        this.background_blur = null;
        this.opctyTxtSeekbar = null;
        this.alphaSeekbar = null;
        this.hueSeekbar = null;
        this.seek_tailys = null;
        this.XRote_seekBar = null;
        this.YRote_seekBar = null;
        this.ZRote_seekBar = null;
        this.Scale_seekBar = null;
        this.XTRote_seekBar = null;
        this.YTRote_seekBar = null;
        this.ZTRote_seekBar = null;
        this.CurveTRote_seekBar = null;
        this.seekBar3 = null;
        this.seekBar_shadow = null;
        this.logo_ll = null;
        this.logo_image = null;
        this.lay_textEdit = null;
        this.seekbar_container = null;
        this.seek_overlayOpacity = null;
        this.seek_blur = null;
        this.background_img = null;
        this.trans_img = null;
        this.guideline = null;
        if (btmSticker != null) {
            btmSticker.recycle();
            btmSticker = null;
        }
        this.ttf = null;
        this.ttfHeader = null;
        this.focusedView = null;
        this.focusedCopy = null;
        this.pallete = null;
        this.imageId = null;
        this.lay_scroll = null;
        this.uriArry.clear();
        if (this.txtShapeList != null) {
            this.txtShapeList.clear();
        }
        this.fontsShow = null;
        this.colorShow = null;
        this.sadowShow = null;
        this.bgShow = null;
        this.controlsShow = null;
        this.tDShow = null;
        this.lay_colorOacity = null;
        this.controlsShowStkr = null;
        this.stDShow = null;
        this.lay_colorOpacity = null;
        this.lay_controlStkr = null;
        this.lay_StD = null;
        this.lay_dupliText = null;
        this.lay_edit = null;
        this.lay_dupliStkr = null;
        this.adaptor_txtBg = null;
        this.adapter = null;
        this.lay_container = null;
        this.btn_layControls = null;
        this.listFragment = null;
        new Thread(new Runnable() {
            public void run() {
                try {
                    Glide.get(PosterActivity.this).clearDiskCache();
                    Thread.sleep(100);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
        }).start();
        Glide.get(this).clearMemory();
        Constants.freeMemory();
    }

    private void addSticker(String str, String str2) {
        this.alphaSeekbar.setProgress(100);
        this.hueSeekbar.setProgress(2);
        ComponentInfo componentInfo = new ComponentInfo();
        int dpToPx = ImageUtils.dpToPx(this, 140);
        int dpToPx2 = ImageUtils.dpToPx(this, 140);
        if (dpToPx > this.main_rel.getWidth()) {
            dpToPx = this.main_rel.getWidth();
        }
        if (dpToPx2 > this.main_rel.getHeight()) {
            dpToPx2 = this.main_rel.getHeight();
        }
        componentInfo.setPOS_X((float) ((this.main_rel.getWidth() / 2) - (dpToPx / 2)));
        componentInfo.setPOS_Y((float) ((this.main_rel.getHeight() / 2) - (dpToPx2 / 2)));
        componentInfo.setWIDTH(dpToPx);
        componentInfo.setHEIGHT(dpToPx2);
        componentInfo.setROTATION(0.0f);
        componentInfo.setRES_ID(str);
        componentInfo.setBITMAP(null);
        componentInfo.setCOLORTYPE(this.color_Type);
        componentInfo.setTYPE("STICKER");
        componentInfo.setSTC_HUE(2);
        componentInfo.setSTC_COLOR(0);
        componentInfo.setSTKR_PATH(str2);
        componentInfo.setSTC_OPACITY(100);
        componentInfo.setXRotateProg(45);
        componentInfo.setYRotateProg(45);
        componentInfo.setZRotateProg(SubsamplingScaleImageView.ORIENTATION_180);
        componentInfo.setScaleProg(10);
        ResizableStickerView resizableStickerView = new ResizableStickerView(this);
        resizableStickerView.setOnTouchCallbackListener(this);
        resizableStickerView.setComponentInfo(componentInfo);
        resizableStickerView.setMainLayoutWH((float) this.main_rel.getWidth(), (float) this.main_rel.getHeight());
        this.txt_stkr_rel.addView(resizableStickerView);
        resizableStickerView.setBorderVisibility(true);
        if (this.lay_StkrMain.getVisibility() == View.GONE) {
            this.lay_StkrMain.setVisibility(View.VISIBLE);
            this.lay_StkrMain.startAnimation(this.animSlideUp);
        }
    }

    public void onDoubleTap() {
        doubleTabPrass();
    }

    private void doubleTabPrass() {
        this.editMode = true;
        TextInfo textInfo = ((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getTextInfo();
        Intent intent = new Intent(this, TextActivity.class);
        Bundle bundle = new Bundle();
        bundle.putFloat("X", textInfo.getPOS_X());
        bundle.putFloat("Y", textInfo.getPOS_Y());
        bundle.putInt("wi", textInfo.getWIDTH());
        bundle.putInt("he", textInfo.getHEIGHT());
        bundle.putString("text", textInfo.getTEXT());
        bundle.putString("fontName", textInfo.getFONT_NAME());
        bundle.putInt("tColor", textInfo.getTEXT_COLOR());
        bundle.putInt("tAlpha", textInfo.getTEXT_ALPHA());
        bundle.putInt("shadowColor", textInfo.getSHADOW_COLOR());
        bundle.putInt("shadowProg", textInfo.getSHADOW_PROG());
        bundle.putString("bgDrawable", textInfo.getBG_DRAWABLE());
        bundle.putInt("bgColor", textInfo.getBG_COLOR());
        bundle.putInt("bgAlpha", textInfo.getBG_ALPHA());
        bundle.putFloat("rotation", textInfo.getROTATION());
        bundle.putString("gravity", textInfo.getFIELD_THREE());
        intent.putExtras(bundle);
        startActivityForResult(intent, TEXT_ACTIVITY);
        overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
    }

    public void stickerRemoveScrollViewPosition(View view) {
        float rotation;
        int[] iArr = new int[2];
        this.lay_scroll.getLocationOnScreen(iArr);
        float f = (float) iArr[1];
        float width = (float) view.getWidth();
        float height = (float) view.getHeight();
        float x = view.getX();
        float y = (view.getY() + f) - ((float) this.distanceScroll);
        if (view instanceof ResizableStickerView) {
            rotation = view.getRotation();
        } else {
            rotation = view.getRotation();
        }
        Matrix matrix = new Matrix();
        RectF rectF = new RectF(x, y, x + width, y + height);
        matrix.postRotate(rotation, x + (width / 2.0f), y + (height / 2.0f));
        matrix.mapRect(rectF);
        rotation = Math.min(rectF.top, rectF.bottom);
        if (f > rotation) {
            rotation = (float) ((int) (f - rotation));
            try {
                f = (float) this.lay_scroll.getScrollY();
                if (f > 0.0f) {
                    f -= (float) (((int) rotation) / 4);
                    if (f >= 0.0f) {
                        this.lay_scroll.smoothScrollTo(0, (int) f);
                        this.lay_scroll.getLayoutParams().height = (int) (((float) this.lay_scroll.getHeight()) + (rotation / 4.0f));
                        this.lay_scroll.postInvalidate();
                        this.lay_scroll.requestLayout();
                        return;
                    }
                    this.distanceScroll = 0;
                    this.lay_scroll.setLayoutParams(new LayoutParams(-1, -2));
                    this.lay_scroll.postInvalidate();
                    this.lay_scroll.requestLayout();
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    public void stickerScrollView(View view) {
        if (view != null) {
            float rotation;
            int[] iArr = new int[2];
            view.getLocationOnScreen(iArr);
            float width = (float) view.getWidth();
            float height = (float) view.getHeight();
            boolean z = view instanceof ResizableStickerView;
            if (z) {
                rotation = view.getRotation();
            } else {
                rotation = view.getRotation();
            }
            int[] iArr2 = new int[2];
            this.lay_scroll.getLocationOnScreen(iArr2);
            this.parentY = (float) iArr2[1];
            float x = view.getX();
            float y = view.getY() + this.parentY;
            this.distance = this.parentY;
            Matrix matrix = new Matrix();
            RectF rectF = new RectF(x, y, x + width, y + height);
            matrix.postRotate(rotation, x + (width / 2.0f), y + (height / 2.0f));
            matrix.mapRect(rectF);
            int i = iArr[1];
            y = Math.max(rectF.top, rectF.bottom);
            float scrollY = (float) this.lay_scroll.getScrollY();
            if (scrollY > 0.0f) {
                y -= scrollY;
            }
            int[] iArr3 = new int[2];
            if (z) {
                this.seekbar_container.getLocationOnScreen(iArr3);
            } else {
                this.lay_textEdit.getLocationOnScreen(iArr3);
            }
            float f = (float) iArr3[1];
            if (this.parentY + ((float) this.lay_scroll.getHeight()) < y) {
                y = this.parentY + ((float) this.lay_scroll.getHeight());
            }
            if (y > f) {
                this.distanceScroll = (int) (y - f);
                this.dsfc = this.distanceScroll;
                if (((float) this.distanceScroll) < this.distance) {
                    this.lay_scroll.setY(this.parentY - ((float) this.distanceScroll));
                } else {
                    int scrollY2 = this.lay_scroll.getScrollY();
                    this.lay_scroll.setLayoutParams(new LayoutParams(-1, -2));
                    this.lay_scroll.postInvalidate();
                    this.lay_scroll.requestLayout();
                    i = (int) ((y - this.distance) - f);
                    int height2 = this.lay_scroll.getHeight() - i;
                    this.distanceScroll = scrollY2 + i;
                    this.lay_scroll.getLayoutParams().height = height2;
                    this.lay_scroll.postInvalidate();
                    this.lay_scroll.requestLayout();
                }
                this.lay_scroll.post(new Runnable() {
                    public void run() {
                        if (PosterActivity.this.lay_scroll.getY() < 0.0f) {
                            PosterActivity.this.lay_scroll.setY(0.0f);
                        }
                        PosterActivity.this.btn_bck1.performClick();
                    }
                });
            }
        }
    }

    public void removeImageViewControll() {
        this.lay_effects.setVisibility(View.GONE);
        int childCount = this.txt_stkr_rel.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = this.txt_stkr_rel.getChildAt(i);
            if (childAt instanceof AutofitTextRel) {
                ((AutofitTextRel) childAt).setBorderVisibility(false);
            }
            if (childAt instanceof ResizableStickerView) {
                ((ResizableStickerView) childAt).setBorderVisibility(false);
            }
        }
    }

    private void showDialogSave() {
        final Dialog dialog = new Dialog(this, 16974126);
        dialog.requestWindowFeature(1);
        dialog.setCancelable(true);
        dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
        dialog.setContentView(R.layout.save_dialog);
        ((TextView) dialog.findViewById(R.id.txtapp)).setTypeface(this.ttfHeader);
        ((TextView) dialog.findViewById(R.id.txt)).setTypeface(this.ttf);
        ((TextView) dialog.findViewById(R.id.txt1)).setTypeface(this.ttf);
        LinearLayout button = dialog.findViewById(R.id.btn_template);
        button.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                PosterActivity.this.saveDesign();
                dialog.dismiss();
            }
        });
        button = dialog.findViewById(R.id.btn_image);
        button.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                if (!PosterActivity.this.preferences.getBoolean("removeWatermark", false)) {
                }
                PosterActivity.this.createImage(100);
                dialog.dismiss();
            }
        });
        dialog.show();
    }

    private void saveDesign() {
        try {
            if (this.main_rel == null) {
                throw new Exception();
            }
            this.logo_image.setVisibility(View.GONE);
            this.main_rel.setDrawingCacheEnabled(true);
            final Bitmap createBitmap = Bitmap.createBitmap(this.main_rel.getDrawingCache());
            this.main_rel.setDrawingCacheEnabled(false);
            if (!this.preferences.getBoolean("removeWatermark", false)) {

                this.logo_image.setVisibility(View.GONE);

            }
            final ProgressDialog progressDialog = new ProgressDialog(this, R.style.AppCompatAlertDialogStyle);
            progressDialog.setMessage(getResources().getString(R.string.plzwait));
            progressDialog.setIndeterminate(true);
            progressDialog.setCancelable(false);
            progressDialog.show();
            new Thread(new Runnable() {

                public void run() {

                    Exception e;
                    StringBuilder stringBuilder;
                    Throwable th;

                    try {
                        if (PosterActivity.this.profile.equals("Temp_Path")) {
                            PosterActivity.this.temp_path = Constants.saveBitmapObject1(PosterActivity.this.imgBtmap);
                        }
                        String saveBitmapObject = Constants.saveBitmapObject(PosterActivity.this, ImageUtils.resizeBitmap(createBitmap, ((int) PosterActivity.this.screenWidth) / 2, ((int) PosterActivity.this.screenHeight) / 2));
                        if (saveBitmapObject != null) {
                            TemplateInfo templateInfo = new TemplateInfo();

                            templateInfo.setTHUMB_URI(saveBitmapObject);
                            templateInfo.setFRAME_NAME(PosterActivity.this.frame_Name);
                            templateInfo.setRATIO(PosterActivity.this.ratio);
                            templateInfo.setPROFILE_TYPE(PosterActivity.this.profile);
                            templateInfo.setSEEK_VALUE(String.valueOf(PosterActivity.this.seekValue));
                            templateInfo.setTYPE("USER");
                            templateInfo.setTEMP_PATH(PosterActivity.this.temp_path);
                            templateInfo.setCustom_Wi(PosterActivity.this.custom_Wi);
                            templateInfo.setCustom_He(PosterActivity.this.custom_he);
                            templateInfo.setCiv_width(PosterActivity.this.civ_width);
                            templateInfo.setCiv_height(PosterActivity.this.civ_height);
                            templateInfo.setCustom_X(PosterActivity.this.custom_X);
                            templateInfo.setCustom_Y(PosterActivity.this.custom_Y);
                            if (PosterActivity.this.profile.equals("Gradient")) {
                                JSONObject jSONObject = new JSONObject();
                                jSONObject.put("Type", PosterActivity.this.typeGradient);
                                jSONObject.put("Orient", PosterActivity.this.orient);
                                jSONObject.put("Color1", PosterActivity.this.colors[0]);
                                jSONObject.put("Color2", PosterActivity.this.colors[1]);
                                jSONObject.put("Prog_radius", PosterActivity.this.prog_radious);
                                templateInfo.setTEMPCOLOR(jSONObject.toString());
                            } else {
                                templateInfo.setTEMPCOLOR(PosterActivity.this.hex);
                            }
                            templateInfo.setOVERLAY_NAME(PosterActivity.this.overlay_Name);
                            templateInfo.setOVERLAY_OPACITY(PosterActivity.this.seek_overlayOpacity.getProgress());
                            templateInfo.setOVERLAY_BLUR(PosterActivity.this.seek_blur.getProgress());
                            templateInfo.setSHAP_NAME("");
                            templateInfo.setSaveImageWidth(PosterActivity.this.reSizeFinalWidth);
                            templateInfo.setSaveImageHeight(PosterActivity.this.reSizeFinalHeight);
                            DatabaseHandler dbHandler = DatabaseHandler.getDbHandler(PosterActivity.this.getApplicationContext());
                            try {
                                PosterActivity.this.saveComponent1(dbHandler.insertTemplateRow(templateInfo), dbHandler);

                                progressDialog.dismiss();

                            } catch (Exception e2) {
                                e2.printStackTrace();

                                Log.e("Exceptionshow", "" + e2);
                            } catch (Throwable th3) {

                                th = th3;

                                if (dbHandler != null) {
                                    dbHandler.close();
                                }
                                try {
                                    throw th;
                                } catch (Throwable throwable) {
                                    throwable.printStackTrace();
                                }
                            }
                        }
                    } catch (Exception e3) {
                        e = e3;
                        stringBuilder = new StringBuilder();
                        stringBuilder.append("Exception ");
                        stringBuilder.append(e.getMessage());
                        Log.e("testingaaa", stringBuilder.toString());
                        e.printStackTrace();
                    }
                }
            }).start();
            progressDialog.setOnDismissListener(new OnDismissListener() {
                public void onDismiss(DialogInterface dialogInterface) {
                    final Dialog dialog = new Dialog(PosterActivity.this, 16974126);
                    dialog.requestWindowFeature(1);
                    dialog.setCancelable(true);
                    dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
                    dialog.setContentView(R.layout.save_success_dialog);
                    LinearLayout button = dialog.findViewById(R.id.btn_ok);
                    button.setOnClickListener(new OnClickListener() {
                        public void onClick(View view) {
                            if (!PosterActivity.this.temp_Type.equals("")) {
                                PosterActivity.this.editor.putBoolean("isChanged", true);
                                PosterActivity.this.editor.commit();
                            }
                            dialog.dismiss();
                        }
                    });
                    dialog.show();
                }
            });
        } catch (Error | Exception unused) {
            final Dialog dialog = new Dialog(this, 16974126);
            dialog.requestWindowFeature(1);
            dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
            dialog.setContentView(R.layout.save_success_picture_dialog);
            dialog.setCancelable(true);
            ((TextView) dialog.findViewById(R.id.heater)).setText(getResources().getString(R.string.error1));
            ((TextView) dialog.findViewById(R.id.txt_free)).setText(getResources().getString(R.string.design_error));
            dialog.findViewById(R.id.txt_path).setVisibility(View.GONE);
            LinearLayout button = dialog.findViewById(R.id.btn_ok);
            button.setOnClickListener(new OnClickListener() {
                public void onClick(View view) {
                    dialog.dismiss();
                }
            });
            dialog.getWindow().getAttributes().windowAnimations = R.style.DialogAnimation_;
            dialog.show();
        }
    }

    private void saveComponent1(long j, DatabaseHandler databaseHandler) {
        int childCount = this.txt_stkr_rel.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = this.txt_stkr_rel.getChildAt(i);

            Log.e("before", "loop");
            if (childAt instanceof AutofitTextRel) {
                TextInfo textInfo = ((AutofitTextRel) childAt).getTextInfo();
                textInfo.setTEMPLATE_ID((int) j);
                textInfo.setORDER(i);
                textInfo.setTYPE("TEXT");
                databaseHandler.insertTextRow(textInfo);
                Log.e("insertTextRow", "insertTextRow");
            } else {
                saveShapeAndSticker(j, i, TYPE_STICKER, databaseHandler);
            }
        }
    }

    public void saveShapeAndSticker(long j, int i, int i2, DatabaseHandler databaseHandler) {
        ComponentInfo componentInfo = ((ResizableStickerView) this.txt_stkr_rel.getChildAt(i)).getComponentInfo();
        componentInfo.setTEMPLATE_ID((int) j);
        componentInfo.setTYPE("STICKER");
        componentInfo.setORDER(i);
        databaseHandler.insertComponentInfoRow(componentInfo);
    }

    private void createImage(final int i) {
        final ProgressDialog show = ProgressDialog.show(this, "", ImageUtils.getSpannableString(this, this.ttf, R.string.plzwait), true);
        show.setCancelable(false);
        new Thread(new Runnable() {
            public void run() {
                PosterActivity.isImageSaved = false;
                try {
                    if (PosterActivity.this.profile.equals("Temp_Path")) {
                        PosterActivity.this.temp_path = Constants.saveBitmapObject1(PosterActivity.this.imgBtmap);
                    }
                    TemplateInfo templateInfo = new TemplateInfo();
                    templateInfo.setFRAME_NAME(PosterActivity.this.frame_Name);
                    templateInfo.setRATIO(PosterActivity.this.ratio);
                    templateInfo.setPROFILE_TYPE(PosterActivity.this.profile);
                    templateInfo.setSEEK_VALUE(String.valueOf(PosterActivity.this.seekValue));
                    templateInfo.setTYPE("USER");
                    templateInfo.setTEMP_PATH(PosterActivity.this.temp_path);
                    templateInfo.setCustom_Wi(PosterActivity.this.custom_Wi);
                    templateInfo.setCustom_He(PosterActivity.this.custom_he);
                    templateInfo.setCiv_width(PosterActivity.this.civ_width);
                    templateInfo.setCiv_height(PosterActivity.this.civ_height);
                    templateInfo.setCustom_X(PosterActivity.this.custom_X);
                    templateInfo.setCustom_Y(PosterActivity.this.custom_Y);
                    if (PosterActivity.this.profile.equals("Gradient")) {
                        JSONObject jSONObject = new JSONObject();
                        jSONObject.put("Type", PosterActivity.this.typeGradient);
                        jSONObject.put("Orient", PosterActivity.this.orient);
                        jSONObject.put("Color1", PosterActivity.this.colors[0]);
                        jSONObject.put("Color2", PosterActivity.this.colors[1]);
                        jSONObject.put("Prog_radius", PosterActivity.this.prog_radious);
                        templateInfo.setTEMPCOLOR(jSONObject.toString());
                    } else {
                        templateInfo.setTEMPCOLOR(PosterActivity.this.hex);
                    }
                    templateInfo.setOVERLAY_NAME(PosterActivity.this.overlay_Name);
                    templateInfo.setOVERLAY_OPACITY(PosterActivity.this.seek_overlayOpacity.getProgress());
                    templateInfo.setOVERLAY_BLUR(PosterActivity.this.seek_blur.getProgress());
                    templateInfo.setSHAP_NAME("");
                    templateInfo.setSaveImageWidth(PosterActivity.this.reSizeFinalWidth);
                    templateInfo.setSaveImageHeight(PosterActivity.this.reSizeFinalHeight);
                    int childCount = PosterActivity.this.txt_stkr_rel.getChildCount();
                    HashMap hashMap = new HashMap();
                    for (int i = 0; i < childCount; i++) {
                        View childAt = PosterActivity.this.txt_stkr_rel.getChildAt(i);
                        if (childAt instanceof AutofitTextRel) {
                            TextInfo textInfo = ((AutofitTextRel) txt_stkr_rel.getChildAt(i)).getTextInfo();
                            textInfo.setORDER(i);
                            textInfo.setTYPE("TEXT");
                            hashMap.put(Integer.valueOf(i), textInfo);
                        } else {
                            ComponentInfo componentInfo = ((ResizableStickerView) txt_stkr_rel.getChildAt(i)).getComponentInfo();
                            componentInfo.setTYPE("STICKER");
                            componentInfo.setORDER(i);

                            Log.e("imageSTICKER", "" + i);
                            hashMap.put(Integer.valueOf(i), componentInfo);
                        }
                    }
                    if (PosterActivity.this.reSizeFinalWidth == 0 || PosterActivity.this.reSizeFinalHeight == 0) {
                        PosterActivity.this.reSizeFinalWidth = PosterActivity.this.main_rel.getWidth();
                        PosterActivity.this.reSizeFinalHeight = PosterActivity.this.main_rel.getHeight();
                    }
                    ViewTemplateCanvasFinal viewTemplateCanvasFinal = new ViewTemplateCanvasFinal(PosterActivity.this, (float) PosterActivity.this.main_rel.getWidth(), (float) PosterActivity.this.main_rel.getHeight(), (float) PosterActivity.this.reSizeFinalWidth, (float) PosterActivity.this.reSizeFinalHeight, null, false, 160);
                    PosterActivity.this.bitmap = viewTemplateCanvasFinal.getTemplateBitmap(templateInfo, hashMap);
                    if (PosterActivity.this.bitmap != null) {
                        File file = new File(StorageConfiguration.getAppFile(), "/Thumbnail Maker");
                        if (file.exists() || file.mkdirs()) {
                            StringBuilder stringBuilder = new StringBuilder();
                            stringBuilder.append("Photo_");
                            stringBuilder.append(System.currentTimeMillis());
                            stringBuilder.append(".png");
                            String stringBuilder2 = stringBuilder.toString();
                            PosterActivity posterActivity = PosterActivity.this;
                            StringBuilder stringBuilder3 = new StringBuilder();
                            stringBuilder3.append(file.getPath());
                            stringBuilder3.append(File.separator);
                            stringBuilder3.append(stringBuilder2);
                            posterActivity.filename = stringBuilder3.toString();
                            File file2 = new File(PosterActivity.this.filename);
                            if (!file2.exists()) {
                                file2.createNewFile();
                            }
                            PosterActivity.this.bitmap.compress(CompressFormat.PNG, 100, new FileOutputStream(file2));
                            if (PosterActivity.this.bitmap != null) {
                                PosterActivity.this.bitmap.recycle();
                                PosterActivity.this.bitmap = null;
                            }
                            PosterActivity.isImageSaved = true;
                            PosterActivity.this.sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(file2)));
                        } else {
                            Log.d("", "Can't create directory to save image.");
                            Toast.makeText(PosterActivity.this.getApplicationContext(), PosterActivity.this.getResources().getString(R.string.create_dir_err), Toast.LENGTH_LONG).show();
                            return;
                        }
                    }
                } catch (Exception | OutOfMemoryError e) {
                    e.printStackTrace();
                }
                if (PosterActivity.this.temp_path != null) {
                    PosterActivity.this.deleteFileFromPath(PosterActivity.this.temp_path);
                }
                show.dismiss();
            }
        }).start();
        show.setOnDismissListener(new OnDismissListener() {

            public void onDismiss(DialogInterface dialogInterface) {
                if (PosterActivity.isImageSaved) {
                    Intent intent = new Intent(PosterActivity.this, ShareImageActivity.class);
                    intent.putExtra("uri", PosterActivity.this.filename);
                    intent.putExtra("way", "cover");
                    PosterActivity.this.startActivity(intent);
                    PosterActivity.this.overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);

                } else {
                    final Dialog dialog = new Dialog(PosterActivity.this, 16974126);
                    dialog.requestWindowFeature(1);
                    dialog.setCancelable(true);
                    dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
                    dialog.setContentView(R.layout.save_dialog);
                    dialog.findViewById(R.id.txt1).setVisibility(View.GONE);
                    ((TextView) dialog.findViewById(R.id.txtapp)).setText(PosterActivity.this.getResources().getString(R.string.error1));
                    ((TextView) dialog.findViewById(R.id.txt)).setText(PosterActivity.this.getResources().getString(R.string.save_msg2));
                    LinearLayout button = dialog.findViewById(R.id.btn_template);
                    ((TextView) findViewById(R.id.textTemplate)).setText(PosterActivity.this.getResources().getString(R.string.no1));
                    button.setOnClickListener(new OnClickListener() {
                        public void onClick(View view) {
                            dialog.dismiss();
                        }
                    });
                    button = dialog.findViewById(R.id.btn_image);
                    ((TextView) findViewById(R.id.textImage)).setText(PosterActivity.this.getResources().getString(R.string.proceed));
                    button.setOnClickListener(new OnClickListener() {
                        public void onClick(View view) {
                            dialog.dismiss();
                            PosterActivity.this.createImageInBestSize(i);
                        }
                    });
                    dialog.getWindow().getAttributes().windowAnimations = R.style.DialogAnimation_;
                    dialog.show();
                }
                System.runFinalization();
                Runtime.getRuntime().gc();
                System.gc();
            }
        });
    }

    private void createImageInBestSize(final int i) {

        final ProgressDialog show = ProgressDialog.show(this, "", ImageUtils.getSpannableString(this, this.ttf, R.string.plzwait), true);
        show.setCancelable(false);
        new Thread(new Runnable() {
            public void run() {
                PosterActivity.isImageSaved = false;

                try {
                    if (PosterActivity.this.profile.equals("Temp_Path")) {
                        PosterActivity.this.temp_path = Constants.saveBitmapObject1(PosterActivity.this.imgBtmap);
                    }
                    TemplateInfo templateInfo = new TemplateInfo();
                    templateInfo.setFRAME_NAME(PosterActivity.this.frame_Name);
                    templateInfo.setRATIO(PosterActivity.this.ratio);
                    templateInfo.setPROFILE_TYPE(PosterActivity.this.profile);
                    templateInfo.setSEEK_VALUE(String.valueOf(PosterActivity.this.seekValue));
                    templateInfo.setTYPE("USER");
                    templateInfo.setTEMP_PATH(PosterActivity.this.temp_path);
                    templateInfo.setCustom_Wi(PosterActivity.this.custom_Wi);
                    templateInfo.setCustom_He(PosterActivity.this.custom_he);
                    templateInfo.setCiv_width(PosterActivity.this.civ_width);
                    templateInfo.setCiv_height(PosterActivity.this.civ_height);
                    templateInfo.setCustom_X(PosterActivity.this.custom_X);
                    templateInfo.setCustom_Y(PosterActivity.this.custom_Y);
                    if (PosterActivity.this.profile.equals("Gradient")) {
                        JSONObject jSONObject = new JSONObject();
                        jSONObject.put("Type", PosterActivity.this.typeGradient);
                        jSONObject.put("Orient", PosterActivity.this.orient);
                        jSONObject.put("Color1", PosterActivity.this.colors[0]);
                        jSONObject.put("Color2", PosterActivity.this.colors[1]);
                        jSONObject.put("Prog_radius", PosterActivity.this.prog_radious);
                        templateInfo.setTEMPCOLOR(jSONObject.toString());
                    } else {
                        templateInfo.setTEMPCOLOR(PosterActivity.this.hex);
                    }
                    templateInfo.setOVERLAY_NAME(PosterActivity.this.overlay_Name);
                    templateInfo.setOVERLAY_OPACITY(PosterActivity.this.seek_overlayOpacity.getProgress());
                    templateInfo.setOVERLAY_BLUR(PosterActivity.this.seek_blur.getProgress());
                    templateInfo.setSHAP_NAME("");
                    templateInfo.setSaveImageWidth(PosterActivity.this.reSizeFinalWidth);
                    templateInfo.setSaveImageHeight(PosterActivity.this.reSizeFinalHeight);
                    int childCount = PosterActivity.this.txt_stkr_rel.getChildCount();
                    HashMap hashMap = new HashMap();
                    for (int i2 = 0; i2 < childCount; i2++) {
                        View childAt = PosterActivity.this.txt_stkr_rel.getChildAt(i2);
                        if (childAt instanceof AutofitTextRel) {
                            TextInfo textInfo = ((AutofitTextRel) childAt).getTextInfo();
                            textInfo.setORDER(i2);
                            textInfo.setTYPE("TEXT");
                            hashMap.put(Integer.valueOf(i2), textInfo);
                        } else {
                            ComponentInfo componentInfo = ((ResizableStickerView) childAt).getComponentInfo();
                            componentInfo.setTYPE("STICKER");
                            componentInfo.setORDER(i2);
                            hashMap.put(Integer.valueOf(i2), componentInfo);
                        }
                    }
                    if (PosterActivity.this.reSizeFinalWidth == 0 || PosterActivity.this.reSizeFinalHeight == 0) {
                        PosterActivity.this.reSizeFinalWidth = PosterActivity.this.main_rel.getWidth();
                        PosterActivity.this.reSizeFinalHeight = PosterActivity.this.main_rel.getHeight();
                    }
                    childCount = i;
                    int dddd = 0;
                    while (dddd < 5 && childCount > 0) {
                        try {
                            String[] split = templateInfo.getRATIO().split(":");
                            int[] optimazedDimension = ImageUtils.getOptimazedDimension(Float.parseFloat(split[0]), Float.parseFloat(split[1]), (float) PosterActivity.this.main_rel.getWidth(), (float) PosterActivity.this.main_rel.getHeight());
                            float f = ((float) childCount) / 100.0f;
                            int i3 = (int) (((float) PosterActivity.this.reSizeFinalWidth) * f);
                            int i4 = (int) (((float) PosterActivity.this.reSizeFinalHeight) * f);
                            float f2 = (float) optimazedDimension[0];
                            float f3 = (float) optimazedDimension[1];
                            float f4 = (float) i3;
                            float f5 = (float) i4;

                            ViewTemplateCanvasFinal viewTemplateCanvasFinal2 = new ViewTemplateCanvasFinal(PosterActivity.this, f2, f3, f4, f5, null, false, 160);
                            PosterActivity.this.bitmap = viewTemplateCanvasFinal2.getTemplateBitmap(templateInfo, hashMap);
                            if (PosterActivity.this.bitmap != null) {
                                File file = new File(StorageConfiguration.getAppFile(), "/Thumbnail Maker");
                                if (file.exists() || file.mkdirs()) {
                                    StringBuilder stringBuilder = new StringBuilder();
                                    stringBuilder.append("Photo_");
                                    stringBuilder.append(System.currentTimeMillis());
                                    stringBuilder.append(".png");
                                    String stringBuilder2 = stringBuilder.toString();
                                    PosterActivity posterActivity = PosterActivity.this;
                                    StringBuilder stringBuilder3 = new StringBuilder();
                                    stringBuilder3.append(file.getPath());
                                    stringBuilder3.append(File.separator);
                                    stringBuilder3.append(stringBuilder2);
                                    posterActivity.filename = stringBuilder3.toString();
                                    File file2 = new File(PosterActivity.this.filename);
                                    if (!file2.exists()) {
                                        file2.createNewFile();
                                    }
                                    PosterActivity.this.bitmap.compress(CompressFormat.PNG, 100, new FileOutputStream(file2));
                                    if (PosterActivity.this.bitmap != null) {
                                        PosterActivity.this.bitmap.recycle();
                                        PosterActivity.this.bitmap = null;
                                    }
                                    PosterActivity.isImageSaved = true;
                                } else {
                                    Log.d("", "Can't create directory to save image.");
                                    Toast.makeText(PosterActivity.this.getApplicationContext(), PosterActivity.this.getResources().getString(R.string.create_dir_err), Toast.LENGTH_LONG).show();
                                    return;
                                }
                            }
                            childCount -= 15;
                            dddd++;
                        } catch (OutOfMemoryError e) {
                            e.printStackTrace();
                        }
                    }
                } catch (Exception e2) {
                    Exception exception = e2;
                    StringBuilder stringBuilder4 = new StringBuilder();
                    stringBuilder4.append("Exception ");
                    stringBuilder4.append(exception.getMessage());
                    Log.i("testing", stringBuilder4.toString());
                    exception.printStackTrace();
                }
                if (PosterActivity.this.temp_path != null) {
                    PosterActivity.this.deleteFileFromPath(PosterActivity.this.temp_path);
                }
                show.dismiss();
            }
        }).start();
        show.setOnDismissListener(new OnDismissListener() {

            public void onDismiss(DialogInterface dialogInterface) {
                if (PosterActivity.isImageSaved) {
                    Intent intent = new Intent(PosterActivity.this, ShareImageActivity.class);
                    intent.putExtra("uri", PosterActivity.this.filename);
                    intent.putExtra("way", "cover");
                    PosterActivity.this.startActivity(intent);
                    PosterActivity.this.overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);

                } else {
                    final Dialog dialog = new Dialog(PosterActivity.this, 16974126);
                    dialog.requestWindowFeature(1);
                    dialog.setCancelable(true);
                    dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
                    dialog.setContentView(R.layout.save_dialog);
                    dialog.findViewById(R.id.txt1).setVisibility(View.GONE);
                    ((TextView) dialog.findViewById(R.id.txtapp)).setText(PosterActivity.this.getResources().getString(R.string.error1));
                    ((TextView) dialog.findViewById(R.id.txt)).setText(PosterActivity.this.getResources().getString(R.string.memoryerror));
                    dialog.findViewById(R.id.btn_template).setVisibility(View.GONE);
                    LinearLayout button = dialog.findViewById(R.id.btn_image);
                    ((TextView) findViewById(R.id.textImage)).setText(PosterActivity.this.getResources().getString(R.string.ok));
                    button.setOnClickListener(view -> dialog.dismiss());
                    dialog.getWindow().getAttributes().windowAnimations = R.style.DialogAnimation_;
                    dialog.show();
                }
                System.runFinalization();
                Runtime.getRuntime().gc();
                System.gc();
            }
        });
    }

    private boolean deleteFileFromPath(String str) {
        Exception e;
        boolean z = false;
        try {
            File file = new File(str);
            if (!file.exists()) {
                return true;
            }
            boolean delete = file.delete();
            try {
                if (file.exists()) {
                    try {
                        z = file.getCanonicalFile().delete();
                    } catch (IOException e2) {
                        e2.printStackTrace();
                        z = delete;
                    }
                    if (file.exists()) {
                        delete = getApplicationContext().deleteFile(file.getName());
                    }
                    sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(file)));
                    return z;
                }
                z = delete;
                sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(file)));
            } catch (Exception e3) {
                Exception exception = e3;
                z = delete;
                e = exception;
                e.printStackTrace();
                return z;
            }
            return z;
        } catch (Exception e4) {
            e = e4;
            e.printStackTrace();
            return z;
        }
    }


    public void onActivityResult(int i, int i2, Intent intent) {
        int i3 = i;
        int i4 = i2;
        Intent intent2 = intent;
        super.onActivityResult(i, i2, intent);

        if (i4 == -1) {
            if (intent2 != null || i3 == SELECT_PICTURE_FROM_CAMERA || i3 == TEXT_ACTIVITY || i3 == 4 || i3 == OPEN_CROP_ACITIVITYTWO) {
                Intent intent3;
                Bundle extras;
                if (i3 == TEXT_ACTIVITY) {
                    Bundle extras2 = intent.getExtras();

                    Log.e("return", "" + extras2.getString("text", ""));

                    TextInfo textInfo = new TextInfo();
                    textInfo.setPOS_X(extras2.getFloat("X", 0.0f));
                    textInfo.setPOS_Y(extras2.getFloat("Y", 0.0f));
                    textInfo.setWIDTH(extras2.getInt("wi", ImageUtils.dpToPx(this, 140)));
                    textInfo.setHEIGHT(extras2.getInt("he", ImageUtils.dpToPx(this, 140)));
                    textInfo.setTEXT(extras2.getString("text", ""));
                    textInfo.setFONT_NAME(extras2.getString("fontName", ""));
                    textInfo.setTEXT_COLOR(extras2.getInt("tColor", Color.parseColor("#000000")));
                    textInfo.setTEXT_ALPHA(extras2.getInt("tAlpha", 100));
                    textInfo.setSHADOW_COLOR(extras2.getInt("shadowColor", Color.parseColor("#000000")));
                    textInfo.setSHADOW_PROG(extras2.getInt("shadowProg", 0));
                    textInfo.setBG_COLOR(extras2.getInt("bgColor", 0));
                    textInfo.setBG_DRAWABLE(extras2.getString("bgDrawable", "0"));
                    textInfo.setBG_ALPHA(extras2.getInt("bgAlpha", 255));
                    textInfo.setROTATION(extras2.getFloat("rotation", 0.0f));
                    textInfo.setFIELD_THREE(extras2.getString("gravity", ""));
                    this.fontName = extras2.getString("fontName", "");
                    this.tColor = extras2.getInt("tColor", Color.parseColor("#000000"));
                    this.shadowColor = extras2.getInt("shadowColor", Color.parseColor("#000000"));
                    this.shadowProg = extras2.getInt("shadowProg", 0);
                    this.tAlpha = extras2.getInt("tAlpha", 100);
                    this.bgDrawable = extras2.getString("bgDrawable", "0");
                    this.bgAlpha = extras2.getInt("bgAlpha", 255);
                    this.rotation = extras2.getFloat("rotation", 0.0f);
                    this.bgColor = extras2.getInt("bgColor", Color.parseColor("#000000"));
                    this.txtGravity = extras2.getString("gravity", "");
                    int childCount;
                    View childAt;
                    AutofitTextRel autofitTextRel;
                    if (this.editMode) {
                        textInfo.setXRotateProg(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getXRotateProg());
                        textInfo.setYRotateProg(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getYRotateProg());
                        textInfo.setZRotateProg(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getZRotateProg());
                        textInfo.setCurveRotateProg(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getCurveRotateProg());
                        this.XTRote_seekBar.setProgress(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getXRotateProg());
                        this.YTRote_seekBar.setProgress(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getYRotateProg());
                        this.ZTRote_seekBar.setProgress(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getZRotateProg());
                        this.CurveTRote_seekBar.setProgress(((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).getCurveRotateProg());
                        this.seekBar3.setProgress(this.bgAlpha);
                        ((AutofitTextRel) this.txt_stkr_rel.getChildAt(this.txt_stkr_rel.getChildCount() - 1)).setTextInfo(textInfo, false);
                        childCount = this.txt_stkr_rel.getChildCount();
                        if (childCount != 0) {
                            childAt = this.txt_stkr_rel.getChildAt(childCount - 1);
                            if (childAt instanceof AutofitTextRel) {
                                autofitTextRel = (AutofitTextRel) childAt;
                                autofitTextRel.setBorderVisibility(false);
                                if (!autofitTextRel.getBorderVisibility()) {
                                    autofitTextRel.setBorderVisibility(true);
                                }
                            }
                        }
                        this.editMode = false;
                    } else {
                        textInfo.setXRotateProg(45);
                        textInfo.setYRotateProg(45);
                        textInfo.setZRotateProg(SubsamplingScaleImageView.ORIENTATION_180);
                        textInfo.setCurveRotateProg(0);
                        this.XTRote_seekBar.setProgress(45);
                        this.YTRote_seekBar.setProgress(45);
                        this.ZTRote_seekBar.setProgress(SubsamplingScaleImageView.ORIENTATION_180);
                        this.CurveTRote_seekBar.setProgress(250);
                        this.seekBar3.setProgress(this.bgAlpha);
                        autofitTextRel = new AutofitTextRel(this);
                        autofitTextRel.setOnTouchCallbackListener(this);
                        this.txt_stkr_rel.addView(autofitTextRel);
                        autofitTextRel.setMainLayoutWH((float) this.main_rel.getWidth(), (float) this.main_rel.getHeight());
                        autofitTextRel.setTextInfo(textInfo, false);
                        autofitTextRel.setBorderVisibility(false);
                        autofitTextRel.setWidthHeight(this.main_rel.getWidth(), this.main_rel.getHeight());
                        childCount = this.txt_stkr_rel.getChildCount();
                        if (childCount != 0) {
                            childAt = this.txt_stkr_rel.getChildAt(childCount - 1);
                            if (childAt instanceof AutofitTextRel) {
                                autofitTextRel = (AutofitTextRel) childAt;
                                if (!autofitTextRel.getBorderVisibility()) {
                                    autofitTextRel.setBorderVisibility(true);
                                }
                            }
                        }
                    }
                    if (this.lay_TextMain.getVisibility() == View.GONE) {

                        focuseGravity();
                        this.lay_TextMain.setVisibility(View.VISIBLE);
                        this.lay_TextMain.startAnimation(this.animSlideUp);
                    }
                    this.adapter.setSelected(-1);
                    if (!this.fontName.equals("")) {
                        for (int i5 = 0; i5 < this.fontArr.length; i5++) {
                            if (this.fontArr[i5].equals(this.fontName)) {
                                this.adapter.setSelected(i5);
                            }
                        }
                    }
                }
                if (i3 == SELECT_PICTURE_FROM_GALLERY) {
                    try {
                        btmSticker = Constants.getBitmapFromUri(this, intent.getData(), this.screenWidth, this.screenHeight);
                        if (this.screenWidth > ((float) btmSticker.getWidth()) && this.screenHeight > ((float) btmSticker.getHeight())) {
                            btmSticker = ImageUtils.resizeBitmap(btmSticker, (int) this.screenWidth, (int) this.screenHeight);
                        }
                        intent3 = new Intent(this, CropActivityTwo.class);
                        intent3.putExtra("value", "sticker");
                        startActivityForResult(intent3, OPEN_CROP_ACITIVITYTWO);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
                if (i3 == SELECT_PICTURE_FROM_CAMERA) {
                    try {
                        btmSticker = ImageUtils.resizeBitmap(Constants.getBitmapFromUri(this, Uri.fromFile(this.f), this.screenWidth, this.screenHeight), (int) this.screenWidth, (int) this.screenHeight);
                        intent3 = new Intent(this, CropActivityTwo.class);
                        intent3.putExtra("value", "sticker");
                        startActivityForResult(intent3, OPEN_CROP_ACITIVITYTWO);
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
                if (i3 == OPEN_CROP_ACITIVITYTWO) {
                    setDrawable("colored", false);
                }
                if (i3 == OPEN_PICKCOLOR_ACITIVITY) {
                    extras = intent.getExtras();
                    onColor(extras.getInt("pixel"), extras.getString("way"), extras.getInt("visiPosition"));
                }
                if (i3 == 4) {
                    if (this.lTAsync != null) {
                        this.lTAsync.cancel(true);
                    }
                    extras = intent.getExtras();
                    this.profile = extras.getString("profile");
                    if (this.seek_overlayOpacity.getProgress() == 255) {
                        this.seek_overlayOpacity.setProgress(127);
                        this.trans_img.setImageAlpha(127);
                    }
                    this.ratio = CropActivity.ratio1;
                    this.reSizeFinalWidth = CropActivity.reSizeFinalWidth1;
                    this.reSizeFinalHeight = CropActivity.reSizeFinalHeight1;
                    if (this.profile.equals("Temp_Path")) {
                        this.backgroundName = "0";
                        this.profile = "Temp_Path";
                        this.hex = "";
                        this.background_blur.setVisibility(View.GONE);
                        Bitmap resizeBitmap = ImageUtils.resizeBitmap(CropActivity.bitmapImage, (int) this.screenWidth, (int) this.screenHeight);
                        if (resizeBitmap != null) {
                            setImageBitmapAndResizeLayout(resizeBitmap, "nonCreated");
                        }
                    } else {
                        this.profile = extras.getString("profile");
                        this.backgroundName = extras.getString("backgroundName");
                        this.hex = extras.getString("color");
                        this.colors = extras.getIntArray("colorArr");
                        this.typeGradient = extras.getString("typeGradient");
                        this.orient = (Orientation) extras.get("orintation");
                        this.prog_radious = extras.getInt("prog_radious");
                        this.civ_width = CropActivity.civ_width;
                        this.civ_height = CropActivity.civ_height;
                        this.custom_Wi = CropActivity.custom_Wi;
                        this.custom_he = CropActivity.custom_he;
                        this.custom_X = CropActivity.custom_X;
                        this.custom_Y = CropActivity.custom_Y;
                        this.background_blur.setVisibility(View.GONE);
                        drawBackgroundImage(this.ratio, this.backgroundName, this.profile, "nonCreated");
                    }
                }
            } else {
                final Dialog dialog = new Dialog(this, 16974126);
                dialog.requestWindowFeature(1);
                dialog.setCancelable(true);
                dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
                dialog.setContentView(R.layout.missing_data);
                LinearLayout button = dialog.findViewById(R.id.btn_ok);
                button.setOnClickListener(view -> dialog.dismiss());
                dialog.show();
            }
        } else if (i3 == TEXT_ACTIVITY) {
            this.editMode = false;
        }
        if (this.lay_sticker.getVisibility() == View.VISIBLE && this._mViewPager.getChildCount() != 0) {
            this._adapter.currentFragment(this._mViewPager.getCurrentItem()).onActivityResult(i3, i4, intent2);
        }
    }

    private void showDialogPicker() {
        final Dialog dialog = new Dialog(this);
        dialog.requestWindowFeature(1);
        dialog.setContentView(R.layout.dialog);
        dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
        dialog.setCancelable(true);

        dialog.findViewById(R.id.btn_camera).setOnClickListener(view -> {
            ImageUtils.applyBounceAnimation(dialog.findViewById(R.id.btn_camera));
            PosterActivity.this.onCameraButtonClick();
            dialog.dismiss();
        });

        dialog.findViewById(R.id.btn_gallery).setOnClickListener(view -> {
            ImageUtils.applyBounceAnimation(dialog.findViewById(R.id.btn_gallery));
            PosterActivity.this.onGalleryButtonClick();
            dialog.dismiss();
        });

        dialog.findViewById(R.id.btnClose).setOnClickListener(view -> dialog.dismiss());

        dialog.show();
    }

    @SuppressLint("WrongConstant")
    public void onCameraButtonClick() {
        Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");
        Context applicationContext = getApplicationContext();
        ContextWrapper contextWrapper = new ContextWrapper(applicationContext);
        File file = contextWrapper.getExternalFilesDir("camera");
        this.f = new File(file, "temp.jpg");
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append(getApplicationContext().getPackageName());
        stringBuilder.append(".provider");
        Uri uriForFile = FileProvider.getUriForFile(applicationContext, stringBuilder.toString(), this.f);
        for (ResolveInfo resolveInfo : getPackageManager().queryIntentActivities(intent, 65536)) {
            grantUriPermission(resolveInfo.activityInfo.packageName, uriForFile, 3);
        }
        intent.putExtra("output", uriForFile);
        intent.addFlags(3);
        startActivityForResult(intent, SELECT_PICTURE_FROM_CAMERA);
    }

    public void onGalleryButtonClick() {
        Intent intent = new Intent();
        intent.setType("image/*");
        intent.setAction("android.intent.action.PICK");
        startActivityForResult(Intent.createChooser(intent, getString(R.string.select_picture)), SELECT_PICTURE_FROM_GALLERY);
    }

    public void onBackPressed() {
        btnSelectTxt.setBackgroundResource(0);
        btnSelectBg.setBackgroundResource(0);
        btnSelectSt.setBackgroundResource(0);
        btnSelectImg.setBackgroundResource(0);
        btnSelectEf.setBackgroundResource(0);

        btn_bck.setVisibility(View.VISIBLE);
        img_oK.setVisibility(View.VISIBLE);
        btn_layControls.setVisibility(View.VISIBLE);
        titleText.setText("Background");
        if (this.lay_TextMain.getVisibility() == View.VISIBLE) {
            if (this.lay_textEdit.getVisibility() == View.VISIBLE) {
                removeImageViewControll();
                removeScroll();
                this.lay_TextMain.startAnimation(this.animSlideDown);
                this.lay_TextMain.setVisibility(View.GONE);
                return;
            }
            backShowDialog();
        } else if (this.layoutAddText.getVisibility() == View.VISIBLE) {
            if (this.layoutAddText.getVisibility() == View.VISIBLE) {
                removeImageViewControll();
                removeScroll();
                this.layoutAddText.startAnimation(this.animSlideDown);
                this.layoutAddText.setVisibility(View.GONE);
                return;
            }
            backShowDialog();
        } else if (this.lay_StkrMain.getVisibility() == View.VISIBLE) {
            if (this.seekbar_container.getVisibility() == View.VISIBLE) {
                removeImageViewControll();
                removeScroll();
                this.lay_StkrMain.startAnimation(this.animSlideDown);
                this.lay_StkrMain.setVisibility(View.GONE);
                return;
            }
            backShowDialog();
        } else if (this.lay_sticker.getVisibility() == View.VISIBLE) {
            this.lay_sticker.setVisibility(View.GONE);
            this.img_oK.setVisibility(View.VISIBLE);
            this.btn_bck.setVisibility(View.VISIBLE);
            this.btn_layControls.setVisibility(View.VISIBLE);
            Log.e("posterActivity", 7 + "");
        } else if (this.lay_effects.getVisibility() == View.VISIBLE) {
            this.lay_effects.startAnimation(this.animSlideDown);
            this.lay_effects.setVisibility(View.GONE);
        } else if (this.lay_container.getVisibility() == View.VISIBLE) {
            this.lay_container.animate().translationX((float) (-this.lay_container.getRight())).setDuration(200).setInterpolator(new AccelerateInterpolator()).start();
            new Handler().postDelayed(new Runnable() {
                public void run() {
                    PosterActivity.this.lay_container.setVisibility(View.GONE);
                    PosterActivity.this.btn_layControls.setVisibility(View.VISIBLE);
                    Log.e("posterActivity", 8 + "");
                }
            }, 200);
        } else {
            backShowDialog();
        }
    }

    private void backShowDialog() {
        final Dialog dialog = new Dialog(this, 16974126);
        dialog.requestWindowFeature(1);
        dialog.setCancelable(true);
        dialog.setContentView(R.layout.leave_dialog);
        dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
        LinearLayout button = dialog.findViewById(R.id.btn_yes);
        button.setOnClickListener(view -> {
            PosterActivity.this.finish();
            dialog.dismiss();
        });
        button = dialog.findViewById(R.id.btn_no);
        button.setOnClickListener(view -> dialog.dismiss());
        dialog.show();
    }

    private void onColor(int i, String str, int i2) {
        if (i != 0) {
            int childCount = this.txt_stkr_rel.getChildCount();
            int i3 = 0;
            View childAt;
            AutofitTextRel autofitTextRel;
            if (str.equals("txtShadow")) {
                while (i3 < childCount) {
                    childAt = this.txt_stkr_rel.getChildAt(i3);
                    if (childAt instanceof AutofitTextRel) {
                        ((AutofitTextRel) this.txt_stkr_rel.getChildAt(i2)).setBorderVisibility(true);
                        autofitTextRel = (AutofitTextRel) childAt;
                        if (autofitTextRel.getBorderVisibility()) {
                            if (this.seekBar_shadow.getProgress() == 0) {
                                this.seekBar_shadow.setProgress(5);
                            }
                            this.shadowColor = i;
                            autofitTextRel.setTextShadowColor(i);
                        }
                    }
                    i3++;
                }
                return;
            } else if (str.equals("txtBg")) {
                while (i3 < childCount) {
                    childAt = this.txt_stkr_rel.getChildAt(i3);
                    if (childAt instanceof AutofitTextRel) {
                        ((AutofitTextRel) this.txt_stkr_rel.getChildAt(i2)).setBorderVisibility(true);
                        autofitTextRel = (AutofitTextRel) childAt;
                        if (autofitTextRel.getBorderVisibility()) {
                            if (this.seekBar3.getProgress() == 0) {
                                this.seekBar3.setProgress(127);
                            }
                            this.bgColor = i;
                            this.bgDrawable = "0";
                            autofitTextRel.setBgColor(i);
                            autofitTextRel.setBgAlpha(this.seekBar3.getProgress());
                        }
                    }
                    i3++;
                }
                return;
            } else {
                childAt = this.txt_stkr_rel.getChildAt(i2);
                if (childAt instanceof AutofitTextRel) {
                    ((AutofitTextRel) this.txt_stkr_rel.getChildAt(i2)).setBorderVisibility(true);
                    AutofitTextRel autofitTextRel2 = (AutofitTextRel) childAt;
                    if (autofitTextRel2.getBorderVisibility()) {
                        this.tColor = i;
                        this.textColorSet = i;
                        autofitTextRel2.setTextColor(i);
                    }
                }
                if (childAt instanceof ResizableStickerView) {
                    ((ResizableStickerView) this.txt_stkr_rel.getChildAt(i2)).setBorderVisibility(true);
                    ResizableStickerView resizableStickerView = (ResizableStickerView) childAt;
                    if (resizableStickerView.getBorderVisbilty()) {
                        this.stkrColorSet = i;
                        resizableStickerView.setColorType("white");
                        resizableStickerView.setColor(i);
                        return;
                    }
                    return;
                }
                return;
            }
        }
        removeScroll();
        if (this.lay_TextMain.getVisibility() == View.VISIBLE) {
            this.lay_TextMain.startAnimation(this.animSlideDown);
            this.lay_TextMain.setVisibility(View.GONE);
        }
        if (this.lay_StkrMain.getVisibility() == View.VISIBLE) {
            this.lay_StkrMain.startAnimation(this.animSlideDown);
            this.lay_StkrMain.setVisibility(View.GONE);
        }
    }

    private void errorDialogTempInfo(String str, String str2, String str3, String str4) {
        final Dialog dialog = new Dialog(this, 16974126);
        dialog.requestWindowFeature(1);
        dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
        dialog.setCancelable(true);
        dialog.setContentView(R.layout.error_dialog);
        LinearLayout button = dialog.findViewById(R.id.btn_ok);
        button.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                PosterActivity.this.finish();
            }
        });
        button = dialog.findViewById(R.id.btn_conti);
        button.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                dialog.dismiss();
            }
        });
        dialog.show();
    }

    private void bitmapRatio(String str, String str2, Bitmap bitmap, String str3) {
        Bitmap createBitmap;
        try {
            if (!str2.equals("Temp_Path")) {
                if (this.custom_Wi != 0.0f && this.custom_he != 0.0f) {
                    createBitmap = Bitmap.createBitmap(bitmap, (int) ((((float) bitmap.getWidth()) / this.civ_width) * this.custom_X), (int) ((((float) bitmap.getHeight()) / this.civ_height) * this.custom_Y), (int) ((((float) bitmap.getWidth()) / this.civ_width) * this.custom_Wi), (int) ((((float) bitmap.getHeight()) / this.civ_height) * this.custom_he));
                } else if (str.equals("")) {
                    createBitmap = null;
                } else {
                    String[] split = str.split(":");
                    createBitmap = cropInRatio(bitmap, Integer.parseInt(split[0]), Integer.parseInt(split[1]));
                }
                bitmap = createBitmap;
            }
        } catch (Error | Exception e) {
            e.printStackTrace();
        }
        createBitmap = ImageUtils.resizeBitmap(bitmap, (int) this.screenWidth, (int) this.screenHeight);
        if (str3.equals("created")) {
            if (str2.equals("Texture")) {
                createBitmap = Constants.getTiledBitmap(this, this.frame_Name, createBitmap, this.seek_tailys.getProgress());
                if (createBitmap != null) {
                    setImageBitmapAndResizeLayout(createBitmap, "created");
                }
            } else if (createBitmap != null) {
                setImageBitmapAndResizeLayout(createBitmap, "created");
            }
        } else if (createBitmap != null) {
            setImageBitmapAndResizeLayout(createBitmap, "nonCreated");
        }
    }

    public Bitmap cropInRatio(Bitmap bitmap, int i, int i2) {
        float width = (float) bitmap.getWidth();
        float height = (float) bitmap.getHeight();
        float f = getnewHeight(i, i2, width, height);
        float f2 = getnewWidth(i, i2, width, height);
        Bitmap createBitmap = (f2 <= width && f2 < width) ? Bitmap.createBitmap(bitmap, (int) ((width - f2) / 2.0f), 0, (int) f2, (int) height) : null;
        if (f <= height && f < height) {
            createBitmap = Bitmap.createBitmap(bitmap, 0, (int) ((height - f) / 2.0f), (int) width, (int) f);
        }
        return (f2 == width && f == height) ? bitmap : createBitmap;
    }

    private Bitmap gaussinBlur(AppCompatActivity activity, Bitmap bitmap) {
        GPUImage gPUImage = new GPUImage(activity);
        GPUImageGaussianBlurFilter gPUImageGaussianBlurFilter = new GPUImageGaussianBlurFilter();
        gPUImage.setFilter(gPUImageGaussianBlurFilter);
        new FilterAdjuster(gPUImageGaussianBlurFilter).adjust(100);
        gPUImage.requestRender();
        return gPUImage.getBitmapWithFilterApplied(bitmap);
    }

    public int getRemoveBoderPosition() {
        int childCount = this.txt_stkr_rel.getChildCount();
        int i = 0;
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = this.txt_stkr_rel.getChildAt(i2);
            if ((childAt instanceof AutofitTextRel) && ((AutofitTextRel) childAt).getBorderVisibility()) {
                i = i2;
            }
            if ((childAt instanceof ResizableStickerView) && ((ResizableStickerView) childAt).getBorderVisbilty()) {
                i = i2;
            }
        }
        return i;
    }

    public void onResume() {

        super.onResume();
        if (!this.preferences.getBoolean("removeWatermark", false)) {
            this.logo_image.setVisibility(View.GONE);
        } else {
            this.logo_image.setVisibility(View.GONE);
        }
    }
}