package com.AccountName.thumbnailmaker.main;

import android.app.Dialog;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnDismissListener;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.BitmapFactory.Options;
import android.graphics.Color;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.BaseAdapter;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.utility.StorageConfiguration;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;

import vocsy.ads.CustomAdsListener;
import vocsy.ads.GoogleAds;

public class SavedHistoryActivity extends AppCompatActivity {
    Bitmap b;
    Context c;
    int count = 0;
    String[] extensions = new String[]{"jpg", "jpeg", "JPG", "JPEG"};
    ImageAdapter imageAdapter;
    GridView imagegrid;
    File[] listFile;

    TextView no_image;
    SharedPreferences preferences;
    RelativeLayout rel_text;
    ArrayList<Bitmap> thumbnails = new ArrayList();
    ArrayList<Bitmap> thumbnails1 = new ArrayList();
    TextView toolbar_title;
    Typeface ttf;
    ArrayList<String> uri = new ArrayList();
    ArrayList<String> uri1 = new ArrayList();

    class ImageAdapter extends BaseAdapter {
        Context context;
        LayoutInflater mInflater;

        public long getItemId(int i) {
            return i;
        }

        public ImageAdapter(Context context) {
            this.context = context;
            mInflater = ((LayoutInflater) this.context.getSystemService(Context.LAYOUT_INFLATER_SERVICE));
        }

        public int getCount() {
            return SavedHistoryActivity.this.count;
        }

        public Object getItem(int i) {
            return Integer.valueOf(i);
        }

        public View getView(int i, View view, ViewGroup viewGroup) {
            ViewHolder viewHolder;
            View inflate;
            if (view == null) {
                viewHolder = new ViewHolder();
                inflate = this.mInflater.inflate(R.layout.picker_default_thumbnail, null);
                viewHolder.imageview = inflate.findViewById(R.id.thumbnail_image);
                inflate.setTag(viewHolder);
            } else {
                inflate = view;
                viewHolder = (ViewHolder) view.getTag();
            }
            viewHolder.imageview.setId(i);
            viewHolder.imageview.setImageBitmap(SavedHistoryActivity.this.thumbnails.get(i));
            return inflate;
        }
    }

    class ViewHolder {
        ImageView imageview;

        ViewHolder() {
        }
    }


    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_saved_history);

        SystemConfiguration.setStatusBarColor(this, R.color.toolbarColor, true);

        GoogleAds.getInstance().admobBanner(this, findViewById(R.id.nativeLay));

        this.preferences = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());

        this.no_image = findViewById(R.id.no_image);
        this.rel_text = findViewById(R.id.rel_text);
        this.ttf = Constants.getTextTypeface(this);
        this.no_image.setTypeface(this.ttf);
        ((TextView) findViewById(R.id.SavedPictures)).setTypeface(Constants.getHeaderTypeface(this));
        findViewById(R.id.btn_back).setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                SavedHistoryActivity.this.finish();
                SavedHistoryActivity.this.overridePendingTransition(R.anim.trans_right_in, R.anim.trans_right_out);
            }
        });
        findViewById(R.id.btn_home).setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                SavedHistoryActivity.this.setResult(-1);
                SavedHistoryActivity.this.finish();
                SavedHistoryActivity.this.overridePendingTransition(R.anim.trans_right_in, R.anim.trans_right_out);
            }
        });
        this.imagegrid = findViewById(R.id.gridView);
        getImageAndView();
        this.imagegrid.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, final int i, long j) {
                GoogleAds.getInstance().showCounterInterstitialAd(SavedHistoryActivity.this, new CustomAdsListener() {
                    @Override
                    public void onFinish() {
                        Intent intent = new Intent(SavedHistoryActivity.this, ShareImageActivity.class);
                        intent.putExtra("view", "histry");
                        intent.putExtra("uri", SavedHistoryActivity.this.uri.get(i));
                        intent.putExtra("way", "Gallery");
                        SavedHistoryActivity.this.startActivity(intent);
                    }
                });
                SavedHistoryActivity.this.overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
            }
        });
        this.imagegrid.setOnItemLongClickListener(new OnItemLongClickListener() {
            public boolean onItemLongClick(AdapterView<?> adapterView, View view, int i, long j) {
                SavedHistoryActivity.this.showOptionsDialog(i, view);
                return true;
            }
        });
    }

    private void getImageAndView() {
        final ProgressDialog progressDialog = new ProgressDialog(this, R.style.AppCompatAlertDialogStyle);
        progressDialog.setMessage(getResources().getString(R.string.plzwait));
        progressDialog.setIndeterminate(true);
        progressDialog.setCancelable(false);
        progressDialog.show();
        new Thread(new Runnable() {
            public void run() {
                try {
                    SavedHistoryActivity.this.getFromSdcard();
                    SavedHistoryActivity.this.c = SavedHistoryActivity.this;
                    SavedHistoryActivity.this.imageAdapter = new ImageAdapter(SavedHistoryActivity.this.c);
                    Thread.sleep(1000);
                } catch (Exception unused) {
                }
                progressDialog.dismiss();
            }
        }).start();
        progressDialog.setOnDismissListener(new OnDismissListener() {
            public void onDismiss(DialogInterface dialogInterface) {
                SavedHistoryActivity.this.imagegrid.setAdapter(SavedHistoryActivity.this.imageAdapter);
                if (SavedHistoryActivity.this.count == 0) {
                    SavedHistoryActivity.this.rel_text.setVisibility(View.VISIBLE);
                } else {
                    SavedHistoryActivity.this.rel_text.setVisibility(View.GONE);
                }
            }
        });
    }


    public void onDestroy() {
        super.onDestroy();
        this.toolbar_title = null;
        this.no_image = null;
        this.c = null;
        this.thumbnails1.clear();
        this.thumbnails.clear();
        this.uri1.clear();
        this.uri.clear();
        if (this.b != null) {
            this.b.recycle();
            this.b = null;
        }
        this.imageAdapter = null;
        this.rel_text = null;
        this.imagegrid = null;
        this.ttf = null;
        Constants.freeMemory();
    }

    private void showOptionsDialog(final int i, View view) {
        final Dialog dialog = new Dialog(this);
        dialog.getWindow().requestFeature(1);
        dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
        dialog.setContentView(R.layout.options_dialog);
        LinearLayout textView = dialog.findViewById(R.id.btnOpen);
        textView.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                Intent intent = new Intent(SavedHistoryActivity.this, ShareImageActivity.class);
                intent.putExtra("view", "histry");
                intent.putExtra("uri", SavedHistoryActivity.this.uri.get(i));
                intent.putExtra("way", "Gallery");
                SavedHistoryActivity.this.startActivity(intent);
                SavedHistoryActivity.this.overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);

//                Intent intent = new Intent(SavedHistoryActivity.this, ShareImageActivity.class);
//                intent.putExtra("view", "histry");
//                intent.putExtra("uri", (String) SavedHistoryActivity.this.uri.get(i));
//                intent.putExtra("way", "Gallery");
//                SavedHistoryActivity.this.startActivity(intent);
//                SavedHistoryActivity.this.overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
//                if (!SavedHistoryActivity.this.preferences.getBoolean("isAdsDisabled", false) && SavedHistoryActivity.this.mInterstitialAd.isLoaded()) {
//                    SavedHistoryActivity.this.mInterstitialAd.show();
//                }
                dialog.dismiss();
            }
        });
        textView = dialog.findViewById(R.id.btnDelete);
        textView.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                if (SavedHistoryActivity.this.deleteFile(Uri.parse(SavedHistoryActivity.this.uri.get(i)))) {
                    SavedHistoryActivity.this.uri.clear();
                    SavedHistoryActivity.this.uri1.clear();
                    SavedHistoryActivity.this.thumbnails.clear();
                    SavedHistoryActivity.this.thumbnails1.clear();
                    SavedHistoryActivity.this.getImageAndView();
                }
                dialog.dismiss();
            }
        });
        LinearLayout textView2 = dialog.findViewById(R.id.btnCancel);
        textView2.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                dialog.dismiss();
            }
        });
        dialog.getWindow().getAttributes().windowAnimations = R.style.DialogAnimation_;
        dialog.show();
    }

    private boolean deleteFile(Uri uri) {
        boolean delete;
        try {
            File file = new File(uri.getPath());
            delete = file.delete();
            try {
                if (file.exists()) {
                    try {
                        delete = file.getCanonicalFile().delete();
                    } catch (IOException e) {
                        e.printStackTrace();
                    }
                    if (file.exists()) {
                        delete = getApplicationContext().deleteFile(file.getName());
                    }
                }
                sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(file)));
            } catch (Exception unused) {
                Toast.makeText(this, getResources().getString(R.string.error), Toast.LENGTH_SHORT).show();
                return delete;
            }
        } catch (Exception unused2) {
            delete = false;
            Toast.makeText(this, getResources().getString(R.string.error), Toast.LENGTH_SHORT).show();
            return delete;
        }
        return delete;
    }

    public void getFromSdcard() {
        File externalStoragePublicDirectory = StorageConfiguration.getAppFile();
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append(externalStoragePublicDirectory);
        stringBuilder.append("/Thumbnail Maker");
        File file = new File(stringBuilder.toString());
        if (file.isDirectory()) {
            int i;
            this.listFile = file.listFiles();
            this.count = this.listFile.length;
            for (i = 0; i < this.listFile.length; i++) {
                Options options = new Options();
                options.inSampleSize = 5;
                this.b = BitmapFactory.decodeFile(this.listFile[i].getAbsolutePath(), options);
                this.thumbnails1.add(this.b);
                this.uri1.add(this.listFile[i].getAbsolutePath());

                Log.e("thumbnails1", "" + listFile[i].getAbsolutePath());
            }
            for (i = this.thumbnails1.size() - 1; i >= 0; i--) {
                this.thumbnails.add(this.thumbnails1.get(i));
                this.uri.add(this.uri1.get(i));
                Log.e("thumbnails", "" + uri1.get(i));
            }
        }
    }

    private boolean isNetworkAvailable() {
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) getSystemService(CONNECTIVITY_SERVICE)).getActiveNetworkInfo();
        return activeNetworkInfo != null && activeNetworkInfo.isConnected();
    }


    public void onResume() {
        super.onResume();
    }

    public void onBackPressed() {
        finish();
        overridePendingTransition(R.anim.trans_right_in, R.anim.trans_right_out);
    }
}
