package com.AccountName.thumbnailmaker.main;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.ResolveInfo;
import android.graphics.Bitmap;
import android.graphics.Bitmap.Config;
import android.graphics.BitmapFactory;
import android.graphics.Color;
import android.graphics.Typeface;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.GradientDrawable.Orientation;
import android.net.Uri;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.Environment;
import android.preference.PreferenceManager;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.animation.Animation;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.TextView;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.FileProvider;
import androidx.viewpager.widget.ViewPager;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.adapter.ViewPagerAdapter;
import com.AccountName.thumbnailmaker.utility.ImageUtils;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;
import com.SimplyEntertaining.thumbnailmaker.main.JniUtils;
import com.google.android.material.tabs.TabLayout;

import java.io.File;

import it.neokree.materialtabs.MaterialTab;

public class SelectImageActivity extends AppCompatActivity implements OnGetImageOnTouch {
    private static final int SELECT_PICTURE_FROM_CAMERA = 9062;
    private static final int SELECT_PICTURE_FROM_GALLERY = 9072;
    public static Bitmap bitmap = null;
    static boolean refreshGrid = false;
    ViewPagerAdapter adapter;
    private Animation animSlideDown;
    private Animation animSlideUp;
    private int bColor = Color.parseColor("#4149b6");
    int[] colorArr = null;
    File f;
    String hex = "";
    String hex12;


    String namebg;
    private Orientation orintn = null;
    ViewPager pager;
    SharedPreferences preferences;
    String profile;
    int prog_radious = 0;
    ProgressBar progress;
    float screenHeight;
    float screenWidth;
    TabLayout tabHost;

    String typeGradient = "";

    public class CallCropActivity extends AsyncTask<Void, Void, Boolean> {

        public void onPreExecute() {
            super.onPreExecute();

            Log.e("CallCropActivity", "CallCropActivity");
            SelectImageActivity.this.progress.setVisibility(View.VISIBLE);
        }


        public Boolean doInBackground(Void... voidArr) {
            Bitmap createBitmap;
            if (SelectImageActivity.this.profile.equals("Color")) {
                Log.e("CallCropActivity", "Color");
                String str = SelectImageActivity.this.hex;
                createBitmap = Bitmap.createBitmap(600, 300, Config.ARGB_8888);
                StringBuilder stringBuilder = new StringBuilder();
                stringBuilder.append("#");
                stringBuilder.append(str);
                createBitmap.eraseColor(Color.parseColor(stringBuilder.toString()));
                SelectImageActivity.bitmap = ImageUtils.resizeBitmap(createBitmap, (int) SelectImageActivity.this.screenWidth, (int) SelectImageActivity.this.screenHeight);

                if (SelectImageActivity.bitmap != null) {
                    CropActivity.bitmapImage = SelectImageActivity.bitmap;
                    return Boolean.valueOf(true);
                }
            } else if (SelectImageActivity.this.profile.equals("Texture")) {
                SelectImageActivity.bitmap = ImageUtils.getTiledBitmap(SelectImageActivity.this, SelectImageActivity.this.namebg, (int) SelectImageActivity.this.screenWidth, (int) SelectImageActivity.this.screenHeight);
                if (SelectImageActivity.bitmap != null) {
                    CropActivity.bitmapImage = SelectImageActivity.bitmap;
                    return Boolean.valueOf(true);
                }
            } else if (SelectImageActivity.this.profile.equals("Gradient")) {

                Log.e("CallCropActivity", "Gradient");
                try {
                    GradientDrawable gradientDrawable = new GradientDrawable(SelectImageActivity.this.orintn, SelectImageActivity.this.colorArr);
                    gradientDrawable.mutate();
                    int[] optimazedDimension = ImageUtils.getOptimazedDimension(2.0f, 1.0f, SelectImageActivity.this.screenWidth, SelectImageActivity.this.screenHeight);
                    createBitmap = Bitmap.createBitmap(optimazedDimension[0], optimazedDimension[1], Config.ARGB_8888);
                    if (SelectImageActivity.this.typeGradient.equals("LINEAR")) {
                        gradientDrawable.setGradientType(GradientDrawable.LINEAR_GRADIENT);
                        SelectImageActivity.bitmap = Constants.drawableToBitmap(gradientDrawable, createBitmap.getWidth(), createBitmap.getHeight());
                    } else {
                        gradientDrawable.setGradientType(GradientDrawable.RADIAL_GRADIENT);
                        if (createBitmap.getWidth() > createBitmap.getHeight()) {
                            gradientDrawable.setGradientRadius((float) ((createBitmap.getHeight() * SelectImageActivity.this.prog_radious) / 100));
                        } else {
                            gradientDrawable.setGradientRadius((float) ((createBitmap.getWidth() * SelectImageActivity.this.prog_radious) / 100));
                        }
                        SelectImageActivity.bitmap = Constants.drawableToBitmap(gradientDrawable, createBitmap.getWidth(), createBitmap.getHeight());
                    }
                    createBitmap.recycle();
                    if (SelectImageActivity.bitmap != null) {
                        Log.e("CallCropActivity", "Boolean");
                        CropActivity.bitmapImage = SelectImageActivity.bitmap;
                        return Boolean.valueOf(true);
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                    Log.e("Ex", "=========  " + e);
                } catch (OutOfMemoryError e2) {
                    e2.printStackTrace();
                    Log.e("OutOfMemoryError", "=========  " + e2);
                }
            } else {
                byte[] decryptResourceJni = JniUtils.decryptResourceJni(SelectImageActivity.this, SelectImageActivity.this.namebg);
                SelectImageActivity.bitmap = BitmapFactory.decodeByteArray(decryptResourceJni, 0, decryptResourceJni.length);
                if (SelectImageActivity.bitmap != null) {
                    CropActivity.bitmapImage = SelectImageActivity.bitmap;
                    return Boolean.valueOf(true);
                }
            }
            return Boolean.valueOf(false);
        }


        public void onPostExecute(Boolean bool) {
            SelectImageActivity.this.progress.setVisibility(View.GONE);
            if (bool.booleanValue()) {
                Intent intent = new Intent(SelectImageActivity.this, CropActivity.class);
                intent.putExtra("value", "image");
                intent.putExtra("backgroundName", SelectImageActivity.this.namebg);
                intent.putExtra("profile", SelectImageActivity.this.profile);
                intent.putExtra("hex", SelectImageActivity.this.hex);
                intent.putExtra("typeGradient", SelectImageActivity.this.typeGradient);
                intent.putExtra("colorArr", SelectImageActivity.this.colorArr);
                intent.putExtra("orintation", SelectImageActivity.this.orintn);
                intent.putExtra("prog_radious", SelectImageActivity.this.prog_radious);
                intent.putExtra("selectedBy", "1");
                SelectImageActivity.this.startActivity(intent);
            }
        }
    }

    public void onHidePosition(boolean z) {
    }


    public void onTabReselected(MaterialTab materialTab) {
    }

    public void onTabUnselected(MaterialTab materialTab) {
    }


    @SuppressLint("MissingInflatedId")
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_select_image);

        SystemConfiguration.setStatusBarColor(this, R.color.toolbarColor, true);

        this.preferences = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        initUI();

        refreshGrid = true;


        this.animSlideUp = Constants.getAnimUp(this);
        this.animSlideDown = Constants.getAnimDown(this);
        this.progress = findViewById(R.id.progress);

        this.findViewById(R.id.btnBack).setOnClickListener(view -> onBackPressed());

        DisplayMetrics displayMetrics = new DisplayMetrics();

        getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);

        this.screenWidth = (float) displayMetrics.widthPixels;
        this.screenHeight = (float) displayMetrics.heightPixels;
        this.f = new File(Environment.getExternalStorageDirectory(), "temp.jpg");
//        ((TextView) findViewById(R.id.txt_appname)).setTypeface(this.ttfHeader);
//        ((TextView) findViewById(R.id.txt1)).setTypeface(this.ttf);
//        ((TextView) findViewById(R.id.txt2)).setTypeface(this.ttf);
//        ((TextView) findViewById(R.id.txt3)).setTypeface(this.ttf);
//        ((TextView) findViewById(R.id.txt4)).setTypeface(this.ttf);
//        ((TextView) findViewById(R.id.txt5)).setTypeface(this.ttf);
//        ((TextView) findViewById(R.id.txt6)).setTypeface(this.ttf);
        findViewById(R.id.btn_camera).setOnClickListener(new OnClickListener() {
            @SuppressLint("WrongConstant")
            public void onClick(View view) {
                ImageUtils.applyBounceAnimation(findViewById(R.id.btn_camera));
                Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");
                Context applicationContext = SelectImageActivity.this.getApplicationContext();
                ContextWrapper contextWrapper = new ContextWrapper(applicationContext);
                File file = contextWrapper.getExternalFilesDir("camera");
                SelectImageActivity.this.f = new File(file, "temp.jpg");
                StringBuilder stringBuilder = new StringBuilder();
                stringBuilder.append(SelectImageActivity.this.getApplicationContext().getPackageName());
                stringBuilder.append(".provider");
                Uri uriForFile = FileProvider.getUriForFile(applicationContext, stringBuilder.toString(), SelectImageActivity.this.f);
                for (ResolveInfo resolveInfo : SelectImageActivity.this.getPackageManager().queryIntentActivities(intent, 65536)) {
                    SelectImageActivity.this.grantUriPermission(resolveInfo.activityInfo.packageName, uriForFile, 3);
                }
                intent.putExtra("output", uriForFile);
                intent.addFlags(3);
                SelectImageActivity.this.startActivityForResult(intent, SelectImageActivity.SELECT_PICTURE_FROM_CAMERA);
                SelectImageActivity.this.overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
            }
        });
        findViewById(R.id.btn_gallery).setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                ImageUtils.applyBounceAnimation(findViewById(R.id.btn_gallery));
                Intent intent = new Intent();
                intent.setType("image/*");
                intent.setAction("android.intent.action.PICK");
                SelectImageActivity.this.startActivityForResult(Intent.createChooser(intent, SelectImageActivity.this.getString(R.string.select_picture)), SelectImageActivity.SELECT_PICTURE_FROM_GALLERY);
                SelectImageActivity.this.overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
            }
        });
    }

    private void initUI() {
        this.tabHost = findViewById(R.id.tabHost);
        this.pager = findViewById(R.id.pager);
        this.adapter = new ViewPagerAdapter(this, getSupportFragmentManager(), "", null, null, 0);
        this.adapter.notifyDataSetChanged();
        this.pager.setAdapter(this.adapter);
        this.pager.setOnPageChangeListener(new ViewPager.SimpleOnPageChangeListener() {
            public void onPageSelected(int i) {
                SelectImageActivity.this.tabHost.getTabAt(i).select();
            }
        });

        for (int i = 0; i < this.adapter.getCount(); i++) {
            this.tabHost.addTab(this.tabHost.newTab().setText(this.adapter.getPageTitle(i).toString()));
        }

        for (int i = 0; i < tabHost.getTabCount(); i++) {
            TabLayout.Tab tab = tabHost.getTabAt(i);

            View customTabView = LayoutInflater.from(this).inflate(R.layout.custom_tab_view, null);

            TextView tabTitle = customTabView.findViewById(R.id.tab_title);
            tabTitle.setText(this.adapter.getPageTitle(i).toString());

            if (i == 0) {
                ImageView tabIcon = customTabView.findViewById(R.id.tab_icon);
                tabIcon.setVisibility(View.VISIBLE);

                tabTitle.setTextColor(getResources().getColor(R.color.toolbarColor));
            }

            tab.setCustomView(customTabView);
        }

        this.tabHost.addOnTabSelectedListener(new TabLayout.OnTabSelectedListener() {
            @Override
            public void onTabSelected(TabLayout.Tab tab) {
                View customTabView = tab.getCustomView();
                if (customTabView != null) {
                    ImageView tabIcon = customTabView.findViewById(R.id.tab_icon);
                    tabIcon.setVisibility(View.VISIBLE);

                    TextView tabTitle = customTabView.findViewById(R.id.tab_title);
                    tabTitle.setTextColor(getResources().getColor(R.color.toolbarColor));
                }
                pager.setCurrentItem(tab.getPosition());
            }

            @Override
            public void onTabUnselected(TabLayout.Tab tab) {
                View customTabView = tab.getCustomView();
                if (customTabView != null) {
                    ImageView tabIcon = customTabView.findViewById(R.id.tab_icon);
                    tabIcon.setVisibility(View.INVISIBLE);

                    TextView tabTitle = customTabView.findViewById(R.id.tab_title);
                    tabTitle.setTextColor(getResources().getColor(R.color.tabUnselectedColor));
                }
            }

            @Override
            public void onTabReselected(TabLayout.Tab tab) {

            }
        });
    }

    public void onTabSelected(MaterialTab materialTab) {
        this.pager.setCurrentItem(materialTab.getPosition());
    }


    public void onDestroy() {

        super.onDestroy();
        this.tabHost = null;
        this.pager = null;
        this.adapter = null;
        this.animSlideUp = null;
        this.animSlideDown = null;
        if (bitmap != null) {
            bitmap.recycle();
            bitmap = null;
        }
        if (CropActivity.bitmapImage != null) {
            CropActivity.bitmapImage.recycle();
            CropActivity.bitmapImage = null;
        }
        this.f = null;
        Constants.freeMemory();
    }

    public void onBackPressed() {
        super.onBackPressed();
        finish();
        overridePendingTransition(R.anim.trans_right_in, R.anim.trans_right_out);
    }

    private void callActivity(String str) {
        Intent intent = new Intent(this, PosterActivity.class);
        intent.putExtra("ratio", str);
        intent.putExtra("backgroundName", this.namebg);
        intent.putExtra("profile", this.profile);
        intent.putExtra("hex", this.hex12);
        intent.putExtra("loadUserFrame", true);
        intent.putExtra("typeGradient", this.typeGradient);
        intent.putExtra("colorArr", this.colorArr);
        intent.putExtra("orintation", this.orintn);
        intent.putExtra("prog_radious", this.prog_radious);
        startActivity(intent);
        overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
    }

    public void ongetPosition(String str, String str2, String str3, boolean z, Orientation orientation, int[] iArr, String str4, int i, String str5) {
        this.namebg = str;
        this.profile = str2;
        this.hex12 = str3;
        this.colorArr = iArr;
        this.orintn = orientation;
        this.typeGradient = str4;
        this.prog_radious = i;
        if (z) {
            callCropActivity();
        }
    }

    private void callCropActivity() {
        new CallCropActivity().execute();
    }


    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (!(this.pager.getChildCount() == 0 || this.adapter.currentFragment(this.pager.getCurrentItem()) == null)) {
            this.adapter.currentFragment(this.pager.getCurrentItem()).onActivityResult(i, i2, intent);
        }
        if (i2 != -1) {
            return;
        }
        if (intent != null || i == SELECT_PICTURE_FROM_CAMERA) {
            if (i == SELECT_PICTURE_FROM_GALLERY) {
                try {
                    bitmap = Constants.getBitmapFromUri(this, intent.getData(), this.screenWidth, this.screenHeight);
                    if (this.screenWidth > ((float) bitmap.getWidth()) && this.screenHeight > ((float) bitmap.getHeight())) {
                        bitmap = ImageUtils.resizeBitmap(bitmap, (int) this.screenWidth, (int) this.screenHeight);
                    }
                    if (bitmap != null) {
                        CropActivity.bitmapImage = bitmap;
                        intent = new Intent(this, CropActivity.class);
                        intent.putExtra("value", "user_image");
                        intent.putExtra("profile", "Temp_Path");
                        intent.putExtra("selectedBy", "1");
                        startActivity(intent);
                        overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
            if (i == SELECT_PICTURE_FROM_CAMERA) {
                try {
                    bitmap = Constants.getBitmapFromUri(this, Uri.fromFile(this.f), this.screenWidth, this.screenHeight);
                    if (bitmap != null) {
                        CropActivity.bitmapImage = bitmap;
                        Intent intent2 = new Intent(this, CropActivity.class);
                        intent2.putExtra("value", "user_image");
                        intent2.putExtra("profile", "Temp_Path");
                        intent2.putExtra("selectedBy", "1");
                        startActivity(intent2);
                        overridePendingTransition(R.anim.trans_left_in, R.anim.trans_left_out);
                        return;
                    }
                    return;
                } catch (Exception e2) {
                    e2.printStackTrace();
                    return;
                }
            }
            return;
        }
        AlertDialog create = new AlertDialog.Builder(this, 16974126).setMessage(Constants.getSpannableString(this, Typeface.DEFAULT, R.string.picUpImg)).setPositiveButton(Constants.getSpannableString(this, Typeface.DEFAULT, R.string.ok), new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialogInterface, int i) {
                dialogInterface.cancel();
            }
        }).create();
        create.getWindow().getAttributes().windowAnimations = R.style.DialogAnimation_;
        create.show();
    }

    private void updateColor(int i) {
        this.bColor = i;
        this.hex = Integer.toHexString(i);
        ongetPosition("", "Color", this.hex, true, null, null, "", 0, "hideAds");
    }

    public void onResume() {

        super.onResume();
        if (this.preferences.getBoolean("isAdsDisabled", false) && refreshGrid) {
            this.adapter.notifyDataSetChanged();
            refreshGrid = false;
        }

    }
}
