package com.AccountName.thumbnailmaker.main;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.ResolveInfo;
import android.graphics.Bitmap;
import android.graphics.Bitmap.Config;
import android.graphics.BitmapFactory;
import android.graphics.Color;
import android.graphics.Typeface;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.GradientDrawable.Orientation;
import android.net.Uri;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.Environment;
import android.preference.PreferenceManager;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.animation.Animation;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.FileProvider;
import androidx.viewpager.widget.ViewPager;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.adapter.ViewPagerAdapter;
import com.AccountName.thumbnailmaker.utility.ImageUtils;
import com.AccountName.thumbnailmaker.utility.SlowScroller;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;
import com.SimplyEntertaining.thumbnailmaker.main.JniUtils;
import com.google.android.material.tabs.TabLayout;

import java.io.File;
import java.lang.reflect.Field;

import it.neokree.materialtabs.MaterialTab;

public class SelectImageTwoActivity extends AppCompatActivity implements OnGetImageOnTouch {
    private static final int OPEN_CUSTOM_ACITIVITY = 4;
    private static final int SELECT_PICTURE_FROM_CAMERA = 9062;
    private static final int SELECT_PICTURE_FROM_GALLERY = 9072;
    public static Bitmap bitmap;
    ViewPagerAdapter adapter;
    private Animation animSlideDown;
    private Animation animSlideUp;
    private int bColor = Color.parseColor("#4149b6");
    String backgroundName = "0";
    int[] colorArr = null;
    File f;
    String hex = "";
    String hex12 = "";


    Orientation orintn = null;
    ViewPager pager;
    SharedPreferences preferences;
    String profile = "";
    int prog_radious = 0;
    ProgressBar progress;
    String ratio;
    int reSizeFinalHeight = 0;
    int reSizeFinalWidth = 0;
    float screenHeight;
    float screenWidth;
    TabLayout tabHost;
    String typeGradient = "";

    public class CallCropActivity extends AsyncTask<Void, Void, Boolean> {

        public void onPreExecute() {
            super.onPreExecute();
            SelectImageTwoActivity.this.progress.setVisibility(View.VISIBLE);
        }


        public Boolean doInBackground(Void... voidArr) {
            Bitmap createBitmap;
            if (SelectImageTwoActivity.this.profile.equals("Color")) {
                String str = SelectImageTwoActivity.this.hex;
                createBitmap = Bitmap.createBitmap(600, 300, Config.ARGB_8888);
                StringBuilder stringBuilder = new StringBuilder();
                stringBuilder.append("#");
                stringBuilder.append(str);
                createBitmap.eraseColor(Color.parseColor(stringBuilder.toString()));
                SelectImageTwoActivity.bitmap = ImageUtils.resizeBitmap(createBitmap, (int) SelectImageTwoActivity.this.screenWidth, (int) SelectImageTwoActivity.this.screenHeight);
                if (SelectImageTwoActivity.bitmap != null) {
                    CropActivity.bitmapImage = SelectImageTwoActivity.bitmap;
                    return Boolean.valueOf(true);
                }
            } else if (SelectImageTwoActivity.this.profile.equals("Texture")) {
                SelectImageTwoActivity.bitmap = ImageUtils.getTiledBitmap(SelectImageTwoActivity.this, SelectImageTwoActivity.this.backgroundName, (int) SelectImageTwoActivity.this.screenWidth, (int) SelectImageTwoActivity.this.screenHeight);
                if (SelectImageTwoActivity.bitmap != null) {
                    CropActivity.bitmapImage = SelectImageTwoActivity.bitmap;
                    return Boolean.valueOf(true);
                }
            } else if (SelectImageTwoActivity.this.profile.equals("Gradient")) {
                try {
                    GradientDrawable gradientDrawable = new GradientDrawable(SelectImageTwoActivity.this.orintn, SelectImageTwoActivity.this.colorArr);
                    gradientDrawable.mutate();
                    int[] optimazedDimension = ImageUtils.getOptimazedDimension(2.0f, 1.0f, SelectImageTwoActivity.this.screenWidth, SelectImageTwoActivity.this.screenHeight);
                    createBitmap = Bitmap.createBitmap(optimazedDimension[0], optimazedDimension[1], Config.ARGB_8888);
                    if (SelectImageTwoActivity.this.typeGradient.equals("LINEAR")) {
                        gradientDrawable.setGradientType(GradientDrawable.LINEAR_GRADIENT);
                        SelectImageTwoActivity.bitmap = Constants.drawableToBitmap(gradientDrawable, createBitmap.getWidth(), createBitmap.getHeight());
                    } else {
                        gradientDrawable.setGradientType(GradientDrawable.RADIAL_GRADIENT);
                        if (createBitmap.getWidth() > createBitmap.getHeight()) {
                            gradientDrawable.setGradientRadius((float) ((createBitmap.getHeight() * SelectImageTwoActivity.this.prog_radious) / 100));
                        } else {
                            gradientDrawable.setGradientRadius((float) ((createBitmap.getWidth() * SelectImageTwoActivity.this.prog_radious) / 100));
                        }
                        SelectImageTwoActivity.bitmap = Constants.drawableToBitmap(gradientDrawable, createBitmap.getWidth(), createBitmap.getHeight());
                    }
                    createBitmap.recycle();
                    if (SelectImageTwoActivity.bitmap != null) {
                        CropActivity.bitmapImage = SelectImageTwoActivity.bitmap;
                        return Boolean.valueOf(true);
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                } catch (OutOfMemoryError e2) {
                    e2.printStackTrace();
                }
            } else {
                try {
                    byte[] decryptResourceJni = JniUtils.decryptResourceJni(SelectImageTwoActivity.this, SelectImageTwoActivity.this.backgroundName);
                    SelectImageTwoActivity.bitmap = BitmapFactory.decodeByteArray(decryptResourceJni, 0, decryptResourceJni.length);
                    if (SelectImageTwoActivity.bitmap != null) {
                        CropActivity.bitmapImage = SelectImageTwoActivity.bitmap;
                        return Boolean.valueOf(true);
                    }
                } catch (OutOfMemoryError unused) {
                    Toast.makeText(SelectImageTwoActivity.this, SelectImageTwoActivity.this.getResources().getString(R.string.error_pic), Toast.LENGTH_SHORT).show();
                } catch (Exception unused2) {
                    Toast.makeText(SelectImageTwoActivity.this, SelectImageTwoActivity.this.getResources().getString(R.string.error_pic), Toast.LENGTH_SHORT).show();
                }
            }
            return Boolean.valueOf(false);
        }


        public void onPostExecute(Boolean bool) {
            SelectImageTwoActivity.this.progress.setVisibility(View.GONE);
            if (bool.booleanValue()) {
                Intent intent = new Intent(SelectImageTwoActivity.this, CropActivity.class);
                intent.putExtra("value", "image");
                intent.putExtra("backgroundName", SelectImageTwoActivity.this.backgroundName);
                intent.putExtra("profile", SelectImageTwoActivity.this.profile);
                intent.putExtra("hex", SelectImageTwoActivity.this.hex);
                intent.putExtra("typeGradient", SelectImageTwoActivity.this.typeGradient);
                intent.putExtra("colorArr", SelectImageTwoActivity.this.colorArr);
                intent.putExtra("orintation", SelectImageTwoActivity.this.orintn);
                intent.putExtra("prog_radious", SelectImageTwoActivity.this.prog_radious);
                intent.putExtra("selectedBy", "2");
                intent.putExtra("ratio", SelectImageTwoActivity.this.ratio);
                intent.putExtra("reSizeFinalWidth", SelectImageTwoActivity.this.reSizeFinalWidth);
                intent.putExtra("reSizeFinalHeight", SelectImageTwoActivity.this.reSizeFinalHeight);
                SelectImageTwoActivity.this.startActivityForResult(intent, 4);
            }
        }
    }

    private float getnewHeight(int i, int i2, float f, float f2) {
        return (((float) i2) * f) / ((float) i);
    }

    private float getnewWidth(int i, int i2, float f, float f2) {
        return (((float) i) * f2) / ((float) i2);
    }

    public void onHidePosition(boolean z) {
    }


    public void onTabReselected(MaterialTab materialTab) {
    }

    public void onTabUnselected(MaterialTab materialTab) {
    }


    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_select_image);

        SystemConfiguration.setStatusBarColor(this, R.color.toolbarColor, true);

        this.preferences = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        bundle = getIntent().getExtras();
        if (!bundle.getString("colorsetpicker").equals("")) {
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append("#");
            stringBuilder.append(bundle.getString("colorsetpicker"));
            this.bColor = Color.parseColor(stringBuilder.toString());
        }
        this.colorArr = bundle.getIntArray("colorArr");
        this.typeGradient = bundle.getString("typeGradient");
        this.ratio = bundle.getString("ratio");
        this.orintn = (Orientation) bundle.get("orintation");
        this.prog_radious = bundle.getInt("prog_radious");
        this.reSizeFinalWidth = bundle.getInt("reSizeFinalWidth");
        this.reSizeFinalHeight = bundle.getInt("reSizeFinalHeight");
        initUI();

        this.animSlideUp = Constants.getAnimUp(this);
        this.animSlideDown = Constants.getAnimDown(this);
        this.progress = (ProgressBar) findViewById(R.id.progress);
        DisplayMetrics displayMetrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        this.screenWidth = (float) displayMetrics.widthPixels;
        this.screenHeight = (float) displayMetrics.heightPixels;
        this.f = new File(Environment.getExternalStorageDirectory(), "temp.jpg");
        //  ((TextView) findViewById(R.id.txt_appname)).setTypeface(this.ttfHeader);
        ((ImageView) findViewById(R.id.btn_camera)).setOnClickListener(new OnClickListener() {
            @SuppressLint("WrongConstant")
            public void onClick(View view) {
                ImageUtils.applyBounceAnimation(findViewById(R.id.btn_camera));
                Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");
                Context applicationContext = SelectImageTwoActivity.this.getApplicationContext();
                ContextWrapper contextWrapper = new ContextWrapper(applicationContext);
                File file = contextWrapper.getExternalFilesDir("camera");
                SelectImageTwoActivity.this.f = new File(file, "temp.jpg");
                StringBuilder stringBuilder = new StringBuilder();
                stringBuilder.append(SelectImageTwoActivity.this.getApplicationContext().getPackageName());
                stringBuilder.append(".provider");
                Uri uriForFile = FileProvider.getUriForFile(applicationContext, stringBuilder.toString(), SelectImageTwoActivity.this.f);
                for (ResolveInfo resolveInfo : SelectImageTwoActivity.this.getPackageManager().queryIntentActivities(intent, 65536)) {
                    SelectImageTwoActivity.this.grantUriPermission(resolveInfo.activityInfo.packageName, uriForFile, 3);
                }
                intent.putExtra("output", uriForFile);
                intent.addFlags(3);
                SelectImageTwoActivity.this.startActivityForResult(intent, SelectImageTwoActivity.SELECT_PICTURE_FROM_CAMERA);
            }
        });
        ((ImageView) findViewById(R.id.btn_gallery)).setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                ImageUtils.applyBounceAnimation(findViewById(R.id.btn_gallery));
                Intent intent = new Intent();
                intent.setType("image/*");
                intent.setAction("android.intent.action.PICK");
                SelectImageTwoActivity.this.startActivityForResult(Intent.createChooser(intent, SelectImageTwoActivity.this.getString(R.string.select_picture)), SelectImageTwoActivity.SELECT_PICTURE_FROM_GALLERY);
            }
        });

        findViewById(R.id.btnBack).setOnClickListener(view -> onBackPressed());
//        ((TextView) findViewById(R.id.txt1)).setTypeface(this.ttf);
//        ((TextView) findViewById(R.id.txt2)).setTypeface(this.ttf);
//        ((TextView) findViewById(R.id.txt3)).setTypeface(this.ttf);
//        ((TextView) findViewById(R.id.txt4)).setTypeface(this.ttf);
//        ((TextView) findViewById(R.id.txt5)).setTypeface(this.ttf);
//        ((TextView) findViewById(R.id.txt6)).setTypeface(this.ttf);
    }

    private void initUI() {
        this.tabHost = findViewById(R.id.tabHost);
        this.pager = (ViewPager) findViewById(R.id.pager);
        this.adapter = new ViewPagerAdapter(this, getSupportFragmentManager(), this.typeGradient, this.colorArr, this.orintn, this.prog_radious);
        this.adapter.notifyDataSetChanged();
        this.pager.setAdapter(this.adapter);
        this.pager.setOnPageChangeListener(new ViewPager.SimpleOnPageChangeListener() {
            public void onPageSelected(int i) {
                SelectImageTwoActivity.this.tabHost.getTabAt(i).select();
            }
        });

        for (int i = 0; i < this.adapter.getCount(); i++) {
            this.tabHost.addTab(this.tabHost.newTab().setText(this.adapter.getPageTitle(i).toString()));
        }

        for (int i = 0; i < tabHost.getTabCount(); i++) {
            TabLayout.Tab tab = tabHost.getTabAt(i);

            View customTabView = LayoutInflater.from(this).inflate(R.layout.custom_tab_view, null);

            TextView tabTitle = customTabView.findViewById(R.id.tab_title);
            tabTitle.setText(this.adapter.getPageTitle(i).toString());

            if (i == 0) {
                ImageView tabIcon = customTabView.findViewById(R.id.tab_icon);
                tabIcon.setVisibility(View.VISIBLE);

                tabTitle.setTextColor(getResources().getColor(R.color.toolbarColor));
            }

            tab.setCustomView(customTabView);
        }

        this.tabHost.addOnTabSelectedListener(new TabLayout.OnTabSelectedListener() {
            @Override
            public void onTabSelected(TabLayout.Tab tab) {
                View customTabView = tab.getCustomView();
                if (customTabView != null) {
                    ImageView tabIcon = customTabView.findViewById(R.id.tab_icon);
                    tabIcon.setVisibility(View.VISIBLE);

                    TextView tabTitle = customTabView.findViewById(R.id.tab_title);
                    tabTitle.setTextColor(getResources().getColor(R.color.toolbarColor));
                }
                pager.setCurrentItem(tab.getPosition());
            }

            @Override
            public void onTabUnselected(TabLayout.Tab tab) {
                View customTabView = tab.getCustomView();
                if (customTabView != null) {
                    ImageView tabIcon = customTabView.findViewById(R.id.tab_icon);
                    tabIcon.setVisibility(View.INVISIBLE);

                    TextView tabTitle = customTabView.findViewById(R.id.tab_title);
                    tabTitle.setTextColor(getResources().getColor(R.color.tabUnselectedColor));
                }
            }

            @Override
            public void onTabReselected(TabLayout.Tab tab) {

            }
        });
    }

    private void changePagerScroller() {
        try {
            Field declaredField = ViewPager.class.getDeclaredField("mScroller");
            declaredField.setAccessible(true);
            declaredField.set(this.pager, new SlowScroller(this.pager.getContext()));
        } catch (Exception e) {
            Log.e("texting", "error of change scroller ", e);
        }
    }

    public void onTabSelected(MaterialTab materialTab) {
        if (this.pager != null) {
            this.pager.setCurrentItem(materialTab.getPosition(), true);
        }
    }


    public void onDestroy() {

        super.onDestroy();

        this.tabHost = null;
        this.pager = null;
        this.adapter = null;
        this.animSlideUp = null;
        this.animSlideDown = null;
        this.f = null;
        Constants.freeMemory();
    }

    public void onBackPressed() {
        super.onBackPressed();
        finish();
        overridePendingTransition(R.anim.trans_right_in, R.anim.trans_right_out);
    }

    private void callActivity(String str) {
        Bundle bundle = new Bundle();
        bundle.putString("ratio", str);
        bundle.putString("backgroundName", this.backgroundName);
        bundle.putString("profile", this.profile);
        bundle.putString("color", this.hex12);
        bundle.putString("typeGradient", this.typeGradient);
        bundle.putIntArray("colorArr", this.colorArr);
        bundle.putSerializable("orintation", this.orintn);
        bundle.putInt("prog_radious", this.prog_radious);
        Intent intent = new Intent();
        intent.putExtras(bundle);
        setResult(-1, intent);
        finish();
        overridePendingTransition(R.anim.trans_right_in, R.anim.trans_right_out);
    }

    public void ongetPosition(String str, String str2, String str3, boolean z, Orientation orientation, int[] iArr, String str4, int i, String str5) {
        this.backgroundName = str;
        this.profile = str2;
        this.hex12 = str3;
        this.colorArr = iArr;
        this.orintn = orientation;
        this.typeGradient = str4;
        this.prog_radious = i;
        if (z) {
            callCropActivity();
        }
    }

    private void callCropActivity() {
        new CallCropActivity().execute(new Void[0]);
    }


    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (!(this.pager.getChildCount() == 0 || this.adapter.currentFragment(this.pager.getCurrentItem()) == null)) {
            this.adapter.currentFragment(this.pager.getCurrentItem()).onActivityResult(i, i2, intent);
        }
        if (i2 != -1) {
            return;
        }
        if (intent != null || i == SELECT_PICTURE_FROM_CAMERA || i == 4) {
            Intent intent2;
            if (i == SELECT_PICTURE_FROM_GALLERY) {
                try {
                    bitmap = Constants.getBitmapFromUri(this, intent.getData(), this.screenWidth, this.screenHeight);
                    if (this.screenWidth > ((float) bitmap.getWidth()) && this.screenHeight > ((float) bitmap.getHeight())) {
                        bitmap = ImageUtils.resizeBitmap(bitmap, (int) this.screenWidth, (int) this.screenHeight);
                    }
                    if (bitmap != null) {
                        CropActivity.bitmapImage = bitmap;
                        intent = new Intent(this, CropActivity.class);
                        this.profile = "Temp_Path";
                        intent.putExtra("value", "user_image");
                        intent.putExtra("profile", "Temp_Path");
                        intent.putExtra("selectedBy", "2");
                        intent.putExtra("ratio", this.ratio);
                        intent.putExtra("reSizeFinalWidth", this.reSizeFinalWidth);
                        intent.putExtra("reSizeFinalHeight", this.reSizeFinalHeight);
                        startActivityForResult(intent, 4);
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
            if (i == SELECT_PICTURE_FROM_CAMERA) {
                try {
                    bitmap = Constants.getBitmapFromUri(this, Uri.fromFile(this.f), this.screenWidth, this.screenHeight);
                    if (bitmap != null) {
                        CropActivity.bitmapImage = bitmap;
                        intent2 = new Intent(this, CropActivity.class);
                        this.profile = "Temp_Path";
                        intent2.putExtra("value", "user_image");
                        intent2.putExtra("profile", "Temp_Path");
                        intent2.putExtra("selectedBy", "2");
                        intent2.putExtra("ratio", this.ratio);
                        intent2.putExtra("reSizeFinalWidth", this.reSizeFinalWidth);
                        intent2.putExtra("reSizeFinalHeight", this.reSizeFinalHeight);
                        startActivityForResult(intent2, 4);
                    }
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
            if (i == 4) {
                Bundle bundle = new Bundle();
                bundle.putString("profile", this.profile);
                bundle.putString("backgroundName", this.backgroundName);
                bundle.putString("color", this.hex);
                bundle.putString("typeGradient", this.typeGradient);
                bundle.putIntArray("colorArr", this.colorArr);
                bundle.putSerializable("orintation", this.orintn);
                bundle.putInt("prog_radious", this.prog_radious);
                intent2 = new Intent();
                intent2.putExtras(bundle);
                setResult(-1, intent2);
                finish();
                return;
            }
            return;
        }
        AlertDialog create = new AlertDialog.Builder(this, 16974126).setMessage(Constants.getSpannableString(this, Typeface.DEFAULT, R.string.picUpImg)).setPositiveButton(Constants.getSpannableString(this, Typeface.DEFAULT, R.string.ok), new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialogInterface, int i) {
                dialogInterface.cancel();
            }
        }).create();
        create.getWindow().getAttributes().windowAnimations = R.style.DialogAnimation_;
        create.show();
    }

    private void updateColor(int i) {
        this.bColor = i;
        this.hex = Integer.toHexString(i);
        ongetPosition("", "Color", this.hex, true, null, null, "", 0, "hideAds");
    }
}
