package com.AccountName.thumbnailmaker.main;

import android.app.Dialog;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.DialogInterface.OnDismissListener;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.graphics.Color;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.ContextCompat;
import androidx.core.content.FileProvider;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.scale.ImageSource;
import com.AccountName.thumbnailmaker.scale.SubsamplingScaleImageView;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;

import java.io.File;
import java.io.FileOutputStream;

import vocsy.ads.CustomAdsListener;
import vocsy.ads.GoogleAds;

public class ShareImageActivity extends AppCompatActivity implements OnClickListener {

    private static final String MyPREFERENCES = "ThumbnailPref";
    private static final int OPEN_HELP_ACITIVITY = 2299;
    View[] ImageArr = new View[3];
    RelativeLayout[] LayArr = new RelativeLayout[3];
    TextView[] TextArr = new TextView[3];

    boolean ch = false;
    Editor editor;
    private SubsamplingScaleImageView imageView;
    boolean isSaved = false;
    LinearLayout lay_helpFeedback;
    LinearLayout lay_instructions;
    String oldpath;
    SharedPreferences preferences;
    Editor editor2;
    SharedPreferences prefs;
    SharedPreferences sharedpreferences;
    Typeface tf1;
    String wayStr;
    Typeface ttf;

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_share_image);

        SystemConfiguration.setStatusBarColor(this, R.color.toolbarColor, true);

        GoogleAds.getInstance().addNativeView(this, findViewById(R.id.nativeLay));

        ttf = Constants.getTextTypeface(this);
        this.prefs = getSharedPreferences("MY_PREFS_NAME", 0);
        this.editor = this.prefs.edit();
        this.preferences = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());

        editor2 = this.preferences.edit();

        editor2.putBoolean("removeWatermark", false);
        editor2.commit();

        initUI();
    }

    public void initUI() {
        this.imageView = findViewById(R.id.image);
        findViewById(R.id.btn_back).setOnClickListener(this);
        findViewById(R.id.btn_home).setOnClickListener(this);
        findViewById(R.id.btn_share).setOnClickListener(this);

        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            this.wayStr = extras.getString("way");
            this.oldpath = getIntent().getStringExtra("uri");
            try {
                this.imageView.setImage(ImageSource.uri(Uri.fromFile(new File(this.oldpath))));
            } catch (OutOfMemoryError e) {
                e.printStackTrace();
            }
            if (this.wayStr.equals("Gallery")) {

                return;
            }

            showImageSaveDialog();
            return;
        }
        Toast.makeText(this, getResources().getString(R.string.error), Toast.LENGTH_SHORT).show();
        finish();
    }

    private void showImageSaveDialog() {
        final Dialog dialog = new Dialog(this, 16974126);
        dialog.requestWindowFeature(1);
        dialog.getWindow().setBackgroundDrawable(new ColorDrawable(Color.TRANSPARENT));
        dialog.setContentView(R.layout.save_success_picture_dialog);
        dialog.setCancelable(true);
        ((TextView) dialog.findViewById(R.id.heater)).setTypeface(this.tf1);
        ((TextView) dialog.findViewById(R.id.txt_free)).setTypeface(this.tf1);
        TextView textView = dialog.findViewById(R.id.txt_path);
        textView.setText(this.oldpath);
        LinearLayout button = dialog.findViewById(R.id.btn_ok);
        button.setOnClickListener(view -> dialog.dismiss());
        dialog.getWindow().getAttributes().windowAnimations = R.style.DialogAnimation_;
        dialog.show();
    }

    private void shareImage() {
        Intent intent = new Intent("android.intent.action.SEND");
        File file = new File(Uri.parse(this.oldpath).getPath());
        intent.setType("image/*");
        intent.putExtra("android.intent.extra.SUBJECT", getResources().getString(R.string.app_name));
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append(getResources().getString(R.string.sharetext));
        stringBuilder.append(" ");
        stringBuilder.append(getResources().getString(R.string.app_name));
        stringBuilder.append(". ");
        stringBuilder.append(getResources().getString(R.string.sharetext1));
        stringBuilder.append("\n\n");
        String stringBuilder2 = stringBuilder.toString();
        StringBuilder stringBuilder3 = new StringBuilder();
        stringBuilder3.append(stringBuilder2);
        stringBuilder3.append("https://play.google.com/store/apps/details?id=");
        stringBuilder3.append(getPackageName());
        intent.putExtra("android.intent.extra.TEXT", stringBuilder3.toString());
        Context applicationContext = getApplicationContext();
        stringBuilder3 = new StringBuilder();
        stringBuilder3.append(getApplicationContext().getPackageName());
        stringBuilder3.append(".provider");
        Uri uriForFile = FileProvider.getUriForFile(applicationContext, stringBuilder3.toString(), file);
        for (ResolveInfo resolveInfo : getPackageManager().queryIntentActivities(intent, PackageManager.MATCH_DEFAULT_ONLY)) {
            grantUriPermission(resolveInfo.activityInfo.packageName, uriForFile, Intent.FLAG_GRANT_READ_URI_PERMISSION | Intent.FLAG_GRANT_WRITE_URI_PERMISSION);
        }
        intent.putExtra("android.intent.extra.STREAM", uriForFile);
        startActivity(Intent.createChooser(intent, getString(R.string.share_via)));
    }

    public void onClick(View view) {
        StringBuilder stringBuilder;
        String stringBuilder2;
        Intent intent;
        switch (view.getId()) {
            case R.id.btn_back:
                finish();
                overridePendingTransition(R.anim.trans_right_in, R.anim.trans_right_out);
                return;
            case R.id.btn_home:
                GoogleAds.getInstance().showCounterInterstitialAd(ShareImageActivity.this, new CustomAdsListener() {
                    @Override
                    public void onFinish() {
                        Intent intent2 = new Intent(getApplicationContext(), MainActivity.class);
                        intent2.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                        intent2.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                        startActivity(intent2);
                        finish();
                    }
                });
                overridePendingTransition(R.anim.trans_right_in, R.anim.trans_right_out);
                return;
            case R.id.btn_share:
                shareImage();
                return;
            default:
                return;
        }
    }


    public void setTextSelected(int i) {
        for (int i2 = 0; i2 < this.TextArr.length; i2++) {
            if (this.TextArr[i2].getId() == i) {
                this.TextArr[i2].setTextColor(ContextCompat.getColor(this, R.color.green1));
            } else {
                this.TextArr[i2].setTextColor(ContextCompat.getColor(this, R.color.black1));
            }
        }
    }

    public void setLayoutSelected(int i) {
        for (int i2 = 0; i2 < this.LayArr.length; i2++) {
            if (this.LayArr[i2].getId() == i) {
                this.LayArr[i2].setVisibility(View.VISIBLE);
            } else {
                this.LayArr[i2].setVisibility(View.GONE);
            }
        }
    }

    private void saveImageWithProgress(final Bitmap bitmap) {
        final ProgressDialog show = ProgressDialog.show(this, "", getString(R.string.plzwait), true);
        show.setCancelable(false);
        this.isSaved = false;
        new Thread(new Runnable() {
            public void run() {
                try {
                    ShareImageActivity.this.isSaved = ShareImageActivity.this.saveWithoutWatermark(bitmap);
                    Thread.sleep(1000);
                } catch (Exception unused) {
                }
                show.dismiss();
            }
        }).start();
        show.setOnDismissListener(new OnDismissListener() {
            public void onDismiss(DialogInterface dialogInterface) {
                if (ShareImageActivity.this.isSaved) {
                    try {
                        ShareImageActivity.this.imageView.setImage(ImageSource.uri(Uri.fromFile(new File(ShareImageActivity.this.oldpath))));
                        return;
                    } catch (OutOfMemoryError e) {
                        e.printStackTrace();
                        return;
                    }
                }
                final Dialog dialog = new Dialog(ShareImageActivity.this, 16974126);
                dialog.requestWindowFeature(1);
                dialog.setContentView(R.layout.save_success_picture_dialog);
                dialog.setCancelable(true);
                ((TextView) dialog.findViewById(R.id.heater)).setTypeface(Constants.getHeaderTypeface(ShareImageActivity.this));
                ((TextView) dialog.findViewById(R.id.txt_free)).setText(ShareImageActivity.this.getResources().getString(R.string.save_error));
                dialog.findViewById(R.id.txt_path).setVisibility(View.GONE);

                LinearLayout button = dialog.findViewById(R.id.btn_ok);
                button.setOnClickListener(view -> dialog.dismiss());
                dialog.getWindow().getAttributes().windowAnimations = R.style.DialogAnimation_;
                dialog.show();
            }
        });
    }

    private boolean saveWithoutWatermark(Bitmap bitmap) {
        bitmap = bitmap.copy(bitmap.getConfig(), true);
        File file = new File(this.oldpath);
        try {
            if (!file.exists()) {
                file.createNewFile();
            }
            FileOutputStream fileOutputStream = new FileOutputStream(file);
            bitmap.compress(CompressFormat.PNG, 100, fileOutputStream);
            fileOutputStream.flush();
            fileOutputStream.close();
            bitmap.recycle();
            sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(file)));
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    private boolean isNetworkAvailable() {
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE)).getActiveNetworkInfo();
        return activeNetworkInfo != null && activeNetworkInfo.isConnected();
    }

    public void onBackPressed() {
        super.onBackPressed();
        finish();
        overridePendingTransition(R.anim.trans_right_in, R.anim.trans_right_out);
    }


    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);

        if (i == OPEN_HELP_ACITIVITY) {
            this.lay_helpFeedback.setVisibility(View.GONE);
        }
    }


    public void onDestroy() {
        super.onDestroy();


        this.imageView = null;
        this.tf1 = null;

        Constants.freeMemory();
    }
}
