package com.AccountName.thumbnailmaker.main;

import android.content.Intent;
import android.os.Bundle;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;

import androidx.appcompat.app.AppCompatActivity;

import com.AccountName.thumbnailmaker.GetStartedActivity;
import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;

import vocsy.ads.AdsHandler;
import vocsy.ads.GetSmartAdmob;

public class SplashActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_splash);

        SystemConfiguration.setTransparentStatusBar(this, SystemConfiguration.IconColor.ICON_DARK);

        String[] adsUrls = new String[]{
                getString(R.string.bnr_admob)// 1st Banner Ads Id
                , getString(R.string.native_admob)// 2st Native Ads Id
                , getString(R.string.int_admob)// 3st interstitial Ads Id
                , getString(R.string.app_open_admob)// 4st App-Open Ads Id
                , getString(R.string.video_admob)// 5st Rewarded Ads Id
        };

        new GetSmartAdmob(this, adsUrls, (success) -> {
            startActivity(new Intent(SplashActivity.this, GetStartedActivity.class));
            finish();
        }).execute();

        AdsHandler.setAdsOn(true);

        Animation jellyAnimation = AnimationUtils.loadAnimation(this, R.anim.jelly_animation);
        findViewById(R.id.imgLogo).startAnimation(jellyAnimation);
    }
}