package com.AccountName.thumbnailmaker.main;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.Bundle;
import android.preference.PreferenceManager;

import androidx.appcompat.app.AppCompatActivity;
import androidx.viewpager.widget.ViewPager;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.adapter.ViewPagerAdapterTemplates;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;

import it.neokree.materialtabs.MaterialTab;
import it.neokree.materialtabs.MaterialTabHost;
import it.neokree.materialtabs.MaterialTabListener;
import vocsy.ads.GoogleAds;

public class TemplatesActivity extends AppCompatActivity implements MaterialTabListener {

    public static final int OPEN_UPDATE_ACITIVITY_TEMP = 1124;
    ViewPagerAdapterTemplates adapter;
    private Editor editor;
    boolean isChanged = false;

    ViewPager pager;
    SharedPreferences preferences;
    SharedPreferences prefs;
    MaterialTabHost tabHost;

    public void onTabReselected(MaterialTab materialTab) {
    }

    public void onTabUnselected(MaterialTab materialTab) {
    }


    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_templates);

        SystemConfiguration.setStatusBarColor(this, R.color.toolbarColor, true);

        GoogleAds.getInstance().admobBanner(TemplatesActivity.this, findViewById(R.id.nativeLay));

        this.preferences = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        this.prefs = getSharedPreferences("MY_PREFS_NAME", 0);
        this.editor = getSharedPreferences("MY_PREFS_NAME", 0).edit();
        this.isChanged = this.prefs.getBoolean("isChanged", false);
        initUI();
        findViewById(R.id.btnBack).setOnClickListener(view -> TemplatesActivity.this.onBackPressed());
    }

    private void initUI() {
        this.tabHost = findViewById(R.id.tabHost);
        this.pager = findViewById(R.id.pager);
        this.adapter = new ViewPagerAdapterTemplates(this, getSupportFragmentManager());
        this.adapter.notifyDataSetChanged();
        this.pager.setAdapter(this.adapter);
        this.pager.setOnPageChangeListener(new ViewPager.SimpleOnPageChangeListener() {
            public void onPageSelected(int i) {
                TemplatesActivity.this.tabHost.setSelectedNavigationItem(i);
            }
        });
        for (int i = 0; i < this.adapter.getCount(); i++) {
            this.tabHost.addTab(this.tabHost.newTab().setText(this.adapter.getPageTitle(i)).setTabListener(this));
        }
    }

    public void onTabSelected(MaterialTab materialTab) {
        if (this.pager != null) {
            this.pager.setCurrentItem(materialTab.getPosition(), true);
        }
    }

    public void onResume() {
        super.onResume();
        this.isChanged = this.prefs.getBoolean("isChanged", false);
        if (this.isChanged) {
            this.tabHost.setSelectedNavigationItem(0);
            this.adapter = new ViewPagerAdapterTemplates(this, getSupportFragmentManager());
            this.adapter.notifyDataSetChanged();
            this.pager.setAdapter(this.adapter);
            this.pager.setCurrentItem(0, true);
            this.editor.putBoolean("isChanged", false);
            this.editor.commit();
        }

    }


    public void onPause() {
        super.onPause();

    }


    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i2 == -1 && i == OPEN_UPDATE_ACITIVITY_TEMP) {

            this.isChanged = this.prefs.getBoolean("isChanged", false);
            if (this.isChanged) {
                this.adapter = new ViewPagerAdapterTemplates(this, getSupportFragmentManager());
                this.adapter.notifyDataSetChanged();
                this.pager.setAdapter(this.adapter);
                this.pager.setCurrentItem(0, true);
                this.editor.putBoolean("isChanged", false);
                this.editor.commit();


            }
        }
    }

    public void onBackPressed() {
        this.tabHost = null;
        this.pager = null;
        this.adapter = null;

        finish();

        Constants.freeMemory();

        overridePendingTransition(R.anim.trans_right_in, R.anim.trans_right_out);
    }
}