package com.AccountName.thumbnailmaker.sticker_fragment;

import android.app.Dialog;
import android.content.SharedPreferences;
import android.graphics.Typeface;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.Button;
import android.widget.GridView;
import android.widget.TextView;

import androidx.fragment.app.Fragment;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.main.Constants;
import com.bumptech.glide.Glide;

public class StickerFragment extends Fragment {
    StickerGrid adapter;
    SharedPreferences appPreferences;
    String catName;
    String colorType;
    GridView grid;
    boolean isAppInstalled = false;
    GetSnapListener onGetSnap;
    int pos = 0;
    String positionIs;
    String[] stkrArr = null;
    Typeface tf1;


    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = layoutInflater.inflate(R.layout.item_frag, viewGroup, false);
        this.catName = getArguments().getString("categoryName");
        this.positionIs = getArguments().getString("position");
        this.appPreferences = PreferenceManager.getDefaultSharedPreferences(getActivity());
        this.isAppInstalled = this.appPreferences.getBoolean("isAppInstalled", false);
        this.tf1 = Constants.getTextTypeface(getActivity());


        if (this.catName.equals("offer")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st2;
        } else if (this.catName.equals("sale")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st1;
        } else if (this.catName.equals("banner")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st3;
        } else if (this.catName.equals("sports")) {
            this.colorType = "white";
            this.stkrArr = Constants.Imageid_st4;
        } else if (this.catName.equals("ribbon")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st5;
        } else if (this.catName.equals("birth")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st6;
        } else if (this.catName.equals("decorat")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st7;
        } else if (this.catName.equals("party")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st8;
        } else if (this.catName.equals("music")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st9;
        } else if (this.catName.equals("festival")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st10;
        } else if (this.catName.equals("love")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st11;
        } else if (this.catName.equals("college")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st12;
        } else if (this.catName.equals("circle")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st13;
        } else if (this.catName.equals("coffee")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st14;
        } else if (this.catName.equals("cares")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st15;
        } else if (this.catName.equals("nature")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st16;
        } else if (this.catName.equals("word")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st17;
        } else if (this.catName.equals("hallow")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st18;
        } else if (this.catName.equals("animal")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st19;
        } else if (this.catName.equals("cartoon")) {
            this.colorType = "colored";
            this.stkrArr = Constants.Imageid_st20;
        } else if (this.catName.equals("white")) {
            this.colorType = "white";
            this.stkrArr = Constants.Imageid_st21;
        } else if (this.catName.equals("shapes")) {
            this.colorType = "white";
            this.stkrArr = Constants.Imageid_st22;
        }
        this.adapter = new StickerGrid(getActivity(), this.stkrArr, this.appPreferences);
        this.onGetSnap = (GetSnapListener) getActivity();
        this.grid = (GridView) inflate.findViewById(R.id.grid);
        this.grid.setAdapter(this.adapter);
        this.grid.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {

                StickerFragment.this.onGetSnap.onSnapFilter(StickerFragment.this.stkrArr[i], StickerFragment.this.colorType, "");

            }
        });
        return inflate;
    }


    public void onDestroyView() {
        super.onDestroyView();
        new Thread(new Runnable() {
            public void run() {
                try {
                    Glide.get(StickerFragment.this.getActivity()).clearDiskCache();
                    Thread.sleep(100);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
        }).start();
        Glide.get(getActivity()).clearMemory();
        if (this.adapter.holder != null) {
            Glide.get(getActivity());
            Glide.with(this).clear(this.adapter.holder.image);
            this.adapter.holder.image = null;
            this.adapter.holder = null;
        }
        this.grid = null;
        this.adapter = null;
        this.onGetSnap = null;
        this.colorType = null;
        this.stkrArr = null;
        Constants.freeMemory();
    }

    public void onDestroy() {
        super.onDestroy();

        this.grid = null;
        this.adapter = null;
        this.onGetSnap = null;
        Constants.freeMemory();
    }



}
