package com.AccountName.thumbnailmaker.utility;

import android.content.Context;
import android.os.AsyncTask;
import android.util.AttributeSet;
import android.util.Log;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.AppCompatImageView;
import com.AccountName.thumbnailmaker.R;
import com.SimplyEntertaining.thumbnailmaker.main.JniUtils;
import com.bumptech.glide.Glide;
import com.bumptech.glide.load.engine.DiskCacheStrategy;

public class ByteImageView extends AppCompatImageView {

    private Context ctx;
    private String rName = "0";
    private DownloadImageTask updateViewAsync = new DownloadImageTask();
    private ViewAsyncState viewAsyncState = ViewAsyncState.INITIALIZED;

    public class DownloadImageTask extends AsyncTask<String, Void, byte[]> {

        public byte[] doInBackground(String... strArr) {
            return JniUtils.decryptResourceJni(ByteImageView.this.ctx, strArr[0]);
        }


        public void onPostExecute(byte[] bArr) {
            Glide.with(ByteImageView.this.ctx).load(bArr).thumbnail(0.1f).diskCacheStrategy(DiskCacheStrategy.NONE).skipMemoryCache(true).dontAnimate().placeholder((int) R.drawable.no_image).error((int) R.drawable.no_image).into(ByteImageView.this);
        }


        public void onCancelled() {
            super.onCancelled();
            ByteImageView.this.viewAsyncState = ViewAsyncState.DETACHEDFROMWINDOW;
        }
    }

    public ByteImageView(Context context) {
        super(context);
        this.ctx = context;
    }

    public ByteImageView(Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        this.ctx = context;
    }

    public ByteImageView(Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.ctx = context;
    }

    public void setViewParams(String str) {
        this.rName = str;

        Log.e("byteimageview",""+rName);
    }


    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (!("0".equals(this.rName) || this.viewAsyncState == ViewAsyncState.ISRUNNING || this.viewAsyncState == ViewAsyncState.COMPLETE)) {
            this.updateViewAsync = new DownloadImageTask();
            this.updateViewAsync.execute(new String[]{this.rName});
        }
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (!"0".equals(this.rName)) {
            if (this.updateViewAsync != null) {
                this.updateViewAsync.cancel(true);
                this.updateViewAsync.onCancelled();
            }
            this.viewAsyncState = ViewAsyncState.CANCELLED;
        }
    }
}
