package com.AccountName.thumbnailmaker.utility;

import android.media.ExifInterface;
import android.text.TextUtils;
import com.AccountName.thumbnailmaker.scale.SubsamplingScaleImageView;

public class ExifUtils {
    private ExifUtils() {
    }

    public static int getExifRotation(String str) {
        try {
            str = new ExifInterface(str).getAttribute("Orientation");
            if (TextUtils.isEmpty(str)) {
                return 0;
            }
            int parseInt = Integer.parseInt(str);
            if (parseInt == 1) {
                return 0;
            }
            if (parseInt == 3) {
                return SubsamplingScaleImageView.ORIENTATION_180;
            }
            if (parseInt == 6) {
                return 90;
            }
            if (parseInt != 8) {
                return 0;
            }
            return SubsamplingScaleImageView.ORIENTATION_270;
        } catch (Exception unused) {
            return 0;
        }
    }
}
