package com.AccountName.thumbnailmaker.utility;

import android.os.Environment;

import java.io.File;

public class StorageConfiguration {


    public static File getBaseFile() {
        return Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM);
    }

    private static File createIfNeeded(File file) {
        if (!file.exists()) {
            file.mkdirs();
        }
        return file;
    }

    public static File getAppFile() {
        File mFile = new File(getBaseFile(), "Thumbnail Maker");
        return createIfNeeded(mFile);

    }

    public static File getSaveFileLocation() {
        File mFile = new File(getAppFile(), "/Snappy Photo/.data");
        return createIfNeeded(mFile);
    }

    public static File getCategoryFileLocation() {
        File mFile = new File(getAppFile(), ".ThumbnailMaker Stickers/category");
        return createIfNeeded(mFile);
    }

}
