package com.SimplyEntertaining.thumbnailmaker.main;

import android.content.Context;

import org.apache.commons.io.IOUtils;

import java.io.IOException;
import java.io.InputStream;

public class JniUtils {
    private static native byte[] decryptResByNameJNI(Context context, String str);

    private static native byte[] encryptResJNI(Context context, String str);

    private static native int[] getResizeDimensJNI(float f, float f2, float f3, float f4);

    private static native String stringFromJNI(Context context);

    static {
        System.loadLibrary("imageprocess");
    }

    public byte[] getBytes(Context context, String str) {
        byte[] bArr;
        Exception e;
        byte[] bArr2 = new byte[0];
        try {
            InputStream openRawResource = context.getResources().openRawResource(context.getResources().getIdentifier(str, "raw", context.getPackageName()));
            bArr = new byte[openRawResource.available()];
            try {
                openRawResource.read(bArr);
            } catch (Exception e2) {
                e = e2;
            }
        } catch (Exception e3) {
            e = e3;
            bArr = bArr2;
            e.printStackTrace();
            return bArr;
        }
        return bArr;
    }

    public byte[] getBytes(Context context, int i) {
        byte[] bArr;
        Exception e;
        byte[] bArr2 = new byte[0];
        try {
            InputStream openRawResource = context.getResources().openRawResource(i);
            bArr = new byte[openRawResource.available()];
            try {
                openRawResource.read(bArr);
            } catch (Exception e2) {
                e = e2;
            }
        } catch (Exception e3) {
            e = e3;
            bArr = bArr2;
            e.printStackTrace();
            return bArr;
        }
        return bArr;
    }

    public static String stringFromJni(Context context) {
        return stringFromJNI(context);
    }

    public static byte[] decryptResourceJni(Context context, String str) {

        int i = context.getResources().getIdentifier(str, "raw", context.getPackageName());

        try {
            byte[] payload = IOUtils.toByteArray(context.getResources().openRawResource(i));
            return payload;
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
        //   return decryptResByNameJNI(context, str);
    }

    public static byte[] encryptResJni(Context context, String str) {
        return encryptResJNI(context, str);
    }

    public static int[] getResizeDimensJni(int i, int i2, int i3, int i4) {
        return getResizeDimensJNI((float) i, (float) i2, (float) i3, (float) i4);
    }
}
