package com.msl.textmodule;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Bitmap.Config;
import android.graphics.BitmapFactory;
import android.graphics.BitmapFactory.Options;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.Shader.TileMode;
import android.graphics.Typeface;
import android.net.Uri;

import android.util.AttributeSet;
import android.util.Log;
import android.view.GestureDetector;
import android.view.GestureDetector.SimpleOnGestureListener;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnTouchListener;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.Animation.AnimationListener;
import android.view.animation.AnimationUtils;
import android.widget.ImageView;
import android.widget.ImageView.ScaleType;
import android.widget.RelativeLayout;
import android.widget.RelativeLayout.LayoutParams;

import com.AccountName.thumbnailmaker.R;
import com.msl.textmodule.listener.MultiTouchListener;
import com.msl.textmodule.listener.MultiTouchListener.TouchCallbackListener;

public class AutofitTextRel extends RelativeLayout implements TouchCallbackListener {
    double angle = 0.0d;
    private ImageView background_iv;
    int baseh;
    int basew;
    int basex;
    int basey;
    private int bgAlpha = 255;
    private int bgColor = 0;
    private String bgDrawable = "0";
    private ImageView border_iv;
    float cX = 0.0f;
    float cY = 0.0f;
    private Context context;
    double dAngle = 0.0d;
    private ImageView delete_iv;
    private int extraMargin = 35;
    private String field_four = "";
    private int field_one = 0;
    private String field_two = "0,0";
    private String fontName = "";
    private GestureDetector gd = null;
    private int he;
    float heightMain = 0.0f;
    private float hm = 0.0f;
    private int imgAlpha = 100;
    private int internalMargin;
    private boolean isBorderVisible = false;
    public boolean isMultiTouchEnabled = true;
    private int leftMargin = 0;
    private TouchEventListener listener = null;
    String lockStatus = "UNLOCKED";
    private OnTouchListener mTouchListener1 = new OnTouchListener() {
        @SuppressLint({"NewApi"})
        public boolean onTouch(View view, MotionEvent motionEvent) {
            AutofitTextRel autofitTextRel = (AutofitTextRel) view.getParent();
            int rawX = (int) motionEvent.getRawX();
            int rawY = (int) motionEvent.getRawY();
            LayoutParams layoutParams = (LayoutParams) AutofitTextRel.this.getLayoutParams();
            switch (motionEvent.getAction()) {
                case 0:
                    if (autofitTextRel != null) {
                        autofitTextRel.requestDisallowInterceptTouchEvent(true);
                    }
                    if (AutofitTextRel.this.listener != null) {
                        AutofitTextRel.this.listener.onScaleDown(AutofitTextRel.this);
                    }
                    AutofitTextRel.this.invalidate();
                    AutofitTextRel.this.basex = rawX;
                    AutofitTextRel.this.basey = rawY;
                    AutofitTextRel.this.basew = AutofitTextRel.this.getWidth();
                    AutofitTextRel.this.baseh = AutofitTextRel.this.getHeight();
                    AutofitTextRel.this.getLocationOnScreen(new int[2]);
                    AutofitTextRel.this.margl = layoutParams.leftMargin;
                    AutofitTextRel.this.margt = layoutParams.topMargin;
                    break;
                case 1:
                    AutofitTextRel.this.wi = AutofitTextRel.this.getLayoutParams().width;
                    AutofitTextRel.this.he = AutofitTextRel.this.getLayoutParams().height;
                    AutofitTextRel.this.leftMargin = ((LayoutParams) AutofitTextRel.this.getLayoutParams()).leftMargin;
                    AutofitTextRel.this.topMargin = ((LayoutParams) AutofitTextRel.this.getLayoutParams()).topMargin;
                    autofitTextRel = AutofitTextRel.this;
                    StringBuilder stringBuilder = new StringBuilder();
                    stringBuilder.append(String.valueOf(AutofitTextRel.this.leftMargin));
                    stringBuilder.append(",");
                    stringBuilder.append(String.valueOf(AutofitTextRel.this.topMargin));
                    autofitTextRel.field_two = stringBuilder.toString();
                    if (AutofitTextRel.this.listener != null) {
                        AutofitTextRel.this.listener.onScaleUp(AutofitTextRel.this);
                        break;
                    }
                    break;
                case 2:
                    if (autofitTextRel != null) {
                        autofitTextRel.requestDisallowInterceptTouchEvent(true);
                    }
                    if (AutofitTextRel.this.listener != null) {
                        AutofitTextRel.this.listener.onScaleMove(AutofitTextRel.this);
                    }
                    float toDegrees = (float) Math.toDegrees(Math.atan2((double) (rawY - AutofitTextRel.this.basey), (double) (rawX - AutofitTextRel.this.basex)));
                    if (toDegrees < 0.0f) {
                        toDegrees += 360.0f;
                    }
                    rawX -= AutofitTextRel.this.basex;
                    rawY -= AutofitTextRel.this.basey;
                    rawY *= rawY;
                    int sqrt = (int) (Math.sqrt((double) ((rawX * rawX) + rawY)) * Math.cos(Math.toRadians((double) (toDegrees - AutofitTextRel.this.getRotation()))));
                    int sqrt2 = (int) (Math.sqrt((double) ((sqrt * sqrt) + rawY)) * Math.sin(Math.toRadians((double) (toDegrees - AutofitTextRel.this.getRotation()))));
                    rawX = (sqrt * 2) + AutofitTextRel.this.basew;
                    rawY = (sqrt2 * 2) + AutofitTextRel.this.baseh;
                    if (rawX > (AutofitTextRel.this.extraMargin * 2) + (AutofitTextRel.this.margin5dp * 2)) {
                        layoutParams.width = rawX;
                        layoutParams.leftMargin = AutofitTextRel.this.margl - sqrt;
                    }
                    if (rawY > (AutofitTextRel.this.extraMargin * 2) + (AutofitTextRel.this.margin5dp * 2)) {
                        layoutParams.height = rawY;
                        layoutParams.topMargin = AutofitTextRel.this.margt - sqrt2;
                    }
                    AutofitTextRel.this.setLayoutParams(layoutParams);
                    if (!AutofitTextRel.this.bgDrawable.equals("0")) {
                        AutofitTextRel.this.wi = AutofitTextRel.this.getLayoutParams().width;
                        AutofitTextRel.this.he = AutofitTextRel.this.getLayoutParams().height;
                        AutofitTextRel.this.setBgDrawable(AutofitTextRel.this.bgDrawable);
                        break;
                    }
                    break;
            }
            return true;
        }
    };
    private int margin5dp;
    int margl;
    int margt;
    Paint paint;
    int posX;
    int posY;
    private int prog_20 = 0;
    private int prog_40 = 0;
    private int prog_50 = 0;
    private int prog_60 = 0;
    private int prog_80;
    private int progress = 0;
    private OnTouchListener rTouchListener = new OnTouchListener() {
        public boolean onTouch(View view, MotionEvent motionEvent) {
            AutofitTextRel autofitTextRel = (AutofitTextRel) view.getParent();
            switch (motionEvent.getAction()) {
                case 0:
                    if (autofitTextRel != null) {
                        autofitTextRel.requestDisallowInterceptTouchEvent(true);
                    }
                    if (AutofitTextRel.this.listener != null) {
                        AutofitTextRel.this.listener.onRotateDown(AutofitTextRel.this);
                    }
                    Rect rect = new Rect();
                    ((View) view.getParent()).getGlobalVisibleRect(rect);
                    AutofitTextRel.this.cX = rect.exactCenterX();
                    AutofitTextRel.this.cY = rect.exactCenterY();
                    AutofitTextRel.this.vAngle = (double) ((View) view.getParent()).getRotation();
                    AutofitTextRel.this.tAngle = (Math.atan2((double) (AutofitTextRel.this.cY - motionEvent.getRawY()), (double) (AutofitTextRel.this.cX - motionEvent.getRawX())) * 180.0d) / 3.141592653589793d;
                    AutofitTextRel.this.dAngle = AutofitTextRel.this.vAngle - AutofitTextRel.this.tAngle;
                    break;
                case 1:
                    if (AutofitTextRel.this.listener != null) {
                        AutofitTextRel.this.listener.onRotateUp(AutofitTextRel.this);
                        break;
                    }
                    break;
                case 2:
                    if (autofitTextRel != null) {
                        autofitTextRel.requestDisallowInterceptTouchEvent(true);
                    }
                    if (AutofitTextRel.this.listener != null) {
                        AutofitTextRel.this.listener.onRotateMove(AutofitTextRel.this);
                    }
                    AutofitTextRel.this.angle = (Math.atan2((double) (AutofitTextRel.this.cY - motionEvent.getRawY()), (double) (AutofitTextRel.this.cX - motionEvent.getRawX())) * 180.0d) / 3.141592653589793d;
                    float f = (float) (AutofitTextRel.this.angle + AutofitTextRel.this.dAngle);
                    ((View) view.getParent()).setRotation(f);
                    ((View) view.getParent()).invalidate();
                    ((View) view.getParent()).requestLayout();
                    if (Math.abs(90.0f - Math.abs(f)) <= 5.0f) {
                        f = f > 0.0f ? 90.0f : -90.0f;
                    }
                    if (Math.abs(0.0f - Math.abs(f)) <= 5.0f) {
                        f = f > 0.0f ? 0.0f : -0.0f;
                    }
                    if (Math.abs(180.0f - Math.abs(f)) <= 5.0f) {
                        f = f > 0.0f ? 180.0f : -180.0f;
                    }
                    ((View) view.getParent()).setRotation(f);
                    break;
            }
            return true;
        }
    };
    private RelativeLayout rel_artv;
    private RelativeLayout rel_drawHold;
    private ImageView rotate_iv;
    private float rotation;
    private int s;
    Animation scale;
    private ImageView scale_iv;
    private int shadowColor = 0;
    private int shadowProg = 0;
    private int tAlpha = 100;
    double tAngle = 0.0d;
    private int tColor = Color.parseColor("#000000");
    private String text = "";
    private TextRelativeDraw textRelative;
    private AutoResizeTextView text_iv;
    private int topMargin = 0;
    private String txtGravity = "C";
    double vAngle = 0.0d;
    private int wi;
    float widthMain = 0.0f;
    private float wm = 0.0f;
    private int xRotateProg = 0;
    private int yRotateProg = 0;
    private int zRotateProg = 0;
    Animation zoomInScale;
    Animation zoomOutScale;

    public interface TouchEventListener {
        void onCenterX(View view);

        void onCenterXY(View view);

        void onCenterY(View view);

        void onDelete();

        void onDoubleTap();

        void onEdit(View view, Uri uri);

        void onOtherXY(View view);

        void onRotateDown(View view);

        void onRotateMove(View view);

        void onRotateUp(View view);

        void onScaleDown(View view);

        void onScaleMove(View view);

        void onScaleUp(View view);

        void onTouchDown(View view);

        void onTouchMove(View view);

        void onTouchUp(View view);
    }

    public AutofitTextRel setOnTouchCallbackListener(TouchEventListener touchEventListener) {
        this.listener = touchEventListener;
        this.textRelative.invalidate();
        return this;
    }

    public AutofitTextRel(Context context) {
        super(context);
        init(context);
        invalidate();
    }

    public AutofitTextRel(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        init(context);
    }

    public AutofitTextRel(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        init(context);
    }

    public void init(Context context) {
        this.paint = new Paint();
        this.paint.setColor(0);
        this.context = context;
        this.scale_iv = new ImageView(this.context);
        this.border_iv = new ImageView(this.context);
        this.background_iv = new ImageView(this.context);
        this.delete_iv = new ImageView(this.context);
        this.rotate_iv = new ImageView(this.context);
        this.text_iv = new AutoResizeTextView(this.context);
        this.rel_artv = new RelativeLayout(this.context);
        this.rel_drawHold = new RelativeLayout(this.context);
        this.textRelative = new TextRelativeDraw(this.context, this.rel_artv);
        this.extraMargin = dpToPx(this.context, 30);
        this.internalMargin = dpToPx(this.context, 5);
        this.margin5dp = dpToPx(this.context, 5);
        this.s = dpToPx(this.context, 25);
        this.wi = dpToPx(this.context, 200);
        this.he = dpToPx(this.context, 200);
        this.scale_iv.setImageResource(R.drawable.textlib_scale);
        this.background_iv.setImageResource(0);
        this.rotate_iv.setImageResource(R.drawable.rotate);
        this.delete_iv.setImageResource(R.drawable.textlib_clear);
        LayoutParams layoutParams = new LayoutParams(this.wi, this.he);
        LayoutParams layoutParams2 = new LayoutParams(-1, -1);
        LayoutParams layoutParams3 = new LayoutParams(this.s, this.s);
        layoutParams3.addRule(12);
        layoutParams3.addRule(11);
        layoutParams3.setMargins(this.margin5dp, this.margin5dp, this.margin5dp, this.margin5dp);
        LayoutParams layoutParams4 = new LayoutParams(this.s, this.s);
        layoutParams4.addRule(10);
        layoutParams4.addRule(9);
        layoutParams4.setMargins(this.margin5dp, this.margin5dp, this.margin5dp, this.margin5dp);
        LayoutParams layoutParams5 = new LayoutParams(this.s, this.s);
        layoutParams5.addRule(12);
        layoutParams5.addRule(9);
        layoutParams5.setMargins(this.margin5dp, this.margin5dp, this.margin5dp, this.margin5dp);
        LayoutParams layoutParams6 = new LayoutParams(-1, -1);
        layoutParams6.setMargins(this.internalMargin, this.internalMargin, this.internalMargin, this.internalMargin);
        layoutParams6.addRule(17);
        LayoutParams layoutParams7 = new LayoutParams(-1, -1);
        layoutParams7.addRule(17);
        LayoutParams layoutParams8 = new LayoutParams(-1, -1);
        setLayoutParams(layoutParams);
        setBackgroundResource(R.drawable.textlib_border_gray);
        this.background_iv.setLayoutParams(layoutParams2);
        this.background_iv.setScaleType(ScaleType.FIT_XY);
        addView(this.background_iv);
        this.text_iv.setText(this.text);
        this.text_iv.setTextColor(this.tColor);
        this.text_iv.setTextSize(1000.0f);
        this.text_iv.setLayoutParams(layoutParams7);
        this.text_iv.setGravity(17);
        this.text_iv.setMinTextSize(10.0f);
        this.rel_artv.setLayoutParams(layoutParams6);
        this.rel_drawHold.setLayoutParams(layoutParams6);
        this.rel_artv.addView(this.text_iv);
        addView(this.rel_artv);
        layoutParams = new LayoutParams(-1, -1);
        layoutParams.addRule(17);
        this.textRelative.setLayoutParams(layoutParams);
        this.rel_drawHold.addView(this.textRelative);
        addView(this.rel_drawHold);
        this.rel_artv.setVisibility(INVISIBLE);
        addView(this.border_iv);
        this.border_iv.setLayoutParams(layoutParams8);
        this.border_iv.setTag("border_iv");
        addView(this.rotate_iv);
        this.rotate_iv.setLayoutParams(layoutParams5);
        this.rotate_iv.setOnTouchListener(this.rTouchListener);
        addView(this.delete_iv);
        this.delete_iv.setLayoutParams(layoutParams4);
        this.delete_iv.setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                final ViewGroup viewGroup = (ViewGroup) AutofitTextRel.this.getParent();
                AutofitTextRel.this.zoomInScale.setAnimationListener(new AnimationListener() {
                    public void onAnimationRepeat(Animation animation) {
                    }

                    public void onAnimationStart(Animation animation) {
                    }

                    public void onAnimationEnd(Animation animation) {
                        viewGroup.removeView(AutofitTextRel.this);
                    }
                });
                AutofitTextRel.this.background_iv.startAnimation(AutofitTextRel.this.zoomInScale);
                AutofitTextRel.this.textRelative.startAnimation(AutofitTextRel.this.zoomInScale);
                AutofitTextRel.this.setBorderVisibility(false);
                if (AutofitTextRel.this.listener != null) {
                    AutofitTextRel.this.listener.onDelete();
                }
            }
        });
        addView(this.scale_iv);
        this.scale_iv.setLayoutParams(layoutParams3);
        this.scale_iv.setTag("scale_iv");
        this.scale_iv.setOnTouchListener(this.mTouchListener1);
        this.rotation = getRotation();
        this.scale = AnimationUtils.loadAnimation(getContext(), R.anim.textlib_scale_anim);
        this.zoomOutScale = AnimationUtils.loadAnimation(getContext(), R.anim.textlib_scale_zoom_out);
        this.zoomInScale = AnimationUtils.loadAnimation(getContext(), R.anim.textlib_scale_zoom_in);
        initGD();
        this.isMultiTouchEnabled = setDefaultTouchListener(true);
    }

    public boolean setDefaultTouchListener(boolean z) {
        if (z) {
            this.lockStatus = "UNLOCKED";
            setOnTouchListener(new MultiTouchListener(this.context).enableRotation(true).setOnTouchCallbackListener(this).setGestureListener(this.gd));
            return true;
        }
        this.lockStatus = "LOCKED";
        setOnTouchListener(null);
        return false;
    }

    public int getExtraMargin() {
        return this.s;
    }

    public void setWidthHeight(int i, int i2) {
        this.wm = (float) i;
        this.hm = (float) i2;
    }

    public float getMainWidth() {
        return this.wm;
    }

    public float getMainHeight() {
        return this.hm;
    }

    public void refreshText() {
        this.text_iv.post(new Runnable() {
            public void run() {
                AutofitTextRel.this.text_iv.requestLayout();
                AutofitTextRel.this.text_iv.postInvalidate();
                AutofitTextRel.this.rel_artv.post(new Runnable() {
                    public void run() {
                        AutofitTextRel.this.rel_artv.requestLayout();
                        AutofitTextRel.this.rel_artv.postInvalidate();
                        AutofitTextRel.this.post(new Runnable() {
                            public void run() {
                                AutofitTextRel.this.requestLayout();
                                AutofitTextRel.this.postInvalidate();
                            }
                        });
                    }
                });
            }
        });
    }

    public void setBorderVisibility(boolean z) {
        this.isBorderVisible = z;
        if (!z) {
            this.border_iv.setVisibility(GONE);
            this.scale_iv.setVisibility(GONE);
            this.delete_iv.setVisibility(GONE);
            this.rotate_iv.setVisibility(GONE);
            setBackgroundResource(0);
        } else if (this.border_iv.getVisibility() != VISIBLE) {
            this.border_iv.setVisibility(VISIBLE);
            this.scale_iv.setVisibility(VISIBLE);
            this.delete_iv.setVisibility(VISIBLE);
            this.rotate_iv.setVisibility(VISIBLE);
            setBackgroundResource(R.drawable.textlib_border_gray);
            this.textRelative.startAnimation(this.scale);
            this.textRelative.invalidate();
        }
    }

    public boolean getBorderVisibility() {
        return this.isBorderVisible;
    }

    public void setText(String str) {
        this.text = str;
        this.text_iv.setText(str);
        this.textRelative.post(new Runnable() {
            public void run() {
                AutofitTextRel.this.textRelative.startAnimation(AutofitTextRel.this.zoomOutScale);
            }
        });
    }

    public void setMainLayoutWH(float f, float f2) {
        this.widthMain = f;
        this.heightMain = f2;
    }

    public String getText() {
        return this.text_iv.getText().toString();
    }

    public void setTextFont(String str) {
        try {
            Typeface createFromAsset;
            if (str.equals("default")) {

                Log.e("defult", "defult");
                createFromAsset = Typeface.DEFAULT;

                this.text_iv.setTypeface(createFromAsset);
                this.fontName = str;
                this.textRelative.invalidate();


            } else {


                createFromAsset = Typeface.createFromAsset(this.context.getAssets(), str);
                Log.e("createFromAsset", "" + createFromAsset);
                this.text_iv.setTypeface(createFromAsset);
                this.fontName = str;
                this.textRelative.invalidate();
            }


        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public int getTextColor() {
        return this.tColor;
    }

    public int getTextAlpha() {
        return this.tAlpha;
    }

    public int getBgAlpha() {
        return this.bgAlpha;
    }

    public String getFontName() {
        return this.fontName;
    }

    public void setTextColor(int i) {
        this.text_iv.setTextColor(i);
        this.tColor = i;
        this.textRelative.invalidate();
    }

    public void setTextAlpha(int i) {
        this.text_iv.setAlpha(((float) i) / 100.0f);
        this.tAlpha = i;
        this.textRelative.invalidate();
    }

    public void setTextShadowColor(int i) {
        this.shadowColor = i;
        this.text_iv.setShadowLayer((float) this.shadowProg, 0.0f, 0.0f, this.shadowColor);
        this.textRelative.invalidate();
    }

    public int getTextShadowColor() {
        return this.shadowColor;
    }

    public void setTextShadowProg(int i) {
        this.shadowProg = i;
        this.text_iv.setShadowLayer((float) this.shadowProg, 0.0f, 0.0f, this.shadowColor);
        this.textRelative.invalidate();
    }

    public int getTextShadowProg() {
        return this.shadowProg;
    }

    public void setBgDrawable(final String str) {
        this.bgDrawable = str;
        this.bgColor = 0;
        this.background_iv.post(new Runnable() {
            public void run() {
                try {
                    AutofitTextRel.this.background_iv.setImageBitmap(AutofitTextRel.this.getTiledBitmap(AutofitTextRel.this.context, AutofitTextRel.this.getResources().getIdentifier(str, "drawable", AutofitTextRel.this.context.getPackageName()), AutofitTextRel.this.background_iv.getWidth(), AutofitTextRel.this.background_iv.getHeight()));
                    AutofitTextRel.this.background_iv.setBackgroundColor(AutofitTextRel.this.bgColor);
                } catch (Error | Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }

    public String getBgDrawable() {
        return this.bgDrawable;
    }

    public void setBgColor(int i) {
        this.bgDrawable = "0";
        this.bgColor = i;
        this.background_iv.setImageBitmap(null);
        this.background_iv.setBackgroundColor(i);
    }

    public int getBgColor() {
        return this.bgColor;
    }

    public void setBgAlpha(int i) {
        this.background_iv.setAlpha(((float) i) / 255.0f);
        this.bgAlpha = i;
    }

    public void setTextGravity(String str) {
        this.txtGravity = str;
        if (str.equals("L")) {
            this.text_iv.setGravity(19);
        } else if (str.equals("R")) {
            this.text_iv.setGravity(21);
        } else {
            this.text_iv.setGravity(17);
        }
        this.textRelative.invalidate();
    }

    public String getTextGravity() {
        return this.txtGravity;
    }

    public void setTextRotateProg(int i, int i2, int i3, int i4, int i5, int i6, int i7) {
        this.xRotateProg = i4;
        this.yRotateProg = i5;
        this.zRotateProg = i6;
        this.progress = i7;
        applyTransformation(i, i2, i3, i7);
    }

    public int getXRotateProg() {
        return this.xRotateProg;
    }

    public int getYRotateProg() {
        return this.yRotateProg;
    }

    public int getZRotateProg() {
        return this.zRotateProg;
    }

    public int getCurveRotateProg() {
        return this.progress;
    }

    public void setTextCurveRotateProg(int i) {
        this.progress = i;
        this.prog_60 = (i * 60) / 100;
        this.prog_40 = (i * 40) / 100;
        this.prog_50 = (i * 50) / 100;
        this.prog_80 = (i * 80) / 100;
        this.prog_20 = (i * 20) / 100;
        this.textRelative.setTextCurveRotateProg(i);
        this.textRelative.invalidate();
    }


    public void applyTransformation(int i, int i2, int i3, int i4) {
        this.textRelative.setRotationX((float) i);
        this.textRelative.setRotationY((float) i2);
        this.textRelative.setTextCurveRotateProg(i4);
        setVisibility(VISIBLE);
        this.textRelative.setVisibility(VISIBLE);
        this.rel_artv.requestLayout();
        this.rel_artv.postInvalidate();
        this.textRelative.requestLayout();
        this.textRelative.postInvalidate();
        this.textRelative.invalidate();
        requestLayout();
        postInvalidate();
    }

    public TextInfo getTextInfo() {
        TextInfo textInfo = new TextInfo();
        textInfo.setPOS_X(getX() + this.background_iv.getX());
        textInfo.setPOS_Y(getY() + this.background_iv.getY());
        textInfo.setWIDTH(this.background_iv.getWidth());
        textInfo.setHEIGHT(this.background_iv.getHeight());
        textInfo.setTEXT(this.text);
        textInfo.setFONT_NAME(this.fontName);
        textInfo.setTEXT_COLOR(this.tColor);
        textInfo.setTEXT_ALPHA(this.tAlpha);
        textInfo.setSHADOW_COLOR(this.shadowColor);
        textInfo.setSHADOW_PROG(this.shadowProg);
        textInfo.setBG_COLOR(this.bgColor);
        textInfo.setBG_DRAWABLE(this.bgDrawable);
        textInfo.setBG_ALPHA(this.bgAlpha);
        textInfo.setROTATION(getRotation());
        textInfo.setXRotateProg(this.xRotateProg);
        textInfo.setYRotateProg(this.yRotateProg);
        textInfo.setZRotateProg(this.zRotateProg);
        textInfo.setCurveRotateProg(this.progress);
        textInfo.setFIELD_ONE(this.internalMargin);
        textInfo.setFIELD_TWO(this.field_two);
        textInfo.setFIELD_THREE(this.txtGravity);
        textInfo.setFIELD_FOUR(this.lockStatus);
        return textInfo;
    }

    public void setTextInfo(TextInfo textInfo, boolean z) {
        this.internalMargin = textInfo.getFIELD_ONE();
        if (this.internalMargin == 0) {
            this.internalMargin = dpToPx(this.context, 5);
        }
        LayoutParams layoutParams = new LayoutParams(-1, -1);
        layoutParams.setMargins(this.extraMargin, this.extraMargin, this.extraMargin, this.extraMargin);
        layoutParams.addRule(17);
        this.background_iv.setLayoutParams(layoutParams);
        layoutParams = new LayoutParams(-1, -1);
        int round = Math.round((float) (this.extraMargin + this.internalMargin));
        layoutParams.setMargins(round, round, round, round);
        layoutParams.addRule(17);
        this.rel_artv.setLayoutParams(layoutParams);
        this.rel_drawHold.setLayoutParams(layoutParams);
        this.rel_artv.requestLayout();
        this.rel_artv.postInvalidate();
        this.textRelative.requestLayout();
        this.textRelative.postInvalidate();
        this.textRelative.invalidate();
        requestLayout();
        postInvalidate();
        this.wi = textInfo.getWIDTH() + Math.round((float) (this.extraMargin * 2));
        this.he = textInfo.getHEIGHT() + Math.round((float) (this.extraMargin * 2));
        this.text = textInfo.getTEXT();
        this.fontName = textInfo.getFONT_NAME();
        this.tColor = textInfo.getTEXT_COLOR();
        this.tAlpha = textInfo.getTEXT_ALPHA();
        this.shadowColor = textInfo.getSHADOW_COLOR();
        this.shadowProg = textInfo.getSHADOW_PROG();
        this.bgColor = textInfo.getBG_COLOR();
        this.bgDrawable = textInfo.getBG_DRAWABLE();
        this.bgAlpha = textInfo.getBG_ALPHA();
        this.rotation = textInfo.getROTATION();
        this.field_two = textInfo.getFIELD_TWO();
        this.txtGravity = textInfo.getFIELD_THREE();
        this.lockStatus = textInfo.getFIELD_FOUR();
        this.xRotateProg = textInfo.getXRotateProg();
        this.yRotateProg = textInfo.getYRotateProg();
        this.zRotateProg = textInfo.getZRotateProg();
        this.progress = textInfo.getCurveRotateProg();
        if (this.bgColor != 0) {
            setBgColor(this.bgColor);
        } else {
            this.background_iv.setBackgroundColor(0);
        }
        if (this.bgDrawable.equals("0")) {
            this.background_iv.setImageBitmap(null);
        } else {
            setBgDrawable(this.bgDrawable);
        }
        setBgAlpha(this.bgAlpha);
        setText(this.text);
        setTextFont(this.fontName);
        setTextColor(this.tColor);
        setTextAlpha(this.tAlpha);
        setTextShadowColor(this.shadowColor);
        setTextShadowProg(this.shadowProg);
        if (this.progress == 250) {
            applyTransformation(45 - this.xRotateProg, 45 - this.yRotateProg, 180 - this.zRotateProg, 0);
        } else {
            applyTransformation(45 - this.xRotateProg, 45 - this.yRotateProg, 180 - this.zRotateProg, this.progress);
        }
        setRotation(textInfo.getROTATION());
        setTextGravity(this.txtGravity);
        if (((float) this.wi) > this.widthMain) {
            ((LayoutParams) getLayoutParams()).leftMargin = (int) (this.widthMain - ((float) this.wi));
            setX((textInfo.getPOS_X() - ((float) this.extraMargin)) + ((this.widthMain - ((float) this.wi)) * -1.0f));
        } else {
            setX(textInfo.getPOS_X() - ((float) this.extraMargin));
        }
        if (((float) this.he) > this.heightMain) {
            ((LayoutParams) getLayoutParams()).topMargin = (int) (this.heightMain - ((float) this.he));
            setY((textInfo.getPOS_Y() - ((float) this.extraMargin)) + ((this.heightMain - ((float) this.he)) * -1.0f));
        } else {
            setY(textInfo.getPOS_Y() - ((float) this.extraMargin));
        }
        getLayoutParams().width = this.wi;
        getLayoutParams().height = this.he;
        if (this.lockStatus.equals("LOCKED")) {
            this.isMultiTouchEnabled = setDefaultTouchListener(false);
        } else {
            this.isMultiTouchEnabled = setDefaultTouchListener(true);
        }
    }

    public void optimize(float f, float f2) {
        setX(getX() * f);
        setY(getY() * f2);
        getLayoutParams().width = (int) (f * ((float) this.wi));
        getLayoutParams().height = (int) (f2 * ((float) this.he));
    }

    public void incrX() {
        setX(getX() + 1.0f);
    }

    public void decX() {
        setX(getX() - 1.0f);
    }

    public void incrY() {
        setY(getY() + 1.0f);
    }

    public void decY() {
        setY(getY() - 1.0f);
    }

    public int dpToPx(Context context, int i) {
        float f = (float) i;
        context.getResources();
        return (int) (f * Resources.getSystem().getDisplayMetrics().density);
    }

    private Bitmap getTiledBitmap(Context context, int i, int i2, int i3) {
        Rect rect = new Rect(0, 0, i2, i3);
        Paint paint = new Paint();
        paint.setShader(new BitmapShader(BitmapFactory.decodeResource(context.getResources(), i, new Options()), TileMode.REPEAT, TileMode.REPEAT));
        Bitmap createBitmap = Bitmap.createBitmap(i2, i3, Config.ARGB_8888);
        new Canvas(createBitmap).drawRect(rect, paint);
        return createBitmap;
    }

    private void initGD() {
        this.gd = new GestureDetector(this.context, new SimpleOnGestureListener() {
            public boolean onDoubleTapEvent(MotionEvent motionEvent) {
                return true;
            }

            public boolean onDown(MotionEvent motionEvent) {
                return true;
            }

            public boolean onDoubleTap(MotionEvent motionEvent) {
                if (AutofitTextRel.this.listener != null) {
                    AutofitTextRel.this.listener.onDoubleTap();
                }
                return true;
            }

            public void onLongPress(MotionEvent motionEvent) {
                super.onLongPress(motionEvent);
            }
        });
    }

    public void onTouchCallback(View view) {
        if (this.listener != null) {
            this.listener.onTouchDown(view);
        }
    }

    public void onTouchUpCallback(View view) {
        if (this.listener != null) {
            this.listener.onTouchUp(view);
        }
    }

    public void onTouchMoveCallback(View view) {
        if (this.listener != null) {
            this.listener.onTouchMove(view);
        }
    }

    public void onCenterPosX(View view) {
        if (this.listener != null) {
            this.listener.onCenterX(view);
        }
    }

    public void onCenterPosY(View view) {
        if (this.listener != null) {
            this.listener.onCenterY(view);
        }
    }

    public void onCenterPosXY(View view) {
        if (this.listener != null) {
            this.listener.onCenterXY(view);
        }
    }

    public void onOtherPos(View view) {
        if (this.listener != null) {
            this.listener.onOtherXY(view);
        }
    }
}
