package com.msl.textmodule;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Bitmap.Config;
import android.graphics.BitmapFactory;
import android.graphics.BitmapFactory.Options;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.Shader.TileMode;
import android.graphics.Typeface;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewTreeObserver.OnGlobalLayoutListener;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.SeekBar.OnSeekBarChangeListener;
import android.widget.TextView;
import android.widget.Toast;

import com.AccountName.thumbnailmaker.R;
import com.AccountName.thumbnailmaker.utility.SystemConfiguration;

import yuku.ambilwarna.AmbilWarnaDialog;
import yuku.ambilwarna.AmbilWarnaDialog.OnAmbilWarnaListener;

public class TextActivity extends Activity implements OnClickListener, OnSeekBarChangeListener {
    private AutoFitEditText autoFitEditText;
    private int bgAlpha = 255;
    private int bgColor = 0;
    private String bgDrawable = "0";
    private RelativeLayout bg_rel;
    private ImageView btn_back;
    private ImageView btn_ok;
    private Bundle bundle;
    View clickedView;
    private RelativeLayout color_rel;
    boolean firsttime = true;
    private String fontName = "";
    private RelativeLayout font_grid_rel;
    private GridView font_gridview;
    private int he;
    String hex = "";
    String hex1 = "";
    private TextView hint_txt;
    private ImageView ic_kb;
    int[] imageId = new int[]{R.drawable.btxt0, R.drawable.btxt1, R.drawable.btxt2, R.drawable.btxt3, R.drawable.btxt4, R.drawable.btxt5, R.drawable.btxt6, R.drawable.btxt7, R.drawable.btxt8, R.drawable.btxt9, R.drawable.btxt10, R.drawable.btxt11, R.drawable.btxt12, R.drawable.btxt13, R.drawable.btxt14, R.drawable.btxt15, R.drawable.btxt16, R.drawable.btxt17, R.drawable.btxt18, R.drawable.btxt19, R.drawable.btxt20, R.drawable.btxt21, R.drawable.btxt22, R.drawable.btxt23, R.drawable.btxt24};
    private InputMethodManager imm;
    private boolean isKbOpened = true;
    private ImageView lay_back_img;
    private RelativeLayout lay_below;
    private RelativeLayout lay_txtbg;
    private RelativeLayout lay_txtcolor;
    private RelativeLayout lay_txtfont;
    private RelativeLayout lay_txtshadow;
    private RelativeLayout laykeyboard;
    String[] pallete = new String[]{"#4182b6", "#4149b6", "#7641b6", "#b741a7", "#c54657", "#d1694a", "#24352a", "#b8c847", "#67bb43", "#41b691", "#293b2f", "#1c0101", "#420a09", "#b4794b", "#4b86b4", "#93b6d2", "#72aa52", "#67aa59", "#fa7916", "#16a1fa", "#165efa", "#1697fa"};
    int processValue = 100;
    private SeekBar seekBar;
    private SeekBar seekBar2;
    private SeekBar seekBar3;
    private int shadowColor = Color.parseColor("#7641b6");
    private int shadowProg = 5;
    private RelativeLayout shadow_rel;
    private int tAlpha = 100;
    private int tColor = Color.parseColor("#4149b6");
    private String text = "";
    private Typeface ttf;
    int value = 0;
    int value2 = 0;
    private int wi;
    private float xpos;
    private float ypos;

    public void onStartTrackingTouch(SeekBar seekBar) {
    }

    public void onStopTrackingTouch(SeekBar seekBar) {
    }

    public TextActivity() {
    }


    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_text);

        SystemConfiguration.setStatusBarColor(this, R.color.toolbarColor, true);

        this.ttf = Typeface.createFromAsset(getAssets(), "poppins_medium.ttf");
        this.imm = (InputMethodManager) getSystemService(INPUT_METHOD_SERVICE);
        initUI();
        initViewPager();
        this.lay_back_img.post(new Runnable() {
            public void run() {
                TextActivity.this.initUIData();
                TextActivity.this.laykeyboard.performClick();
            }
        });
        ((TextView) findViewById(R.id.headertext)).setTypeface(this.ttf);
        this.autoFitEditText.getViewTreeObserver().addOnGlobalLayoutListener(new OnGlobalLayoutListener() {
            public void onGlobalLayout() {
                if (TextActivity.this.isKeyboardShown(TextActivity.this.autoFitEditText.getRootView())) {
                    TextActivity.this.lay_below.setVisibility(View.INVISIBLE);
                    TextActivity.this.setSelected(R.id.laykeyboard);
                    TextActivity.this.firsttime = false;
                } else if (!TextActivity.this.firsttime) {
                    TextActivity.this.setSelected(TextActivity.this.clickedView.getId());
                    TextActivity.this.clickedView.performClick();
                }
            }
        });
    }

    private boolean isKeyboardShown(View view) {
        Rect rect = new Rect();
        view.getWindowVisibleDisplayFrame(rect);
        return ((float) (view.getBottom() - rect.bottom)) > view.getResources().getDisplayMetrics().density * 128.0f;
    }

    public void onBackPressed() {
        super.onBackPressed();
    }

    private void initUI() {
        this.font_gridview = findViewById(R.id.font_gridview);
        this.autoFitEditText = findViewById(R.id.auto_fit_edit_text);
        this.lay_back_img = findViewById(R.id.lay_back_txt);
        this.btn_back = findViewById(R.id.btn_back);
        this.btn_ok = findViewById(R.id.btn_ok);
        this.hint_txt = findViewById(R.id.hint_txt);
        this.lay_below = findViewById(R.id.lay_below);
        this.laykeyboard = findViewById(R.id.laykeyboard);
        this.lay_txtfont = findViewById(R.id.lay_txtfont);
        this.lay_txtcolor = findViewById(R.id.lay_txtcolor);
        this.lay_txtshadow = findViewById(R.id.lay_txtshadow);
        this.lay_txtbg = findViewById(R.id.lay_txtbg);
        this.font_grid_rel = findViewById(R.id.font_grid_rel);
        this.color_rel = findViewById(R.id.color_rel);
        this.shadow_rel = findViewById(R.id.shadow_rel);
        this.bg_rel = findViewById(R.id.bg_rel);
        this.ic_kb = findViewById(R.id.ic_kb);
        this.clickedView = this.lay_txtfont;
        this.ic_kb.setOnClickListener(this);
        this.seekBar = findViewById(R.id.seekBar1);
        this.seekBar2 = findViewById(R.id.seekBar2);
        this.seekBar3 = findViewById(R.id.seekBar3);
        this.seekBar.setProgress(this.processValue);
        this.autoFitEditText.addTextChangedListener(new TextWatcher() {
            public void afterTextChanged(Editable editable) {
            }

            public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
            }

            public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {

                if (charSequence.length() == 0) {
                    TextActivity.this.hint_txt.setVisibility(View.VISIBLE);
                } else {
                    TextActivity.this.hint_txt.setVisibility(View.GONE);
                }
            }
        });
        findViewById(R.id.txt_bg_none).setOnClickListener(this);
        HorizontalListView horizontalListView = findViewById(R.id.listview);
        horizontalListView.setAdapter(new ImageViewAdapter(this, this.imageId));
        horizontalListView.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                TextActivity.this.lay_back_img.setVisibility(View.GONE);
                StringBuilder stringBuilder = new StringBuilder();
                stringBuilder.append("btxt");
                stringBuilder.append(i);
                String stringBuilder2 = stringBuilder.toString();
                int identifier = TextActivity.this.getResources().getIdentifier(stringBuilder2, "drawable", TextActivity.this.getPackageName());
                TextActivity.this.bgDrawable = stringBuilder2;
                TextActivity.this.bgColor = 0;
                TextActivity.this.lay_back_img.setImageBitmap(TextActivity.this.getTiledBitmap(TextActivity.this, identifier, TextActivity.this.autoFitEditText.getWidth(), TextActivity.this.autoFitEditText.getHeight()));
            }
        });
        findViewById(R.id.color_picker3).setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                new AmbilWarnaDialog(TextActivity.this, TextActivity.this.bgColor, new OnAmbilWarnaListener() {
                    public void onCancel(AmbilWarnaDialog ambilWarnaDialog) {
                    }

                    public void onOk(AmbilWarnaDialog ambilWarnaDialog, int i) {
                        TextActivity.this.bgDrawable = "0";
                        TextActivity.this.bgColor = i;
                        TextActivity.this.lay_back_img.setImageBitmap(null);
                        TextActivity.this.lay_back_img.setBackgroundColor(TextActivity.this.bgColor);
                        TextActivity.this.lay_back_img.setVisibility(View.GONE);
                    }
                }).show();
            }
        });
        findViewById(R.id.color_picker2).setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                new AmbilWarnaDialog(TextActivity.this, TextActivity.this.shadowColor, new OnAmbilWarnaListener() {
                    public void onCancel(AmbilWarnaDialog ambilWarnaDialog) {
                    }

                    public void onOk(AmbilWarnaDialog ambilWarnaDialog, int i) {
                        TextActivity.this.updateColor(i, 2);
                    }
                }).show();
            }
        });
        findViewById(R.id.color_picker1).setOnClickListener(new OnClickListener() {
            public void onClick(View view) {
                new AmbilWarnaDialog(TextActivity.this, TextActivity.this.tColor, new OnAmbilWarnaListener() {
                    public void onCancel(AmbilWarnaDialog ambilWarnaDialog) {
                    }

                    public void onOk(AmbilWarnaDialog ambilWarnaDialog, int i) {
                        TextActivity.this.updateColor(i, 1);
                    }
                }).show();
            }
        });
        horizontalListView = findViewById(R.id.color_listview3);
        final ListAdapter colorListAdapter = new ColorListAdapter(this, this.pallete);
        horizontalListView.setAdapter(colorListAdapter);
        horizontalListView.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                TextActivity.this.bgDrawable = "0";
                TextActivity.this.bgColor = ((Integer) colorListAdapter.getItem(i)).intValue();
                TextActivity.this.lay_back_img.setImageBitmap(null);
                TextActivity.this.lay_back_img.setBackgroundColor(TextActivity.this.bgColor);
                TextActivity.this.lay_back_img.setVisibility(View.GONE);
            }
        });
        horizontalListView = findViewById(R.id.color_listview2);
        final ColorListAdapter colorListAdaptessr = new ColorListAdapter(this, this.pallete);
        horizontalListView.setAdapter(colorListAdaptessr);
        horizontalListView.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                TextActivity.this.updateColor(((Integer) colorListAdaptessr.getItem(i)).intValue(), 2);
            }
        });
        horizontalListView = findViewById(R.id.color_listview1);
        final ColorListAdapter colorListAdapterd = new ColorListAdapter(this, this.pallete);
        horizontalListView.setAdapter(colorListAdapterd);
        horizontalListView.setOnItemClickListener(new OnItemClickListener() {
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                TextActivity.this.updateColor(((Integer) colorListAdapterd.getItem(i)).intValue(), 1);
            }
        });
        this.btn_back.setOnClickListener(this);
        this.btn_ok.setOnClickListener(this);
        this.laykeyboard.setOnClickListener(this);
        this.lay_txtfont.setOnClickListener(this);
        this.lay_txtcolor.setOnClickListener(this);
        this.lay_txtshadow.setOnClickListener(this);
        this.lay_txtbg.setOnClickListener(this);
        this.seekBar.setOnSeekBarChangeListener(this);
        this.seekBar2.setOnSeekBarChangeListener(this);
        this.seekBar3.setOnSeekBarChangeListener(this);
        this.seekBar2.setProgress(5);
        ((InputMethodManager) getSystemService(INPUT_METHOD_SERVICE)).showSoftInput(this.autoFitEditText, 0);
    }

    private void initViewPager() {
        AssetsGrid assetsGrid = new AssetsGrid(this, getResources().getStringArray(R.array.fonts_array));
        this.font_gridview = findViewById(R.id.font_gridview);
    }

    private void initUIData() {
        this.bundle = getIntent().getExtras();
        if (this.bundle != null) {
            this.xpos = this.bundle.getFloat("X", 0.0f);
            this.ypos = this.bundle.getFloat("Y", 0.0f);
            this.wi = this.bundle.getInt("wi", AutoResizeTextView.dpToPx(this, 140));
            this.he = this.bundle.getInt("he", AutoResizeTextView.dpToPx(this, 140));
            this.text = this.bundle.getString("text", "");
            this.fontName = this.bundle.getString("fontName", "");
            this.tColor = this.bundle.getInt("tColor", Color.parseColor("#4149b6"));
            this.tAlpha = this.bundle.getInt("tAlpha", 100);
            this.shadowColor = this.bundle.getInt("shadowColor", Color.parseColor("#7641b6"));
            this.shadowProg = this.bundle.getInt("shadowProg", 5);
            this.bgDrawable = this.bundle.getString("bgDrawable", "0");
            this.bgColor = this.bundle.getInt("bgColor", 0);
            this.bgAlpha = this.bundle.getInt("bgAlpha", 255);
            this.autoFitEditText.setText(this.text);
            this.seekBar.setProgress(this.tAlpha);
            this.seekBar2.setProgress(this.shadowProg);
            updateColor(this.tColor, 1);
            updateColor(this.shadowColor, 2);
            if (!this.bgDrawable.equals("0")) {
                this.lay_back_img.setImageBitmap(getTiledBitmap(this, getResources().getIdentifier(this.bgDrawable, "drawable", getPackageName()), this.autoFitEditText.getWidth(), this.autoFitEditText.getHeight()));
                this.lay_back_img.setVisibility(View.VISIBLE);
                this.lay_back_img.postInvalidate();
                this.lay_back_img.requestLayout();
            }
            if (this.bgColor != 0) {
                this.lay_back_img.setBackgroundColor(this.bgColor);
                this.lay_back_img.setVisibility(View.VISIBLE);
            }
            this.seekBar3.setProgress(this.bgAlpha);
            try {
                this.autoFitEditText.setTypeface(Typeface.createFromAsset(getAssets(), this.fontName));
            } catch (Exception unused) {
            }
        }
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.btn_back) {
            this.imm.hideSoftInputFromWindow(view.getApplicationWindowToken(), 0);
            finish();
        } else if (id == R.id.btn_ok) {
            if (this.autoFitEditText.getText().toString().trim().length() > 0) {
                this.imm.hideSoftInputFromWindow(view.getApplicationWindowToken(), 0);
                Intent intent = new Intent();
                intent.putExtras(getInfoBundle());
                setResult(-1, intent);
                finish();
                return;
            }
            Toast.makeText(this, getResources().getString(R.string.textlib_warn_text), Toast.LENGTH_SHORT).show();
        } else if (id == R.id.laykeyboard || id == R.id.ic_kb) {
            this.isKbOpened = true;
            this.firsttime = true;
            setSelected(view.getId());
            this.imm.showSoftInput(this.autoFitEditText, 0);
        } else if (id == R.id.lay_txtfont) {
            setSelected(view.getId());
            this.clickedView = view;
            this.font_grid_rel.setVisibility(View.GONE);
            this.color_rel.setVisibility(View.GONE);
            this.shadow_rel.setVisibility(View.GONE);
            this.bg_rel.setVisibility(View.GONE);
            this.lay_below.setVisibility(View.GONE);
            this.imm.hideSoftInputFromWindow(view.getApplicationWindowToken(), 0);
        } else if (id == R.id.lay_txtcolor) {
            setSelected(view.getId());
            this.clickedView = view;
            this.font_grid_rel.setVisibility(View.GONE);
            this.color_rel.setVisibility(View.GONE);
            this.shadow_rel.setVisibility(View.GONE);
            this.bg_rel.setVisibility(View.GONE);
            this.lay_below.setVisibility(View.GONE);
            this.imm.hideSoftInputFromWindow(view.getApplicationWindowToken(), 0);
        } else if (id == R.id.lay_txtshadow) {
            setSelected(view.getId());
            this.clickedView = view;
            this.font_grid_rel.setVisibility(View.GONE);
            this.color_rel.setVisibility(View.GONE);
            this.shadow_rel.setVisibility(View.GONE);
            this.bg_rel.setVisibility(View.GONE);
            this.lay_below.setVisibility(View.GONE);
            this.imm.hideSoftInputFromWindow(view.getApplicationWindowToken(), 0);
        } else if (id == R.id.lay_txtbg) {
            setSelected(view.getId());
            this.clickedView = view;
            this.font_grid_rel.setVisibility(View.GONE);
            this.color_rel.setVisibility(View.GONE);
            this.shadow_rel.setVisibility(View.GONE);
            this.bg_rel.setVisibility(View.GONE);
            this.lay_below.setVisibility(View.GONE);
            this.imm.hideSoftInputFromWindow(view.getApplicationWindowToken(), 0);
        } else if (id == R.id.txt_bg_none) {
            this.lay_back_img.setVisibility(View.GONE);
            this.bgDrawable = "0";
            this.bgColor = 0;
        }
    }

    public void onProgressChanged(SeekBar seekBar, int i, boolean z) {
        this.processValue = i;
        this.value = i;
        int id = seekBar.getId();
        if (id == R.id.seekBar1) {
            this.autoFitEditText.setAlpha(((float) seekBar.getProgress()) / ((float) seekBar.getMax()));
        } else if (id == R.id.seekBar2) {
            if (this.hex1.equals("")) {
                this.autoFitEditText.setShadowLayer((float) i, 0.0f, 0.0f, Color.parseColor("#fdab52"));
                return;
            }
            AutoFitEditText autoFitEditText = this.autoFitEditText;
            float f = (float) i;
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append("#");
            stringBuilder.append(this.hex1);
            autoFitEditText.setShadowLayer(f, 0.0f, 0.0f, Color.parseColor(stringBuilder.toString()));
        } else if (id == R.id.seekBar3) {
            this.lay_back_img.setAlpha(((float) i) / 255.0f);
        }
    }

    private Bundle getInfoBundle() {
        if (this.bundle == null) {
            this.bundle = new Bundle();
        }
        this.text = this.autoFitEditText.getText().toString().trim().replace("\n", " ");
        this.bundle.putFloat("X", this.xpos);
        this.bundle.putFloat("Y", this.ypos);
        this.bundle.putInt("wi", this.wi);
        this.bundle.putInt("he", this.he);
        this.bundle.putString("text", this.text);
        this.bundle.putString("fontName", this.fontName);
        this.bundle.putInt("tColor", this.tColor);
        this.bundle.putInt("tAlpha", this.seekBar.getProgress());
        this.bundle.putInt("shadowColor", this.shadowColor);
        this.bundle.putInt("shadowProg", this.seekBar2.getProgress());
        this.bundle.putString("bgDrawable", this.bgDrawable);
        this.bundle.putInt("bgColor", this.bgColor);
        this.bundle.putInt("bgAlpha", this.seekBar3.getProgress());
        return this.bundle;
    }

    private void updateColor(int i, int i2) {
        AutoFitEditText autoFitEditText;
        if (i2 == 1) {
            this.tColor = i;
            this.hex = Integer.toHexString(i);
            autoFitEditText = this.autoFitEditText;
            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append("#");
            stringBuilder.append(this.hex);
            autoFitEditText.setTextColor(Color.parseColor(stringBuilder.toString()));
        } else if (i2 == 2) {
            this.shadowColor = i;
            i2 = this.seekBar2.getProgress();
            this.hex1 = Integer.toHexString(i);
            autoFitEditText = this.autoFitEditText;
            float f = (float) i2;
            StringBuilder stringBuilder2 = new StringBuilder();
            stringBuilder2.append("#");
            stringBuilder2.append(this.hex1);
            autoFitEditText.setShadowLayer(f, 0.0f, 0.0f, Color.parseColor(stringBuilder2.toString()));
        }
    }

    public void setSelected(int i) {
        if (i == R.id.laykeyboard) {
            this.laykeyboard.getChildAt(0).setBackgroundResource(R.drawable.textlib_kb1);
            this.lay_txtfont.getChildAt(0).setBackgroundResource(R.drawable.textlib_text);
            this.lay_txtcolor.getChildAt(0).setBackgroundResource(R.drawable.textlib_tcolor);
            this.lay_txtshadow.getChildAt(0).setBackgroundResource(R.drawable.textlib_tshadow);
            this.lay_txtbg.getChildAt(0).setBackgroundResource(R.drawable.textlib_tbg);
        }
        if (i == R.id.lay_txtfont) {
            this.laykeyboard.getChildAt(0).setBackgroundResource(R.drawable.textlib_kb);
            this.lay_txtfont.getChildAt(0).setBackgroundResource(R.drawable.textlib_text1);
            this.lay_txtcolor.getChildAt(0).setBackgroundResource(R.drawable.textlib_tcolor);
            this.lay_txtshadow.getChildAt(0).setBackgroundResource(R.drawable.textlib_tshadow);
            this.lay_txtbg.getChildAt(0).setBackgroundResource(R.drawable.textlib_tbg);
        }
        if (i == R.id.lay_txtcolor) {
            this.laykeyboard.getChildAt(0).setBackgroundResource(R.drawable.textlib_kb);
            this.lay_txtfont.getChildAt(0).setBackgroundResource(R.drawable.textlib_text);
            this.lay_txtcolor.getChildAt(0).setBackgroundResource(R.drawable.textlib_tcolor1);
            this.lay_txtshadow.getChildAt(0).setBackgroundResource(R.drawable.textlib_tshadow);
            this.lay_txtbg.getChildAt(0).setBackgroundResource(R.drawable.textlib_tbg);
        }
        if (i == R.id.lay_txtshadow) {
            this.laykeyboard.getChildAt(0).setBackgroundResource(R.drawable.textlib_kb);
            this.lay_txtfont.getChildAt(0).setBackgroundResource(R.drawable.textlib_text);
            this.lay_txtcolor.getChildAt(0).setBackgroundResource(R.drawable.textlib_tcolor);
            this.lay_txtshadow.getChildAt(0).setBackgroundResource(R.drawable.textlib_tshadow1);
            this.lay_txtbg.getChildAt(0).setBackgroundResource(R.drawable.textlib_tbg);
        }
        if (i == R.id.lay_txtbg) {
            this.laykeyboard.getChildAt(0).setBackgroundResource(R.drawable.textlib_kb);
            this.lay_txtfont.getChildAt(0).setBackgroundResource(R.drawable.textlib_text);
            this.lay_txtcolor.getChildAt(0).setBackgroundResource(R.drawable.textlib_tcolor);
            this.lay_txtshadow.getChildAt(0).setBackgroundResource(R.drawable.textlib_tshadow);
            this.lay_txtbg.getChildAt(0).setBackgroundResource(R.drawable.textlib_tbg1);
        }
    }

    private Bitmap getTiledBitmap(Context context, int i, int i2, int i3) {
        Rect rect = new Rect(0, 0, i2, i3);
        Paint paint = new Paint();
        paint.setShader(new BitmapShader(BitmapFactory.decodeResource(context.getResources(), i, new Options()), TileMode.REPEAT, TileMode.REPEAT));
        Bitmap createBitmap = Bitmap.createBitmap(i2, i3, Config.ARGB_8888);
        new Canvas(createBitmap).drawRect(rect, paint);
        return createBitmap;
    }
}
